<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<link rel="stylesheet" type="text/css" href="CMUAVStyle.css"/>
<title>Carnegie Mellon AV Services</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						  C M U A V A C C E P T Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to accept the quote for CMU AV Services.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-04-25
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	rs = dcon.submitQuery("SELECT * FROM audioVisualRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/QuoteAcceptedServlet";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/AV/CMUAVCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: CMUAVAcceptQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
	
	//flags
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>


<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="CMUAVAcceptQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="vendorID" value="AV1">
  <table width="59%" border="0" align="center" cellpadding="0" bgcolor="#9999FF">
    <tr> 
      <td height="204"> 
        <div align="center">
          <table width="94%" align="center" cellpadding="0" cellspacing="0">
            <tr> 
              <td width="63%" height="96" bgcolor="#9999FF"> <h1 align="center"> 
                  Audio Visual Services</h1>
                <h2 align="center"> Accept Quote</h2></td>
              <td width="37%" height="96" bgcolor="#9999FF"><img src="CMULine.gif" width="184" height="70"></td>
            </tr>
            <tr> 
              <td colspan="2" bgcolor="#FFFFFF"><p>Click &quot;Accept&quot; to 
                  accept the CMU Audio Visual quote. If you'd like to cancel this 
                  quote click &quot;Cancel&quot;.</p>
                <p>- CMU AV Services -</p></td>
            </tr>
            <tr> 
              <td colspan="2" bgcolor="#9999FF"> <table width="72%" align="center">
                  <tr> 
                    <td width="34%"><div align="center"> 
                        <input name="acceptButton" type="submit" id="acceptButton" value="Accept"
							onClick="setActionAccept(document.quoteForm)">
                      </div></td>
                    <td width="35%"><div align="center"> 
                        <input name="cancelButton" type="submit" id="cancelButton" value="Cancel"
		   					onClick="setActionCancel(document.quoteForm)">
                      </div></td>
                  </tr>
                </table></td>
            </tr>
          </table>
        </div></td>
    </tr>
  </table>
  	<%// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
	%>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
</form>
<% dcon.closeDBConnection(); %>
</body>
</html>


