<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<link rel="stylesheet" type="text/css" href="flagstaff.css"/>
<title>The Flagstaff Hotel</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						  F L A G S T A F F A V A C C E P T Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to accept the quote for Flagstaff AV Services.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-05-03
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	rs = dcon.submitQuery("SELECT * FROM audioVisualRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/QuoteAcceptedServlet";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/AV/FlagstaffAVCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: FlagstaffAVAcceptQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
	
	//flags
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>


<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="FlagstaffAVAcceptQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="vendorID" value="AV3">
<div class="BigTitle">The Flagstaff Hotel</div>
<div class="colorLtBlue"></div>
<h1>Audio/Visual Services</h1>
  <h2>Quote for Item(s) Request</h2>

  <p class="Body"> We here at the Flagstaff Hotel Audio/Visual Services would 
    like to thank you for choosing us the AV supplier for your event. Click below 
    to confirm your AV quote with us. If you like you may also cancel your quote.<br>
    <br>
    Thank you, and we look forward to doing business with you! 
  <div class="footer"></div> 
<table class="table1" width="87%" >
    		     <tr> 
                     <td align="right">
                        <input name="acceptButton" class="box1" type="submit" id="acceptButton" value="CONFIRM"
							onClick="setActionAccept(document.quoteForm)">
                      
                    
                        <input name="cancelButton" class="box1" type="submit" id="cancelButton" value="CANCEL"
		   					onClick="setActionCancel(document.quoteForm)">
                     </td>
                  </tr>
                </table></td>
            </tr>
 <div class="footer">&copy;2005 <a href="Flagstaff_site/home.html">www.flagstaffhotel.org</a> 
  </div>       
</form>
<%// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
%>
<% dcon.closeDBConnection(); %>
</body>
</html>


