<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Breakfast Break - We really like breakfast.</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="BBreakStyle.css" rel="stylesheet" type="text/css">
</head>
<body>
<%
/*---------------------------------------------------------------------------------------------
						 B B R E A K Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for Breakfast Break
			Service.  Requests for quotes are made through the CMUPlanningPortal.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-05-20
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
    String dataQuery = "SELECT * FROM cateringRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next();
	
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/webForms/Catering/BBreakAcceptQuote.jsp";
	String modifyURL = "/myapp/webForms/Catering/BBreakModifyQuote.jsp";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Catering/BBreakCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: BBreakQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
		

	String vegan = rs.getString("vegan");
	String vegetarian = rs.getString("vegetarian");
	String atkins = rs.getString("atkins");
	String kosher = rs.getString("kosher");
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name= "quoteForm" action="">
  <input type="hidden" name="uniqueID" value="<%=id%>">
  <input type="hidden" name="pageLoad" value="">
  <input type="hidden" name="pageSubmit" value="">
  <input type="hidden" name="eventSource" value="BBreakQuote.jsp">
  <input type="hidden" name="quoteID" value=<"">
  <input type="hidden" name="vendorID" value="catering3">
  <table width="473" align="left">
    <tr> 
      <td width="329" height="78" class="pageBody"><p><font class="bigHeader">Breakfast 
          Break</font></p>
        <div class="headerDiv"><font class="smallHeader">We really like breakfast.</font></div></td>
      <td width="132" class="pageBody"><img src="sunnyside.jpg" width="125" height="82"></td>
    </tr>
    <tr> 
      <td height="30" colspan="2" class="pageBody"><table width="100%" border="0">
          <tr> 
            <td colspan="2" class="left"><p>We recently received a request from 
                you to quote your catering needs for your next event. We've had 
                the chance to review your catering needs and have come up with 
                what we think is a very good price for your event. Please review 
                the information below and if you're happy with our quote price 
                please accept! </p>
              <p>If you'd like to change your request in any way you can do so 
                by choosing the Modify It! option below.</p>
              <p>If you've decided you would like to cancel this request you can 
                do so by choosing the Cancel It! option below. </p>
              <p>We look forward to catering to your every need :) !!</p></td>
          </tr>
          <tr> 
            <td width="37%" class="center">&nbsp;</td>
            <td width="63%" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="dataLabel"> Info: Contact</td>
          </tr>
          <tr> 
            <td class="left">Contact First Name:</td>
            <td class="data"><%=rs.getString("contactFirstName")%></td>
          </tr>
          <tr> 
            <td class="left">Contact Last Name:</td>
            <td class="data"><%=rs.getString("contactLastName")%></td>
          </tr>
          <tr> 
            <td class="left">Contact Email:</td>
            <td class="data"><%=rs.getString("contactEmail")%></td>
          </tr>
          <tr> 
            <td colspan="2" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="dataLabel">Info: Event</td>
          </tr>
          <% String date = rs.getString("eventMonth") + ", " + rs.getString("eventDayOfMonth") + " " + rs.getString("eventYear"); %>
          <tr> 
            <td class="left">Event Date:</td>
            <td class="data"><%=date%></td>
          </tr>
          <tr> 
            <td class="left">Event Title:</td>
            <td class="data"><%=rs.getString("eventTitle")%></td>
          </tr>
          <tr> 
            <td class="left">Event Location:</td>
            <td class="data"><%=rs.getString("eventLocation")%></td>
          </tr>
          <tr> 
            <td class="left">Setup Complete-by Time:</td>
            <td class="data"><%=TimeFormat.format(rs.getString("setupComplete"))%></td>
          </tr>
          <tr> 
            <td class="left">Breakdown Start Time:</td>
            <td class="data"><%=TimeFormat.format(rs.getString("breakdownStart"))%></td>
          </tr>
          <tr> 
            <td colspan="2" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="dataLabel">Selection: Catering Option</td>
          </tr>
          <%   %>
          <tr> 
            <td class="left">Meal: <font class="data"><%=rs.getString("selection")%></font></td>
            <td class="left">&nbsp;</td>
          </tr>
          <tr>
            <td>Number of Meals: <font class="data"><%=rs.getString("quantMeals")%></font></td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Requests: Special</td>
            <td class="center">&nbsp;</td>
          </tr>
          <%
		  if (vegan.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Vegan</td>
            <td class="data">Quantity: <font class="data"><%=rs.getString("quantVegan")%></font></td>
          </tr>
          <%
		  } // end if vegan
		  if (vegetarian.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Vegetarian</td>
            <td class="left">Quantity: <font class="data"><%=rs.getString("quantVegetarian")%></font></td>
          </tr>
          <%
		  } // end if vegetarian
		  if (atkins.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Atkins-friendly</td>
            <td class="left">Quantity: <font class="data"><%=rs.getString("quantAtkins")%></font></td>
          </tr>
          <%
		  } // end if vegetarian
		  if (kosher.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Kosher</td>
            <td class="left">Quantity: <font class="data"><%=rs.getString("quantKosher")%></font></td>
          </tr>
          <% } // end if
		  else {
		  %>
          <tr> 
            <td class="left">None</td>
            <td class="left">&nbsp;</td>
          </tr>
          <% } // end else %>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="left">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Total: For your catering request</td>
            <td class="dataLabel">$ <%=rs.getString("quote3")%></td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="dataLabel">&nbsp;</td>
          </tr>
        </table>
        <table width="60%" border="0" cellpadding="0">
          <tr> 
<% 
String buttonTest = rs.getString("quoteAccepted");
if (buttonTest==null || buttonTest.equals("") || buttonTest.equalsIgnoreCase("cancelled")) { //so if its not accepted, show accept button 
%>
            <td class="center"> <input name="acceptButton" type="submit" class="button" id="acceptButton" value="Accept It!" 
			  	onClick="setActionAccept(document.quoteForm)"></td>
<% } %>
            <td class="center"> <input name="modifyButton" type="submit" class="Button" id="modifyButton" value="Modify It!"
				onClick="setActionModify(document.quoteForm)"></td>
<% 
if (buttonTest!=null && !buttonTest.equals("") && !buttonTest.equalsIgnoreCase("cancelled")) { //so if it is accepted, show delete button 
%>
            <td class="center"> <input name="cancelButton" type="submit" class="button" id="cancelButton" value="Cancel It!"
			    onClick="setActionCancel(document.quoteForm)"></td>
<% } %>
          </tr>
        </table></td>
    </tr>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
  </table>
 <%// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
 %>
 </form> 
<p>&nbsp;</p>
<% dcon.closeDBConnection(); %>
</body>
</html>



