<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Welcome to Adam's House of Flowers!</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="AdamsFloralStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad= "setPageLoad(document.quoteForm)">
<%
/*-------------------------------------------------------------------------------------
					A D A M S M O D I F Y Q U O T E . J S P  
---------------------------------------------------------------------------------------
Purpose:	This jsp file displays request and quote information for Adam's Floral.  
			From this page users can modify their quote.   
Input:		uniqueID
Action:		Depends on which button is clicked 
Author:		Kyle Cunningham <kcunning@cs>
Date:		05-04-2005
--------------------------------------------------------------------------------------*/%>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	String dataQuery = "SELECT * FROM floralRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/Floral/AdamsReviewQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: AdamsModifyQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
	
	//user data - get it from dataQuery 
	String eventLocation = rs.getString("eventLocation");
	String eventMonth = rs.getString("eventMonth");
	String eventDayOfMonth = rs.getString("eventDayOfMonth");
	String eventYear = rs.getString("eventYear");
%>
<script language="Javascript">
var outputString = "Please enter the following:\n";
var flag = 0;
var focusFlag = 0;

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

// checkItem Methods - if an item's value is YES then that item's corresponding
//		data fields must have values
function checkItem1(formName) {
	if (formName.item1.value == "Yes") {
		if (formName.quantItem1.value == "") {
			outputString += "Simple Vase: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem1);
		}
		if (formName.sizeItem1.value == "Please Select One") {
			outputString += "Simple Vase: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem1);
		}
		if (formName.flowerTypeItem1.value == "") {
			outputString += "Simple Vase: Type of Flower\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem1);
		}
	}
} // end checkItem1()

function checkItem2(formName) {
	if (formName.item2.value == "Yes") {
		if (formName.quantItem2.value == "") {
			outputString += "Crystal Vase: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem2);
		}
		if (formName.sizeItem2.value == "Please Select One") {
			outputString += "Crystal Vase: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem2);
		}
		if (formName.flowerTypeItem2.value == "") {
			outputString += "Crystal Vase: Type of Flower\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem2);
		}
	}
} // end checkItem2()

function checkItem3(formName) {
	if (formName.item3.value == "Yes") {
		if (formName.quantItem3.value == "") {
			outputString += "Centerpiece: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem3);
		}
		if (formName.sizeItem3.value == "Please Select One") {
			outputString += "Centerpiece: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem3);
		}
		if (formName.flowerTypeItem3.value == "") {
			outputString += "Centerpiece: Type of Flower\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem3);
		}
	}
} // end checkItem3()

function checkItem4(formName) {
	if (formName.item4.value == "Yes") {
		if (formName.quantItem4.value == "") {
			outputString += "Decorative Plant: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem4);
		}
		if (formName.sizeItem4.value == "Please Select One") {
			outputString += "Decorative Plant: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem4);
		}
		if (formName.flowerTypeItem4.value == "") {
			outputString += "Decorative Plant: Type of Flower\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem4);
		}
	}
} // end checkItem4()

// onClick methods -> each item has it's own method called onClick to check the value of the
// select.  If value == Yes, focus is shifted to that items quantity field.  If value == No, 
// that item's quantity field is set to zero
function clickItem1(formName) {
	if (formName.item1.value == "Yes" ) {
		formName.quantItem1.focus();
	}
	else { // value is No
		formName.quantItem1.value = 0;
		formName.flowerTypeItem1.value = "None";
	}	
} // end clickCD

function clickItem2(formName) {
	if (formName.item2.value == "Yes" ) {
		formName.quantItem2.focus();
	}
	else { // value is No
		formName.quantItem2.value = 0;
		formName.flowerTypeItem2.value = "None";
	}	
} // end 

function clickItem3(formName) {
	if (formName.item3.value == "Yes" ) {
		formName.quantItem3.focus();
	}
	else { // value is No
		formName.quantItem3.value = 0;
		formName.flowerTypeItem3.value = "None";
	}	
} // end 

function clickItem4(formName) {
	if (formName.item4.value == "Yes" ) {
		formName.quantItem4.focus();
	}
	else { // value is No
		formName.quantItem4.value = 0;
		formName.flowerTypeItem4.value = "None";
	}	
} // end 


function checkSubmission(formName) {
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == ""){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.setupComplete.value == "") {
		outputString += "Setup Complete Time\n";
		flag = 1;
		checkForFocus(formName.setupComplete);
	}
	if (formName.breakdownStart.value == ""){
		outputString += "Breakdown Start Time\n";
		flag = 1;
		checkForFocus(formName.breakdownStart);
	}
	checkItem1(formName);
	checkItem2(formName);
	checkItem3(formName);
	checkItem4(formName);
			
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "Please Enter the following:\n";
		flag = 0;
		focusFlag = 0;
		return false;
	}
	else {
		return true;
	}
} // end checkSubmission

// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	if (checkSubmission(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true;
	}	
	else
		return false;
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="AdamsQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="quoteModification" value="yes">
<input type="hidden" name="requestType" value="floral">
<input type="hidden" name="floral1" value="checked">
<input type="hidden" name="vendorID" value="floral1">


  <p class="center"><img src="flowerli.gif" width="804" height="25"></p>
  <p class="center"><font class="titleLine">Adam's House of Flowers</font></p>
  <p class="center"><font class="large">Request for Flowers</font></p>
  <p class="center"><img src="flowerli.gif" width="804" height="25"></p>
  <p class="justify">Thanks for your floral request!  You can use this page to modify your 
  floral request.  Once you've made the changes to your request you can click the "Submit
  Changes" button to submit.  If you decide you don't want to make any changes, clicking the
  "Cancel Changes" button will return you to your original quote. Thanks for your business!</p>
  <p class="justify">- The Staff at Adam's House of Flowers</p>
  <p class="center"><img src="flowerli.gif" width="804" height="25"></p>
   
  <p class="center"><font class="large">Your Floral Request:</font></p>
    
  <table align="center" class="dataTable">
    <tr> 
      <td colspan="2"><strong>Customer Contact Information:</strong></td>
    </tr>
    <tr> 
      <td width="47%">First: 
        <input name="contactFirstName" class="box" type="text" value="<%=rs.getString("contactFirstName")%>"></td>
      <td width="53%">Last: 
        <input name="contactLastName" class="box" type="text" value="<%=rs.getString("contactLastName")%>"> 
      </td>
    </tr>
    <tr> 
      <td colspan="2">Email: 
        <input name="contactEmail" class="box" type="text" value="<%=rs.getString("contactEmail")%>"></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><strong>Event Information:</strong></td>
    </tr>
    <tr> 
      <td colspan="2">Event Title: 
        <input name="eventTitle" class="box" type="text" value="<%=rs.getString("eventTitle")%>">
      </td>
    </tr>
    <%  rs.close();
		rs = dcon.submitRoomQuery();
	%>
    <tr> 
      <td colspan="2">Event Location: 
        <select name="eventLocation" id="eventLocation" class="box">
        	<option value="<%=eventLocation%>" selected><%=eventLocation%></option>
           	<option value="">---------------</option>
           	<% 	String room = new String();
				String building = new String();
				while (rs.next()) {
					room = rs.getString(1);
					building = rs.getString(2);
			%>
        	<option value="<%=room%>"><%=building%> - <%=room%></option>
           	<% } // end while %>
        </select> </td>
    </tr>
    <% 	rs.close();
		rs = dcon.submitMonthQuery();
	%>
    <tr> 
      <td colspan="2">Event Date: 
        <select name="eventMonth" id="eventMonth" class="box">
          <option value=<%=eventMonth%> selected><%=eventMonth%></option>
          <option value="">------</option>
		  <% 	String value = new String();	
		  		while (rs.next()) {
							value = rs.getString(1);
		  		%>
          <option value="<%=value%>"><%=value%></option>
          <% } // end while %>
        </select> 
        <select name="eventDayOfMonth" id="eventDayOfMonth" class="box">
          <option value=<%=eventDayOfMonth%> selected><%=eventDayOfMonth%></option>
          <option value="">------</option>
		  <% int day = 1;
		  				while (day <= 31 ) {
		  			%>
          <option value="<%=day%>"><%=day%></option>
          <% day++;
		   			} // end while
		   			%>
        </select> 
        <select name="eventYear" id="eventYear" class="box">
          <option value=<%=eventYear%> selected><%=eventYear%></option>
          <option value="">------</option>
		  <% int year = 2005;
		  			while (year <= 2010 ) {
		  			%>
          <option value="<%=year%>"><%=year%></option>
          <% year++;
		   			} // end while
		   			%>
        </select></td>
    </tr>
    <% 	rs.close();
		rs = dcon.submitQuery(dataQuery);
		crap = rs.next();
	%>
    <tr> 
      <td>Setup Complete By: <font class="data"> 
        <select name="setupComplete" id="setupComplete" class="box" onChange="checkSetupTimes(document.quoteForm)">
          <option value="<%=rs.getString("setupComplete")%>" selected><%=TimeFormat.format(rs.getString("setupComplete"))%></option>
          <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
        </select>
        </font></td>
      <td>Breakdown Start: <font class="data"> 
        <select name="breakdownStart"  class="box" id="breakdownStart" onChange="checkSetupTimes(document.quoteForm)">
          <option value="<%=rs.getString("breakdownStart")%>" selected><%=TimeFormat.format(rs.getString("breakdownStart"))%></option>
          <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
        </select>
        </font></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><strong>Floral Items Requested:</strong></td>
    </tr>
    <tr> 
      <td colspan="2"><font class="data">Plain Vase:</font> <select name="item1" class="box"id="item1" onChange= "return clickItem1(document.quoteForm)">
          <option value="<%=rs.getString("item1")%>"><%=rs.getString("item1")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select> </td>
    </tr>
    <tr> 
      <td colspan="2"><table width="100%" border="0" cellpadding="0">
          <tr> 
            <td width="10%">&nbsp;</td>
            <td width="30%">Quantity: 
              <input type="text" class="box" name="quantItem1" value="<%=rs.getString("quantItem1")%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
            <td width="30%">Size: 
              <select name="sizeItem1" class="box">
                <option value="<%=rs.getString("sizeItem1")%>" selected><%=rs.getString("sizeItem1")%></option>
                <option value="">------------</option>
                <option value="Small">Small</option>
                <option value="Medium">Medium</option>
                <option value="Large">Large</option>
              </select> </td>
            <td width="30%">Flowers: 
              <input type="text" class="box" name="flowerTypeItem1" value="<%=rs.getString("flowerTypeItem1")%>"></td>
          </tr>
        </table></td>
    </tr>
    <tr> 
      <td colspan="2"><font class="data">Crystal Vase:</font> <select name="item2" class="box"id="item2" onChange= "return clickItem2(document.quoteForm)">
          <option value="<%=rs.getString("item2")%>" selected><%=rs.getString("item2")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select> </td>
    </tr>
    <tr> 
      <td colspan="2"><table width="100%" border="0" cellpadding="0">
          <tr> 
            <td width="10%">&nbsp;</td>
            <td width="30%">Quantity: 
              <input type="text" class="box" name="quantItem2" value="<%=rs.getString("quantItem2")%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'> 
            </td>
            <td width="30%">Size: 
              <select name="sizeItem2" class="box">
                <option value="<%=rs.getString("sizeItem2")%>" selected><%=rs.getString("sizeItem2")%></option>
                <option value="">------------</option>
                <option value="Small">Small</option>
                <option value="Medium">Medium</option>
                <option value="Large">Large</option>
              </select> </td>
            <td width="30%">Flowers: 
              <input type="text" class="box" name="flowerTypeItem2" value="<%=rs.getString("flowerTypeItem2")%>"></td>
          </tr>
        </table></td>
    </tr>
    <tr> 
      <td colspan="2"><font class="data">Centerpiece:</font> <select name="item3" class="box"id="item3" onChange= "return clickItem3(document.quoteForm)">
          <option value="<%=rs.getString("item3")%>" selected><%=rs.getString("item3")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select> </td>
    </tr>
    <tr> 
      <td colspan="2"><table width="100%" border="0" cellpadding="0">
          <tr> 
            <td width="10%">&nbsp;</td>
            <td width="30%">Quantity: 
              <input type="text" class="box" name="quantItem3" value="<%=rs.getString("quantItem3")%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
            <td width="30%">Size: 
              <select name="sizeItem3" class="box">
                <option value="<%=rs.getString("sizeItem3")%>" selected><%=rs.getString("sizeItem3")%></option>
                <option value="">------------</option>
                <option value="Small">Small</option>
                <option value="Medium">Medium</option>
                <option value="Large">Large</option>
              </select></td>
            <td width="30%">Flowers: 
              <input type="text" class="box" name="flowerTypeItem3" value="<%=rs.getString("flowerTypeItem3")%>"> 
              <font class="data">&nbsp;</font></td>
          </tr>
        </table></td>
    </tr>
    <tr> 
      <td colspan="2"><font class="data">Decorative Plant: </font> <select name="item4" class="box"id="item4" onChange= "return clickItem4(document.quoteForm)">
          <option value="<%=rs.getString("item4")%>" selected><%=rs.getString("item4")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select> </td>
    </tr>
    <tr> 
      <td colspan="2"><table width="100%" border="0" cellpadding="0">
          <tr> 
            <td width="10%">&nbsp;</td>
            <td width="30%">Quantity: 
              <input name="quantItem4" type="text" class="box" value="<%=rs.getString("quantItem4")%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'> 
            </td>
            <td width="30%">Size: 
              <select name="sizeItem4" class="box">
                <option value="<%=rs.getString("sizeItem4")%>" selected><%=rs.getString("sizeItem4")%></option>
                <option value="">------------</option>
                <option value="Small">Small</option>
                <option value="Medium">Medium</option>
                <option value="Large">Large</option>
              </select> </td>
            <td width="30%">Flowers: 
              <input type="text" class="box" name="flowerTypeItem4" value="<%=rs.getString("flowerTypeItem4")%>"> 
              <font class="data">&nbsp;</font></td>
          </tr>
        </table></td>
    </tr>
    <tr> 
      <td colspan="2"><table width="70%" border="0" align="center" cellpadding="0">
          <tr> 
            <td width="33%" height="24"> <div align="center"> 
                <input name="acceptButton" type="submit" class="box" id="acceptButton" 
					onClick="return setActionAccept(document.quoteForm)" value="Submit Changes">
              </div></td>
            <td width="33%"><div align="center"> 
                <input name="cancelButton" type="submit" class="box" id="cancelButton"
				onClick="setActionCancel(document.quoteForm)" value="Cancel Changes">
              </div></td>
          </tr>
        </table></td>
    </tr>
  </table>
</form>
<%	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
%>  
<% dcon.closeDBConnection(); %>
</body>
</html>
