<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Canal Street Ltd</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="CanalStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad = "setFocus(document.canalStreetSubmitForm)">
<%
/*-------------------------------------------------------------------------------------
					        C A N A L Q U O T E . J S P  
---------------------------------------------------------------------------------------
Purpose:	This jsp file displays request and quote information for Canal Street Ltd.  
			From this page users can accept, modify, or cancel the request. 
Input:		uniqueID
Action:		Depends on which button is clicked 
Author:		Kyle Cunningham <kcunning@cs>
Date:		05-05-2005
--------------------------------------------------------------------------------------*/%>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
    String dataQuery = "SELECT * FROM floralRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next();
	
	String quoteID = rs.getString("quoteID");
	String modifyURL = "/myapp/webForms/Floral/CanalModifyQuote.jsp";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Floral/CanalCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: CanalReviewQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
%>
<script language = "JavaScript">
// Event handler function for submission
var outputString = "Please enter the following:\n";
var flag = 0;
var focusFlag = 0;

// get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// The following 3 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

</script>	  

<table width="800" border="2" align="center" cellpadding="4" cellspacing="0" bordercolor="#FFFFFF" bgcolor="#FFFFFF" style="border-collapse: collapse" >
  <tr bgcolor="#CCFF99"> 
    <td class="CanalTitle"><p>&nbsp;</p>
      <p>.Canal.Street.Ltd.</p></td>
  </tr>
  <tr > 
    <td bgcolor="#CCCCCC">&nbsp;</td>
  </tr>
  <tr> 
    <td align =" center" bordercolor="#CCCCCC" bgcolor="#CCCCCC"> <p>Below you'll 
        find your floral request. If you'd like to make some changes to your order, 
        click Modify Order to do so. If you've decided you'd like to cancel this 
        request, you can click the Cancel Button. Thank you for your business!</p>
      <p>.Canal.Street.Ltd.</p>
      <form name="quoteForm" action="">
        <input type="hidden" name="uniqueID" value="<%=id%>">
        <input type="hidden" name="pageLoad" value="">
        <input type="hidden" name="pageSubmit" value="">
        <input type="hidden" name="eventSource" value="CanalReviewQuote.jsp">
        <input type="hidden" name="quoteID" value=<"">
	<input type="hidden" name="vendorID" value="floral2">

        <table width="87%" border="1" align="center" style="border-collapse: collapse" bordercolor="#666666">
          <tr> 
            <td height="33" colspan="2"> <div align="center"><strong>Canal Street 
                Ltd Floral Request</strong></div></td>
          </tr>
          <tr> 
            <td width="49%">First Name: <font class="data"><%=rs.getString("contactFirstName")%></font> 
            </td>
            <td width="51%">Last Name: <font class="data"><%=rs.getString("contactLastName")%></font> 
            </td>
          </tr>
          <tr> 
            <td height="32">Email: <font class="data"><%=rs.getString("contactEmail")%></font> 
              &nbsp;</td>
            <td height="32">&nbsp;</td>
          </tr>
          <% String date = rs.getString("eventMonth") + ", " + rs.getString("eventDayOfMonth") + " " + rs.getString("eventYear"); %>
          <tr> 
            <td colspan="2">Event Date:<font class="data"><%=date%></font> </tr>
          <tr> 
            <td colspan="2">Event Location: <font class="data"><%=rs.getString("eventLocation")%></font> 
          </tr>
          <tr> 
            <td colspan="2">Event Title: <font class="data"><%=rs.getString("eventTitle")%></font> 
              &nbsp;&nbsp;</td>
          </tr>
          <tr> 
            <td>Setup Complete Time: <font class="data"><%=TimeFormat.format(rs.getString("setupComplete"))%></font></td>
            <td>Breakdown Start Time: <font class="data"><%=TimeFormat.format(rs.getString("breakdownStart"))%></font></td>
          </tr>
          <tr valign="top"> 
            <td colspan="2"> &nbsp;<font class="data">Flowers Requested:</font> 
              <table width="99%">
                <%
				if (rs.getString("item1").equals("Yes")) {
				%>
                <tr> 
                  <td width="25%"><font class="data">Simple Vase:</font></td>
                  <td width="21%">Quantity: <font class="data"><%=rs.getString("quantItem1")%></font></td>
                  <td width="22%">Size: <font class="data"><%=rs.getString("sizeItem1")%></font></td>
                  <td width="32%">Type of Rose(s): <font class="data"><%=rs.getString("flowerTypeItem1")%></font></td>
                </tr>
                <%
				 } // end if
				if (rs.getString("item2").equals("Yes")) {
				%>
                <tr> 
                  <td><font class="data">Swag:</font></td>
                  <td>Quantity: <font class="data"><%=rs.getString("quantItem2")%></font></td>
                  <td>Size: <font class="data"><%=rs.getString("sizeItem2")%></font></td>
                  <td>Type of Rose(s): <font class="data"><%=rs.getString("flowerTypeItem2")%></font></td>
                </tr>
                <%
				} // end if
				if (rs.getString("item3").equals("Yes")) {
				%>
                <tr> 
                  <td><font class="data">Centerpiece:</font></td>
                  <td>Quantity: <font class="data"><%=rs.getString("quantItem3")%></font></td>
                  <td>Size:<font class="data"><%=rs.getString("sizeItem3")%></font></td>
                  <td>Type of Rose(s): <font class="data"><%=rs.getString("flowerTypeItem3")%></font></td>
                </tr>
                <%
				} // end if
				if (rs.getString("item4").equals("Yes")) {
				%>
                <tr> 
                  <td><font class="data">Attention Grabber:</font></td>
                  <td>Quantity: <font class="data"><%=rs.getString("quantItem4")%></font></td>
                  <td>Size: <font class="data"><%=rs.getString("sizeItem4")%></font></td>
                  <td>Type of Rose(s):<font class="data"><%=rs.getString("flowerTypeItem4")%></font></td>
                </tr>
                <% } // end if %>
                <tr> 
                  <td>&nbsp;</td>
                  <td valign="middle">&nbsp;</td>
                  <td valign="top">&nbsp;</td>
                  <td valign="top">&nbsp;</td>
                </tr>
              </table></td>
          </tr>
          <tr valign="top"> 
            <td colspan="2">Total for your request: <font class="data">$ <%=rs.getString("quote")%></font></td>
          </tr>
          <tr valign="top"> 
            <td colspan="2"><table width="50%" border="0" cellpadding="0" align="center">
                <tr class="buttonBar"> 
                  <td><input name="modifyButton" type="submit" id="modifyButton" value="Modify Order"
				  	onClick = "return setActionModify(quoteForm)"></td>
                  <td><input name="cancelOrder" type="submit" id="cancelOrder" value="Cancel Order"
				  		onClick = "return setActionCancel(quoteForm)"></td>
                </tr>
              </table></td>
          </tr>
        </table>
      </form>
      <p></p>
      <p>&nbsp;</p></td>
  </tr>
  <% // insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
   %>
<% dcon.closeDBConnection(); %>
</table>


<tr>
  <td width="40%" align =" right" bgcolor="#99CCFF">&nbsp;</body>
