<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Lilli Festivale</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="LilliStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad= "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------
					L I L L I M O D I F Y Q U O T E . J S P   
---------------------------------------------------------------------------------------
Purpose:	This jsp file displays Lilli Festivale floral requests and quote information.
			Users can modify or cancel their quote from this page.  Clicking modify sends
			the changes to THServlet
Input:		uniqueID
Author:		Kyle Cunningham <kcunning@cs>
Created:	05-10-2005
---------------------------------------------------------------------------------------*/
%>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	String dataQuery = "SELECT * FROM floralRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/Floral/LilliReviewQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: LilliModifyQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
		
//user data - get it from dataQuery 
	String eventLocation = rs.getString("eventLocation");
	String eventMonth = rs.getString("eventMonth");
	String eventDayOfMonth = rs.getString("eventDayOfMonth");
	String eventYear = rs.getString("eventYear");

%>

<script language="Javascript">
var outputString = "Please enter the following:\n";
var flag = 0;
var focusFlag = 0;
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()


function checkItem1(formName) {
	if (formName.item1.value == "Yes") {
		if (formName.quantItem1.value == "") {
			outputString += "Vase: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem1);
		}
		if (formName.sizeItem1.value == "Please Select One") {
			outputString += "Vase: Size(s)\n";
			flag = 1;
			checkForFocus(formName.sizeItem1);
		}
		if (formName.flowerTypeItem1.value == "") {
			outputString += "Vase: Type of Rose(s)\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem1);
		}
	}
} // end checkItem1()

function checkItem2(formName) {
	if (formName.item2.value == "Yes") {
		if (formName.quantItem2.value == "") {
			outputString += "Rose Bundle: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem2);
		}
		if (formName.sizeItem2.value == "Please Select One") {
			outputString += "Rose Bundle: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem2);
		}
		if (formName.flowerTypeItem2.value == "") {
			outputString += "Rose Bundle: Type of Rose(s)\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem2);
		}
	}
} // end checkItem2()

function checkItem3(formName) {
	if (formName.item3.value == "Yes") {
		if (formName.quantItem3.value == "") {
			outputString += "Centerpiece: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem3);
		}
		if (formName.sizeItem3.value == "Please Select One") {
			outputString += "Centerpiece: Size(s)\n";
			flag = 1;
			checkForFocus(formName.sizeItem3);
		}
		if (formName.flowerTypeItem3.value == "") {
			outputString += "Centerpiece: Type of Rose(s)\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem3);
		}
	}
} // end checkItem3()

function checkItem4(formName) {
	if (formName.item4.value == "Yes") {
		if (formName.quantItem4.value == "") {
			outputString += "Eye Catcher: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem4);
		}
		if (formName.sizeItem4.value == "Please Select One") {
			outputString += "Eye Catcher: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem4);
		}
		if (formName.flowerTypeItem4.value == "") {
			outputString += "Eye Catcher: Type of Rose(s)\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem4);
		}
	}
} // end checkItem4()

function checkSubmission(formName) {
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == ""){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.setupComplete.value == "") {
		outputString += "Setup Complete Time\n";
		flag = 1;
		checkForFocus(formName.setupComplete);
	}
	if (formName.breakdownStart.value == ""){
		outputString += "Breakdown Start Time\n";
		flag = 1;
		checkForFocus(formName.breakdownStart);
	}
	checkItem1(formName);
	checkItem2(formName);
	checkItem3(formName);
	checkItem4(formName);
			
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "Please Enter the following:\n";
		flag = 0;
		focusFlag = 0;
		return false;
	}
	else {
		formName.pageSubmit.value = clock();
		return true;
	}
} // end checkSubmission

// onClick methods -> each item has it's own method called onClick to check the value of the
// select.  If value == Yes, focus is shifted to that items quantity field.  If value == No, 
// that item's quantity field is set to zero
function clickItem1(formName) {
	if (formName.item1.value == "Yes" ) {
		formName.quantItem1.focus();
	}
	else { // value is No
		formName.quantItem1.value = 0;
		formName.flowerTypeItem1.value = "None";
	}	
} // end clickCD

function clickItem2(formName) {
	if (formName.item2.value == "Yes" ) {
		formName.quantItem2.focus();
	}
	else { // value is No
		formName.quantItem2.value = 0;
		formName.flowerTypeItem2.value = "None";
	}	
} // end 

function clickItem3(formName) {
	if (formName.item3.value == "Yes" ) {
		formName.quantItem3.focus();
	}
	else { // value is No
		formName.quantItem3.value = 0;
		formName.flowerTypeItem3.value = "None";
		formName.sizeItem3.value = "";
	}	
} // end 

function clickItem4(formName) {
	if (formName.item4.value == "Yes" ) {
		formName.quantItem4.focus();
	}
	else { // value is No
		formName.quantItem4.value = 0;
		formName.flowerTypeItem4.value = "None";
	}	
} // end 


// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	if (checkSubmission(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true;
	}	
	else
		return false;
} // end setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>

<div align="justify"> 
  <table width="987">
    <!--DWLayoutTable-->
    <tr>
      <td height="53"><p align="center"><font size="7" face="Georgia, Times New Roman, Times, serif">Lilli 
          Festivale & Co.</font> </p>
        <div align="center"> 
          <table width="80%">
            <tr> 
              <td width="8%"><img src="lilliFestivale/belaLugosi.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/candystripeAmaryllis.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/pinkHawaiianPeony.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/greenGoddess.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/shocking.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/lilacDahlia.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/blackJackGlads.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/globeThistle.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/eleanorRose.jpg" width="88" height="92"></td>
            </tr>
          </table>
        </div></td>
    </tr>
    <tr> 
      <td width="975" height="53"> <div class="center"><font class="titleLine">Modify 
          your floral request from Lilli Festivale &amp; Co. <br>
          </font></div></td>
    </tr>
    <tr> 
      <td height="113"><div class="center"> 
          <form name="quoteForm" action="">
            <input type="hidden" name="uniqueID" value="<%=id%>">
            <input type="hidden" name="pageLoad" value="">
            <input type="hidden" name="pageSubmit" value="">
            <input type="hidden" name="eventSource" value="LilliModifyQuote.jsp">
            <input type="hidden" name="quoteID" value="">
            <input type="hidden" name="quoteModification" value="yes">
            <input type="hidden" name="requestType" value="floral">
            <input type="hidden" name="floral3" value="checked">
            <input type="hidden" name="vendorID" value="floral3">
            <table width="67%" border="1" style="border-collapse: collapse" bordercolor="#666666" align="center">
              <tr> 
                <td colspan="2"><font class="emphasis">Customer Information: </font></td>
              </tr>
              <tr> 
                <td width="47%">First Name: <font class="data"> 
                  <input name="contactFirstName" type="text" class="inputBox" value="<%=rs.getString("contactFirstName")%>">
                  </font></td>
                <td width="53%">Last Name: <font class="data"> 
                  <input name="contactLastName" type="text" class="inputBox" value="<%=rs.getString("contactLastName")%>">
                  </font> </td>
              </tr>
              <tr> 
                <td>Email: <font class="data"> 
                  <input name="contactEmail" type="text" class="inputBox" value="<%=rs.getString("contactEmail")%>">
                  </font></td>
                <td>&nbsp; </td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;&nbsp;</td>
              </tr>
              <tr> 
                <td height="22" colspan="2"><font class="emphasis">Event Information:&nbsp;</font></td>
              </tr>
              <% 	rs.close();
		  		rs = dcon.submitMonthQuery();
			%>
              <tr> 
                <td>Event Date: <font class="data"> 
                  <select name="eventMonth" id="eventMonth" class="inputBox">
                    <option value=<%=eventMonth%> selected><%=eventMonth%></option>
                    <% 	String value;	
		  		while (rs.next()) {
					value = rs.getString(1);
		  		%>
                    <option value="<%=value%>"><%=value%></option>
                    <% } // end while %>
                  </select>
                  <select name="eventDayOfMonth" id="eventDayOfMonth" class="inputBox">
                    <option value=<%=eventDayOfMonth%> selected><%=eventDayOfMonth%></option>
                    <% int day = 1;
		  				while (day <= 31 ) {
		  			%>
                    <option value="<%=day%>"><%=day%></option>
                    <% day++;
		   			} // end while
		   			%>
                  </select>
                  <select name="eventYear" id="eventYear" class="inputBox">
                    <option value=<%=eventYear%> selected><%=eventYear%></option>
                    <% int year = 2005;
		  			while (year <= 2010 ) {
		  			%>
                    <option value="<%=year%>"><%=year%></option>
                    <% year++;
		   			} // end while
		   			%>
                  </select>
                  </font></td>
                <%		rs.close();
		 		rs = dcon.submitRoomQuery();
			 %>
                <td>Event Location: <font class="data"> 
               <select name="eventLocation" id="eventLocation" class="inputBox">
        			<option value="<%=eventLocation%>" selected><%=eventLocation%></option>
           			<option value="">---------------</option>
           			<% 	String room = new String();
						String building = new String();
						while (rs.next()) {
							room = rs.getString(1);
							building = rs.getString(2);
					%>
        			<option value="<%=room%>"><%=building%> - <%=room%></option>
           			<% } // end while %>
        		</select>
                  </font></td>
              </tr>
              <% rs.close();
		 		rs = dcon.submitQuery(dataQuery);
				crap = rs.next();
			  %>
              <tr> 
                <td>Event Title: <font class="data"> 
              <input name="eventTitle" type="text" class="inputBox" value="<%=rs.getString("eventTitle")%>"></font> 
                <td>&nbsp;</td>
              </tr>
              <% rs.close();
		 		rs = dcon.submitQuery(dataQuery);
				crap = rs.next();
			%>
			  <tr> 
                <td>Setup Complete By: 
                  <select name="setupComplete" class="inputBox" id="setupComplete" onChange="checkSetupTimes(document.quoteForm)">
                    <option value="<%=rs.getString("setupComplete")%>" selected><%=TimeFormat.format(rs.getString("setupComplete"))%></option>
                    <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
                  </select></td>
                <td>Breakdown Start: 
                  <select name="breakdownStart"  class="inputBox" id="breakdownStart" onChange="checkSetupTimes(document.quoteForm)">
                    <option value="<%=rs.getString("breakdownStart")%>" selected><%=TimeFormat.format(rs.getString("breakdownStart"))%></option>
                    <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
                 </select></td>
              </tr>
              <tr> 
                <td colspan="2"><font class="data">Your floral selection:</font></td>
              </tr>
              <tr> 
                <td> <table width="100%" border="0" cellpadding="0">
                    <tr> 
                      <td>Classic Vase Arrangement: <font class="data"> 
                        <select name="item1" class="inputBox" id="item1" onChange= "return clickItem1(document.quoteForm)">
                          <option value="<%=rs.getString("item1")%>"><%=rs.getString("item1")%></option>
                          <option value="">---------------</option>
                          <option value="Yes">Yes</option>
                          <option value="No">No</option>
                        </select>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Quant: <font class="data"> 
                        <input name="quantItem1" type="text" class="inputBox" value="<%=rs.getString("quantItem1")%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
                        </font></td>
                    </tr>
                    <tr> 
                      <td height="25">Size: <font class="data"> 
                        <select name="sizeItem1" class="inputBox" >
                          <option value="<%=rs.getString("sizeItem1")%>" selected><%=rs.getString("sizeItem1")%></option>
                          <option value="">------------</option>
                          <option value="Small">Small</option>
                          <option value="Medium">Medium</option>
                          <option value="Large">Large</option>
                        </select>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: <font class="data"> 
                        <input name="flowerTypeItem1" type="text" class="inputBox" value="<%=rs.getString("flowerTypeItem1")%>">
                        </font></td>
                    </tr>
                    <tr> 
                      <td>&nbsp;</td>
                    </tr>
                    <tr> 
                      <td>Centerpiece: <font class="data"> 
                        <select name="item3" class="inputBox" id="item3" onChange= "return clickItem3(document.quoteForm)">
                          <option value="<%=rs.getString("item3")%>" selected><%=rs.getString("item3")%></option>
                          <option value="">---------------</option>
                          <option value="Yes">Yes</option>
                          <option value="No">No</option>
                        </select>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Quant: <font class="data"> 
                        <input name="quantItem3" type="text" class="inputBox" value="<%=rs.getString("quantItem3")%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Size: <font class="data"> 
                        <select name="sizeItem3" class="inputBox" >
                          <option value="<%=rs.getString("sizeItem3")%>" selected><%=rs.getString("sizeItem3")%></option>
                          <option value="">------------</option>
                          <option value="Small">Small</option>
                          <option value="Medium">Medium</option>
                          <option value="Large">Large</option>
                        </select>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: <font class="data"> 
                        <input name="flowerTypeItem3" type="text" class="inputBox" value="<%=rs.getString("flowerTypeItem3")%>">
                        </font></td>
                    </tr>
                  </table></td>
                <td><table width="100%" border="0" cellpadding="0">
                    <tr> 
                      <td>Rose Bundle: 
                        <select name="item2" class="inputBox"id="item2" onChange= "return clickItem2(document.quoteForm)">
                          <option value="<%=rs.getString("item2")%>" selected><%=rs.getString("item2")%></option>
                          <option value="">---------------</option>
                          <option value="Yes">Yes</option>
                          <option value="No">No</option>
                        </select></td>
                    </tr>
                    <tr> 
                      <td>Quant: <font class="data"> 
                        <input name="quantItem2" type="text" class="inputBox" value="<%=rs.getString("quantItem2")%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Size: <font class="data"> 
                        <select name="sizeItem2" class="inputBox">
                          <option value="<%=rs.getString("sizeItem2")%>" selected><%=rs.getString("sizeItem2")%></option>
                          <option value="">------------</option>
                          <option value="Small">Small</option>
                          <option value="Medium">Medium</option>
                          <option value="Large">Large</option>
                        </select>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: <font class="data"> 
                        <input name="flowerTypeItem2" type="text" class="inputBox" value="<%=rs.getString("flowerTypeItem2")%>">
                        </font></td>
                    </tr>
                    <tr> 
                      <td>&nbsp;</td>
                    </tr>
                    <tr> 
                      <td>Ooh La La! - Eye Catcher Arrangement: <font class="data"> 
                        <select name="item4" class="inputBox"id="item4" onChange= "return clickItem4(document.quoteForm)">
                          <option value="<%=rs.getString("item4")%>" selected><%=rs.getString("item4")%></option>
                          <option value="">---------------</option>
                          <option value="Yes">Yes</option>
                          <option value="No">No</option>
                        </select>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Quant: <font class="data"> 
                        <input name="quantItem4" type="text" class="inputBox" value="<%=rs.getString("quantItem4")%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Size: <font class="data"> 
                        <select name="sizeItem4" class="inputBox">
                          <option value="<%=rs.getString("sizeItem4")%>" selected><%=rs.getString("sizeItem4")%></option>
                          <option value="">------------</option>
                          <option value="Small">Small</option>
                          <option value="Medium">Medium</option>
                          <option value="Large">Large</option>
                        </select>
                        </font></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: <font class="data"> 
                        <input name="flowerTypeItem4" type="text" class="inputBox" value="<%=rs.getString("flowerTypeItem4")%>">
                        </font></td>
                    </tr>
                  </table></td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;</td>
              </tr>
              <tr valign="top"> 
                <td colspan="2"><table width="50%" border="0" cellpadding="0" align="center">
                    <tr class="buttonBar"> 
                      <td><div align="center"> 
                          <input name="acceptButton" type="submit" class="inputBox" id="acceptButton" value="Submit"
								onclick="return setActionAccept(document.quoteForm)">
                        </div></td>
                      <td> <div align="center"> 
                          <input name="cancelOrder" type="submit" class="inputBox" id="cancelOrder" value="Cancel"
								onclick="setActionCancel(document.quoteForm)">
                        </div></td>
                    </tr>
                  </table></td>
              </tr>
            </table>
          </form>
        </div></td>
    </tr>
    <% // insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
	%>
<% dcon.closeDBConnection(); %>
  </table>
</div>
<p align="justify">&nbsp;</p>
</body>
</html>
