<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Attention! Moveable and Immoveable Conflicts!</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<%
/*---------------------------------------------------------------------------------------------
						 T W O T Y P E C O N F L I C T . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is called from PlanAMeetingServlet.java to display a page indicating
			a moveable and immoveable scheduling conflict exists with the proposed date, time, and length.
			If user selects yes to continue, processing is directed back to PAMServlet with flag
			set to indicate this path has already been taken.  If no, user is directed back to 
			the initial scheduling page.
Input:		Necessary data includes information that needs to go back to the servlet to finish
			up processing: date, length, startTime, organizerName, organizerEmail, immoveableFlag,
			Vectors people, name -> all sent via the http session.
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-02-23
---------------------------------------------------------------------------------------------*/%>
<%@page import="java.util.*"%>
<%
String date = request.getParameter("date");
String length = request.getParameter("length");
String startTime = request.getParameter("startTime");
String organizerEmail = request.getParameter("organizerEmail");
String organizerName = request.getParameter("organizerName");
Integer immoveableFlag = new Integer(1);
Vector people = (Vector)session.getAttribute("people");
Vector names = (Vector)session.getAttribute("names");
String firstDayOfWeek = request.getParameter("firstDayOfWeek");

// now set the session attributes so the servlet can use them
session.setAttribute("date", date);
session.setAttribute("length", length);
session.setAttribute("startTime", startTime);
session.setAttribute("organizerEmail", organizerEmail);
session.setAttribute("organizerName", organizerName);
session.setAttribute("immoveableFlag", immoveableFlag);
session.setAttribute("people", people);
session.setAttribute("names", names);
%>
<body bgcolor="#CCFFFF">
<script language="JavaScript">
// If "Yes" button is pressed, set the form action accordingly
function submitFormYes(formName) {
	formName.action = "/myapp/PlanAMeetingServlet";
}

// if "No" button is pressed, set the form action accordingly
function submitFormNo(formName) { // the button pressed was "No"
	formName.action = "/myapp/webForms/CalendarResults.jsp";
}
</script>

<form action="" name="attentionForm">
  <input type="hidden" name="twoTypeConflictVisited" value="flagged">
  <input type="hidden" name="moveableVisited" value="notflagged">
  <input type="hidden" name="immoveableVisited" value="notflagged">
  <input type="hidden" name="date" value="<%=firstDayOfWeek%>">
<%
	for (int i=0; i<people.size(); i++) {
		String cal = "calendar" + (String)people.get(i);
		String value = (String)people.get(i); %>
		<input type="hidden" name="<%=cal%>" value="<%=value%>">
<%	} // end for%>

  <table width="62%" border="3" align="center">
    <tr bgcolor="#FF0000"> 
      <td colspan="2"> 
        <div align="center"><font size="6" face="Verdana, Arial, Helvetica, sans-serif"><strong>Attention!! 
          </strong> </font></div></td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2"> 
        <p><font face="Verdana, Arial, Helvetica, sans-serif">It has been determined 
          that both a moveable conflict and an immoveable conflict exist forone 
          or more of the people with whom you are attempting to schedule a meeting. 
          </font></p>
        <p><font face="Verdana, Arial, Helvetica, sans-serif">Would you like to 
          continue with the proposed meeting date, time, and length?</font></p></td>
    </tr>
    <tr> 
      <td width="48%" bgcolor="#FFFFFF"> 
        <div align="center"><font face="Verdana, Arial, Helvetica, sans-serif"> 
          <input name="yesButton" type="submit" id="yesButton" value="Yes" 
		  onClick="submitFormYes(document.attentionForm)">
          </font></div></td>
      <td width="52%" bordercolor="#CCCCCC" bgcolor="#FFFFFF"> 
        <div align="center"><font face="Verdana, Arial, Helvetica, sans-serif"> 
          <input name="noButton" type="submit" id="noButton" value="No"
		  onClick="submitFormNo(document.attentionForm)">
          </font></div></td>
    </tr>
  </table>
</form>
</body>
</html>

