<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>A1 Limo Service - Modify your quote</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 A 1 L I M O M O D I F Y Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the A1 Limo 
			Service.  Users can modify their quote from this page.  Request info is gathered from 
			the towncar table.  When submit is calculated quote will need to be recalculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-01
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>

<%
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	/*
	ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	*/
	String id = request.getParameter("uniqueID");
	String quoteID = request.getParameter("quoteID");
	
	/*
	Class.forName("com.mysql.jdbc.Driver").newInstance(); 
	con = DriverManager.getConnection(rb.getString("databaseName"), rb.getString("databaseUser"), rb.getString("databasePass")); 
    st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	rs = st.executeQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	*/
	String dataQuery = "SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')";
	ResultSet rs = dcon.submitQuery(dataQuery);	
	rs.next(); // move pointer to the actual row
	
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/Towncar/A1LimoQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	
	/*
	System.out.println("DEBUG: A1LimoQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");	
	*/
	dcon.setupLogUpdate(eventSource, pageLoad, pageSubmit, quoteID);
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// called onChange for the <select> airportPickup menu
function checkAirportPickup(formName) {
	if (formName.airportPickup.value == "No") {
		formName.airline.value = " ";
		formName.flightNumber.value = " ";
		formName.flightArrivalTime.value = " ";
		formName.flightDepartureCity.value = " ";
	} // end if
	if (formName.airportPickup.value == "Yes") {
		formName.airline.value = "<%=rs.getString("airline")%>";
		formName.flightNumber.value = "<%=rs.getString("flightNumber")%>";
		formName.flightArrivalTime.value = "<%=rs.getString("flightArrivalTime")%>";
		formName.flightDepartureCity.value = "<%=rs.getString("flightDepartureCity")%>";
	} // end if
} // end checkAirportPickup

// checkArrivalTime() - this function makes sure the user isn't requesting an impossible pickup and arrival
//						combination
var timeErrorString = "ERROR! Drop-off time cannot fall before pick-up time!  Please modify and resubmit.\n";
function checkArrivalTime(formName) {
	var arrivalHour = 0, pickupHour = 0, arrivalMinutes = 0, pickupMinutes = 0;
	arrivalHour = formName.arrivalTime.value.substring(0,2);
	pickupHour = formName.pickupTime.value.substring(0,2);
	arrivalMinutes = formName.arrivalTime.value.substring(3,5);
	pickupMinutes = formName.pickupTime.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (arrivalHour < pickupHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((arrivalHour == pickupHour)&&(arrivalMinutes < pickupMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.arrivalTime.value == formName.pickupTime.value) {
		alert("Pick-up and Arrival times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionSubmit(formName) {
	if (checkArrivalTime(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true
	}
	else {return false}
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>

<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="quoteModification" value="yes">
<input type="hidden" name="requestType" value="towncar">
<input type="hidden" name="towncarService1" value="checked">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="A1LimoModifyQuote.jsp">
<input type="hidden" name="quoteID" value="">
  <p><font size="5" face="Arial, Helvetica, sans-serif"><u>A1 Limo Service - Modify 
    your quote</u></font> </p>
  <table width="48%" border="0">
    <tr> 
      <td width="35%"><font size="2" face="Arial, Helvetica, sans-serif">Event 
        Title:</font></td>
      <td width="65%"><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="eventTitle" type="text" id="eventTitle" value= "<%=rs.getString("eventTitle")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Event Date:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="eventDate" type="text" id="eventDate" value="<%=rs.getString("eventDate")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Event Location:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="eventLocation" type="text" id="eventLocation" value="<%=rs.getString("eventLocation")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">First Name:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="contactFirstName" type="text" id="contactFirstName" value="<%=rs.getString("contactFirstName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Last Name:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="contactLastName" type="text" id="contactLastName" value="<%=rs.getString("contactLastName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td height="35"><font size="2" face="Arial, Helvetica, sans-serif">Phone:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="contactPhone" type="text" id="contactPhone" value="<%=rs.getString("contactPhone")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Email:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="contactEmail" type="text" id="contactEmail" value="<%=rs.getString("contactEmail")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Passenger First Name:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="passengerFirstName" type="text" id="passengerFirstName" value="<%=rs.getString("passengerFirstName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Passenger Last Name:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="passengerLastName" type="text" id="passengerLastName" value="<%=rs.getString("passengerLastName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Pick-up Information:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="pickupStreet" type="text" id="pickupStreet" value="<%=rs.getString("pickupStreet")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="pickupCity" type="text" id="pickupCity" value="<%=rs.getString("pickupCity")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="pickupState" type="text" id="pickupState" value="<%=rs.getString("pickupState")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="pickupPhone" type="text" id="pickupPhone" value="<%=rs.getString("pickupPhone")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Drop-off Information:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="dropoffStreet" type="text" id="dropoffStreet" value="<%=rs.getString("dropoffStreet")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="dropoffCity" type="text" id="dropoffCity" value="<%=rs.getString("dropoffCity")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="dropoffState" type="text" id="dropoffState" value="<%=rs.getString("dropoffState")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="dropoffPhone" type="text" id="dropoffPhone" value="<%=rs.getString("dropoffPhone")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Pick-up Time:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <select name="pickupTime" id="pickupTime">
            <option value="<%=rs.getString("pickupTime")%>" selected><%=TimeFormat.format(rs.getString("pickupTime"))%></option>
            <%=TimeFormat.getTimeOptions("08:00", "23:30", true)%>
          </select>
		</font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Arrival Time:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <select name="arrivalTime" id="arrivalTime">
        <option value="<%=rs.getString("arrivalTime")%>" selected><%=TimeFormat.format(rs.getString("arrivalTime"))%></option>
        <%=TimeFormat.getTimeOptions("08:00", "23:30", true)%>
		</select>
		</font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Airport Pickup:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <select name="airportPickup" id="airportPickup" onChange="return(checkAirportPickup(document.quoteForm))">
        <option value="<%=rs.getString("airportPickup")%>" selected><%=rs.getString("airportPickup")%></option>
            <option value="">---------------</option>
			<option value="Yes">Yes</option>
			<option value="No">No</option>
		</select>
		</font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Airline:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="airline" type="text" id="airline" value="<%=rs.getString("airline")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Flight Number:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="flightNumber" type="text" id="flightNumber" value="<%=rs.getString("flightNumber")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Arrival Time:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="flightArrivalTime" type="text" id="flightArrivalTime" value="<%=TimeFormat.format(rs.getString("flightArrivalTime"))%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font size="2" face="Arial, Helvetica, sans-serif">Departing City:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <input name="flightDepartureCity" type="text" id="flightDepartureCity" value="<%=rs.getString("flightDepartureCity")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td colspan="2"><table width="97%" border="0">
          <tr> 
            <td width="17%">&nbsp;</td>
            <td width="16%"><input name="submit" type="submit" id="submit" value="Submit" 
							onClick="setActionSubmit(document.quoteForm)"></td>
            <td width="67%"><input name="cancelButton" type="submit" id="cancelButton" value="Cancel" 
							onClick="setActionCancel(document.quoteForm)"></td>
          </tr>
        </table></td>
    </tr>
  </table>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
</form>
</body>
</html>

<%dcon.closeDBConnection();%>