<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Apex Towncar Service - Modify Quote</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor="#666600" onLoad="setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 A P E X M O D I F Y Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for Apex Towncar Service. 
			Users can modify their quote from this page.  Request info is gathered from 
			the towncar table.  When submit is calculated quote will need to be recalculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-08
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>

<%
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	/*
	ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	Statement st = null;
	ResultSet rs = null;
	*/
	String id = request.getParameter("uniqueID");
	String quoteID = request.getParameter("quoteID");
	
	/*
	Class.forName("com.mysql.jdbc.Driver").newInstance(); 
	con = DriverManager.getConnection(rb.getString("databaseName"), rb.getString("databaseUser"), rb.getString("databasePass")); 
    st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	rs = st.executeQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	*/
	ResultSet rs = dcon.submitQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	rs.next();
	
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/Towncar/ApexQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	
	/*
	System.out.println("DEBUG: A1LimoQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");	
	*/
	dcon.setupLogUpdate(eventSource, pageLoad, pageSubmit, quoteID);
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// called onChange for the <select> airportPickup menu
function checkAirportPickup(formName) {
	if (formName.airportPickup.value == "No") {
		formName.airline.value = " ";
		formName.flightNumber.value = " ";
		formName.flightArrivalTime.value = " ";
		formName.flightDepartureCity.value = " ";
	} // end if
	if (formName.airportPickup.value == "Yes") {
		formName.airline.value = "<%=rs.getString("airline")%>";
		formName.flightNumber.value = "<%=rs.getString("flightNumber")%>";
		formName.flightArrivalTime.value = "<%=rs.getString("flightArrivalTime")%>";
		formName.flightDepartureCity.value = "<%=rs.getString("flightDepartureCity")%>";
	} // end if
} // end checkAirportPickup

// checkArrivalTime() - this function makes sure the user isn't requesting an impossible pickup and arrival
//						combination
var timeErrorString = "ERROR! Drop-off time cannot fall before pick-up time!  Please modify and resubmit.\n";
function checkArrivalTime(formName) {
	var arrivalHour = 0, pickupHour = 0, arrivalMinutes = 0, pickupMinutes = 0;
	arrivalHour = formName.arrivalTime.value.substring(0,2);
	pickupHour = formName.pickupTime.value.substring(0,2);
	arrivalMinutes = formName.arrivalTime.value.substring(3,5);
	pickupMinutes = formName.pickupTime.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (arrivalHour < pickupHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((arrivalHour == pickupHour)&&(arrivalMinutes < pickupMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.arrivalTime.value == formName.pickupTime.value) {
		alert("Pick-up and Arrival times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

// This function is called when 
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

function setActionSubmit(formName) {
	if (checkArrivalTime(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true
	}
	else {return false}
} // sne setActionSubmit

</script>
<%// ---------------------------------- end JavaScript ------------------------------- %> 
<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="quoteModification" value="yes">
<input type="hidden" name="requestType" value="towncar">
<input type="hidden" name="towncarService2" value="checked">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="ApexModifyQuote.jsp">
<input type="hidden" name="quoteID" value="">
  <p>&nbsp;</p>
  <table width="47%" border="2" align="center" bordercolor="#666666" bgcolor="#A0601F">
    <tr> 
      <td colspan="2"><p align="center"><font size="5"><u> - Apex Towncar Service 
          - </u></font></p>
        <p align="center"><font size="4">Modify Quote</font> </p></td>
    </tr>
    <tr bgcolor="#666600"> 
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr> 
      <td width="35%"><div align="right"><font size="2">Event Title:</font></div></td>
      <td width="65%"><strong><font size="2"> 
        <input name="eventTitle" type="text" id="eventTitle" value= "<%=rs.getString("eventTitle")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Event Date:</font></div></td>
      <td><strong><font size="2"> 
        <input name="eventDate" type="text" id="eventDate" value="<%=rs.getString("eventDate")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Event Location:</font></div></td>
      <td><strong><font size="2"> 
        <input name="eventLocation" type="text" id="eventLocation" value="<%=rs.getString("eventLocation")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">First Name:</font></div></td>
      <td><strong><font size="2"> 
        <input name="contactFirstName" type="text" id="contactFirstName" value="<%=rs.getString("contactFirstName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Last Name:</font></div></td>
      <td><strong><font size="2"> 
        <input name="contactLastName" type="text" id="contactLastName" value="<%=rs.getString("contactLastName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td height="35"><div align="right"><font size="2">Phone:</font></div></td>
      <td><strong><font size="2"> 
        <input name="contactPhone" type="text" id="contactPhone" value="<%=rs.getString("contactPhone")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Email:</font></div></td>
      <td><strong><font size="2"> 
        <input name="contactEmail" type="text" id="contactEmail" value="<%=rs.getString("contactEmail")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Passenger First Name:</font></div></td>
      <td><strong><font size="2"> 
        <input name="passengerFirstName" type="text" id="passengerFirstName" value="<%=rs.getString("passengerFirstName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Passenger Last Name:</font></div></td>
      <td><strong><font size="2"> 
        <input name="passengerLastName" type="text" id="passengerLastName" value="<%=rs.getString("passengerLastName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Pick-up Information:</font></div></td>
      <td><strong><font size="2"> 
        <input name="pickupStreet" type="text" id="pickupStreet" value="<%=rs.getString("pickupStreet")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"> 
        <input name="pickupCity" type="text" id="pickupCity" value="<%=rs.getString("pickupCity")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"> 
        <input name="pickupState" type="text" id="pickupState" value="<%=rs.getString("pickupState")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"> 
        <input name="pickupPhone" type="text" id="pickupPhone" value="<%=rs.getString("pickupPhone")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Drop-off Information:</font></div></td>
      <td><strong><font size="2"> 
        <input name="dropoffStreet" type="text" id="dropoffStreet" value="<%=rs.getString("dropoffStreet")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"> 
        <input name="dropoffCity" type="text" id="dropoffCity" value="<%=rs.getString("dropoffCity")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"> 
        <input name="dropoffState" type="text" id="dropoffState" value="<%=rs.getString("dropoffState")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"> 
        <input name="dropoffPhone" type="text" id="dropoffPhone" value="<%=rs.getString("dropoffPhone")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Pick-up Time:</font></div></td>
      <td><strong><font size="2"> 
        <select name="pickupTime" id="pickupTime">
            <option value="<%=rs.getString("pickupTime")%>" selected><%=TimeFormat.format(rs.getString("pickupTime"))%></option>
            <%=TimeFormat.getTimeOptions("08:00", "23:00", true)%>
          </select>
		</font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Arrival Time:</font></div></td>
      <td><strong><font size="2"> 
       <select name="arrivalTime" id="arrivalTime">
        <option value="<%=rs.getString("arrivalTime")%>" selected><%=TimeFormat.format(rs.getString("arrivalTime"))%></option>
            <%=TimeFormat.getTimeOptions("08:00", "23:00", true)%>
				</select>
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Airport Pickup:</font></div></td>
      <td><strong><font size="2"> 
       <select name="airportPickup" id="airportPickup" onChange="return(checkAirportPickup(document.quoteForm))">
        <option value="<%=rs.getString("airportPickup")%>" selected><%=rs.getString("airportPickup")%></option>
            <option value="">---------------</option>
			<option value="Yes">Yes</option>
			<option value="No">No</option>
		</select>
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Airline:</font></div></td>
      <td><strong><font size="2"> 
        <input name="airline" type="text" id="airline" value="<%=rs.getString("airline")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Flight Number:</font></div></td>
      <td><strong><font size="2"> 
        <input name="flightNumber" type="text" id="flightNumber" value="<%=rs.getString("flightNumber")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Arrival Time:</font></div></td>
      <td><strong><font size="2"> 
        <input name="flightArrivalTime" type="text" id="flightArrivalTime" value="<%=TimeFormat.format(rs.getString("flightArrivalTime"))%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Departing City:</font></div></td>
      <td><strong><font size="2"> 
        <input name="flightDepartureCity" type="text" id="flightDepartureCity" value="<%=rs.getString("flightDepartureCity")%>">
        </font></strong></td>
    </tr>
    <tr bgcolor="#666600"> 
      <td height="33" colspan="2">&nbsp;</td>
    </tr>
    <tr bgcolor="A0601F"> 
      <td height="33" colspan="2"> 
        <table width="42%" border="0" align="center" bgcolor="A0601F">
          <tr bgcolor="A0601F"> 
            <td width="17%"> 
              <div align="center"><font size="5"> 
                <input name="acceptButton" type="submit" id="acceptButton" value="Submit" onClick="setActionSubmit(document.quoteForm)">
                </font></div></td>
            <td width="16%"> 
              <div align="center"><font size="5">
                <input name="cancelButton" type="Submit" value="Cancel" onClick="setActionCancel(document.quoteForm)">
                </font></div></td>
				
          </tr>
        </table></td>
    </tr>
  </table>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
</form>
</body>
</html>

<%dcon.closeDBConnection();%>
