<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<link rel="stylesheet" type="text/css" href="CMUAVStyle.css"/>
<title>Carnegie Mellon AV Services</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						  C M U A V Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for CMU AV Services.  
			Requests for quotes are made through a single page, then those companies selected
			provide a quote.  Request info is gathered from the audioVisualRequests table and quote is calculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-04-22
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	String dataQuery = "SELECT * FROM audioVisualRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/webForms/AV/CMUAVAcceptQuote.jsp";
	String modifyURL = "/myapp/webForms/AV/CMUAVModifyQuote.jsp";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/AV/CMUAVCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: CMUAVQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
	
	//flags
	String audio = "No";
	String visual = "No";
	String com = "No";
	String misc = "No";	
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 3 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>


<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="CMUAVQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="vendorID" value="AV1">
  <table width="59%" border="0" align="center" cellpadding="0" bgcolor="#9999FF">
    <tr> 
      <td> 
        <div align="center">
          <table width="94%" align="center" cellpadding="0" cellspacing="0">
            <tr> 
              <td height="96" colspan="3" bgcolor="#9999FF"> <h1 align="center"> 
                  Audio Visual Services</h1>
                <h2 align="center"> Quote for AV Service</h2></td>
              <td height="96" bgcolor="#9999FF"><img src="CMULine.gif" width="184" height="70"></td>
            </tr>
            <tr> 
              <td colspan="4" bgcolor="#9999FF"> <h3>Event &amp; Contact Information:</h3></td>
            </tr>
            <tr> 
              <td width="23%" bgcolor="#FFFFFF">Event Title:</td>
              <td width="24%" bgcolor="#FFFFFF"><strong><%=rs.getString("eventTitle")%></strong></td>
              <td width="19%" bgcolor="#FFFFFF">First Name:</td>
              <td width="34%" bgcolor="#FFFFFF"><strong><%=rs.getString("contactFirstName")%></strong></td>
            </tr>
            <tr> 
              <td bgcolor="#FFFFFF">Event Location:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("eventLocation")%></strong></td>
              <td bgcolor="#FFFFFF">Last Name:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("contactLastName")%></strong></td>
            </tr>
            <% String date = rs.getString("eventMonth") + ", " + rs.getString("eventDayOfMonth") + " " + rs.getString("eventYear"); %>
            <tr> 
              <td bgcolor="#FFFFFF">Event Date:</td>
              <td bgcolor="#FFFFFF"><strong><%=date%></strong></td>
              <td bgcolor="#FFFFFF">Email:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("contactEmail")%></strong></td>
            </tr>
            <tr> 
              <td colspan="4" bgcolor="#9999FF"> <h3>Setup &amp; Breakdown Information:</h3></td>
            </tr>
            <tr> 
              <td bgcolor="#FFFFFF"><strong>Setup :</strong></td>
              <td bgcolor="#FFFFFF">End Time:</td>
              <td colspan="2" bgcolor="#FFFFFF"><strong><%=TimeFormat.format(rs.getString("setupComplete"))%></strong></td>
            </tr>
            <tr> 
              <td bgcolor="#FFFFFF"><strong>Breakdown:</strong></td>
              <td bgcolor="#FFFFFF">Start Time:</td>
              <td colspan="2" bgcolor="#FFFFFF"><strong><%=TimeFormat.format(rs.getString("breakdownStart"))%></strong></td>
            </tr>
            <tr> 
              <td colspan="4" bgcolor="#9999FF"> <h3>Audio Items:</h3></td>
            </tr>
            <% String cdPlayer = rs.getString("cdPlayer");
				if (cdPlayer.equals("Yes")) { 
					audio = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">CD Player</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("cdPlayer")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantCDPlayer")%></strong></td>
            </tr>
            <% } // end if cdPlayer 
			String wirelessMic = rs.getString("wirelessMic");
				if (wirelessMic.equals("Yes")) {
					audio = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Wireless Microphone:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("wirelessMic")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantWirelessMic")%></strong></td>
            </tr>
            <% } // end if wirelessMic 
			String lavalierMic = rs.getString("lavalierMic");
				if (lavalierMic.equals("Yes")) {
					audio = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Lavalier Microphone:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("lavalierMic")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantLavalierMic")%></strong></td>
            </tr>
            <% } // end if lavMic 
			String podiumMic = rs.getString("podiumMic");
				if (podiumMic.equals("Yes")) {
					audio = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Podium Microphone:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("podiumMic")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantPodMic")%></strong></td>
            </tr>
            <% } // end if
			String panelMic = rs.getString("panelMic");
				if (panelMic.equals("Yes")) {
					audio = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Panel Microphone:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("panelMic")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantPanelMic")%></strong></td>
            </tr>
            <% } // end if panelMic
			String podLaptopCon = rs.getString("podLaptopCon");
				if (podLaptopCon.equals("Yes")) {
					audio = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Podium Connection:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("podLaptopCon")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantPodLaptopCon")%></strong></td>
            </tr>
            <% } // end if panelMic
			String externalSpeakers = rs.getString("externalSpeakers");
				if (externalSpeakers.equals("Yes")) {
					audio = "Yes";
			%>
			<tr> 
              <td height="19" bgcolor="#FFFFFF">External Speakers::</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("externalSpeakers")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantexternalSpeakers")%></strong></td>
            </tr>
            <% } // end if
			if (audio.equals("No")) {
			%>
            <tr> 
              <td colspan="4" bgcolor="#FFFFFF">No Audio Equipment Requested</td>
            </tr>
            <% } // end else %>
            <tr> 
              <td colspan="4" bgcolor="#9999FF"> <h3>Visual Items:</h3></td>
            </tr>
            <%  
			String videoProj = rs.getString("videoProj");
				if (videoProj.equals("Yes")) {
					visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Video Projector</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("videoProj")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantVideoProj")%></strong></td>
            </tr>
            <% } // end if staging
			String compProj = rs.getString("compProj");
				if (compProj.equals("Yes")) {
					visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Computer Projector:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("compProj")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantCompProj")%></strong></td>
            </tr>
            <% } // end if staging
			String tvVCRDVD = rs.getString("tvVCRDVD");
				if (tvVCRDVD.equals("Yes")) {
					visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">TV/VCR/DVD:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("tvVCRDVD")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantTVVCR")%></strong></td>
            </tr>
            <% } // end if staging
			String TV = rs.getString("TV");
				if (TV.equals("Yes")) {
					visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">TV:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("TV")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantTV")%></strong></td>
            </tr>
            <% } // end if
			String slideProj = rs.getString("slideProj");
				if (slideProj.equals("Yes")) {
					visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Slide Projector:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("slideProj")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantSlideProj")%></strong></td>
            </tr>
            <% } // end if
			String overheadProj = rs.getString("overheadProj");
				if (overheadProj.equals("Yes")) {
					visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Overhead Projector:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("overheadProj")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantOverheadProj")%></strong></td>
            </tr>
            <% } // end 
			String easel = rs.getString("easel");
				if (easel.equals("Yes")) {
					visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Easel:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("easel")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantEasel")%></strong></td>
            </tr>
            <% } // end 
			String pcLaptop = rs.getString("pcLaptop");
				if (pcLaptop.equals("Yes")) {
				visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Laptop (PC):</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("pcLaptop")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantPCLaptop")%></strong></td>
            </tr>
            <% } // end 
			String appleLaptop = rs.getString("appleLaptop");
				if (appleLaptop.equals("Yes")) {
				visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Laptop (Apple):</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("appleLaptop")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantAppleLaptop")%></strong></td>
            </tr>
            <% } // end 
			String flipCharts = rs.getString("flipCharts");
				if (flipCharts.equals("Yes")) {
					visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Flip Charts:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("flipCharts")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantFlipCharts")%></strong></td>
            </tr>
            <% } // end 
			String screen = rs.getString("screen");
				if (screen.equals("Yes")) {
					visual = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Screen:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("screen")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantScreen")%></strong></td>
            </tr>
            <% } // end if
			if (visual.equals("No")) {
			%>
            <tr> 
              <td colspan="4" bgcolor="#FFFFFF">No Visual Equipment Requested</td>
            </tr>
            <% } // end else %>
            <tr> 
              <td colspan="4" bgcolor="#9999FF"> <h3>Communication Items:</h3></td>
            </tr>
            <%  
			String phones = rs.getString("phones");
				if (phones.equals("Yes")) {
					com = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Phones:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("phones")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantPhones")%></strong></td>
            </tr>
            <% } // end if round
			String faxMachine = rs.getString("faxMachine");
				if (faxMachine.equals("Yes")) {
					com = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Fax Machine:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("faxMachine")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantFax")%></strong></td>
            </tr>
            <% } // end if fax
			String computerCon = rs.getString("computerCon");
				if (computerCon.equals("Yes")) {
					com = "Yes";
			%>
            <tr> 
              <td bgcolor="#FFFFFF">Computer Connection:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("computerCon")%></strong></td>
              <td bgcolor="#FFFFFF">Quantity:</td>
              <td bgcolor="#FFFFFF"><strong><%=rs.getString("quantComputerCon")%></strong></td>
            </tr>
            <% } // end if
			if (com.equals("No")) {
			%>
            <tr> 
              <td colspan="4" bgcolor="#FFFFFF">No Communication Equipment Requested</td>
            </tr>
            <% } // end else %>
            <tr> 
              <td colspan="4" bgcolor="#9999FF"> <h3>Miscellaneous Items:</h3></td>
            </tr>
            <%  
			String podium = rs.getString("podium");
				if (podium.equals("Yes")) {
					misc = "Yes";
			%>
            <tr bgcolor="#FFFFFF"> 
              <td>Podium:</td>
              <td><strong><%=rs.getString("podium")%></strong></td>
              <td>Quantity:</td>
              <td><strong><%=rs.getString("quantPodium")%></strong></td>
            </tr>
            <% } // end 
			String lecturn = rs.getString("lecturn");
				if (lecturn.equals("Yes")) {
					misc = "Yes";
			%>
            <tr bgcolor="#FFFFFF"> 
              <td>Lecturn:</td>
              <td><strong><%=rs.getString("lecturn")%></strong></td>
              <td>Quantity:</td>
              <td><strong><%=rs.getString("quantLecturn")%></strong></td>
            </tr>
            <% } // end 
			String videotaping = rs.getString("videotaping");
				if (videotaping.equals("Yes")) {
					misc = "Yes";
			%>
            <tr bgcolor="#FFFFFF"> 
              <td>Videotaping:</td>
              <td><strong><%=rs.getString("videotaping")%></strong></td>
              <td>Quantity:</td>
              <td><strong><%=rs.getString("quantVideotaping")%></strong></td>
            </tr>
            <% } // end 
			String laserPointer = rs.getString("laserPointer");
				if (laserPointer.equals("Yes")) {
					misc = "Yes";
			%>
            <tr bgcolor="#FFFFFF"> 
              <td>Laser Pointer</td>
              <td><strong><%=rs.getString("laserPointer")%></strong></td>
              <td>Quantity:</td>
              <td><strong><%=rs.getString("quantLaserPointer")%></strong></td>
            </tr>
            <% } // end if
			if (misc.equals("No")) {
			%>
            <tr bgcolor="#FFFFFF"> 
              <td colspan="4">No Miscellaneous Equipment Requested</td>
            </tr>
            <% } // end %>
            <tr> 
              <td height="45" bgcolor="#9999FF"> <h2>Total Cost:</h2></td>
              <td colspan="3" bgcolor="#9999FF"><h2>$ <%=rs.getInt("quote1")%></h2></td>
            </tr>
            <tr> 
              <td colspan="4" bgcolor="#FFFFFF">&nbsp;</td>
            </tr>
            <tr> 
              <td colspan="4" bgcolor="#9999FF"> <table width="72%" align="center">
                  <tr> 
<% 
String buttonTest = rs.getString("quoteAccepted");
if (buttonTest==null || buttonTest.equals("") || buttonTest.equalsIgnoreCase("cancelled")) { //so if its not accepted, show accept button 
%>
                    <td width="34%"><div align="center"> 
                        <input name="acceptButton" type="submit" id="acceptButton" value="Accept"
							onClick="setActionAccept(document.quoteForm)">
                      </div></td>
<% } %>
                    <td width="35%"><div align="center"> 
                        <input name="modifyButton" type="submit" id="modifyButton" value="Modify"
		   					onClick="setActionModify(document.quoteForm)">
                      </div></td>
<% 
if (buttonTest!=null && !buttonTest.equals("") && !buttonTest.equalsIgnoreCase("cancelled")) { //so if it is accepted, show delete button 
%>
                    <td width="35%"><div align="center"> 
                        <input name="cancelButton" type="submit" id="cancelButton" value="Cancel"
		   					onClick="setActionCancel(document.quoteForm)">
                      </div></td>
<% } %>
                  </tr>
                </table></td>
            </tr>
          </table>
        </div></td>
    </tr>
  </table>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
</form>
<%  // insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
%>
<% dcon.closeDBConnection(); %>
</body>
</html>

