<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>The Flagstaff Hotel</title>
<link rel="stylesheet" type="text/css" media="screen" href="flagstaff.css">
</head>
<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						  F L A G S T A F F A V Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for Flagstaff AV.  
			Requests for quotes are made through a single page, then those companies selected
			provide a quote.  Request info is gathered from the audioVisualRequests table and quote is calculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-04-28
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	String dataQuery = "SELECT * FROM audioVisualRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String modifyURL = "/myapp/webForms/AV/FlagstaffAVModifyQuote.jsp";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/AV/FlagstaffAVCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: FlagstaffAVQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 3 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="FlagstaffAVReviewQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="vendorID" value="AV3">

<div class="BigTitle">The Flagstaff Hotel</div>
<div class="colorLtBlue"></div>
<h1>Audio/Visual Services</h1>
  <h2>Quote for Item(s) Request</h2>

<p class="Body"> Below you will find the audio visual items you requested through 
  the CMU Planning Portal. We've had a chance to review you're request and have 
  generated a quote for it. Please review the information below carefully. If 
  you find there is no need to make modifications and you are happy with our price 
  please choose "Confirm". If you'd like to modify the request please choose "Modify". 
  Choosing "Cancel" will close-out this quote in our system. <br>
  <br>
  Thank you, and we hope to do business with you! 
<div class="footer"></div>  
<h3>Audio Visual Request:</h3>
<!--<font class="tableFont"> -->
  <table class="table1" width="87%" border="0" cellpadding="0">
    <tr> 
      <td colspan="2"><font class="emphasis1">Contact Information:</font></td>
      <td colspan="2"><font class="emphasis1">Event Information:</font></td>
    </tr>
    <tr> 
      <td width="16%">First Name:</td>
      <td width="27%"><strong><%=rs.getString("contactFirstName")%></strong></td>
      <td width="22%">Event Title:</td>
      <td width="35%"><strong><%=rs.getString("eventTitle")%></strong></td>
    </tr>
    <% String date = rs.getString("eventMonth") + ", " + rs.getString("eventDayOfMonth") + " " + rs.getString("eventYear"); %>
    <tr> 
      <td>Last Name:</td>
      <td><strong><%=rs.getString("contactLastName")%></strong></td>
      <td>Event Date:</td>
      <td><strong><%=date%></strong></td>
    </tr>
    <tr> 
      <td>Email:</td>
      <td><strong><%=rs.getString("contactEmail")%></strong></td>
      <td>Event Location:</td>
      <td><strong><%=rs.getString("eventLocation")%></strong></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>Setup Complete:</td>
      <td><strong><%=TimeFormat.format(rs.getString("setupComplete"))%></strong></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>Breakdown Start:</td>
      <td><strong><%=TimeFormat.format(rs.getString("breakdownStart"))%></strong></td>
    </tr>
    <tr> 
      <td colspan="2"><font class="emphasis1">Items Requested:</font></td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <% 
  	 String cdPlayer = rs.getString("cdPlayer");
	 if (cdPlayer.equals("Yes")) { 
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>CD Player: </td>
      <td><strong><%=rs.getString("quantCDPlayer")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if cdPlayer 
	String wirelessMic = rs.getString("wirelessMic");
	if (wirelessMic.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Wireless Microphone:</td>
      <td><strong><%=rs.getString("quantWirelessMic")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if wirelessMic 
	String lavalierMic = rs.getString("lavalierMic");
	if (lavalierMic.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Lavalier Microphone:</td>
      <td><strong><%=rs.getString("quantLavalierMic")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if lavMic 
	String podiumMic = rs.getString("podiumMic");
		if (podiumMic.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Podium Microphone: </td>
      <td><strong><%=rs.getString("quantPodMic")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if
	String panelMic = rs.getString("panelMic");
		if (panelMic.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Panel Microphone:</td>
      <td><strong><%=rs.getString("quantPanelMic")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if
	String podLaptopCon = rs.getString("podLaptopCon");
		if (podLaptopCon.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Podium Laptop Connection:</td>
      <td><strong><%=rs.getString("quantPodLaptopCon")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if
	String externalSpeakers = rs.getString("externalSpeakers");
		if (externalSpeakers.equals("Yes")) {
  %>
	<tr> 
      <td>&nbsp;</td>
      <td>External Computer Speakers:</td>
      <td><strong><%=rs.getString("quantExternalSpeakers")%></strong></td>
      <td>&nbsp;</td>
    </tr>
	<%  }
	String videoProj = rs.getString("videoProj");
		if (videoProj.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Video Projector:</td>
      <td><strong><%=rs.getString("quantVideoProj")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if staging
	String compProj = rs.getString("compProj");
		if (compProj.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Computer Projector:</td>
      <td><strong><%=rs.getString("quantCompProj")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if staging
	String tvVCRDVD = rs.getString("tvVCRDVD");
	if (tvVCRDVD.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>TV/VCR/DVD:</td>
      <td><strong><%=rs.getString("quantTVVCR")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if staging
   String TV = rs.getString("TV");
	if (TV.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Television Only:</td>
      <td><strong><%=rs.getString("quantTV")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if
	String slideProj = rs.getString("slideProj");
	if (slideProj.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Slide Projector:</td>
      <td><strong><%=rs.getString("quantSlideProj")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if
	String overheadProj = rs.getString("overheadProj");
	if (overheadProj.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Overhead Projector:</td>
      <td><strong><%=rs.getString("quantOverheadProj")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end 
	String easel = rs.getString("easel");
		if (easel.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Easel:</td>
      <td><strong><%=rs.getString("quantEasel")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end 
	String pcLaptop = rs.getString("pcLaptop");
	if (pcLaptop.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Laptop - PC:</td>
      <td><strong><%=rs.getString("quantPCLaptop")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end 
	String appleLaptop = rs.getString("appleLaptop");
	if (appleLaptop.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Laptop - Apple:</td>
      <td><strong><%=rs.getString("quantAppleLaptop")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end 
   String flipCharts = rs.getString("flipCharts");
	if (flipCharts.equals("Yes")) {
   %>
    <tr> 
      <td>&nbsp;</td>
      <td>Flip Charts:</td>
      <td><strong><%=rs.getString("quantFlipCharts")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end 
	String screen = rs.getString("screen");
	if (screen.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Screen:</td>
      <td><strong><%=rs.getString("quantScreen")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <%  }
	String phones = rs.getString("phones");
		if (phones.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Phone:</td>
      <td><strong><%=rs.getString("quantPhones")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if round
	String faxMachine = rs.getString("faxMachine");
	if (faxMachine.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Fax Machine:</td>
      <td><strong><%=rs.getString("quantFax")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <%  }
	String podium = rs.getString("podium");
		if (podium.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Podium:</td>
      <td><strong><%=rs.getString("quantPodium")%></strong></td>
      <td>&nbsp;</td>
    </tr>
   <%  }
	String computerCon = rs.getString("computerCon");
		if (computerCon.equals("Yes")) {
   %>
	
	<tr>
      <td>&nbsp;</td>
      <td>Computer Network Connection:</td>
      <td><strong><%=rs.getString("quantComputerCon")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end 
	String lecturn = rs.getString("lecturn");
	 	if (lecturn.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Lecturn:</td>
      <td><strong><%=rs.getString("quantLecturn")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end 
	String videotaping = rs.getString("videotaping");
		if (videotaping.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Videotaping:</td>
      <td><strong><%=rs.getString("quantVideotaping")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end 
	String laserPointer = rs.getString("laserPointer");
		if (laserPointer.equals("Yes")) {
  %>
    <tr> 
      <td>&nbsp;</td>
      <td>Laser Pointer:</td>
      <td><strong><%=rs.getString("quantLaserPointer")%></strong></td>
      <td>&nbsp;</td>
    </tr>
    <% } // end if %>
    <tr> 
      <td colspan="2"><font class="emphasis1">Quoted Price for requested items:</font></td>
      <td><strong>$ <%=rs.getString("quote3")%></strong></td>
      <td><table width="73%" height="28" border="0" cellpadding="0" align="right">
          <tr> 
            <td><div align="right"> 
                <input name="modifyButton" class="box1" type="submit" id="modifyButton" value="MODIFY"
					onClick="setActionModify(document.quoteForm)">
              </div></td>
            <td><div align="right"> 
                <input name="cancelButton" class="box1" type="submit" id="cancelButton" value="CANCEL"
					onClick="setActionCancel(document.quoteForm)">
              </div></td>
          </tr>
        </table></td>
    </tr>
  </table>
</font>
</p>

  <div class="footer">&copy;2005 <a href="Flagstaff_site/home.html">www.flagstaffhotel.org</a> 
  </div>
</form>
<%	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
%>	
<% dcon.closeDBConnection(); %>
</body>
</html>
