<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>M A X I M A L  F O O D S </title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="MaximalStyle.css" rel="stylesheet" type="text/css">
</head>
<body>
<%
/*---------------------------------------------------------------------------------------------
						 M A X I M A L R E V I E W Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the Maximal Catering
			Service.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-05-18
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
    String dataQuery = "SELECT * FROM cateringRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next();
	
	String quoteID = rs.getString("quoteID");
	String modifyURL = "/myapp/webForms/Catering/MaximalModifyQuote.jsp";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Catering/MaximalCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: MaximalReviewQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
		

	String vegan = rs.getString("vegan");
	String vegetarian = rs.getString("vegetarian");
	String atkins = rs.getString("atkins");
	String kosher = rs.getString("kosher");
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name= "quoteForm" action="">
  <input type="hidden" name="uniqueID" value="<%=id%>">
  <input type="hidden" name="pageLoad" value="">
  <input type="hidden" name="pageSubmit" value="">
  <input type="hidden" name="eventSource" value="MaximalReviewQuote.jsp">
  <input type="hidden" name="quoteID" value=<"">
  <input type="hidden" name="vendorID" value="catering1">
  <table width="785" align="center">
    <tr> 
      <td height="78" class="header" >M A X I M A L F O O D S</td>
    </tr>
    <tr> 
      <td class="pageBody" height="162"><table width="99%" height="86" border="0">
          <tr> 
            <td height="60">&nbsp;</td>
            <td><div align="center"><img src="catering.jpg" width="83" height="104"></div></td>
            <td>&nbsp;</td>
          </tr>
          <tr> 
            <td class="center">M A X I M A L . T A L E N T</td>
            <td class="center">M A X I M A L . Q U A L I T Y</td>
            <td class="center">M A X I M A L . F O O D S</td>
          </tr>
        </table></td>
    </tr>
    <tr> 
      <td class="pageBody" height="30"><table width="100%" border="0">
          <tr> 
            <td colspan="2" class="left">Below you'll find the order you placed 
              with us through the CMU Planning Portal.  Although you've already confirmed this order you may make changes or cancel it at 
			  your convenience.  If you'd like to change this order choose 
              Modify. If you want to cancel this order choose Cancel. Thank you 
              for your interest in Maximal Foods!</td>
          </tr>
          <tr> 
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td width="33%" class="dataLabel">Contact Information</td>
            <td width="67%" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="left">Contact First Name:</td>
            <td class="data"><%=rs.getString("contactFirstName")%></td>
          </tr>
          <tr> 
            <td class="left">Contact Last Name:</td>
            <td class="data"><%=rs.getString("contactLastName")%></td>
          </tr>
          <tr> 
            <td class="left">Contact Email:</td>
            <td class="data"><%=rs.getString("contactEmail")%></td>
          </tr>
          <tr> 
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Event Information</td>
            <td class="center">&nbsp;</td>
          </tr>
          <% String date = rs.getString("eventMonth") + ", " + rs.getString("eventDayOfMonth") + " " + rs.getString("eventYear"); %>
		  <tr> 
            <td class="left">Event Date:</td>
            <td class="data"><%=date%></td>
          </tr>
          <tr> 
            <td class="left">Event Title:</td>
            <td class="data"><%=rs.getString("eventTitle")%></td>
          </tr>
          <tr> 
            <td class="left">Event Location:</td>
            <td class="data"><%=rs.getString("eventLocation")%></td>
          </tr>
          <tr> 
            <td class="left">Setup Time:</td>
            <td class="data"><%=TimeFormat.format(rs.getString("setupComplete"))%></td>
          </tr>
          <tr> 
            <td class="left">Breakdown Time:</td>
            <td class="data"><%=TimeFormat.format(rs.getString("breakdownStart"))%></td>
          </tr>
          <tr> 
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Catering Option Requested</td>
            <td class="center">&nbsp;</td>
          </tr>
          <%   %>
          <tr> 
            <td class="left">Meal: <%=rs.getString("selection")%></td>
            <td class="left">Number of Meals: <%=rs.getString("quantMeals")%></td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Special Requests</td>
            <td class="center">&nbsp;</td>
          </tr>
          <%
		  if (vegan.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Vegan</td>
            <td class="left">Quantity: <%=rs.getString("quantVegan")%></td>
          </tr>
          <%
		  } // end if vegan
		  if (vegetarian.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Vegetarian</td>
            <td class="left">Quantity: <%=rs.getString("quantVegetarian")%></td>
          </tr>
          <%
		  } // end if vegetarian
		  if (atkins.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Atkins-friendly</td>
            <td class="left">Quantity: 
              <%=rs.getString("quantAtkins")%>
            </td>
          </tr>
		  <%
		  } // end if vegetarian
		  if (kosher.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Kosher</td>
            <td class="left">Quantity: 
              <%=rs.getString("quantKosher")%>
            </td>
          </tr>
          <% } // end if
		  else {
		  %>
          <tr> 
            <td class="left">None</td>
            <td class="left">&nbsp;</td>
          </tr>
          <% } // end else %>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="left">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Total for your request:</td>
            <td class="dataLabel">$ <%=rs.getString("quote1")%></td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="dataLabel">&nbsp;</td>
          </tr>
        </table>
        <table width="100%" border="0" cellpadding="0">
          <tr> 
            <td class="center"> <input name="modifyButton" type="submit" class="Button" id="modifyButton" value="Modify Your Quote"
				onClick="setActionModify(document.quoteForm)"></td>
            <td class="center"> <input name="cancelButton" type="submit" class="button" id="cancelButton" value="Cancel This Quote"
				onClick="setActionCancel(document.quoteForm)"></td>
          </tr>
        </table></td>
    </tr>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
  </table>
   <%// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
  %>
<% dcon.closeDBConnection(); %>
 </form> 
<p>&nbsp;</p>
</body>
</html>
