<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Pittsburgh Catering</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link href="PghStyle.css" rel="stylesheet" type="text/css">
</head>
<body>
<%
/*---------------------------------------------------------------------------------------------
						    P G H A C C E P T Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used allow the user to finalize or cancel their catering request.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-05-20
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	rs = dcon.submitQuery("SELECT * FROM cateringRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/QuoteAcceptedServlet";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Catering/PghCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: PghAcceptQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
		
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "accept" is pressed
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name= "quoteForm" action="">
  <input type="hidden" name="uniqueID" value="<%=id%>">
  <input type="hidden" name="pageLoad" value="">
  <input type="hidden" name="pageSubmit" value="">
  <input type="hidden" name="eventSource" value="PghAcceptQuote.jsp">
  <input type="hidden" name="quoteID" value=<"">
  <input type="hidden" name="vendorID" value="catering2">
  <table width="785" align="center">
    <tr> 
      <td class="pageBody"> <table width="100%" border="0">
          <tr> 
            <td class="logo1" width="15%" rowspan="15"> <table width="100%" height="100" border="0" cellpadding="0">
                <tr> 
                  <td width="50%" class="logo1">P</td>
                  <td width="50%"></td>
                </tr>
                <tr> 
                  <td class="logo1">I</td>
                  <td class="logo2">C</td>
                </tr>
                <tr> 
                  <td class="logo1">T</td>
                  <td class="logo2">A</td>
                </tr>
                <tr> 
                  <td class="logo1">T</td>
                  <td class="logo2">T</td>
                </tr>
                <tr> 
                  <td class="logo1">S</td>
                  <td class="logo2">E</td>
                </tr>
                <tr> 
                  <td class="logo1">B</td>
                  <td class="logo2">R</td>
                </tr>
                <tr> 
                  <td class="logo1">U</td>
                  <td class="logo2">I</td>
                </tr>
                <tr> 
                  <td class="logo1">R</td>
                  <td class="logo2">N</td>
                </tr>
                <tr> 
                  <td class="logo1">G</td>
                  <td class="logo2">G</td>
                </tr>
                <tr> 
                  <td class="logo1">H</td>
                  <td></td>
                </tr>
              </table></td>
            <td colspan="2" class="logo2">YOUR CATERING REQUEST:</td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td width="41%" class="dataLabel">Finalize your request with us</td>
            <td width="44%" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="left"><table width="100%" border="0" cellpadding="0">
                <tr> 
                  <td height="89" colspan="3"> <p>We're very pleased you've decided 
                      to choose Pittsburgh Catering to service your event's catering 
                      needs. </p>
                    <p>Officially accepting our quote for your request will finalize 
                      your request in our systems. To do so simply click on the 
                      Finalize This Quote button below. </p>
                    <p>If you've come this far and for some reason have decided 
                      you'd rather cancel this request you can do so by clicking 
                      on the Cancel This Quote button below. We hope you won't 
                      do that, though :) </p>
                    <p>Once your request is finalized our system will auto-generate 
                      a detailed request listing including the items you've requested 
                      and the price we agreed upon. This will arrive in your inbox 
                      shortly. This receipt will also contain a link to your individual 
                      quote. Clicking this link allows you to review your request 
                      and quote information at your convenience. Through this 
                      link you can also modify or cancel this request.</p>
                    <p>We thank you very much for taking the time to consider 
                      Pittsburgh Catering for your catering needs. If you find 
                      you need to make any further catering requests for your 
                      event and would like us to quote your request, simply submit 
                      another request through the <a href="../RadarTestPages/CMUPlanningPortal.htm">CMU 
                      Planning Portal</a>. </p>
                    <p>Thanks again, and we look forward to doing business with 
                      you! </p></td>
                </tr>
                <tr> 
                  <td class="center">&nbsp; </td>
                  <td class="center">&nbsp; </td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td class="center"> <input name="acceptyButton" type="submit" class="Button" id="acceptButton" value="Finalize This Quote"
						onClick="setActionAccept(document.quoteForm)"></td>
            <td class="center"> <input name="cancelButton" type="submit" class="button" id="cancelButton" value="Cancel This Quote"
						onClick="setActionCancel(document.quoteForm)"></td>
          </tr>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="data">&nbsp;</td>
          </tr>
          <tr> 
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="data">&nbsp;</td>
          </tr>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="data">&nbsp;</td>
          </tr>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="data">&nbsp;</td>
          </tr>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="data">&nbsp;</td>
          </tr>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="data">&nbsp;</td>
          </tr>
          <tr> 
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
         </table>
        
      </td>
    </tr>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
  </table>
   <%// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
  %>
<% dcon.closeDBConnection(); %>
 </form> 
<p>&nbsp;</p>
</body>
</html>

