<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Pittsburgh Catering</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link href="PghStyle.css" rel="stylesheet" type="text/css">
</head>
<body>
<%
/*---------------------------------------------------------------------------------------------
						    P G H Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the Pittsburgh Catering
			Service.  Requests for quotes are made through the CMUPlanningPortal.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-05-19
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
    String dataQuery = "SELECT * FROM cateringRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next();
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/webForms/Catering/PghAcceptQuote.jsp";
	String modifyURL = "/myapp/webForms/Catering/PghModifyQuote.jsp";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Catering/PghCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: PghQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
		

	String vegan = rs.getString("vegan");
	String vegetarian = rs.getString("vegetarian");
	String atkins = rs.getString("atkins");
	String kosher = rs.getString("kosher");
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name= "quoteForm" action="">
  <input type="hidden" name="uniqueID" value="<%=id%>">
  <input type="hidden" name="pageLoad" value="">
  <input type="hidden" name="pageSubmit" value="">
  <input type="hidden" name="eventSource" value="PghQuote.jsp">
  <input type="hidden" name="quoteID" value=<"">
  <input type="hidden" name="vendorID" value="catering2">
  <table width="785" align="center">
    <tr> 
      <td class="pageBody" height="30"> <table width="100%" border="0">
          <tr> 
            <td class="logo1" width="15%" rowspan="25"> <table width="100%" height="100" border="0" cellpadding="0">
                <tr> 
                  <td width="50%" class="logo1">P</td>
                  <td width="50%"></td>
                </tr>
                <tr> 
                  <td class="logo1">I</td>
                  <td class="logo2">C</td>
                </tr>
                <tr> 
                  <td class="logo1">T</td>
                  <td class="logo2">A</td>
                </tr>
                <tr> 
                  <td class="logo1">T</td>
                  <td class="logo2">T</td>
                </tr>
                <tr> 
                  <td class="logo1">S</td>
                  <td class="logo2">E</td>
                </tr>
                <tr> 
                  <td class="logo1">B</td>
                  <td class="logo2">R</td>
                </tr>
                <tr> 
                  <td class="logo1">U</td>
                  <td class="logo2">I</td>
                </tr>
                <tr> 
                  <td class="logo1">R</td>
                  <td class="logo2">N</td>
                </tr>
                <tr> 
                  <td class="logo1">G</td>
                  <td class="logo2">G</td>
                </tr>
                <tr> 
                  <td class="logo1">H</td>
                  <td></td>
                </tr>
              </table></td>
            <td colspan="2" class="logo2">YOUR CATERING REQUEST:</td>
          </tr>
          <tr> 
            <td width="33%" class="dataLabel">Contact Information</td>
            <td width="52%" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="left">Contact First Name:</td>
            <td class="data"><%=rs.getString("contactFirstName")%></td>
          </tr>
          <tr> 
            <td class="left">Contact Last Name:</td>
            <td class="data"><%=rs.getString("contactLastName")%></td>
          </tr>
          <tr> 
            <td class="left">Contact Email:</td>
            <td class="data"><%=rs.getString("contactEmail")%></td>
          </tr>
          <tr> 
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Event Information</td>
            <td class="center">&nbsp;</td>
          </tr>
          <% String date = rs.getString("eventMonth") + ", " + rs.getString("eventDayOfMonth") + " " + rs.getString("eventYear"); %>
		  <tr> 
            <td class="left">Event Date:</td>
            <td class="data"><%=date%></td>
          </tr>
          <tr> 
            <td class="left">Event Title:</td>
            <td class="data"><%=rs.getString("eventTitle")%></td>
          </tr>
          <tr> 
            <td class="left">Event Location:</td>
            <td class="data"><%=rs.getString("eventLocation")%></td>
          </tr>
          <tr> 
            <td class="left">Setup Complete:</td>
            <td class="data"><%=TimeFormat.format(rs.getString("setupComplete"))%></td>
          </tr>
          <tr> 
            <td class="left">Breakdown Start:</td>
            <td class="data"><%=TimeFormat.format(rs.getString("breakdownStart"))%></td>
          </tr>
          <tr> 
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Catering Option Requested</td>
            <td class="center">&nbsp;</td>
          </tr>
          <%   %>
          <tr> 
            <td class="left">Meal: <%=rs.getString("selection")%></td>
            <td class="left">Number of Meals: <%=rs.getString("quantMeals")%></td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Special Requests</td>
            <td class="center">&nbsp;</td>
          </tr>
          <%
		  if (vegan.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Vegan</td>
            <td class="left">Quantity: <%=rs.getString("quantVegan")%></td>
          </tr>
          <%
		  } // end if vegan
		  if (vegetarian.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Vegetarian</td>
            <td class="left">Quantity: <%=rs.getString("quantVegetarian")%></td>
          </tr>
          <%
		  } // end if vegetarian
		  if (atkins.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Atkins-friendly</td>
            <td class="left">Quantity: 
              <%=rs.getString("quantAtkins")%>
            </td>
          </tr>
          <%
		  } // end if vegetarian
		  if (kosher.equals("Yes")) {
		  %>
          <tr> 
            <td class="left">Kosher</td>
            <td class="left">Quantity: 
              <%=rs.getString("quantKosher")%>
            </td>
          </tr>
          <% } // end if
		  else {
		  %>
          <tr> 
            <td class="left">None</td>
            <td class="left">&nbsp;</td>
          </tr>
          <% } // end else %>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="left">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Our quoted price for your request:</td>
            <td class="dataLabel">$ <%=rs.getString("quote2")%></td>
          </tr>
          <tr> 
            <td height="174" colspan="2" class="dataLabel"> 
              <table width="100%" border="0" cellpadding="0">
                <tr> 
                  <td height="89" colspan="3">
<p>If you're happy with what you 
                      see here you should accept our quote! </p>
                    <p>If you want to modify your request, you can do so by choosing 
                      Modify.</p>
                    <p>If you feel like you want to cancel this catering request 
                      (we hope you won't!) click Cancel.</p></td>
                </tr>
                <tr> 
<% 
String buttonTest = rs.getString("quoteAccepted");
if (buttonTest==null || buttonTest.equals("") || buttonTest.equalsIgnoreCase("cancelled")) { //so if its not accepted, show accept button 
%>
                  <td height="71" class="center"> 
                    <input name="acceptButton" type="submit" class="button" id="acceptButton" value="Accept This Quote" 
						onClick="setActionAccept(document.quoteForm)"></td>
<% } %>
                  <td class="center">
					<input name="modifyButton" type="submit" class="Button" id="modifyButton2" value="Modify This Quote"
						onClick="setActionModify(document.quoteForm)"></td>
<% 
if (buttonTest!=null && !buttonTest.equals("") && !buttonTest.equalsIgnoreCase("cancelled")) { //so if it is accepted, show delete button 
%>
                  <td class="center">
					<input name="cancelButton" type="submit" class="button" id="cancelButton2" value="Cancel This Quote"
						onClick="setActionCancel(document.quoteForm)"></td>
<% } %>
                </tr>
              </table></td>
          </tr>
        </table>
        
      </td>
    </tr>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
  </table>
   <%// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
  %>
<% dcon.closeDBConnection(); %>
</form> 
<p>&nbsp;</p>
</body>
</html>
