<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Welcome to Adam's House of Flowers!</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="AdamsFloralStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad= "setPageLoad(document.quoteForm)">
<%
/*-------------------------------------------------------------------------------------
					A D A M S A C C E P T Q U O T E . J S P  
---------------------------------------------------------------------------------------
Purpose:	This jsp file displays a message directing the user to finalize the quote
			or cancel the quote. 
Input:		uniqueID
Action:		Depends on which button is clicked 
Author:		Kyle Cunningham <kcunning@cs>
Date:		05-04-2005
--------------------------------------------------------------------------------------*/%>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	rs = dcon.submitQuery("SELECT * FROM floralRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/QuoteAcceptedServlet";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Floral/AdamsCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: AdamsAcceptQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
}// sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="CMUAVQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="vendorID" value="floral1">

<div align="center"> 
  <p class="center"><img src="flowerli.gif" width="804" height="25"></p>
  <p class="center"><font class="titleLine">Adam's House of Flowers</font></p>
  <p class="center"><font class="large">Request for Flowers</font></p>
  <p class="center"><img src="flowerli.gif" width="804" height="25"></p>
  <p class="justify">Thanks for your floral request!  If you've arrived at this pages you've
  already reviewed your floral request and are happy with our quoted price.  To finalize your quote
  with us please click the "Finalize Quote" button.  If you have decided you'd like to cancel your quote
  click "Cancel Quote".  Upon clicking finalize an email will be generated, detailing your request and
  quoted price.  This email will arrive at the specifed email address shortly. Thanks for your business!</p>
  <p class="justify">- The Staff at Adam's House of Flowers</p>
  <p class="center"><img src="flowerli.gif" width="804" height="25"></p>
   
  <table class="dataTable">
    <tr> 
      <td width="100%"><table width="70%" border="0" align="center" cellpadding="0">
          <tr> 
            <td width="33%" height="24"> <div align="center"> 
                <input name="acceptButton" type="submit" class="box" id="acceptButton" 
					onclick="setActionAccept(document.quoteForm)" value="Finalize Quote">
              </div></td>
            <td width="33%"><div align="center"> 
                <input name="cancelButton" type="submit" class="box" id="cancelButton"
				onClick="setActionCancel(document.quoteForm)" value="Cancel Quote">
              </div></td>
          </tr>
        </table></td>
    </tr>
  </table>
  </form>
<%// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if	
%>  
<% dcon.closeDBConnection(); %>
</body>
</html>

