<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<link rel="stylesheet" type="text/css" href="ClassicStyle.css"/>
<title>Classic Rental Service</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						  C L A S S I C Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the Classic Rentals  
			Rental Company.  Requests for quotes are made through a single page, then those companies selected
			provide a quote.  Request info is gathered from the rentalRequests table and quote is calculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-04-18
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	// ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	Statement st = null, st2 = null;
	ResultSet rs = null;
	ResultSet descrip = null;
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	con = dcon.setupDBConnection();
    String dataQuery = "SELECT * FROM rentalRequests WHERE (uniqueID = '"+ id +"')";
	String monthQuery = " SELECT monthNum, monthName FROM month ORDER BY monthNum";//rb.getString("rentalMonthQuery");
	String descripQuery = "SELECT * FROM rentalItemDescription where uniqueID = '1'";
	st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	st2 = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
	rs = st.executeQuery(dataQuery);
	descrip = st2.executeQuery(descripQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	crap = descrip.next();
	
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/webForms/Rental/ClassicAcceptQuote.jsp";
	String modifyURL = "/myapp/webForms/Rental/ClassicModifyQuote.jsp";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Rental/ClassicCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: ClassicQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	
	String tentSize = rs.getString("tentSize");
	if (tentSize.equals("1"))
		tentSize = descrip.getString("tentSize1");
	if (tentSize.equals("2"))
		tentSize = descrip.getString("tentSize2");
	if (tentSize.equals("3"))
		tentSize = descrip.getString("tentSize3");
	if (tentSize.equals("4"))
		tentSize = descrip.getString("tentSize4");
	if (tentSize.equals("Please Select One"))
		tentSize = " - ";
	
	String tentType = rs.getString("tentType");
	if (tentType.equals("1"))
		tentType = descrip.getString("tentType1");
	if (tentType.equals("2"))
		tentType = descrip.getString("tentType2");
	if (tentType.equals("Please Select One"))
		tentType = " - ";		

	String chairType = rs.getString("chairType");
	if (chairType.equals("1"))
		chairType = descrip.getString("chairType1");
	if (chairType.equals("2"))
		chairType = descrip.getString("chairType2");
	if (chairType.equals("3"))
		chairType = descrip.getString("chairType3");
	if (chairType.equals("4"))
		chairType = descrip.getString("chairType4");
	if (chairType.equals("Please Select One"))
		chairType = " - ";
		
	String chairColor = rs.getString("chairColor");
	if (chairColor.equals("Please Select One"))
		chairColor = " - ";		

	String stagingSize = rs.getString("stagingSize");
	if (stagingSize.equals("1"))
		stagingSize = descrip.getString("staging1");
	if (stagingSize.equals("2"))
		stagingSize = descrip.getString("staging2");
	if (stagingSize.equals("3"))
		stagingSize = descrip.getString("staging3");
	if (stagingSize.equals("Please Select One"))
		stagingSize = " - ";	
		
	String cocktailTableSize = rs.getString("cocktailTableSize");
	if (cocktailTableSize.equals("1"))
		cocktailTableSize = descrip.getString("cocktailSize1");
	if (cocktailTableSize.equals("2"))
		cocktailTableSize = descrip.getString("cocktailSize2");
	if (cocktailTableSize.equals("3"))
		cocktailTableSize = descrip.getString("cocktailSize3");				
	if (cocktailTableSize.equals("Please Select One"))
		cocktailTableSize = " - ";

	String pipeSize = rs.getString("pipeDrapeLength");
	if (pipeSize.equals("1"))
		pipeSize = descrip.getString("pipeSize1");
	if (pipeSize.equals("Please Select One"))
		pipeSize = " - ";	
	
	String pipeColor = rs.getString("pipeDrapeColor");
	if (pipeColor.equals("Please Select One"))
		pipeColor = " - ";
		
	String banquetTableSize = rs.getString("banquetTableLength");
	if (banquetTableSize.equals("1"))
		banquetTableSize = descrip.getString("banquetSize1");
	if (banquetTableSize.equals("2"))
		banquetTableSize = descrip.getString("banquetSize2");
	if (banquetTableSize.equals("3"))
		banquetTableSize = descrip.getString("banquetSize3");	
	if (banquetTableSize.equals("Please Select One"))
		banquetTableSize = " - ";

	String roundTableSize = rs.getString("roundTableSize");
	if (roundTableSize.equals("1"))
		roundTableSize = descrip.getString("roundSize1");
	if (roundTableSize.equals("2"))
		roundTableSize = descrip.getString("roundSize2");	
	if (roundTableSize.equals("Please Select One"))
		roundTableSize = " - ";

	String multStartMonth = new String();
	String multEndMonth = new String();
	String singleMonth = new String();
	
	if (rs.getString("singleMonth").equalsIgnoreCase("null") || rs.getString("singleMonth").equals("")) {
		int multStartMonthInt = Integer.valueOf(rs.getString("multStartMonth")).intValue();
		int multEndMonthInt = Integer.valueOf(rs.getString("multEndMonth")).intValue();
		multStartMonth = getMonthName(multStartMonthInt);
		multEndMonth = getMonthName(multEndMonthInt);
	}
	else { // it was a single rental day	
		int singleMonthInt = Integer.valueOf(rs.getString("singleMonth")).intValue();
		singleMonth = getMonthName(singleMonthInt);
	}
%>	
	
<%!	public String getMonthName(int monthNumber) {
	  switch (monthNumber) {
		case 1: return "January";
		case 2: return "Februrary";
		case 3: {return "March";}
		case 4: {return "April";}
		case 5: {return "May";}
		case 6: {return "June";}
		case 7: {return "July";}
		case 8: {return "August";}
		case 9: {return "September";}
		case 10: {return "October";}
		case 11: {return "November";}
		case 12: {return "December";}
	  }
  	return "";
  };  	
			
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>


<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="ClassicQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="vendorID" value="rental3">
  <h1>&nbsp;</h1>
  <table width="86%" align="center">
    <tr bgcolor="#FFFFCC"> 
      <td height="261" colspan="4"> <h1 align="center">.Classic Rentals.</h1>
        <h2 align="center"> Rental Service Quote</h2>
        <p align="justify">We here at Classic Rentals pride ourselves on providing 
          the finest in rental equipment. We'd like to thank you for your interest 
          in our services. Below you'll find a quoted price for the request you 
          submitted. Please review the quote at your convenience and choose an 
          action. We look forward to doing business with you.</p></td>
    </tr>
    <tr bgcolor="#99CCFF"> 
      <td colspan="4"> <h3>Event &amp; Contact Information:</h3></td>
    </tr>
    <tr> 
      <td width="15%">Event Title:</td>
      <td width="24%"><strong><%=rs.getString("eventTitle")%></strong></td>
      <td width="24%">First Name:</td>
      <td width="37%"><strong><%=rs.getString("contactFirstName")%></strong></td>
    </tr>
    <tr> 
      <td>Event Location:</td>
      <td><strong><%=rs.getString("eventLocation")%></strong></td>
      <td>Last Name:</td>
      <td><strong><%=rs.getString("contactLastName")%></strong></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Email:</td>
      <td><strong><%=rs.getString("contactEmail")%></strong></td>
    </tr>
    <% String rentalType = rs.getString("rentalType");
	  if (rentalType.equals("singleDay")) { %>
    <tr bgcolor="#99CCFF"> 
      <td colspan="4"><h3>Rental Information:</h3></td>
    </tr>
    <tr style="{display:none}"> 
      <td>Rental Type:</td>
      <td colspan="3"><strong>Single Day</strong></td>
    </tr>
    <% String date = singleMonth + ", " + rs.getString("singleDay") + " " + rs.getString("singleYear"); %>
    <tr> 
      <td>Rental Date:</td>
      <td colspan="3"><strong><%=date%></strong></td>
    </tr>
    <% } // end if singleDay
    else { // multipleDay %>
    <tr> 
      <td>Rental Type:</td>
      <td colspan="3"><strong>Multiple Day</strong></td>
    </tr>
    <tr> 
      <td>Number of Days:</td>
      <td colspan="3"><strong><%=rs.getString("numberOfDays")%></strong></td>
    </tr>
    <% String startDate = multStartMonth + ", " + rs.getString("multStartDay") + " " + rs.getString("multStartYear"); %>
    <tr> 
      <td>Rental Start Date:</td>
      <td colspan="3"><strong><%=startDate%></strong></td>
    </tr>
    <% String endDate = multEndMonth + ", " + rs.getString("multEndDay") + " " + rs.getString("multEndYear"); %>
    <tr> 
      <td>Rental End Date:</td>
      <td colspan="3"><strong><%=endDate%></strong></td>
    </tr>
    <% } // end else %>
	<tr>
      <td>Setup Complete:</td>
      <td colspan="3"><strong><%=TimeFormat.format(rs.getString("setupComplete"))%></strong></td>
    </tr>
    <tr>
      <td>Breakdown Start:</td>
      <td colspan="3"><strong><%=TimeFormat.format(rs.getString("breakdownStart"))%></strong></td>
    </tr>
    
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% String tent = rs.getString("tent");
		if (tent.equals("Yes")) { %>
    <tr> 
      <td>Tent:</td>
      <td><strong><%=rs.getString("tent")%></strong></td>
      <td>Tent Size:</td>
      <td><strong><%=tentSize%></strong></td>
    </tr>
    <tr> 
      <td colspan="2" rowspan="2">&nbsp;</td>
      <td>Tent Type:</td>
      <td><strong><%=tentType%></strong></td>
    </tr>
    <tr> 
      <td>Tent Quantity:</td>
      <td><strong><%=rs.getString("tentQuantity")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% } // end if tent 
		String chairs = rs.getString("chairs");
		if (chairs.equals("Yes")) {
	%>
    <tr> 
      <td>Chairs:</td>
      <td><strong><%=rs.getString("chairs")%></strong></td>
      <td>Chair Type:</td>
      <td><strong><%=chairType%></strong></td>
    </tr>
    <tr> 
      <td colspan="2" rowspan="2">&nbsp;</td>
      <td>Chair Color:</td>
      <td><strong><%=chairColor%></strong></td>
    </tr>
    <tr> 
      <td>Chair Quantity:</td>
      <td><strong><%=rs.getString("chairQuantity")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% } // end if
		String staging = rs.getString("staging");
		if (staging.equals("Yes")) {
	%>
    <tr> 
      <td>Staging:</td>
      <td><strong><%=rs.getString("staging")%></strong></td>
      <td>Staging Size:</td>
      <td><strong><%=stagingSize%></strong></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Staging Quantity:</td>
      <td><strong><%=rs.getString("stagingQuantity")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% } // end if staging
		String cocktail = rs.getString("cocktailTables");
		if (cocktail.equals("Yes")) {
	%>
    <tr> 
      <td>Cocktail Tables:</td>
      <td><strong><%=rs.getString("cocktailTables")%></strong></td>
      <td>Cocktail Table Size:</td>
      <td><strong><%=cocktailTableSize%></strong></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Cocktail Table Quantity:</td>
      <td><strong><%=rs.getString("cocktailTableQuantity")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% } // end if
		String pipeDrape = rs.getString("pipeDrape");
		if (pipeDrape.equals("Yes")) {
	%>
    <tr> 
      <td>Pipe Drape</td>
      <td><strong><%=rs.getString("pipeDrape")%></strong></td>
      <td>Pipe Drape Color:</td>
      <td><strong><%=pipeColor%></strong></td>
    </tr>
    <tr> 
      <td colspan="2" rowspan="2"><strong>&nbsp;</strong></td>
      <td>Pipe Drape Length:</td>
      <td><strong><%=pipeSize%></strong></td>
    </tr>
    <tr> 
      <td>Pipe Drape Quantity:</td>
      <td><strong><%=rs.getString("pipeDrapeQuantity")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% } // end pipeDrape
		String banquet = rs.getString("banquetTables");
		if (banquet.equals("Yes")) {
	%>
    <tr> 
      <td>Banquet Tables:</td>
      <td><strong><%=rs.getString("banquetTables")%></strong></td>
      <td>Banquet Table Length:</td>
      <td><strong><%=banquetTableSize%></strong></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Banquet Table Quantity:</td>
      <td><strong><%=rs.getString("banquetTableQuantity")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% } // end banquet
		String round = rs.getString("roundTables");
		if (round.equals("Yes")) {
	%>
    <tr> 
      <td>Round Tables:</td>
      <td><strong><%=rs.getString("roundTables")%></strong></td>
      <td>Round Table Size:</td>
      <td><strong><%=roundTableSize%></strong></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Round Table Quantity:</td>
      <td><strong><%=rs.getString("roundTableQuantity")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% } // end if round
		String privacy = rs.getString("privacyScreens");
		if (privacy.equals("Yes")) {
	%>
    <tr> 
      <td>Privacy Screens:</td>
      <td><strong><%=rs.getString("privacyScreens")%></strong></td>
      <td>Privacy Screen Quantity:</td>
      <td><strong><%=rs.getString("privacyScreensQuantity")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% } // end if privacy
		String coatRack = rs.getString("coatRack");
		if (coatRack.equals("Yes")) {
	%>
    <tr> 
      <td>Coat Rack:</td>
      <td><strong><%=rs.getString("coatRack")%></strong></td>
      <td>Coat Rack Quantity:</td>
      <td><strong><%=rs.getString("coatRackQuantity")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <% } // end if coatRack
	%>
    <tr> 
      <td><strong>Total Cost: </strong></td>
      <td colspan="3"><strong>$<%=rs.getInt("quote3")%></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr bgcolor="#CCCC99"> 
      <td colspan="4"> <table width="72%" align="center">
          <tr> 
            <td width="34%"><div align="center"> 
                <input name="modifyButton" type="submit" id="modifyButton" value="Modify"
		   					onClick="setActionModify(document.quoteForm)">
              </div></td>
<% 
String buttonTest = rs.getString("quoteAccepted");
if (buttonTest==null || buttonTest.equals("") || buttonTest.equalsIgnoreCase("cancelled")) { //so if its not accepted, show accept button 
%>
            <td width="35%"><div align="center"> 
                <input name="acceptButton" type="submit" id="acceptButton" value="Accept"
							onClick="setActionAccept(document.quoteForm)">
              </div></td>
<% } else { //so it is accepted, show delete button %>
            <td width="35%"><div align="center"> 
                <input name="cancelButton" type="submit" id="cancelButton" value="Cancel"
		   					onClick="setActionCancel(document.quoteForm)">
              </div></td>
<% } %>
          </tr>
        </table></td>
    </tr>
  </table>
   <%	int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
  
  %>	
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
</form>
</body>
</html>
