<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Rent From Us!</title>
<link rel="stylesheet" type="text/css" href="RentFromUsStyle.css"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 R E N T F R O M U S A C C E P T Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file called when a user presses "accept" on the Rent From Us! quote page. 
			This page displays a message to the user indicating the quote has been finalized.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-04-18
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>
<%
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
		
	String submitURL = "/myapp/QuoteAcceptedServlet";
	String cancelURL = "/myapp/QuoteCancelServlet"; ///myapp/webForms/Rental/RentFromUsCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	String quoteID = request.getParameter("quoteID");
	
	System.out.println("DEBUG: RentFromUsAcceptQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
		
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionSubmit(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit

</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>

<p>&nbsp;</p>
  
<table width="65%" border="6" align="left" bordercolor="#000000">
  <tr> 
    <td bgcolor="#66FF66"> 
      <p> 
      <h1>Rent From Us!</h1>
      <h2>Accept Quote</p></h2>
      <div align="left">Clicking submit will finalize your order with us. An email 
        confirmation containing the detalied quote information as well as a link 
        to view your quote online will arrive shortly. Thanks for choosing Rent 
        From Us! Rentals.</div></td>
  </tr>
  <tr> 
    <td bgcolor="#FFFFCC">
<div align="center"></div></td>
  </tr>
  <tr> 
    <td height="136" bgcolor="#66FF66"> 
      <form name="quoteForm" action="">
        <div align="center"> 
          <p><input type="hidden" name="uniqueID" value="<%=id%>">
          <input type="hidden" name="pageLoad" value="">
          <input type="hidden" name="pageSubmit" value="">
          <input type="hidden" name="eventSource" value="RentFromUsQuote.jsp">
          <input type="hidden" name="quoteID" value="">
          <input type="hidden" name="vendorID" value="rental2">
          </p><table width="55%" border="0" align="center">
            <tr bgcolor="#66ff66"> 
              <td> 
                <div align="center"> 
                  <input name="acceptButton" type="submit" id="acceptButton" value="Submit Order" 
						onClick="setActionSubmit(document.quoteForm)">
                </div></td>
              <td> <div align="center">
                  <input name="cancelButton" type="submit" id="cancelButton" value="Cancel Order" 
						onClick="setActionCancel(document.quoteForm)">
                </div></td>
            </tr>
          </table>
        </div>
      </form>
      <p align="center">&nbsp;</p>
      <p align="center">&nbsp;</p></td>
  </tr>
</table>
<%
// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
%>
<p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
  <% dcon.closeDBConnection(); %>
