<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Apex Towncar Service</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<%
/*---------------------------------------------------------------------------------------------
						 A P E X A C C E P T Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file called when a user presses "accept" on the Apex Limo quote page. 
			This page displays a message to the user indicating the quote has been finalized.  
			Pressing accept will insert an entry into the log table. Pressing cancel will also insert
			an entry, and will also direct the user to ApexCancelQuote.jsp
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-08
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>

<%
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	/*
	ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	Statement st = null;
	ResultSet rs = null;
	*/
	String id = request.getParameter("uniqueID");
	
	/*
	Class.forName("com.mysql.jdbc.Driver").newInstance(); 
	con = DriverManager.getConnection(rb.getString("databaseName"), rb.getString("databaseUser"), rb.getString("databasePass")); 
    st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	rs = st.executeQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	*/
	ResultSet rs = dcon.submitQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	rs.next();
	
	String submitURL = "/myapp/QuoteAcceptedServlet";
	String cancelURL = "/myapp/webForms/Towncar/ApexCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	String quoteID = request.getParameter("quoteID");
	
	/*
	System.out.println("DEBUG: A1LimoQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");		
	*/
	dcon.setupLogUpdate(eventSource, pageLoad, pageSubmit, quoteID);
	
	dcon.closeDBConnection();
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}
// The following 2 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit

</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>

<body bgcolor="#666600" onLoad="setPageLoad(document.quoteForm)">
<p>&nbsp;</p>
  
<table width="47%" border="2" align="center">
  <tr> 
    <td bgcolor="#A0601F"> 
      <p align="center"><font size="5"><u>- Apex Towncar Service - </u></font></p>
      <p align="center"><font size="4">Acceptance of Quote</font></p>
      <p><font size="5" face="Arial, Helvetica, sans-serif"></font> </p></td>
  </tr>
  <tr> 
    <td>&nbsp;</td>
  </tr>
  <tr> 
    <td bgcolor="#A0601F"><font size="4">Click &quot;Confirm my Quote&quot; below 
      to accept our quoted price for your request. If you would like to cancel 
      this quote click &quot;Cancel my Quote&quot;. By choosing to confirm you 
      hereby agree to the quoted price. As soon as we receive your response a 
      confirmation email will be sent to your email address. </font></td>
  </tr>
  <tr> 
    <td>&nbsp;</td>
  </tr>
  <tr> 
    <td height="45" bgcolor="#A0601F"> 
      <form name="quoteForm" action="">
	  <input type="hidden" name="uniqueID" value="<%=id%>">
	  <input type="hidden" name="pageLoad" value="">
	  <input type="hidden" name="pageSubmit" value="">
	  <input type="hidden" name="eventSource" value="ApexAcceptQuote.jsp">
	  <input type="hidden" name="quoteID" value="">
	  <input type="hidden" name="vendorID" value="towncar2">
        <table width="55%" border="0" align="center" bordercolor="#666666">
          <tr bgcolor="#A0601F"> 
            <td width="50%"> 
              <div align="center"> 
                <input name="acceptButton" type="submit" id="acceptButton" value="Confirm My Quote"
						onClick="setActionAccept(document.quoteForm)">
              </div></td>
            <td width="50%"> 
              <div align="center"> 
                <input name="cancelButton" type="submit" id="cancelButton" value="Cancel My Quote"
						onClick="setActionCancel(document.quoteForm)">
              </div></td>
          </tr>
        </table>
      </form>
      <p align="center"><font size="4">Thank you for choosing our services.</font></p>
      <p align="center"><font size="4">The Apex Towncar Team</font></p>
      <p>&nbsp;</p></td>
  </tr>
</table>
<p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>

