<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Apex Towncar Service</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor="#666600" onLoad = "setPageLoad(document.quoteForm)" >
<%
/*---------------------------------------------------------------------------------------------
						 A P E X Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the Apex 
			Service.  Requests for quotes are made through a single page, then those companies selected
			provide a quote.  Request info is gathered from the towncar table and quote is calculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-01
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>

<%
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	/*
	ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	Statement st = null;
	ResultSet rs = null;
	*/
	String id = request.getParameter("uniqueID");
	
	/*
	Class.forName("com.mysql.jdbc.Driver").newInstance(); 
	con = DriverManager.getConnection(rb.getString("databaseName"), rb.getString("databaseUser"), rb.getString("databasePass")); 
    st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	rs = st.executeQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	*/
	ResultSet rs = dcon.submitQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	rs.next();
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "http://design.radar.cs.cmu.edu:8080/myapp/webForms/Towncar/ApexAcceptQuote.jsp";
	String modifyURL = "http://design.radar.cs.cmu.edu:8080/myapp/webForms/Towncar/ApexModifyQuote.jsp";
	String cancelURL = "http://design.radar.cs.cmu.edu:8080/myapp/webForms/Towncar/ApexCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	
	/*
	System.out.println("DEBUG: A1LimoQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
	*/
	dcon.setupLogUpdate(eventSource, pageLoad, pageSubmit, quoteID);
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 3 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit

</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>

<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="ApexQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
  <p>&nbsp;</p>
  <table width="47%" border="2" align="center" bordercolor="#666666" bgcolor="#A0601F">
    <tr> 
      <td colspan="2"><div align="center"> 
          <p><font size="5"><u>- Apex Towncar Service - </u></font></p>
          <p><font size="4">Request for Quote</font></p>
        </div></td>
    </tr>
    <tr bgcolor="#666600"> 
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr bordercolor="#999999"> 
      <td width="51%"> <div align="right"><font size="2">Event Title: </font></div></td>
      <td width="49%"><strong><font size="2"><%=rs.getString("eventTitle")%></font></strong></td>
    </tr>
    <tr bordercolor="#999999"> 
      <td> <div align="right"><font size="2">Event Date:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("eventDate")%></font></strong></td>
    </tr>
    <tr bordercolor="#999999"> 
      <td> <div align="right"><font size="2">Event Location:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("eventLocation")%></font></strong></td>
    </tr>
    <tr bordercolor="#999999"> 
      <td> <div align="right"><font size="2">First Name:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("contactFirstName")%></font></strong></td>
    </tr>
    <tr bordercolor="#999999"> 
      <td> <div align="right"><font size="2">Last Name:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("contactLastName")%> </font></strong></td>
    </tr>
    <tr bordercolor="#999999"> 
      <td> <div align="right"><font size="2">Phone:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("contactPhone")%></font></strong></td>
    </tr>
    <tr bordercolor="#999999"> 
      <td> <div align="right"><font size="2">Email:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("contactEmail")%></font></strong></td>
    </tr>
    <tr bordercolor="#999999"> 
      <td> <div align="right"><font size="2">Passenger First Name:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("passengerFirstName")%></font></strong></td>
    </tr>
    <tr bordercolor="#999999"> 
      <td> <div align="right"><font size="2">Passenger Last Name:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("passengerLastName")%></font></strong></td>
    </tr>
    <tr bordercolor="#999999"> 
      <td> <div align="right"><font size="2">Pick-up Information:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("pickupStreet")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"><%=rs.getString("pickupCity")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"><%=rs.getString("pickupState")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"><%=rs.getString("pickupPhone")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Drop-off Information:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("dropoffStreet")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"><%=rs.getString("dropoffCity")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"><%=rs.getString("dropoffState")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">&nbsp;</font></div></td>
      <td><strong><font size="2"><%=rs.getString("dropoffPhone")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Pick-up Time:</font></div></td>
      <td><strong><font size="2"><%=TimeFormat.format(rs.getString("pickupTime"))%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Arrival Time:</font></div></td>
      <td><strong><font size="2"><%=TimeFormat.format(rs.getString("arrivalTime"))%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Airport Pickup:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("airportPickup")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Airline:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("airline")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Flight Number:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("flightNumber")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Arrival Time:</font></div></td>
      <td><strong><font size="2"><%=TimeFormat.format(rs.getString("flightArrivalTime"))%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2">Departing City:</font></div></td>
      <td><strong><font size="2"><%=rs.getString("flightDepartureCity")%></font></strong></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="5"><font size="2"></font></font></div></td>
      <td><font size="2">&nbsp;</font></td>
    </tr>
    <tr> 
      <td><div align="right"><font size="2"><strong>Quoted Cost: </strong></font></div></td>
      <td><font size="2"><strong>$<%=rs.getInt("quote2")%></strong></font></td>
    </tr>
    <tr bgcolor="#666600"> 
      <td colspan="2"><font size="5">&nbsp;</font></td>
    </tr>
    <tr> 
      <td colspan="2"><table width="42%" border="0" align="center">
          <tr> 
            <td width="16%"><div align="center"><font size="5"> 
                <input name="modifyButton" type="submit" id="modifyButton" value="Modify"
					onClick="setActionModify(document.quoteForm)">
                </font></div></td>
            <td width="67%"><div align="center"><font size="5"> 
                <input name="cancelButton" type="submit" id="cancelButton" value="Cancel"
			  		onClick="setActionCancel(document.quoteForm)">
                </font></div></td>
          </tr>
        </table></td>
    </tr>
  </table>
  <p>&nbsp;</p>
</form>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
	
</body>
</html>

<%dcon.closeDBConnection();%>