<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>The Flagstaff Hotel</title>
<link rel="stylesheet" type="text/css" media="screen" href="flagstaff.css">
<style type="text/css">
<!--
@import url("flagstaff.css");
-->
</style>
</head>
<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
					  F L A G S T A F F A V M O D I F Y Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display and modify request and quote information for Flagstaff AV.  
			Requests for quotes are made through a single page, then those companies selected
			provide a quote.  Request info is gathered from the audioVisualRequests table and quote is calculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-04-28
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null; 
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	String dataQuery = "SELECT * FROM audioVisualRequests WHERE (uniqueID = '"+ id +"')";
	
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/AV/FlagstaffAVReviewQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: FlagstaffAVQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
	
	//user data - get it from dataQuery 
	String eventLocation = rs.getString("eventLocation");
	String eventMonth = rs.getString("eventMonth");
	String eventDayOfMonth = rs.getString("eventDayOfMonth");
	String eventYear = rs.getString("eventYear");
	
%>
<script language="Javascript">
var outputString = "You did not enter the following information:\n";
var flag = 0;
var focusFlag = 0;

// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()


function checkCD(formName) {
	if ((formName.cdPlayer.value == "Yes")&&(formName.quantCDPlayer.value == 0)) {
		outputString += "Number of CD Players\n";
		flag = 1;
		checkForFocus(formName.quantCDPlayer);
	}
} // end checkCD

function checkWirelessMic(formName) {
	if ((formName.wirelessMic.value == "Yes")&&(formName.quantWirelessMic.value == 0)) {
		outputString += "Number of Wireless Microphoness\n";
		flag = 1;
		checkForFocus(formName.quantWirelessMic);
	}
} // end checkWireless

function checkLavalierMic(formName) {
	if ((formName.lavalierMic.value == "Yes")&&(formName.quantLavalierMic.value == 0)) {
		outputString += "Number of Lavalier Microphoness\n";
		flag = 1;
		checkForFocus(formName.quantLavalierMic);
	}
} // end checkWireless

function checkPodiumMic(formName) {
	if ((formName.podiumMic.value == "Yes")&&(formName.quantPodMic.value == 0)) {
		outputString += "Number of Podium Microphones\n";
		flag = 1;
		checkForFocus(formName.quantPodMic);
	}
} // end checkPodiumMic

function checkPanelMic(formName) {
	if ((formName.panelMic.value == "Yes")&&(formName.quantPanelMic.value == 0)) {
		outputString += "Number of Panel Microphones\n";
		flag = 1;
		checkForFocus(formName.quantPanelMic);
	}
} // end checkPanelMic

function checkVideoProj(formName) {
	if ((formName.videoProj.value == "Yes")&&(formName.quantVideoProj.value == 0)) {
		outputString += "Number of Video Projectors\n";
		flag = 1;
		checkForFocus(formName.quantVideoProj);
	}
} // end checkVidoeProj

function checkCompProj(formName) {
	if ((formName.compProj.value == "Yes")&&(formName.quantCompProj.value == 0)) {
		outputString += "Number of Computer Projectors\n";
		flag = 1;
		checkForFocus(formName.quantCompProj);
	}
} // end checkCompProj

function checkTVVCR(formName) {
	if ((formName.tvVCRDVD.value == "Yes")&&(formName.quantTVVCR.value == 0)) {
		outputString += "Number of TV/VCR/DVD\n";
		flag = 1;
		checkForFocus(formName.quantTVVCR);
	}
} // end checkTVVCR

function checkTV(formName) {
	if ((formName.TV.value == "Yes")&&(formName.quantTV.value == 0)) {
		outputString += "Number of Televisions\n";
		flag = 1;
		checkForFocus(formName.quantTV);
	}
} // end checkTV

function checkSlideProj(formName) {
	if ((formName.slideProj.value == "Yes")&&(formName.quantSlideProj.value == 0)) {
		outputString += "Number of Slide Projectors\n";
		flag = 1;
		checkForFocus(formName.quantSlideProj);
	}
} // end checkSlideProj

function checkOverheadProj(formName) {
	if ((formName.overheadProj.value == "Yes")&&(formName.quantOverheadProj.value == 0)) {
		outputString += "Number of Overhead Projectors\n";
		flag = 1;
		checkForFocus(formName.quantOverheadProj);
	}
} // end checkOverheadProj

function checkEasel(formName) {
	if ((formName.easel.value == "Yes")&&(formName.quantEasel.value == 0)) {
		outputString += "Number of Easels\n";
		flag = 1;
		checkForFocus(formName.quantEasel);
	}
} // end checkEasel

function checkPCLaptop(formName) {
	if ((formName.pcLaptop.value == "Yes")&&(formName.quantPCLaptop.value == 0)) {
		outputString += "Number of PC Laptops\n";
		flag = 1;
		checkForFocus(formName.quantPCLaptop);
	}
} // end checkPCLaptop

function checkAppleLaptop(formName) {
	if ((formName.appleLaptop.value == "Yes")&&(formName.quantAppleLaptop.value == 0)) {
		outputString += "Number of Apple Laptops\n";
		flag = 1;
		checkForFocus(formName.quantAppleLaptop);
	}
} // end checkAppleLaptop

function checkFlipCharts(formName) {
	if ((formName.flipCharts.value == "Yes")&&(formName.quantFlipCharts.value == 0)) {
		outputString += "Number of Flip Charts\n";
		flag = 1;
		checkForFocus(formName.quantFlipCharts);
	}
} // end checkFlipCharts

function checkScreen(formName) {
	if ((formName.screen.value == "Yes")&&(formName.quantScreen.value == 0)) {
		outputString += "Number of Screens\n";
		flag = 1;
		checkForFocus(formName.quantScreen);
	}
} // end checkScreen

function checkPhones(formName) {
	if ((formName.phones.value == "Yes")&&(formName.quantPhones.value == 0)) {
		outputString += "Number of Phoness\n";
		flag = 1;
		checkForFocus(formName.quantPhones);
	}
} // end checkPhones

function checkFax(formName) {
	if ((formName.faxMachine.value == "Yes")&&(formName.quantFax.value == 0)) {
		outputString += "Number of Fax Machines\n";
		flag = 1;
		checkForFocus(formName.quantFax);
	}
} // end checkFax

function checkPodium(formName) {
	if ((formName.podium.value == "Yes")&&(formName.quantPodium.value == 0)) {
		outputString += "Number of Podiums\n";
		flag = 1;
		checkForFocus(formName.quantPodium);
	}
} // end checkPodium

function checkLecturn(formName) {
	if ((formName.lecturn.value == "Yes")&&(formName.quantLecturn.value == 0)) {
		outputString += "Number of Lecturns\n";
		flag = 1;
		checkForFocus(formName.quantLecturn);
	}
} // end checkLecturn

function checkVideotaping(formName) {
	if ((formName.videotaping.value == "Yes")&&(formName.quantVideotaping.value == 0)) {
		outputString += "Videotaping\n";
		flag = 1;
		checkForFocus(formName.quantVideotaping);
	}
} // end checkVideotaping

function checkComputerCon(formName) {
	if ((formName.computerCon.value == "Yes")&&(formName.quantComputerCon.value == 0)) {
		outputString += "Computer/Network Connection\n";
		flag = 1;
		checkForFocus(formName.quantComputerCon);
	}
} // end checkComputerCon

function checkPodLaptopCon(formName) {
	if ((formName.podLaptopCon.value == "Yes")&&(formName.quantPodLaptopCon.value == 0)) {
		outputString += "Podium Laptop Connection\n";
		flag = 1;
		checkForFocus(formName.quantPodLaptopCon);
	}
} // end checkPodLaptopCon

function checkExternalSpeakers(formName) {
	if ((formName.externalSpeakers.value == "Yes")&&(formName.quantExternalSpeakers.value == 0)) {
		outputString += "External Computer Speakers\n";
		flag = 1;
		checkForFocus(formName.quantExternalSpeakers);
	}
} // end checkPodLaptopCon

function checkLaserPointer(formName) {
	if ((formName.laserPointer.value == "Yes")&&(formName.quantLaserPointer.value == 0)) {
		outputString += "Laser pointer\n";
		flag = 1;
		checkForFocus(formName.quantLaserPointer);
	}
} // end checkLaserPointer

function checkSubmission(formName) {
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == ""){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.setupComplete.value == "") {
		outputString += "Setup Complete Time\n";
		flag = 1;
		checkForFocus(formName.setupComplete);
	}
	if (formName.breakdownStart.value == ""){
		outputString += "Breakdown Start Time\n";
		flag = 1;
		checkForFocus(formName.breakdownStart);
	}
	if (formName.contactFirstName.value == ""){
		outputString += "Contact First Name\n";
		flag = 1;
		checkForFocus(formName.contactFirstName);
	}
	if (formName.contactLastName.value == ""){
		outputString += "Contact Last Name\n";
		flag = 1;
		checkForFocus(formName.contactLastName);
	}
	if (formName.contactEmail.value == "") {
		outputString += "Contact Email\n";
		flag = 1;
		checkForFocus(formName.contactEmail);
	}
	checkCD(formName);
	checkWirelessMic(formName);
	checkLavalierMic(formName);
	checkPodiumMic(formName);
	checkPanelMic(formName);
	checkVideoProj(formName);
	checkCompProj(formName);
	checkTVVCR(formName);
	checkTV(formName);
	checkSlideProj(formName);
	checkOverheadProj(formName);
	checkEasel(formName);
	checkPCLaptop(formName);
	checkAppleLaptop(formName);
	checkFlipCharts(formName);
	checkScreen(formName);
	checkPhones(formName);
	checkFax(formName);
	checkComputerCon(formName);
	checkPodLaptopCon(formName);
	checkExternalSpeakers(formName);
	checkPodium(formName);
	checkLecturn(formName);
	checkVideotaping(formName);
	checkLaserPointer(formName);
	
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "You did not enter the following information:\n";
		flag = 0;
		focusFlag = 0;
		return false
	}
	else {
		//formName.pageSubmit.value = clock();
		return true;
	}
	
} // end checkSumission

// onChange methods -> each item has it's own method called onChange to check the value of the
// select.  If value == Yes, focus is shifted to that items quantity field.  If value == No, 
// that item's quantity field is set to zero
function clickCD(formName) {
	if (formName.cdPlayer.value == "Yes" ) {
		formName.quantCDPlayer.focus();
	}
	else { // value is No
		formName.quantCDPlayer.value = 0;
	}	
} // end clickCD

function clickWireless(formName) {
	if (formName.wirelessMic.value == "Yes" ) {
		formName.quantWirelessMic.focus();
	}
	else { // value is No
		formName.quantWirelessMic.value = 0;
	}	
} // end 

function clickLavalier(formName) {
	if (formName.lavalierMic.value == "Yes" ) {
		formName.quantLavalierMic.focus();
	}
	else { // value is No
		formName.quantLavalierMic.value = 0;
	}	
} // end 

function clickPodiumMic(formName) {
	if (formName.podiumMic.value == "Yes" ) {
		formName.quantPodMic.focus();
	}
	else { // value is No
		formName.quantPodMic.value = 0;
	}	
} // end 

function clickPanel(formName) {
	if (formName.panelMic.value == "Yes" ) {
		formName.quantPanelMic.focus();
	}
	else { // value is No
		formName.quantPanelMic.value = 0;
	}	
} // end 

function clickVideo(formName) {
	if (formName.videoProj.value == "Yes" ) {
		formName.quantVideoProj.focus();
	}
	else { // value is No
		formName.quantVideoProj.value = 0;
	}	
} // end

function clickComp(formName) {
	if (formName.compProj.value == "Yes" ) {
		formName.quantCompProj.focus();
	}
	else { // value is No
		formName.quantCompProj.value = 0;
	}	
} // end

function clickTVVCR(formName) {
	if (formName.tvVCRDVD.value == "Yes" ) {
		formName.quantTVVCR.focus();
	}
	else { // value is No
		formName.quantTVVCR.value = 0;
	}	
} // end

function clickTV(formName) {
	if (formName.TV.value == "Yes" ) {
		formName.quantTV.focus();
	}
	else { // value is No
		formName.quantTV.value = 0;
	}	
} // end

function clickSlide(formName) {
	if (formName.slideProj.value == "Yes" ) {
		formName.quantSlideProj.focus();
	}
	else { // value is No
		formName.quantSlideProj.value = 0;
	}	
} // end

function clickOverhead(formName) {
	if (formName.overheadProj.value == "Yes" ) {
		formName.quantOverheadProj.focus();
	}
	else { // value is No
		formName.quantOverheadProj.value = 0;
	}	
} // end

function clickEasel(formName) {
	if (formName.easel.value == "Yes" ) {
		formName.quantEasel.focus();
	}
	else { // value is No
		formName.quantEasel.value = 0;
	}	
} // end

function clickPCLaptop(formName) {
	if (formName.pcLaptop.value == "Yes" ) {
		formName.quantPCLaptop.focus();
	}
	else { // value is No
		formName.quantPCLaptop.value = 0;
	}	
} // end

function clickAppleLaptop(formName) {
	if (formName.appleLaptop.value == "Yes" ) {
		formName.quantAppleLaptop.focus();
	}
	else { // value is No
		formName.quantAppleLaptop.value = 0;
	}	
} // end

function clickFlipCharts(formName) {
	if (formName.flipCharts.value == "Yes" ) {
		formName.quantFlipCharts.focus();
	}
	else { // value is No
		formName.quantFlipCharts.value = 0;
	}	
} // end

function clickScreen(formName) {
	if (formName.screen.value == "Yes" ) {
		formName.quantScreen.focus();
	}
	else { // value is No
		formName.quantScreen.value = 0;
	}	
} // end

function clickPhone(formName) {
	if (formName.phones.value == "Yes" ) {
		formName.quantPhones.focus();
	}
	else { // value is No
		formName.quantPhones.value = 0;
	}	
} // end

function clickFax(formName) {
	if (formName.faxMachine.value == "Yes" ) {
		formName.quantFax.focus();
	}
	else { // value is No
		formName.quantFax.value = 0;
	}	
} // end

function clickComputerCon(formName) {
	if (formName.computerCon.value == "Yes" ) {
		formName.quantComputerCon.focus();
	}
	else { // value is No
		formName.quantComputerCon.value = 0;
	}	
} // end

function clickPodLaptopCon(formName) {
	if (formName.podLaptopCon.value == "Yes" ) {
		formName.quantPodLaptopCon.focus();
	}
	else { // value is No
		formName.quantPodLaptopCon.value = 0;
	}	
} // end

function clickExternalSpeakers(formName) {
	if (formName.externalSpeakers.value == "Yes" ) {
		formName.quantExternalSpeakers.focus();
	}
	else { // value is No
		formName.quantExternalSpeakers.value = 0;
	}	
} // end

function clickPodium(formName) {
	if (formName.podium.value == "Yes" ) {
		formName.quantPodium.focus();
	}
	else { // value is No
		formName.quantPodium.value = 0;
	}	
} // end
function clickLecturn(formName) {
	if (formName.lecturn.value == "Yes" ) {
		formName.quantLecturn.focus();
	}
	else { // value is No
		formName.quantLecturn.value = 0;
	}	
} // end
function clickVideotaping(formName) {
	if (formName.videotaping.value == "Yes" ) {
		formName.quantVideotaping.focus();
	}
	else { // value is No
		formName.quantVideotaping.value = 0;
	}	
} // end

function clickLaserPointer(formName) {
	if (formName.laserPointer.value == "Yes" ) {
		formName.quantLaserPointer.focus();
	}
	else { // value is No
		formName.quantLaserPointer.value = 0;
	}	
} // end

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	if (checkSubmission(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true;
	}	
	else
		return false;
} // end setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="FlagstaffAVModifyQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="quoteModification" value="yes">
<input type="hidden" name="requestType" value="audioVisual">
<input type="hidden" name="AV3" value="checked">

<div class="BigTitle">The Flagstaff Hotel</div>
<div class="colorLtBlue"></div>
<h1>Audio/Visual Services</h1>
  <h2>Quote for Item(s) Request - Modify</h2>

<p class="Body"> Below you will find the audio visual items you requested through 
  the CMU Planning Portal. Use the fields below to modify your quote as you like. 
  When you are finished with your changes click "Submit" to finalize. 
  Choosing "Cancel" will take you back to your original quote. <br>
  <br>
  Thank you! 
<div class="footer"></div>  
<h3>Audio Visual Request:</h3>
<!--<font class="tableFont"> -->
  <table class="table1" width="87%" border="0" cellpadding="0">
    <tr> 
      <td colspan="2"><font class="emphasis1">Contact Information:</font></td>
      <td colspan="2"><font class="emphasis1">Event Information:</font></td>
    </tr>
    <tr> 
      <td width="16%">First Name:</td>
      <td width="27%"> <input type="text" class="inputBox" name="contactFirstName" value="<%=rs.getString("contactFirstName")%>"> 
      </td>
      <td width="22%">Event Title:</td>
      <td width="35%"> 
	  <input type="text" class="inputBox" name="eventTitle" value="<%=rs.getString("eventTitle")%>"> 
      </td>
    </tr>
    <%	rs.close();
		rs = dcon.submitQuery(dataQuery);
		crap = rs.next();
	%>	
	<tr> 
      <td>Last Name:</td>
      <td> <input type="text" class="inputBox" name="contactLastName" value="<%=rs.getString("contactLastName")%>"></td>
      <%	rs.close(); 
			rs = dcon.submitMonthQuery();
	  %>
      <td>Event Date:</td>
      <td> <select name="eventMonth" class="box1" id="eventMonth">
          <option value="<%=eventMonth%>" selected><%=eventMonth%></option>
          <option value="">------</option>
		  <%String value = "none"; 
		  	while (rs.next()) {
				value = rs.getString(1);
		  %>
          <option value="<%=value%>"><%=value%></option>
          <% } // end while %>
        </select> <select name="eventDayOfMonth" class="box1" id="eventDayOfMonth">
          <option value="<%=eventDayOfMonth%>" selected><%=eventDayOfMonth%></option>
          <option value="">------</option>
		  <% int day = 1;
		  while (day <= 31 ) {
		  %>
          <option value="<%=day%>"><%=day%></option>
          <% day++;
		   } // end while
		   %>
        </select> <select name="eventYear" class="box1" id="eventYear">
          <option value="<%=eventYear%>" selected><%=eventYear%></option>
          <option value="">------</option>
		  <% int year = 2005;
		  while (year <= 2010 ) {
		  %>
          <option value="<%=year%>"><%=year%></option>
          <% year++;
		   } // end while
		   %>
        </select> </td>
    </tr>
     	
		<%	rs.close();
			rs = dcon.submitQuery(dataQuery);
			crap = rs.next();
		%>
		
    <tr> 
      <td>Email:</td>
      <td> <input type="text" class="inputBox" name="contactEmail" value="<%=rs.getString("contactEmail")%>"> 
      </td>
      <% 	rs.close();
			rs = dcon.submitRoomQuery();
	  %>
      <td>Event Location:</td>
      <td> 
	  <select name="eventLocation" id="eventLocation" class="box1">
        	<option value="<%=eventLocation%>" selected><%=eventLocation%></option>
            <option value="">---------------</option>
            <% 	String room = new String();
		  		String building = new String();
		  		while (rs.next()) {
					room = rs.getString(1);
					building = rs.getString(2);
			%>
          	<option value="<%=room%>"><%=building%> - <%=room%></option>
            <% } // end while %>
        </select> </td>
    </tr>
     <% 	rs.close();
				rs = dcon.submitQuery(dataQuery);
				crap = rs.next();
			%>
    <tr> 
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>Setup Complete:</td>
      <td> <select name="setupComplete" class="box1" id="setupComplete" onChange="checkSetupTimes(document.quoteForm)">
          <option value="<%=rs.getString("setupComplete")%>" selected><%=TimeFormat.format(rs.getString("setupComplete"))%></option>
          <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
        </select> </td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>&nbsp;</td>
      <td>Breakdown Start:</td>
      <td> <select name="breakdownStart" class="box1" id="breakdownStart" onChange="checkSetupTimes(document.quoteForm)">
          <option value="<%=rs.getString("breakdownStart")%>" selected><%=TimeFormat.format(rs.getString("breakdownStart"))%></option>
          <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
        </select> </td>
    </tr>
    <tr> 
      <td colspan="2"><font class="emphasis1">Items Requested:</font></td>
      <td>&nbsp;</td>
      <td><font class="emphasis1">Quantity:</font></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>CD Player: </td>
      <td><select name="cdPlayer" class="box1" id="cdPlayer" onChange= "return clickCD(document.quoteForm)">
          <option value="<%=rs.getString("cdPlayer")%>" selected><%=rs.getString("cdPlayer")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantCDPlayer" value="<%String shit=rs.getString("quantCDPlayer"); if (rs.wasNull()) shit="0"; out.print(shit);%>"></td>
    </tr>
    <tr> 
      <td height="26">&nbsp;</td>
      <td>Wireless Microphone:</td>
      <td><select name="wirelessMic" class="box1" id="wirelessMic" onChange= "return clickWireless(document.quoteForm)">
          <option value="<%=rs.getString("wirelessMic")%>" selected><%=rs.getString("wirelessMic")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantWirelessMic" value="<%shit=rs.getString("quantWirelessMic"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Lavalier Microphone:</td>
      <td><select name="lavalierMic" class="box1" id="lavalierMic" onChange= "return clickLavalier(document.quoteForm)">
          <option value="<%=rs.getString("lavalierMic")%>" selected><%=rs.getString("lavalierMic")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantLavalierMic" value="<%shit=rs.getString("quantLavalierMic"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Podium Microphone: </td>
      <td><select name="podiumMic" class="box1"id="podiumMic" onChange= "return clickPodiumMic(document.quoteForm)">
          <option value="<%=rs.getString("podiumMic")%>" selected><%=rs.getString("podiumMic")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantPodMic" value="<%shit=rs.getString("quantPodMic"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Panel Microphone:</td>
      <td><select name="panelMic" class="box1" id="panelMic" onChange= "return clickPanel(document.quoteForm)">
          <option value="<%=rs.getString("panelMic")%>" selected><%=rs.getString("panelMic")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantPanelMic" value="<%shit=rs.getString("quantPanelMic"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Podium Laptop Connection:</td>
      <td><select name="podLaptopCon" class="box1" id="select" onChange= "return clickPodLaptopCon(document.quoteForm)">
          <option value="<%=rs.getString("podLaptopCon")%>" selected><%=rs.getString("podLaptopCon")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantPodLaptopCon" value="<%shit=rs.getString("quantPodLaptopCon"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>External Compouter Speakers:</td>
      <td><select name="externalSpeakers" class="box1" id="select" onChange= "return clickExternalSpeakers(document.quoteForm)">
          <option value="<%=rs.getString("externalSpeakers")%>" selected><%=rs.getString("externalSpeakers")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantExternalSpeakers" value="<%shit=rs.getString("quantExternalSpeakers"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
	<tr> 
      <td>&nbsp;</td>
      <td>Video Projector:</td>
      <td><select name="videoProj" class="box1" id="videoProj" onChange= "return clickVideo(document.quoteForm)">
          <option value="<%=rs.getString("videoProj")%>" selected><%=rs.getString("videoProj")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantVideoProj" value="<%shit=rs.getString("quantVideoProj"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Computer Projector:</td>
      <td><select name="compProj" class="box1" id="compProj" onChange= "return clickComp(document.quoteForm)">
          <option value="<%=rs.getString("compProj")%>" selected><%=rs.getString("compProj")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantCompProj" value="<%shit=rs.getString("quantCompProj"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>TV/VCR/DVD:</td>
      <td><select name="tvVCRDVD" class="box1" id="tvVCRDVD" onChange= "return clickTVVCR(document.quoteForm)">
          <option value="<%=rs.getString("tvVCRDVD")%>" selected><%=rs.getString("tvVCRDVD")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantTVVCR" value="<%shit=rs.getString("quantTVVCR"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Television Only:</td>
      <td><select name="TV" class="box1" id="TV" onChange= "return clickCD(document.quoteForm)">
          <option value="<%=rs.getString("TV")%>" selected><%=rs.getString("TV")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantTV" value="<%shit=rs.getString("quantTV"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Slide Projector:</td>
      <td><select name="slideProj" class="box1"id="slideProj" onChange= "return clickSlide(document.quoteForm)">
          <option value="<%=rs.getString("slideProj")%>" selected><%=rs.getString("slideProj")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantSlideProj" value="<%shit=rs.getString("quantSlideProj"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Overhead Projector:</td>
      <td><select name="overheadProj" class="box1" id="overheadProj" onChange= "return clickOverhead(document.quoteForm)">
          <option value="<%=rs.getString("overheadProj")%>" selected><%=rs.getString("overheadProj")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantOverheadProj" value="<%shit=rs.getString("quantOverheadProj"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Easel:</td>
      <td><select name="easel" class="box1" id="easel" onChange= "return clickEasel(document.quoteForm)">
          <option value="<%=rs.getString("easel")%>" selected><%=rs.getString("easel")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantEasel" value="<%shit=rs.getString("quantEasel"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Laptop - PC:</td>
      <td><select name="pcLaptop" class="box1" id="pcLaptop" onChange= "return clickPCLaptop(document.quoteForm)">
          <option value="<%=rs.getString("pcLaptop")%>" selected><%=rs.getString("pcLaptop")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantPCLaptop" value="<%shit=rs.getString("quantPCLaptop"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Laptop - Apple:</td>
      <td><select name="appleLaptop" class="box1" id="appleLaptop" onChange= "return clickAppleLaptop(document.quoteForm)">
          <option value="<%=rs.getString("appleLaptop")%>" selected><%=rs.getString("appleLaptop")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantAppleLaptop" value="<%shit=rs.getString("quantAppleLaptop"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Flip Charts:</td>
      <td><select name="flipCharts" class="box1" id="flipCharts" onChange= "return clickFlipCharts(document.quoteForm)">
          <option value="<%=rs.getString("flipCharts")%>" selected><%=rs.getString("flipCharts")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantFlipCharts" value="<%shit=rs.getString("quantFlipCharts"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Screen:</td>
      <td><select name="screen" class="box1" id="screen" onChange= "return clickScreen(document.quoteForm)">
          <option value="<%=rs.getString("screen")%>" selected><%=rs.getString("screen")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select> </td>
      <td><input type="text" class="box1" name="quantScreen" value="<%shit=rs.getString("quantScreen"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Phone:</td>
      <td><select name="phones" class="box1" id="phones" onChange= "return clickPhone(document.quoteForm)">
          <option value="<%=rs.getString("phones")%>" selected><%=rs.getString("phones")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantPhones" value="<%shit=rs.getString("quantPhones"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Fax Machine:</td>
      <td><select name="faxMachine" class="box1" id="faxMachine" onChange= "return clickFax(document.quoteForm)">
          <option value="<%=rs.getString("faxMachine")%>" selected><%=rs.getString("faxMachine")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantFax" value="<%shit=rs.getString("quantFax"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>Computer Network Connection:</td>
      <td><select name="computerCon" class="box1" id="computerCon" onChange= "return clickComputerCon(document.quoteForm)">
          <option value="<%=rs.getString("computerCon")%>" selected><%=rs.getString("computerCon")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantComputerCon" value="<%shit=rs.getString("quantComputerCon"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Podium:</td>
      <td><select name="podium" class="box1" id="podium" onChange= "return clickPodium(document.quoteForm)">
          <option value="<%=rs.getString("podium")%>" selected><%=rs.getString("podium")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantPodium" value="<%shit=rs.getString("quantPodium"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Lecturn:</td>
      <td><select name="lecturn" class="box1" id="lecturn" onChange= "return clickLecturn(document.quoteForm)">
          <option value="<%=rs.getString("lecturn")%>" selected><%=rs.getString("lecturn")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantLecturn" value="<%shit=rs.getString("quantLecturn"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Videotaping:</td>
      <td><select name="videotaping" class="box1" id="videotaping" onChange= "return clickVideotaping(document.quoteForm)">
          <option value="<%=rs.getString("videotaping")%>" selected><%=rs.getString("videotaping")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantVideotaping" value="<%shit=rs.getString("quantVideotaping"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>Laser Pointer:</td>
      <td><select name="laserPointer" class="box1" id="laserPointer" onChange= "return clickLaserPointer(document.quoteForm)">
          <option value="<%=rs.getString("laserPointer")%>" selected><%=rs.getString("laserPointer")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><input type="text" class="box1" name="quantLaserPointer" value="<%shit=rs.getString("quantLaserPointer"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>&nbsp;</td>
      <td><table width="73%" height="28" border="0" cellpadding="0" align="right">
          <tr> 
            <td><div align="right"> 
                <input name="acceptButton" class="box1" type="submit" id="acceptButton" value="SUBMIT" 
					onClick=" return setActionAccept(document.quoteForm)">
              </div></td>
            <td><div align="right"> 
                <input name="cancelButton" class="box1" type="submit" id="cancelButton" value="CANCEL"
					onClick="setActionCancel(document.quoteForm)">
              </div></td>
          </tr>
        </table></td>
    </tr>
  </table>
</font>
</p>

  <div class="footer">&copy;2005 <a href="Flagstaff_site/home.html">www.flagstaffhotel.org</a> 
  </div>
</form>
<%	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
%>	
<% dcon.closeDBConnection(); %>
</body>
</html>

