
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Breakfast Break - We really like breakfast.</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="BBreakStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad= "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 B B R E A K M O D I F Y Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display and modify request and quote information for Breakfast Break
			Service.    
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-05-20
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	
	String dataQuery = "SELECT * FROM cateringRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/Catering/BBreakReviewQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: BBreakModifyQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
		
	
	//user data - get it from dataQuery 
	String eventLocation = rs.getString("eventLocation");
	String eventMonth = rs.getString("eventMonth");
	String eventDayOfMonth = rs.getString("eventDayOfMonth");
	String eventYear = rs.getString("eventYear");
	
%>

<script language="Javascript">
var outputString = "Wait! We need the following information:\n";
var flag = 0;
var focusFlag = 0;
var selectionFlag = 0;

// get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

function checkRadioGroups(element) {
	var selection = document.quoteForm.selectionBox.value;
	if (selectionFlag == 0) { 
		document.quoteForm.selection.value = element.value;
		document.quoteForm.selectionBox.value = element.value;
		selectionFlag = 1;
		return true;
	} // end if
	var value = element.value;
	if (value == "none") {
		document.quoteForm.selection.value = "";
		element.value = "none";
		document.quoteForm.selectionBox.value = "";
		selectionFlag = 0;
	} // end if	
	else {
		alert("You've already chosen a catering option!  To choose a different option de-select your current selection and choose another.");
		element.value = "none";
		return false;
	}
} // end checkRadioGroups

function checkVegan(formName) {
	if ((formName.vegan.value == "Yes")&&(formName.quantVegan.value == 0)) {
		outputString += "Quantity of Vegan Meals\n";
		flag = 1;
		checkForFocus(formName.quantVegan);
	}
} // end checkCD

function checkVegetarian(formName) {
	if ((formName.vegetarian.value == "Yes")&&(formName.quantVegetarian.value == 0)) {
		outputString += "Quantity of Vegetarian Meals\n";
		flag = 1;
		checkForFocus(formName.quantVegetarian);
	}
} // end checkWireless

function checkAtkins(formName) {
	if ((formName.atkins.value == "Yes")&&(formName.quantAtkins.value == 0)) {
		outputString += "Quantity of Atkins-friendly Meals\n";
		flag = 1;
		checkForFocus(formName.quantAtkins);
	}
} // end checkLavalier

function checkKosher(formName) {
	if ((formName.kosher.value == "Yes")&&(formName.quantKosher.value == 0)) {
		outputString += "Quantity of Kosher Meals\n";
		flag = 1;
		checkForFocus(formName.quantKosher);
	}
} // end checkPodiumMic

function checkSubmission(formName) {
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == ""){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.setupComplete.value == "") {
		outputString += "Setup Complete Time\n";
		flag = 1;
		checkForFocus(formName.setupComplete);
	}
	if (formName.breakdownStart.value == ""){
		outputString += "Breakdown Start Time\n";
		flag = 1;
		checkForFocus(formName.breakdownStart);
	}
	if (formName.contactFirstName.value == ""){
		outputString += "Contact First Name\n";
		flag = 1;
		checkForFocus(formName.contactFirstName);
	}
	if (formName.contactLastName.value == ""){
		outputString += "Contact Last Name\n";
		flag = 1;
		checkForFocus(formName.contactLastName);
	}
	if (formName.contactEmail.value == "") {
		outputString += "Contact Email\n";
		flag = 1;
		checkForFocus(formName.contactEmail);
	}
	if (formName.quantMeals.value == "0") {
		outputString += "Number of Meals\n";
		flag = 1;
		checkForFocus(formName.quantMeals);
	}
	checkVegan(formName);
	checkVegetarian(formName);
	checkAtkins(formName);
	checkKosher(formName);
		
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "Wait! We need the following information:\n";
		flag = 0;
		focusFlag = 0;
		return false
	}
	else {
		return true;
	}
	
} // end checkSumission

// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

/// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	if (checkSubmission(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true;
	}	
	else
		return false;
} // end setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name= "quoteForm" action="">
  <input type="hidden" name="uniqueID" value="<%=id%>">
  <input type="hidden" name="pageLoad" value="">
  <input type="hidden" name="pageSubmit" value="">
  <input type="hidden" name="eventSource" value="BBreakModifyQuote.jsp">
  <input type="hidden" name="quoteID" value=<"">
  <input type="hidden" name="quoteModification" value="yes">
  <input type="hidden" name="requestType" value="catering">
  <input type="hidden" name="catering3" value="checked">
  <input type="hidden" name="selection" value="<%=rs.getString("selection")%>">
  <table width="473" align="left">
    <tr> 
      <td width="508" height="78" class="pageBody"><p><font class="bigHeader">Breakfast 
          Break</font></p>
        <div class="headerDiv"><font class="smallHeader">We really like breakfast.</font></div></td>
      <td width="125" class="pageBody"><img src="sunnyside.jpg" width="125" height="82"></td>
    </tr>
    <tr> 
      <td colspan="2" class="pageBody"> <table width="100%" border="0">
          <tr> 
            <td colspan="2" class="left"><p>You can use the fields below to change 
                your catering request. Make sure you don't try to choose more 
                than one catering option for this particular event! When you're 
                done making changes choose the Submit It! option to submit your 
                modifications. </p>
              <p>If you've decided you would like to cancel this request you can 
                do so by choosing the Cancel It! option below. </p>
              <p>We look forward to catering to your every need :) !!</p></td>
          </tr>
          <tr> 
            <td width="45%" class="center">&nbsp;</td>
            <td width="55%" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="dataLabel"> Info: Contact</td>
          </tr>
          <tr> 
            <td class="left">Contact First Name:</td>
            <td class="data"> <input name="contactFirstName" type="text" class="inputBox" value="<%=rs.getString("contactFirstName")%>"></td>
          </tr>
          <tr> 
            <td class="left">Contact Last Name:</td>
            <td class="data"> <input name="contactLastName" type="text" class="inputBox" value="<%=rs.getString("contactLastName")%>"></td>
          </tr>
          <tr> 
            <td class="left">Contact Email:</td>
            <td class="data"> <input name="contactEmail" type="text" class="inputBox" value="<%=rs.getString("contactEmail")%>"></td>
          </tr>
          <tr> 
            <td colspan="2" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="dataLabel">Info: Event</td>
          </tr>
          <%	rs.close();
		  		rs = dcon.submitMonthQuery();
		  %>
          <tr> 
            <td class="left">Event Date:</td>
            <td class="data"> <select name="eventMonth" class="selectInput" id="eventMonth">
                <option value=<%=eventMonth%> selected><%=eventMonth%></option>
                <option value="">------</option>
				<% String value = "none"; 
		  				while (rs.next()) {
						value = rs.getString(1);
		  		%>
                <option value="<%=value%>"><%=value%></option>
                <% } // end while %>
              </select> <select name="eventDayOfMonth" class="inputCell" id="eventDayOfMonth">
                <option value=<%=eventDayOfMonth%> selected><%=eventDayOfMonth%></option>
                <option value="">------</option>
				<% int day = 1;
		  				while (day <= 31 ) {
		  			%>
                <option value="<%=day%>"><%=day%></option>
                <% day++;
		   			} // end while
		   			%>
              </select> <select name="eventYear" class="inputCell" id="eventYear">
                <option value=<%=eventYear%> selected><%=eventYear%></option>
                <option value="">------</option>
				<% int year = 2005;
		  			while (year <= 2010 ) {
		  			%>
                <option value="<%=year%>"><%=year%></option>
                <% year++;
		   			} // end while
		   			%>
              </select></td>
          </tr>
          <% 	rs.close();
				rs = dcon.submitQuery(dataQuery);
				crap = rs.next();
		  %>
          <tr> 
            <td class="left">Event Title:</td>
            <td class="data"> 
			<input name="eventTitle" type="text" class="inputBox" value="<%=rs.getString("eventTitle")%>">
			</td>
          </tr>
          <% rs.close();
		  	 rs = dcon.submitRoomQuery();
		  %>
          <tr> 
            <td class="left">Event Location:</td>
            <td class="data"> 
			<select name="eventLocation" id="eventLocation" class="box1">
        		<option value="<%=eventLocation%>" selected><%=eventLocation%></option>
            	<option value="">---------------</option>
            	<% 	String room = new String();
		  			String building = new String();
		  			while (rs.next()) {
						room = rs.getString(1);
						building = rs.getString(2);
				%>
          		<option value="<%=room%>"><%=building%> - <%=room%></option>
            	<% } // end while %>
       		 </select></td>
          </tr>
          <% 	rs.close();
				rs = dcon.submitQuery(dataQuery);
				crap = rs.next();
		  %>
          <tr> 
            <td class="left">Setup Time:</td>
            <td class="data"> <select name="setupComplete" id="setupComplete" onChange="checkSetupTimes(document.quoteForm)">
                <option value="<%=rs.getString("setupComplete")%>" selected><%=TimeFormat.format(rs.getString("setupComplete"))%></option>
                <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
              </select></td>
          </tr>
          <tr> 
            <td class="left">Breakdown Time:</td>
            <td class="data"> <select name="breakdownStart" id="breakdownStart" onChange="checkSetupTimes(document.quoteForm)">
                <option value="<%=rs.getString("breakdownStart")%>" selected><%=TimeFormat.format(rs.getString("breakdownStart"))%></option>
                <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
              </select></td>
          </tr>
          <tr> 
            <td colspan="2" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="dataLabel">Selection: Catering Option</td>
          </tr>
          <%   %>
          <tr> 
            <td class="left">Meal: 
              <input type="text" name="selectionBox" disabled value="<%=rs.getString("selection")%>"></td>
            <td class="left"># of Meals: 
              <input name="quantMeals" type="text" class="inputBox" value="<%=rs.getString("quantMeals")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
          </tr>
          <tr> 
            <td class="left">Breakfast:</td>
            <td class="left"> <select name="breakfast" onChange="return checkRadioGroups(breakfast)">
                <option value="none" selected>------</option>
                <option value="breakfastSmallBuffet">Small Buffet</option>
                <option value="breakfastLargeBuffet">Large Buffet</option>
                <option value="breakfastContinental">Continental</option>
              </select></td>
          </tr>
          <tr> 
            <td class="left">Lunch:</td>
            <td class="left"><select name="lunch" onChange="return checkRadioGroups(lunch)">
                <option value="none" selected>------</option>
                <option value="lunchSmallBuffet">Small Buffet</option>
                <option value="lunchLargeBuffet">Large Buffet</option>
                <option value="lunchSoup">Soup and Salad</option>
                <option value="lunchBox">Box Lunch</option>
                <option value="lunchLightBanquet">Light Banquet</option>
                <option value="lunchMediumBanquet">Medium Banquet</option>
                <option value="lunchFancyBanquet">Fancy Banquet</option>
              </select></td>
          </tr>
          <tr> 
            <td class="left">Dinner: </td>
            <td class="left"><select name="dinner" onChange="return checkRadioGroups(dinner)">
                <option value="none" selected>------</option>
                <option value="dinnerBuffet">Reception (Buffet)</option>
                <option value="dinnerLightBanquet">Light Banquet</option>
                <option value="dinnerMediumBanquet">Medium Banquet</option>
                <option value="dinnerFancyBanquet">Fancy Banquet</option>
              </select></td>
          </tr>
          <tr> 
            <td class="left">Snack :</td>
            <td class="left"><select name="snack" onChange="return checkRadioGroups(snack)">
                <option value="none" selected>------</option>
                <option value="snackCheese">Cheese and Fruit</option>
                <option value="snackPizza">Pizza Party</option>
              </select></td>
          </tr>
          <tr> 
            <td class="left">Coffee/Refreshment: </td>
            <td class="left"><select name="coffee" onChange="return checkRadioGroups(coffee)">
                <option value="none" selected>------</option>
                <option value="coffeeWater">Coffee, Tea, Water</option>
                <option value="drinksPastry">Drinks and Pastry</option>
              </select></td>
          </tr>
          <tr> 
            <td>Gift Baskets:</td>
            <td class="left"><select name="select" onChange="return checkRadioGroups(giftBasket)">
                <option value="none" selected>------</option>
                <option value="giftBasket">Gift Basket</option>
              </select></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td class="left">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Requests: Special</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="left">Vegan: 
              <select name="vegan">
                <option value="<%=rs.getString("vegan")%>" selected><%=rs.getString("vegan")%></option>
                <option value="">---------------</option>
                <option value="Yes">Yes</option>
                <option value="No">No</option>
              </select></td>
            <td class="left">Quantity: 
              <input type="text" name="quantVegan" value="<%=rs.getString("quantVegan")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
          </tr>
          <tr> 
            <td class="left">Vegetarian: 
              <select name="vegetarian">
                <option value="<%=rs.getString("vegetarian")%>" selected><%=rs.getString("vegetarian")%></option>
                <option value="">---------------</option>
                <option value="Yes">Yes</option>
                <option value="No">No</option>
              </select></td>
            <td class="left">Quantity: 
              <input type="text" name="quantVegetarian" value="<%=rs.getString("quantVegetarian")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
          </tr>
          <tr> 
            <td class="left">Atkins-friendly: 
              <select name="atkins">
                <option value="<%=rs.getString("atkins")%>" selected><%=rs.getString("atkins")%></option>
                <option value="">---------------</option>
                <option value="Yes">Yes</option>
                <option value="No">No</option>
              </select></td>
            <td class="left">Quantity: 
              <input type="text" name="quantAtkins" value="<%=rs.getString("quantAtkins")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");'> 
            </td>
          </tr>
          <tr> 
            <td class="left">Kosher: 
              <select name="kosher">
                <option value="<%=rs.getString("kosher")%>" selected><%=rs.getString("kosher")%></option>
                <option value="">---------------</option>
                <option value="Yes">Yes</option>
                <option value="No">No</option>
              </select></td>
            <td class="left">Quantity: 
              <input type="text" name="quantKosher" value="<%=rs.getString("quantKosher")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");'> 
            </td>
          </tr>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="left">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="dataLabel">&nbsp;</td>
          </tr>
        </table>
        <table width="60%" border="0" cellpadding="0">
          <tr> 
            <td class="center"> <input name="acceptButton" type="submit" class="button" id="acceptButton" value="Submit It!" 
			  	onClick="return setActionAccept(document.quoteForm)"></td>
            <td class="center"> <input name="cancelButton" type="submit" class="button" id="cancelButton" value="Cancel It!"
			    onClick="setActionCancel(document.quoteForm)"></td>
          </tr>
        </table></td>
    </tr>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
  </table>
  <% // insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
  %>
 </form> 
<p>&nbsp;</p>
<% dcon.closeDBConnection(); %>
</body>
</html>



