<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Pittsburgh Catering</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link href="PghStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad= "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						    P G H M O D I F Y Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display and modify request and quote information for the Pittsburgh Catering
			Service.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-05-20
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	
	String dataQuery = "SELECT * FROM cateringRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/Catering/PghReviewQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: PghModifyQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
		

	//user data - get it from dataQuery 
	String eventLocation = rs.getString("eventLocation");
	String eventMonth = rs.getString("eventMonth");
	String eventDayOfMonth = rs.getString("eventDayOfMonth");
	String eventYear = rs.getString("eventYear");
%>

<script language="Javascript">
var outputString = "We need the following information from you:\n";
var flag = 0;
var focusFlag = 0;
var selectionFlag = 0;

// get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

function checkRadioGroups(element) {
	alert("selection flag is" + selectionFlag);
	var selection = document.quoteForm.selectionBox.value;
	if (selectionFlag == 0) { 
		document.quoteForm.selection.value = element.value;
		document.quoteForm.selectionBox.value = element.value;
		selectionFlag = 1;
		return true;
	} // end if
	var value = element.value;
	if (value == "none") {
		document.quoteForm.selection.value = "";
		element.value = "none";
		document.quoteForm.selectionBox.value = "";
		selectionFlag = 0;
	} // end if	
	else {
		alert("You've already chosen a catering option!  To choose a different option de-select your current selection and choose another.");
		element.value = "none";
		return false;
	}
} // end checkRadioGroups

function checkVegan(formName) {
	if ((formName.vegan.value == "Yes")&&(formName.quantVegan.value == 0)) {
		outputString += "Quantity of Vegan Meals\n";
		flag = 1;
		checkForFocus(formName.quantVegan);
	}
} // end checkCD

function checkVegetarian(formName) {
	if ((formName.vegetarian.value == "Yes")&&(formName.quantVegetarian.value == 0)) {
		outputString += "Quantity of Vegetarian Meals\n";
		flag = 1;
		checkForFocus(formName.quantVegetarian);
	}
} // end checkWireless

function checkAtkins(formName) {
	if ((formName.atkins.value == "Yes")&&(formName.quantAtkins.value == 0)) {
		outputString += "Quantity of Atkins-friendly Meals\n";
		flag = 1;
		checkForFocus(formName.quantAtkins);
	}
} // end checkLavalier

function checkKosher(formName) {
	if ((formName.kosher.value == "Yes")&&(formName.quantKosher.value == 0)) {
		outputString += "Quantity of Kosher Meals\n";
		flag = 1;
		checkForFocus(formName.quantKosher);
	}
} // end checkPodiumMic

function checkSubmission(formName) {
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == ""){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.setupComplete.value == "") {
		outputString += "Setup Complete Time\n";
		flag = 1;
		checkForFocus(formName.setupComplete);
	}
	if (formName.breakdownStart.value == ""){
		outputString += "Breakdown Start Time\n";
		flag = 1;
		checkForFocus(formName.breakdownStart);
	}
	if (formName.contactFirstName.value == ""){
		outputString += "Contact First Name\n";
		flag = 1;
		checkForFocus(formName.contactFirstName);
	}
	if (formName.contactLastName.value == ""){
		outputString += "Contact Last Name\n";
		flag = 1;
		checkForFocus(formName.contactLastName);
	}
	if (formName.contactEmail.value == "") {
		outputString += "Contact Email\n";
		flag = 1;
		checkForFocus(formName.contactEmail);
	}
	if (formName.quantMeals.value == "0") {
		outputString += "Number of Meals\n";
		flag = 1;
		checkForFocus(formName.quantMeals);
	}
	checkVegan(formName);
	checkVegetarian(formName);
	checkAtkins(formName);
	checkKosher(formName);
		
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "We need the following information from you:\n";
		flag = 0;
		focusFlag = 0;
		return false
	}
	else {
		return true;
	}
	
} // end checkSumission

// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	if (checkSubmission(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true;
	}	
	else
		return false;
} // end setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name= "quoteForm" action="">
  <input type="hidden" name="uniqueID" value="<%=id%>">
  <input type="hidden" name="pageLoad" value="">
  <input type="hidden" name="pageSubmit" value="">
  <input type="hidden" name="eventSource" value="PghModifyQuote.jsp">
  <input type="hidden" name="quoteID" value=<"">
  <input type="hidden" name="quoteModification" value="yes">
  <input type="hidden" name="requestType" value="catering">
  <input type="hidden" name="catering2" value="checked">
  <input type="hidden" name="selection" value="<%=rs.getString("selection")%>">
  <table width="785" align="center">
    <tr> 
      <td class="pageBody"> <table width="100%" border="0">
          <tr> 
            <td class="logo1" width="15%" rowspan="28"> <table width="100%" height="100" border="0" cellpadding="0">
                <tr> 
                  <td width="50%" class="logo1">P</td>
                  <td width="50%"></td>
                </tr>
                <tr> 
                  <td class="logo1">I</td>
                  <td class="logo2">C</td>
                </tr>
                <tr> 
                  <td class="logo1">T</td>
                  <td class="logo2">A</td>
                </tr>
                <tr> 
                  <td class="logo1">T</td>
                  <td class="logo2">T</td>
                </tr>
                <tr> 
                  <td class="logo1">S</td>
                  <td class="logo2">E</td>
                </tr>
                <tr> 
                  <td class="logo1">B</td>
                  <td class="logo2">R</td>
                </tr>
                <tr> 
                  <td class="logo1">U</td>
                  <td class="logo2">I</td>
                </tr>
                <tr> 
                  <td class="logo1">R</td>
                  <td class="logo2">N</td>
                </tr>
                <tr> 
                  <td class="logo1">G</td>
                  <td class="logo2">G</td>
                </tr>
                <tr> 
                  <td class="logo1">H</td>
                  <td></td>
                </tr>
              </table></td>
            <td colspan="2" class="logo2">YOUR CATERING REQUEST:</td>
          </tr>
          <tr> 
            <td width="33%" class="dataLabel">Contact Information</td>
            <td width="52%" class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="left">Contact First Name:</td>
            <td class="data"><input type="text" name="contactFirstName" class="dataBox" value="<%=rs.getString("contactFirstName")%>"></td>
          </tr>
          <tr> 
            <td class="left">Contact Last Name:</td>
            <td class="data"><input type="text" name="contactLastName" class="dataBox" value="<%=rs.getString("contactLastName")%>"></td>
          </tr>
          <tr> 
            <td class="left">Contact Email:</td>
            <td class="data"><input type="text" name="contactEmail" class="dataBox" value="<%=rs.getString("contactEmail")%>"></td>
          </tr>
          <tr> 
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Event Information</td>
            <td class="center">&nbsp;</td>
          </tr>
          <%	rs.close();
		  		rs = dcon.submitMonthQuery();
		  %>
          <tr> 
            <td class="left">Event Date:</td>
            <td class="data"> <select name="eventMonth" id="eventMonth" class="dataBox">
                <option value=<%=eventMonth%> selected><%=eventMonth%></option>
                <option value="">------</option>
				<% String value = "none"; 
		  				while (rs.next()) {
						value = rs.getString(1);
		  		%>
                <option value="<%=value%>"><%=value%></option>
                <% } // end while %>
              </select> <select name="eventDayOfMonth" id="eventDayOfMonth" class="dataBox">
                <option value=<%=eventDayOfMonth%> selected><%=eventDayOfMonth%></option>
                <option value="">------</option>
				<% int day = 1;
		  				while (day <= 31 ) {
		  			%>
                <option value="<%=day%>"><%=day%></option>
                <% day++;
		   			} // end while
		   			%>
              </select> <select name="eventYear" id="eventYear" class="dataBox">
                <option value=<%=eventYear%> selected><%=eventYear%></option>
                <option value="">------</option>
				<% int year = 2005;
		  			while (year <= 2010 ) {
		  			%>
                <option value="<%=year%>"><%=year%></option>
                <% year++;
		   			} // end while
		   			%>
              </select> </td>
          </tr>
          <% 	rs.close();
				rs = dcon.submitQuery(dataQuery);
				crap = rs.next();
		  %>
          <tr> 
            <td class="left">Event Title:</td>
            <td class="data">
			<input type="text" name="eventTitle" class="dataBox" value="<%=rs.getString("eventTitle")%>"> 
            </td>
          </tr>
          <% rs.close();
		  	 rs = dcon.submitRoomQuery();
		  %>
          <tr> 
            <td class="left">Event Location:</td>
            <td class="data"> 
			<select name="eventLocation" id="eventLocation" class="dataBox">
        		<option value="<%=eventLocation%>" selected><%=eventLocation%></option>
            	<option value="">---------------</option>
            	<% 	String room = new String();
		  			String building = new String();
		  			while (rs.next()) {
						room = rs.getString(1);
						building = rs.getString(2);
				%>
          		<option value="<%=room%>"><%=building%> - <%=room%></option>
            	<% } // end while %>
       		 </select> </td>
          </tr>
          <% 	rs.close();
				rs = dcon.submitQuery(dataQuery);
				crap = rs.next();
		  %>
          <tr> 
            <td class="left">Setup Time:</td>
            <td class="data"><select name="setupComplete" id="setupComplete" class="dataBox" onChange="checkSetupTimes(document.quoteForm)">
                <option value="<%=rs.getString("setupComplete")%>" selected><%=TimeFormat.format(rs.getString("setupComplete"))%></option>
                <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
             </select> </td>
          </tr>
          <tr> 
            <td class="left">Breakdown Time:</td>
            <td class="data"><select name="breakdownStart"  class="dataBox" id="breakdownStart" onChange="checkSetupTimes(document.quoteForm)">
                <option value="<%=rs.getString("breakdownStart")%>" selected><%=TimeFormat.format(rs.getString("breakdownStart"))%></option>
                <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
             </select> </td>
          </tr>
          <tr> 
            <td class="center">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="dataLabel">Catering Options you can choose</td>
          </tr>
          <%   %>
          <tr> 
            <td class="left">Here is your current selection:</td>
            <td class="left"><input type="text" name="selectionBox" disabled class="dataBox" value="<%=rs.getString("selection")%>"> 
            </td>
          </tr>
          <tr> 
            <td class="left">Number of Meals: </td>
            <td class="left"><input type="text" name="quantMeals" class="dataBox" value="<%=rs.getString("quantMeals")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");'> 
            </td>
          </tr>
          <tr> 
            <td colspan="2" class="left">** If you are changing your meal selection 
              please limit it to one of the following choices. You may only ** 
              assign one catering option to each event.</td>
          </tr>
          <tr> 
            <td class="left">Breakfast:</td>
            <td class="left"><select name="breakfast" class="dataBox" onChange="return checkRadioGroups(breakfast)">
                <option value="none" selected>------</option>
                <option value="breakfastSmallBuffet">Small Buffet</option>
                <option value="breakfastLargeBuffet">Large Buffet</option>
                <option value="breakfastContinental">Continental</option>
              </select></td>
          </tr>
          <tr> 
            <td class="left">Lunch:</td>
            <td class="left"><select name="lunch" class="dataBox" onChange="return checkRadioGroups(lunch)">
                <option value="none" selected>------</option>
                <option value="lunchSmallBuffet">Small Buffet</option>
                <option value="lunchLargeBuffet">Large Buffet</option>
                <option value="lunchSoup">Soup and Salad</option>
                <option value="lunchBox">Box Lunch</option>
                <option value="lunchLightBanquet">Light Banquet</option>
                <option value="lunchMediumBanquet">Medium Banquet</option>
                <option value="lunchFancyBanquet">Fancy Banquet</option>
              </select></td>
          </tr>
          <tr> 
            <td class="left">Dinner:</td>
            <td class="left"><select name="dinner" class="dataBox" onChange="return checkRadioGroups(dinner)">
                <option value="none" selected>------</option>
                <option value="dinnerBuffet">Reception (Buffet)</option>
                <option value="dinnerLightBanquet">Light Banquet</option>
                <option value="dinnerMediumBanquet">Medium Banquet</option>
                <option value="dinnerFancyBanquet">Fancy Banquet</option>
              </select></td>
          </tr>
          <tr> 
            <td class="left">Snack:</td>
            <td class="left"><select name="snack" class="dataBox" onChange="return checkRadioGroups(snack)">
                <option value="none" selected>------</option>
                <option value="snackCheese">Cheese and Fruit</option>
                <option value="snackPizza">Pizza Party</option>
              </select></td>
          </tr>
          <tr> 
            <td class="left">Coffee/Refreshment:</td>
            <td class="left"><select name="coffee" class="dataBox" onChange="return checkRadioGroups(coffee)">
                <option value="none" selected>------</option>
                <option value="coffeeWater">Coffee, Tea, Water</option>
                <option value="drinksPastry">Drinks and Pastry</option>
              </select></td>
          </tr>
          <tr>
            <td class="left">Gift Basket:</td>
            <td class="left"><select name="giftBasket" class="dataBox" onChange="return checkRadioGroups(giftBasket)">
                <option value="none" selected>------</option>
                <option value="giftBasket">Gift Basket</option>
              </select></td>
          </tr>
          <tr> 
            <td class="dataLabel">&nbsp;</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td class="dataLabel">Special Requests</td>
            <td class="center">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="dataLabel"><table width="100%" border="0" cellpadding="0">
                <tr> 
                  <td width="17%">Vegan</td>
                  <td width="19%"> <select name="vegan" class="dataBox">
                      <option value="<%=rs.getString("vegan")%>" selected><%=rs.getString("vegan")%></option>
                      <option value="">---------------</option>
                      <option value="Yes">Yes</option>
                      <option value="No">No</option>
                    </select></td>
                  <td width="13%">Quantity:</td>
                  <td width="51%"><input name="quantVegan" class="dataBox" type="text" value="<%=rs.getString("quantVegan")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");' ></td>
                </tr>
                <tr> 
                  <td>Vegetarian</td>
                  <td> <select name="vegetarian" class="dataBox">
                      <option value="<%=rs.getString("vegetarian")%>" selected><%=rs.getString("vegetarian")%></option>
                      <option value="">---------------</option>
                      <option value="Yes">Yes</option>
                      <option value="No">No</option>
                    </select></td>
                  <td>Quantity:</td>
                  <td><input name="quantVegetarian" type="text" class="dataBox" value="<%=rs.getString("quantVegetarian")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");'> 
                  </td>
                </tr>
                <tr> 
                  <td>Atkins-friendly</td>
                  <td> <select name="atkins" class="dataBox">
                      <option value="<%=rs.getString("atkins")%>" selected><%=rs.getString("atkins")%></option>
                      <option value="">---------------</option>
                      <option value="Yes">Yes</option>
                      <option value="No">No</option>
                    </select></td>
                  <td>Quantity:</td>
                  <td> <input name="quantAtkins" class="dataBox" type="text" value="<%=rs.getString("quantAtkins")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
                </tr>
                <tr> 
                  <td>Kosher</td>
                  <td> <select name="kosher" class="dataBox">
                      <option value="<%=rs.getString("kosher")%>" selected><%=rs.getString("kosher")%></option>
                      <option value="">---------------</option>
                      <option value="Yes">Yes</option>
                      <option value="No">No</option>
                    </select></td>
                  <td>Quantity:</td>
                  <td> <input type="text" name="quantKosher" class="dataBox" value="<%=rs.getString("quantKosher")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");' ></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td class="left">&nbsp;</td>
            <td class="left">&nbsp;</td>
          </tr>
          <tr> 
            <td colspan="2" class="dataLabel"> <table width="100%" border="0" cellpadding="0">
                <tr> 
                  <td height="89" colspan="3"> <p>If you're happy with your changes 
                      Submit your modified request! </p>
                    <p>If you feel like you want to cancel this catering request 
                      (we hope you won't!) click Cancel.</p></td>
                </tr>
                <tr> 
                  <td height="22" class="center"> <input name="acceptButton" type="submit" class="button" id="acceptButton" value="Submit My Changes!" 
						onClick="return setActionAccept(document.quoteForm)"></td>
                  <td class="center"> <input name="cancelButton" type="submit" class="button" id="cancelButton2" value="Cancel This Quote"
						onClick="setActionCancel(document.quoteForm)"></td>
                </tr>
              </table></td>
          </tr>
        </table>
        
      </td>
    </tr>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
    <p>&nbsp;</p>
  </table>
   <%// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
  %>
 </form> 
<% dcon.closeDBConnection(); %>
<p>&nbsp;</p>
</body>
</html>

