<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Lilli Order Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="LilliStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad="setFocus(document.lilliOrderForm)">
<!---------------------------------------------------------------------------------------
					L I L L I O R D E R F O R M  . H T M   
---------------------------------------------------------------------------------------
Purpose:	This htm file allows users to submit floral requests to Lilli Festivale
Input:		none
Action:		TestHarnessServlet is called 
Author:		Kyle Cunningham <kcunning@cs>
--------------------------------------------------------------------------------------->
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
    ResultSet rs = null;
	DatabaseConnectivity dcon = new DatabaseConnectivity();
%>

<script language = "JavaScript">
// Event handler function for submission
var outputString = "Wait! You forgot:\n";
var flag = 0;
var focusFlag = 0;
var selectionMade = 0;

// get the Date() object and identify the hours, mins, secs
// get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

function setFocus(formName) {
	formName.pageLoad.value = clock();
	formName.contactFirstName.focus();
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
} // end checkForFocus()

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

// initHiddenVars:  called in submit processing to set all hidden variable values to No.  This is done
//		to eliminate the possibility of someone clicking a checkbox, setting it's value to Yes, then unclicking and having 
//		it's submitted value as "yes" when it should be no.
function initHiddenVars(formName) {
	formName.item1.value = "No";
	formName.item2.value = "No";
	formName.item3.value = "No";
	formName.item4.value = "No";
} // end initHiddenVars

// checkSelections:  called in submit processing to determine what checkboxes have been selected.
//		If a box has been checked it's corresponding hidden variable is set to Yes.
function checkSelections(formName) {
	if (formName.item1Checkbox.checked == true) {
		formName.item1.value = "Yes";
		selectionMade = 1;
	}	
	if (formName.item2Checkbox.checked == true) {
		formName.item2.value = "Yes";
		selectionMade = 1;
	}
	if (formName.item3Checkbox.checked == true) {
		formName.item3.value = "Yes";
		selectionMade = 1;
	}
	if (formName.item4Checkbox.checked == true) {
		formName.item4.value = "Yes";
		selectionMade = 1;
	}
} // end checkSelections

function checkItem1(formName) {
	if (formName.item1Checkbox.checked == true) {
		if (formName.quantItem1.value == "") {
			outputString += "Classic Vase: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem1);
		}
		if (formName.sizeItem1.value == "Please Select One") {
			outputString += "Classic Vase: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem1);
		}
		if (formName.flowerTypeItem1.value == "") {
			outputString += "Classic Vase: Type of Rose(s)\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem1);
		}
	}
} // end checkItem1()

function checkItem2(formName) {
	if (formName.item2Checkbox.checked == true) {
		if (formName.quantItem2.value == "") {
			outputString += "Rose Bundle: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem2);
		}
		if (formName.sizeItem2.value == "Please Select One") {
			outputString += "Rose Bundle: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem2);
		}
		if (formName.flowerTypeItem2.value == "") {
			outputString += "Rose Bundle: Type of Rose(s)\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem2);
		}
	}
} // end checkItem2()

function checkItem3(formName) {
	if (formName.item3Checkbox.checked == true) {
		if (formName.quantItem3.value == "") {
			outputString += "Centerpiece: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem3);
		}
		if (formName.sizeItem3.value == "Please Select One") {
			outputString += "Centerpiece: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem3);
		}
		if (formName.flowerTypeItem3.value == "") {
			outputString += "Centerpiece: Type of Rose(s)\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem3);
		}
	}
} // end checkItem3()

function checkItem4(formName) {
	if (formName.item4Checkbox.checked == true) {
		if (formName.quantItem4.value == "") {
			outputString += "Eye Catcher: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem4);
		}
		if (formName.sizeItem4.value == "Please Select One") {
			outputString += "Eye Catcher: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem4);
		}
		if (formName.flowerTypeItem4.value == "") {
			outputString += "Eye Catcher: Type of Rose(s)\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem4);
		}
	}
} // end checkItem4()

function checkSubmission(formName) {
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == "Please Select One"){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.setupComplete.value == "Please Select One") {
		outputString += "Setup Complete Time\n";
		flag = 1;
		checkForFocus(formName.setupComplete);
	}
	if (formName.breakdownStart.value == "Please Select One"){
		outputString += "Breakdown Start Time\n";
		flag = 1;
		checkForFocus(formName.breakdownStart);
	}
	if (formName.contactFirstName.value == ""){
		outputString += "Contact First Name\n";
		flag = 1;
		checkForFocus(formName.contactFirstName);
	}
	if (formName.contactLastName.value == ""){
		outputString += "Contact Last Name\n";
		flag = 1;
		checkForFocus(formName.contactLastName);
	}
	if (formName.contactEmail.value == "") {
		outputString += "Contact Email\n";
		flag = 1;
		checkForFocus(formName.contactEmail);
	}
	initHiddenVars(formName);
	checkSelections(formName);
	checkItem1(formName);
	checkItem2(formName);
	checkItem3(formName);
	checkItem4(formName);
	if (selectionMade == 0 ) {
		outputString += "You need to make a floral selection!\n";
		flag = 1;
	} 		
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "Please Enter the following:\n";
		flag = 0;
		focusFlag = 0;
		return false;
	}
	else {
		formName.pageSubmit.value = clock();
		return true;
	}
} // end checkSubmission
</script>	  

<div align="center"> 
  <table width="987">
    <!--DWLayoutTable-->
    <tr> 
      <td width="975" height="53"> <div class="center"><font class="titleLine">Submit 
          your request for a quote to Lilli Festivale &amp; Co. <br>
          </font></div></td>
    </tr>
    <tr> 
      <td height="113"> 
          <form name="lilliOrderForm" onSubmit="return checkSubmission(document.lilliOrderForm)"
  			action="/myapp/TestHarnessServlet"> 
  			<input type = "hidden" name = "formName" value="lilliOrderForm">
  			<input type = "hidden" name = "requestType" value = "floral">
  			<input type = "hidden" name = "vendorID" value="floral3">
  			<input type = "hidden" name = "pageLoad" value = "">
  			<input type = "hidden" name = "pageSubmit" value = "">
  			<input type = "hidden" name = "item1" value = "No">
  			<input type = "hidden" name = "item2" value = "No">
  			<input type = "hidden" name = "item3" value = "No">
  			<input type = "hidden" name = "item4" value = "No">	
			
            
          <table width="67%" border="1" align="center" bordercolor="#666666">
            <tr> 
                <td colspan="2"><font class="emphasis">First, tell us a little 
                  about yourself:&nbsp;</font></td>
              </tr>
              <tr> 
                <td width="50%">First Name: 
                  <input name="contactFirstName" type="text" class="inputBox" id="contactFirstName"> 
                </td>
                <td width="50%">Last Name: 
                  <input name="contactLastName" type="text" class="inputBox" id="contactLastName"> 
                </td>
              </tr>
              <tr> 
                <td>Email: 
                  <input name="contactEmail" type="text" class="inputBox" id="contactEmail"> 
                </td>
                <td>&nbsp; </td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;&nbsp;</td>
              </tr>
              <tr> 
                <td height="22" colspan="2"><font class="emphasis">Tell us a little 
                  about your event:&nbsp;</font></td>
              </tr>
              <% rs = dcon.submitMonthQuery();%> 
			  <tr> 
                <td>Event Date: 
                  <select name="eventMonth" class="inputBox" id="select2">
                <option value="" selected>Month</option>
                <% String value = "none"; 
		  	while (rs.next()) {
				value = rs.getString(1);
		  %>
                <option value="<%=value%>"><%=value%></option>
                <% } // end while %>
              </select> 
			  <select name="eventDayOfMonth" class="inputBox" id="select3">
                <option value="" selected>Day</option>
                <% int day = 1;
		  while (day <= 31 ) {
		  %>
                <option value="<%=day%>"><%=day%></option>
                <% day++;
		   } // end while
		   %>
              </select> 
			  <select name="eventYear" class="inputBox" id="select4">
                <option value="" selected>Year</option>
                <% int year = 2005;
		  while (year <= 2010 ) {
		  %>
                <option value="<%=year%>"><%=year%></option>
                <% year++;
		   } // end while
		   %>
              </select>  
                </td>
                
			<% rs.close();
		 	rs = dcon.submitRoomQuery();
			%> 	
				<td>Event Location: 
               <select name="eventLocation" class="inputBox" id="eventLocation">
          <option value="Please Select One" selected>Please Select One</option>
          <% 	String room = new String();
		  		String building = new String();
		  		while (rs.next()) {
					room = rs.getString(1);
					building = rs.getString(2);
			%>
          <option value="<%=room%>"><%=building%> - <%=room%></option>
          <% } // end while %>
        </select> 
                </td>
              </tr>
            <tr> 
                <td>Event Title: 
                  <input name="eventTitle" type="text" class="inputBox" id="eventTitle"></td>
                <td>&nbsp;</td>
              </tr>
			  <tr>
                <td>Setup Complete Time: 
				<select name="setupComplete" class="inputbox" id="setupComplete" onChange="checkSetupTimes(document.lilliOrderForm)">
          	<%=TimeFormat.getTimeOptions("07:00", "21:00", false)%>
         </select></td>
                <td>Breakdown Start Time: 
				<select name="breakdownStart" class="inputbox" id="breakdownStart" onChange="checkSetupTimes(document.lilliOrderForm)">
          <%=TimeFormat.getTimeOptions("07:00", "21:00", false)%>
        </select></td>
              </tr>
              <tr> 
                <td><font class="emphasis">Can you provide a brief description 
                  of your event, so that we can better determine your floral needs?</font></td>
                <td> <textarea name="eventDescription" class="textBox" id="eventDescription"></textarea> 
                </td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;&nbsp;</td>
              </tr>
              <tr> 
                <td colspan="2"><font class="emphasis">Now for the flowers (the 
                  best part!). Please choose what you'd like:</font></td>
              </tr>
              <tr> 
                <td> <table width="100%" border="0" cellpadding="0">
                    <tr> 
                      <td><input name="item1Checkbox" type="checkbox" class="inputBox" >
                        Classic Vase Arrangement</td>
                    </tr>
                    <tr> 
                      <td>Quant: 
                        <input name="quantItem1" type="text" class="inputBox" id="quantItem1"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
                    </tr>
                    <tr> 
                      <td height="25">Size: 
                        <select name="sizeItem1" class="inputBox" id="sizeItem1">
                          <option value="Please Select One" selected>Please Select 
                          One</option>
                          <option value="Small">Small</option>
                          <option value="Medium">Medium</option>
                          <option value="Large">Large</option>
                        </select></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: 
                        <input name="flowerTypeItem1" type="text" class="inputBox" id="flowerTypeItem1"></td>
                    </tr>
                    <tr> 
                      <td>&nbsp;</td>
                    </tr>
                    <tr> 
                      <td><input name="item3Checkbox" type="checkbox" class="inputBox" >
                        Centerpiece </td>
                    </tr>
                    <tr> 
                      <td>Quant: 
                        <input name="quantItem3" type="text" class="inputBox"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
                    </tr>
                    <tr> 
                      <td>Size: 
                        <select name="sizeItem3" class="inputBox" id="sizeItem3">
                          <option value="Please Select One" selected>Please Select 
                          One</option>
                          <option value="Small">Small</option>
                          <option value="Medium">Medium</option>
                          <option value="Large">Large</option>
                        </select></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: 
                        <input name="flowerTypeItem3" type="text" class="inputBox" id="flowerTypeItem3"></td>
                    </tr>
                  </table></td>
                <td><table width="100%" border="0" cellpadding="0">
                    <tr> 
                      <td><input name="item2Checkbox" type="checkbox" class="inputBox">
                        Rose Bundle</td>
                    </tr>
                    <tr> 
                      <td>Quant: 
                        <input name="quantItem2" type="text" class="inputBox" id="quantItem2"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
                    </tr>
                    <tr> 
                      <td>Size: 
                        <select name="sizeItem2" class="inputBox" id="sizeItem2">
                          <option value="Please Select One" selected>Please Select 
                          One</option>
                          <option value="Small">Small</option>
                          <option value="Medium">Medium</option>
                          <option value="Large">Large</option>
                        </select></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: 
                        <input name="flowerTypeItem2" type="text" class="inputBox" id="flowerTypeItem2"></td>
                    </tr>
                    <tr> 
                      <td>&nbsp;</td>
                    </tr>
                    <tr> 
                      <td><input name="item4Checkbox" type="checkbox" class="inputBox" >
                        Ooh La La! - Eye Catcher Arrangement</td>
                    </tr>
                    <tr> 
                      <td>Quant: 
                        <input name="quantItem4" type="text" class="inputBox" id="quantItem4"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
                    </tr>
                    <tr> 
                      <td>Size : 
                        <select name="sizeItem4" class="inputBox" id="sizeItem4">
                          <option value="Please Select One" selected>Please Select 
                          One</option>
                          <option value="Small">Small</option>
                          <option value="Medium">Medium</option>
                          <option value="Large">Large</option>
                        </select></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: 
                        <input name="flowerTypeItem4" type="text" class="inputBox" id="flowerTypeItem4"></td>
                    </tr>
                  </table></td>
              </tr>
              <tr> 
                <td><font class="emphasis">Anything else you'd like to add?</font></td>
                <td><textarea name="otherComments" class="textBox" id="otherComments"></textarea></td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;</td>
              </tr>
              <tr> 
                <td colspan="2"><input type="submit" class="inputBox" name="Submit" value="Submit My Request!"></td>
              </tr>
            </table>
          </form>
        </td>
    </tr>
  </table>
</div>
<p align="justify">&nbsp;</p>
<% dcon.closeDBConnection(); %>
</body>
</html>
