<html>
<head>
<title>Parking Quote</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body bgcolor="#FFFFCC" onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 P A R K I N G Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the CMU Parking
			Service.  Requests for quotes are made through the CMUPlanningPortal.  Parking  is a CMU
			"monopoly" so there's only one quote to deal with here 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-16
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>

<%
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	/*
	ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	Statement st = null;
	ResultSet rs = null;
	*/
	String id = request.getParameter("uniqueID");
	
	/*
	Class.forName("com.mysql.jdbc.Driver").newInstance(); 
	con = DriverManager.getConnection(rb.getString("databaseName"), rb.getString("databaseUser"), rb.getString("databasePass")); 
    st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	rs = st.executeQuery("SELECT * FROM parkingRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	*/
	ResultSet rs = dcon.submitQuery("SELECT * FROM parkingRequests WHERE (uniqueID = '"+ id +"')");
	rs.next();
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/webForms/Parking/ParkingAcceptQuote.jsp";
	String modifyURL = "/myapp/webForms/Parking/ParkingModifyQuote.jsp";
	String cancelURL = "/myapp/webForms/Parking/ParkingCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	/*
	System.out.println("DEBUG: ParkingQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if	*/
	dcon.setupLogUpdate(eventSource, pageLoad, pageSubmit, quoteID);
	
	dcon.closeDBConnection();
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>


<div align="center">
  <form name= "quoteForm" action="">
  <input type="hidden" name="uniqueID" value="<%=id%>">
  <input type="hidden" name="pageLoad" value="">
  <input type="hidden" name="pageSubmit" value="">
  <input type="hidden" name="eventSource" value="ParkingQuote.jsp">
  <input type="hidden" name="quoteID" value=<"">
    <table width="62%" height="454" border = "2" bgcolor="#FFFFFF" >
      <!--DWLayoutTable-->
      <tr> 
        <td colspan="2"><div align="left"> 
            <p>&nbsp;</p>
            <p align="center"><strong><font size="5" face="Verdana, Arial, Helvetica, sans-serif">Here 
              is the Parking request you submitted:</font></strong></p>
            <p>&nbsp;</p>
          </div></td>
      </tr>
      <tr> 
        <td width="346"><div align="justify"><u><font face="Verdana, Arial, Helvetica, sans-serif"><b>Event 
            Information</b></font></u></div></td>
        <td width="349"><div align="justify"><u><font face="Verdana, Arial, Helvetica, sans-serif"><b>Contact 
            Information</b></font></u></div></td>
      </tr>
      <tr> 
        <td><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif">Event 
            Title: <b><%= rs.getString("eventTitle")%></b> </font></div></td>
        <td><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif">First 
            Name: <b><%= rs.getString("contactFirstName")%></b> </font></div></td>
      </tr>
      <tr> 
        <td><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif">Event 
            Date: <b><%= rs.getString("eventDate")%></b> </font></div></td>
        <td><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif">Last 
            Name: <b><%= rs.getString("contactLastName")%></b> </font></div></td>
      </tr>
      <tr> 
        <td><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif">Event 
            Location: <b><%= rs.getString("eventLocation")%></b> </font></div></td>
        <td><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif">Phone: 
            <b><%= rs.getString("contactPhone")%></b> </font></div></td>
      </tr>
      <tr> 
        <td><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></div></td>
        <td><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif">Email: 
            <b><%= rs.getString("contactEmail")%></b> </font></div></td>
      </tr>
      <tr> 
        <td height="22"><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif"><strong><u>Parking 
            Needs </u></strong></font></div></td>
        <td><div align="justify"><font face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></div></td>
      </tr>
      <tr> 
        <td height="22"><font face="Verdana, Arial, Helvetica, sans-serif">Number 
          of Spaces: <b><%= rs.getString("numParkingSpaces")%></b></font></td>
        <td><font face="Verdana, Arial, Helvetica, sans-serif">Preferred Location: 
          <b><%= rs.getString("parkingLocation")%></b></font></td>
      </tr>
      <tr> 
        <td height="22"><font face="Verdana, Arial, Helvetica, sans-serif">Validation 
          Passes: <b><%= rs.getString("validationPasses")%></b></font></td>
        <td><font face="Verdana, Arial, Helvetica, sans-serif">Number of Passes: 
          <b><%=rs.getString("numValidationPasses")%></b></font></td>
      </tr>
      <tr> 
        <td height="22"><font face="Verdana, Arial, Helvetica, sans-serif">Traffic 
          Guard: <b><%= rs.getString("trafficGuard")%></b></font></td>
        <td><!--DWLayoutEmptyCell-->&nbsp;</td>
      </tr>
      <tr> 
        <td height="22" colspan="2"><font face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font><font face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
      </tr>
      <tr> 
        <td height="22"><font face="Verdana, Arial, Helvetica, sans-serif">Quoted 
          Price: <b>$<%=rs.getString("calculatedQuote")%></b></font></td>
        <td><!--DWLayoutEmptyCell-->&nbsp;</td>
      </tr>
      <tr> 
        <td height="22" colspan="2"><div align="left"><font face="Verdana, Arial, Helvetica, sans-serif">Please 
            take a moment to review your selections and then choose one of the 
            options below to continue.</font></div></td>
      </tr>
      <tr> 
        <td height="22" colspan="2"><table width="100%">
            <tr> 
              <td><div align="center"> 
                  <input name="acceptButton" type="submit" id="acceptButton" value="Accept"
				  onClick="setActionAccept(document.quoteForm)">
                </div></td>
              <td><div align="center"> 
                  <input name="modifyButton" type="submit" id="modifyButton" value="Modify"
				  onClick="setActionModify(document.quoteForm)">
                </div></td>
              <td><div align="center"> 
                  <input name="cancelButton" type="submit" id="cancelButton" value="Cancel"
				  onClick="setActionCancel(document.quoteForm)">
                </div></td>
            </tr>
          </table></td>
      </tr>
    </table>
</form>
</div>
</body>
</html>
