<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Vendor Request: Catering</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="RadarStyle.css" rel="stylesheet" type="text/css">
</head>

<body onLoad="setFocus(document.CateringForm)">
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
ResultSet rs = null;
DatabaseConnectivity dcon = new DatabaseConnectivity();
%>

<script language = "JavaScript">
// Event hanlder function for submission
var outputString = "You did not enter the following information:\n";
var flag = 0;
var focusFlag = 0;
var selectionFlag = 0;

// get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

function setFocus(formName) {
	formName.pageLoad.value = clock();
	formName.eventTitle.focus();
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	if ( formName.setupComplete.value == "" ||
      formName.breakdownStart.value == "" ) {      	
  	return false;
	}
	
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

function checkRadioGroups(element) {
	var selection = document.CateringForm.selection.value;
	if (selectionFlag == 0) { 
		document.CateringForm.selection.value = element.value;
		selectionFlag = 1;
		return true;
	} // end if
	var value = element.value;
	if (value == selection) {
		document.CateringForm.selection.value = "";
		element.checked = false;
		selectionFlag = 0;
	} // end if	
	else {
		alert("You've already chosen a catering option!  To choose a different option un-check your current selection and choose another.");
		element.checked = false;
		return false;
	}
} // end checkRadioGroups

// initHiddenVars:  called in submit processing to set all hidden variable values to No.  This is done
//		to eliminate the possibility of someone clicking a checkbox, setting it's value to Yes, then unclicking and having 
//		it's submitted value as "yes" when it should be no.
function initHiddenVars(formName) {
	formName.vegan.value = "No";
	formName.vegetarian.value = "No";
	formName.atkins.value = "No";
	formName.kosher.value = "No";
} // end initHiddenVars

// checkSelections:  called in submit processing to determine what checkboxes have been selected.
//		If a box has been checked it's corresponding hidden variable is set to Yes.
function checkSelections(formName) {
	if (formName.veganCheckbox.checked == true)
		formName.vegan.value = "Yes";
	if (formName.vegetarianCheckbox.checked == true)
		formName.vegetarian.value = "Yes";
	if (formName.atkinsCheckbox.checked == true)
		formName.atkins.value = "Yes";
	if (formName.kosherCheckbox.checked == true)
		formName.kosher.value = "Yes";
} // end checkSelections

function checkVegan(formName) {
	if ((formName.veganCheckbox.checked == true)&&(formName.quantVegan.value == 0)) {
		outputString += "Quantity of Vegan Meals\n";
		flag = 1;
		checkForFocus(formName.quantVegan);
	}
} // end checkCD

function checkVegetarian(formName) {
	if ((formName.vegetarianCheckbox.checked == true)&&(formName.quantVegetarian.value == 0)) {
		outputString += "Quantity of Vegetarian Meals\n";
		flag = 1;
		checkForFocus(formName.quantVegetarian);
	}
} // end checkWireless

function checkAtkins(formName) {
	if ((formName.atkinsCheckbox.checked == true)&&(formName.quantAtkins.value == 0)) {
		outputString += "Quantity of Atkins-friendly Meals\n";
		flag = 1;
		checkForFocus(formName.quantAtkins);
	}
} // end checkLavalier

function checkKosher(formName) {
	if ((formName.kosherCheckbox.checked == true)&&(formName.quantKosher.value == 0)) {
		outputString += "Quantity of Kosher Meals\n";
		flag = 1;
		checkForFocus(formName.quantKosher);
	}
} // end checkPodiumMic

function checkSubmission(formName) {
	if (!checkSetupTimes(formName)) {		
		flag = 1;
		checkForFocus(formName.setupComplete);
		outputString += "Start/end time\n";
	}
	
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == "Please Select One"){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.contactFirstName.value == ""){
		outputString += "Contact First Name\n";
		flag = 1;
		checkForFocus(formName.contactFirstName);
	}
	if (formName.contactLastName.value == ""){
		outputString += "Contact Last Name\n";
		flag = 1;
		checkForFocus(formName.contactLastName);
	}
	if (formName.contactEmail.value == "") {
		outputString += "Contact Email\n";
		flag = 1;
		checkForFocus(formName.contactEmail);
	}
	if (formName.quantMeals.value == "0") {
		outputString += "Number of Meals\n";
		flag = 1;
		checkForFocus(formName.quantMeals);
	}
	if (formName.selection.value == "") {
		outputString += "Catering Option\n";
		flag = 1;
	}
	initHiddenVars(formName);
	checkSelections(formName);
	checkVegan(formName);
	checkVegetarian(formName);
	checkAtkins(formName);
	checkKosher(formName);
		
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "You did not enter the following information:\n";
		flag = 0;
		focusFlag = 0;
		return false
	}
	else {
		formName.pageSubmit.value = clock();
		return true;
	}
	
} // end checkSumission

</script>
<form name= "CateringForm" onSubmit = "return checkSubmission(document.CateringForm)"
  action="/myapp/TestHarnessServlet"> 
  <input type = "hidden" name="formName" value="CateringForm">
  <input type = "hidden" name = "requestType" value = "catering">
  <input type = "hidden" name = "pageLoad" value = "">
  <input type = "hidden" name = "pageSubmit" value = "">
  <input type = "hidden" name = "vegan" value = "No">
  <input type = "hidden" name = "vegetarian" value = "No">
  <input type = "hidden" name = "atkins" value = "No">
  <input type = "hidden" name = "kosher" value = "No">
  <input type = "hidden" name = "selection" value = "">
      
  &nbsp;
  <table width="73%" border="0" bgcolor="#FFFFFF" align="center" >
    <tr> 
      <td colspan="3" class="titleCell"> <div class="title">Vendor Request: Catering</div></td>
    </tr>
    <tr> 
      <td colspan="3" class="smallTitle">Event Information:</td>
    </tr>
    <tr> 
      <td><label>Event Title:</label> </td>
      <td><input type="text" name="eventTitle" class="inputCell"></td>
      <td width="51%">&nbsp; </td>
    </tr>
    <% rs = dcon.submitRoomQuery();%>
    <tr> 
      <td><label>Event Location:</label> </td>
      <td><select name="eventLocation" class="selectInput" id="eventLocation">
          <option value="Please Select One" selected>Please Select One</option>
          <% 	String room = new String();
		  		String building = new String();
		  		while (rs.next()) {
					room = rs.getString(1);
					building = rs.getString(2);
			%>
          <option value="<%=room%>"><%=building%> - <%=room%></option>
          <% } // end while %>
        </select></td>
      <td></td>
    </tr>
    <%	rs.close(); 
		rs = dcon.submitMonthQuery();
	    //crap = rs.next();
	%>
    <tr> 
      <td>Event Date: </td>
      <td><select name="eventMonth" class="selectInput" id="eventMonth">
          <option value="" selected>Month</option>
          <option value="">------</option>
		  <% String value = "none"; 
		  	while (rs.next()) {
				value = rs.getString(1);
		  %>
          <option value="<%=value%>"><%=value%></option>
          <% } // end while %>
        </select>
        <select name="eventDayOfMonth" class="inputCell" id="eventDayOfMonth">
          <option value="" selected>Day</option>
          <option value="">------</option>
		  <% int day = 1;
		  while (day <= 31 ) {
		  %>
          <option value="<%=day%>"><%=day%></option>
          <% day++;
		   } // end while
		   %>
        </select>
        <select name="eventYear" class="inputCell" id="eventYear">
          <option value="" selected>Year</option>
          <option value="">------</option>
		  <% int year = 2005;
		  while (year <= 2010 ) {
		  %>
          <option value="<%=year%>"><%=year%></option>
          <% year++;
		   } // end while
		   %>
        </select></td>
      <td>&nbsp;</td>
    </tr>
    <% rs.close(); %>
    <tr> 
      <td colspan="2"> <label>Setup Complete Time:</label> 
	  <select name="setupComplete" class="inputCell" id="setupComplete" onChange="checkSetupTimes(document.CateringForm)">
          <%=TimeFormat.getTimeOptions("07:00", "21:00", false)%>
       </select> </td>
      <td><label>Breakdown Start Time:</label> 
	  <select name="breakdownStart" class="inputCell" id="breakdownStart" onChange="checkSetupTimes(document.CateringForm)">
          <%=TimeFormat.getTimeOptions("07:00", "21:00", false)%>
       </select></td>
    </tr>
    <tr> 
      <td colspan="3"> <label>** Note: 30 minutes are required at the start and 
        end of an order to setup and breakdown.</label> </td>
    </tr>
    <tr> 
      <td colspan="3">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="3" class="smallTitle">Event Contact Person Information: </td>
    </tr>
    <tr> 
      <td width="14%" bordercolor="#FFFFCC"> <label>First Name:</label> </td>
      <td width="35%" bordercolor="#FFFFCC"><input name="contactFirstName" type="text" class="inputCell" id="contactFirstName2"></td>
      <td> <label></label> </td>
    </tr>
    <tr> 
      <td><label>Last Name:</label> </td>
      <td><input name="contactLastName" type="text" class="inputCell" id="contactLastName3"></td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td> <label>Email:</label> <label> </label> </td>
      <td><input name="contactEmail" type="text" class="inputCell" id="contactEmail3"></td>
      <td> <label> </label> </td>
    </tr>
    <tr> 
      <td colspan="3">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="3" class="smallTitle"> Choose the vendors you would like to 
        quote your request: </td>
    </tr>
    <tr> 
      <td colspan="2"> <label> 
        <input name="catering1" type="checkbox" id="catering1" value="Yes" checked>
        Maximal Foods</label> </td>
    </tr>
    <tr> 
      <td colspan="2"> <label> 
        <input name="catering2" type="checkbox" id="catering2" value="Yes">
        Pittsburgh Catering</label> </td>
    </tr>
    <tr> 
      <td colspan="2"> <label> 
        <input name="catering3" type="checkbox" id="catering3" value="Yes">
        Breakfast Break</label> </td>
    </tr>
    <tr> 
      <td colspan="2">Food for how many people? 
        <input name="quantMeals" type="text" class="inputCell" id="quantMeals" value="0"  onKeyUp='this.value=this.value.replace(/\D/g,"");' > 
      </td>
    </tr>
    <tr> 
      <td colspan="3">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="3" class="smallTitle">Select the type of catering you need 
        for your event. <br>
        One catering option per event only.</td>
    </tr>
    <tr> 
      <td colspan="2" class="lightTan"><strong> Breakfast</strong></td>
      <td class="darkTan"><strong> Lunch</strong></td>
    </tr>
    <tr> 
      <td colspan="2" class="lightTan"> <table width="200">
          <tr> 
            <td> <label> 
              <input type="checkbox" name="breakfastSmallBuffet" value="breakfastSmallBuffet" onChange=" return checkRadioGroups(breakfastSmallBuffet)">
              Small Buffet</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="breakfastLargeBuffet" value="breakfastLargeBuffet" onChange=" return checkRadioGroups(breakfastLargeBuffet)">
              Large Buffet</label> </td>
          </tr>
          <tr> 
            <td height="21"> <label> 
              <input type="checkbox" name="breakfastContinental" value="breakfastContinental" onChange="return checkRadioGroups(breakfastContinental)">
              Continental</label> </td>
          </tr>
        </table>
        &nbsp;</td>
      <td class="darkTan"> <table width="200">
          <tr> 
            <td> <label> 
              <input type="checkbox" name="lunchSmallBuffet" value = "lunchSmallBuffet" onChange = "return checkRadioGroups(lunchSmallBuffet)">
              Small Buffet</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="lunchLargeBuffet" value = "lunchLargeBuffet" onChange=" return checkRadioGroups(lunchLargeBuffet)">
              Large Buffet</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="lunchSoup" value = "lunchSoup" onChange="return checkRadioGroups(lunchSoup)">
              Soup & Sandwich</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="lunchBox" value="lunchBox" onChange="return checkRadioGroups(lunchBox)">
              Box Lunch</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="lunchLightBanquet" value="lunchLightBanquet" onChange="return checkRadioGroups(lunchLightBanquet)">
              Light Banquet</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="lunchMediumBanquet" value="lunchMediumBanquet" onChange="return checkRadioGroups(lunchMediumBanquet)">
              Medium Banquet</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="lunchFancyBanquet" value="lunchFancyBanquet" onChange="return checkRadioGroups(lunchFancyBanquet)">
              Fancy Banquet</label> </td>
          </tr>
        </table></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp; </td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2" class="darkTan"><strong> Dinner</strong></td>
      <td class="lightTan"><strong> Snack</strong></td>
    </tr>
    <tr> 
      <td colspan="2" class="darkTan"> <table width="200">
          <tr> 
            <td> <label> 
              <input type="checkbox" name="dinnerReception" value="dinnerReception" onChange="return checkRadioGroups(dinnerReception)">
              Reception (buffet)</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="dinnerLightBanquet" value="dinnerLightBanquet" onChange="return checkRadioGroups(dinnerLightBanquet)">
              Light Banquet</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="dinnerMediumBanquet" value="dinnerMediumBanquet" onChange="return checkRadioGroups(dinnerMediumBanquet)">
              Medium Banquet</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="dinnerFancyBanquet" value="dinnerFancyBanquet" onChange="return checkRadioGroups(dinnerFancyBanquet)">
              Fancy Banquet</label> </td>
          </tr>
        </table></td>
      <td class="lightTan"> <table width="200">
          <tr> 
            <td> <label> 
              <input type="checkbox" name="snackCheeseFruit" value="snackCheeseFruit" onChange="return checkRadioGroups(snackCheeseFruit)">
              Cheese & Fruit</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="snackPizza" value="snackPizza" onChange="return checkRadioGroups(snackPizza)">
              Pizza Party</label> </td>
          </tr>
        </table></td>
    </tr>
    <tr> 
      <td colspan="2">** Note: Medium and Fancy Dinner Banquets include alcohol 
        in the pricing with the exception of Breakfast Break who does not have 
        a liquor license.</td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2" class="lightTan"><strong> Coffee Break/Refreshment</strong></td>
      <td class="darkTan"><strong>Gift Baskets</strong></td>
    </tr>
    <tr> 
      <td colspan="2" class="lightTan"> <table width="200">
          <tr> 
            <td> <label> 
              <input type="checkbox" name="coffeeWater" value= "coffeeWater" onChange="return checkRadioGroups(coffeeWater)">
              Coffee, Tea, Water</label> </td>
          </tr>
          <tr> 
            <td> <label> 
              <input type="checkbox" name="drinksPastry" value = "drinksPastry" onChange="return checkRadioGroups(drinksPastry)">
              Drinks & Pastry</label> </td>
          </tr>
        </table></td>
      <td class="darkTan"><input type="checkbox" name="giftBasket" value="giftBasket" onChange="return checkRadioGroups(giftBasket)">
        Gift Basket</td>
    </tr>
    <tr> 
      <td colspan="3">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2" class="darkTan"><strong>Special Requests</strong></td>
      <td class="lightTan"><strong>How many meals? </strong></td>
    </tr>
    <tr> 
      <td colspan="2" class="darkTan"> <input name="veganCheckbox" type="checkbox" id="veganCheckbox">
        Vegan </td>
      <td class="lightTan"> <input name="quantVegan" type="text" class="inputCell" id="quantVegan" value="0"  onKeyUp='this.value=this.value.replace(/\D/g,"");' > 
      </td>
    </tr>
    <tr> 
      <td colspan="2" class="darkTan"> <input name="vegetarianCheckbox" type="checkbox" id="vegetarianCheckbox">
        Vegetarian</td>
      <td class="lightTan"> <input name="quantVegetarian" type="text" class="inputCell" id="quantVegetarian" value="0"  onKeyUp='this.value=this.value.replace(/\D/g,"");' > 
      </td>
    </tr>
    <tr> 
      <td colspan="2" class="darkTan"> <input name="aktinsCheckbox" type="checkbox" id="atkinsCheckbox">
        Atkins-approved</td>
      <td class="lightTan"> <input name="quantAtkins" type="text" class="inputCell" id="quantAtkins" value="0"  onKeyUp='this.value=this.value.replace(/\D/g,"");' > 
      </td>
    </tr>
    <tr> 
      <td colspan="2" class="darkTan"> <input type="checkbox" name="kosherCheckbox" id="kosherCheckbox">
        Kosher </td>
      <td class="lightTan"> <input name="quantKosher" type="text" class="inputCell" id="quantKosher" value="0"  onKeyUp='this.value=this.value.replace(/\D/g,"");' > 
      </td>
    </tr>
    <tr> 
      <td align="center" colspan="3"><input name="Submit" type="submit" class="inputCell" value="Submit Request" align="absmiddle"></td>
    </tr>
  </table>
  
  <p>&nbsp;</p>
  
</form>
<% dcon.closeDBConnection(); %>
</body>
</html>
