<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Room Request - Results</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="RoomRequestStyle.css" rel="stylesheet" type="text/css">
</head>
<% 
/*---------------------------------------------------------------------------------------------
						C H E C K R O O M R E Q U E S T . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is called by RoomScheduleResults.jsp to call requestBump from the CMRadar
			API.  User-supplied fields are gathered from request and set through CMRadar to determine
			if the room is capable of being scheduled.  requestBump returns a boolean.
			Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Assumptions: none
Created:	2005-07-26
---------------------------------------------------------------------------------------------*/
%>

<body>

<%@page import="java.util.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	String requestDate = request.getParameter("requestDate");
	String roomID = request.getParameter("roomID");
	String startTime = request.getParameter("startTime");
	String endTime = request.getParameter("endTime");
	// call CMRadar API to see if room can be scheduled/bumped
   	boolean success = edu.cmu.cs.radar.core.CMRadarAPI.requestBump(roomID, requestDate, startTime, endTime);
%>	
	
<table class="tableTan">
  <tr> 
    <td colspan="2" class="divLineBlack"> 
        <div class="title">Room Request Results</div>
      </td>
  </tr>
  <tr>
      <td colspan="2"><div class="divLine"></div></td>
    </tr>
  <% if (success) { %>
  <tr> 
    <td colspan="2" class="smallTitle">Your room request has been granted.</td>
  </tr>
  <tr> 
    <td width="72">Date:</td>
    <td width="309" class="data"><%=requestDate%></td>
  </tr>
  <tr> 
    <td height="18">Room:</td>
    <td height="18" class="data"><%=roomID%></td>
  </tr>
  <tr> 
    <td height="18">Start Time:</td>
    <td height="18" class="data"><%=TimeFormat.format(startTime)%></td>
  </tr>
  <tr> 
    <td height="18">End Time:</td>
    <td height="18" class="data"><%=TimeFormat.format(endTime)%></td>
  </tr>
  <tr> 
    <td colspan="2" class="smallTitle">&nbsp;</td>
  </tr>
  <% } // end if 
		else { %>
  <tr> 
    <td colspan="2" class="smallTitle">Your room request has been denied.</td>
  </tr>
  <tr>
  	<td colspan="2">Please try again.</td>
  </tr>
  <tr> 
    <td colspan="2" class="smallTitle">&nbsp;</td>
  </tr>
  <% } // end else %>
  <tr> 
    <td colspan="2">Click <a href="/myapp/webForms/RoomRequest/RoomSelection.jsp">here 
      </a>to return to the Room Selection page.</td>
  </tr>
</table>


 
</body>
</html>
