/* ------------------------------------------------------------------
 * RoomRequest.js
 * ------------------------------------------------------------------
 * Purpose:	Contains javascript functions shared within the RoomRequest
 * 			System.  Cleaner implementation than including each function
 *			separately in each page.
 * Created:	02/21/2006
 * Author:	Kyle Cunningham <kcunning@cs>
 * ----------------------------------------------------------------*/
<!--
var checkBoxFlag = 0, errorFlag = 0;
var errorString = "Your request requires the following information:\n";
var timeErrorString = "End time cannot fall before Start time!\n";

/*--------------------------------------------------------------------------
 *	checkSelection(formName)
 *	Purpose: Called onChange of quickSelect, allows a user to jump to a 
 *			 specific building 
 * ------------------------------------------------------------------------*/ 
function checkSelection(formName) {
	if (formName.quickSelect.value == "flagstaff") {
		formName.Allegheny.focus();
	}
	if (formName.quickSelect.value == "mehrabian") {
		formName.Mehrabian1001.focus();
	}
	if (formName.quickSelect.value == "stever") {
		formName.CostaAuditorium.focus();
	}
	if (formName.quickSelect.value == "uc") {
		formName.Caffee.focus();
	}
} // end quickSelect

function checkMeetingTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	var startTime = formName.startTime.value;
	var endTime = formName.endTime.value;
	if (startTime.length == 4) {
		startHour = "0" + startTime.substring(0,1);
		startMinutes = startTime.substring(2,4);
	}	
	else {
		startHour = startTime.substring(0,2);
		startMinutes = startTime.substring(3,5);
	}
	if (endTime.length == 4) {
		endHour = "0" + endTime.substring(0,1);
		endMinutes = endTime.substring(2,4);
	}	
	else {
		endHour = endTime.substring(0,2);
		endtMinutes = endTime.substring(3,5);
	}	
		
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (startTime == endTime) {
		alert("Start and End times cannot be identical.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()


/*----------------------------------------------------------------
checkSubmission(formName)
Purpose: 	called onSubmit to check user-input fields
Input:		document.formName
Output:		returns true or false
----------------------------------------------------------------*/
function checkSubmission(formName) {
	if (formName.startTime.value == ""){
		errorString += "Start Time\n";
		errorFlag = 1;
	} // if startTime
	
	if (formName.endTime.value == "") {
		errorString += "End Time\n";
		errorFlag = 1;
	} // if endTime
	
	if (formName.roomID.value == "") {
		errorString += "Room\n";
		errorFlag = 1;
	} // if roomID
	
	var bool = checkMeetingTimes(formName);
		
	if (errorFlag == 1) {
		alert(errorString);
		errorString = "Please make a selection for the following fields:\n";
		errorFlag = 0;
		return false;
	}
	if (bool == false)
		return false;
	else 
		return true;
} // end checkSubmission











-->