<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Security Request - Modify</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../RadarTestPages/RadarStyle.css" rel="stylesheet" type="text/css">
</head>


<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 S E C U R I T Y M O D I F Y Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the CMU Security 
			Service.  Users can modify their quote from this page.  Request info is gathered from 
			the securityRequest table.  When submit is calculated quote will need to be recalculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-16
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%	
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	String quoteID = request.getParameter("quoteID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	
	String dataQuery = "SELECT * FROM securityRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/Security/SecurityCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	
		
	
	//user data - get it from dataQuery 
	String eventLocation = rs.getString("eventLocation");
	String eventMonth = rs.getString("eventMonth");
	String eventDayOfMonth = rs.getString("eventDayOfMonth");
	String eventYear = rs.getString("eventYear");

%>
<script language="Javascript">

var outputString = "You did not enter the following information:\n";
var flag = 0;
var focusFlag = 0;

// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// checkArrivalTime() - this function makes sure the user isn't requesting an impossible pickup and arrival
//						combination
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify and resubmit.\n";
function checkEndTime(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.startTime.value.substring(0,2);
	endHour = formName.endTime.value.substring(0,2);
	startMinutes = formName.startTime.value.substring(3,5);
	endMinutes = formName.endTime.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.endTime.value == formName.startTime.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

function checkSubmission(formName) {
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == ""){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.contactFirstName.value == ""){
		outputString += "Contact First Name\n";
		flag = 1;
		checkForFocus(formName.contactFirstName);
	}
	if (formName.contactLastName.value == ""){
		outputString += "Contact Last Name\n";
		flag = 1;
		checkForFocus(formName.contactLastName);
	}
	if (formName.contactEmail.value == "") {
		outputString += "Contact Email\n";
		flag = 1;
		checkForFocus(formName.contactEmail);
	}
	if (formName.numberSecurityStaff.value == "") {
		outputString += "Number of Security Staff\n";
		flag = 1;
		checkForFocus(formName.numberSecurityStaff);
	}
	if (formName.securityClothing.value == "Please Select One") {
		outputString += "Plain Clothes or Uniformed?\n";
		flag = 1;
		checkForFocus(formName.securityClothing);
	}
	if (formName.startTime.value == "") {
		outputString += "Start Time\n";
		flag = 1;
		checkForFocus(formName.startTime);
	}
	if (formName.endTime.value == "") {
		outputString += "End Time\n";
		flag = 1;
		checkForFocus(formName.endTime);
	}
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "You did not enter the following required information:\n";
		flag = 0;
		focusFlag = 0;
		return false;
	}
	else {
		formName.pageSubmit.value = clock();
		return true;
	}
} // end checkSubmission()

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	if (checkSubmission(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true;
	}	
	else
		return false;
} // end setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="quoteModification" value="yes">
<input type="hidden" name="requestType" value="security">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="SecurityModifyQuote.jsp">
<input type="hidden" name="quoteID" value="">

 <div align="center">
    <table width="73%" border="0" align="center" bgcolor="#FFFFFF">
      <tr> 
        <td colspan="4" class="titleCell"><div class="title">Modify your Security 
            request : </div></td>
      </tr>
      <tr> 
        <td colspan="4" class="smallTitle">Event Information: </td>
      </tr>
      <tr> 
        <td width="20%">Event Title: </td>
        <td width="30%">
		<input name="eventTitle" type="text" value="<%=rs.getString("eventTitle")%>">
		</td>
        <td colspan="2">&nbsp; </td>
      </tr>
      <% 	rs.close();
	  		rs = dcon.submitRoomQuery();
	  %>				
	  <tr> 
        <td>Event Location:</td>
        <td> <select name="eventLocation" id="eventLocation" class="inputCell">
        		<option value="<%=eventLocation%>" selected><%=eventLocation%></option>
            	<option value="">---------------</option>
            	<% 	String room = new String();
		  			String building = new String();
		  			while (rs.next()) {
						room = rs.getString(1);
						building = rs.getString(2);
				%>
          		<option value="<%=room%>"><%=building%> - <%=room%></option>
            	<% } // end while %>
       		 </select></td>
        <td colspan="2">&nbsp; </td>
      </tr>
      <%	rs.close();
	  		rs = dcon.submitMonthQuery();
	  %>		
	  <tr> 
        <td>Event Date: </td>
        <td><select name="eventMonth" class="selectInput" id="select6">
                  <option value=<%=eventMonth%> selected><%=eventMonth%></option>
                  <option value="">------</option>
				  <%String value = new String(); 
				  	while (rs.next()) {
						value = rs.getString(1);
		  		%>
                  <option value="<%=value%>"><%=value%></option>
                  <% } // end while %>
                </select> <select name="eventDayOfMonth" class="inputCell" id="select7">
                  <option value=<%=eventDayOfMonth%> selected><%=eventDayOfMonth%></option>
                  <option value="">------</option>
				  <% int day = 1;
		  				while (day <= 31 ) {
		  			%>
                  <option value="<%=day%>"><%=day%></option>
                  	<% day++;
		   			} // end while
		   			%>
                </select> <select name="eventYear" class="inputCell" id="select8">
                  <option value=<%=eventYear%> selected><%=eventYear%></option>
                  <option value="">------</option>
				  <% int year = 2005;
		  			while (year <= 2010 ) {
		  			%>
                  <option value="<%=year%>"><%=year%></option>
          	        <% year++;
		   			} // end while
		   			%>
                </select></td>
        <td colspan="2">&nbsp; </td>
      </tr>
      <%  	rs.close();
	  		rs = dcon.submitQuery(dataQuery);
			crap = rs.next();
	  %>					
	  <tr> 
        <td>Start Time:</td>
        <td><select name="startTime" id="startTime" onChange="checkEndTime(document.quoteForm)">
                  <option value="<%=rs.getString("startTime")%>" selected><%=TimeFormat.format(rs.getString("startTime"))%></option>
                  <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
                </select></td>
        <td width="18%">End Time: </td>
        <td width="32%"><select name="endTime" id="endTime" onChange="checkEndTime(document.quoteForm)">
                  <option value="<%=rs.getString("endTime")%>" selected><%=TimeFormat.format(rs.getString("endTime"))%></option>
                  <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
               </select></td>
      </tr>
      <tr> 
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr> 
        <td colspan="4" class="smallTitle">Contact Information: </td>
      </tr>
      <tr> 
        <td>First Name:</td>
        <td><input name="contactFirstName" type="text" value="<%=rs.getString("contactFirstName")%>"></td>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td>Last Name:</td>
        <td><input name="contactLastName" type="text" value="<%=rs.getString("contactLastName")%>"></td>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td>Email:</td>
        <td><input name="contactEmail" type="text" value="<%=rs.getString("contactEmail")%>"></td>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td colspan="4" class="smallTitle">Security Needs: </td>
      </tr>
      <tr> 
        <td>Number of security staff:&nbsp; </td>
        <td><input name="numberSecurityStaff" type="text" value="<%=rs.getString("numberSecurityStaff")%>" onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td>Type of security clothing: </td>
        <td><select name="securityClothing" id="select2" >
            <option value="<%=rs.getString("securityClothing")%>" selected><%=rs.getString("securityClothing")%></option>
            <option value="">---------------</option>
            <option value="Uniformed">Uniformed</option>
            <option value="Plain Clothes">Plain Clothes</option>
          </select></td>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td class="lightTan">Crowd Control: &nbsp;</td>
        <td class="lightTan">
<select name="crowdControl" id="select3" >
            <option value="<%=rs.getString("crowdControl")%>" selected><%=rs.getString("crowdControl")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
        <td class="darkTan">Traffic Control: </td>
        <td class="darkTan">
<select name="trafficControl" id="select6" >
            <option value="<%=rs.getString("trafficControl")%>" selected><%=rs.getString("trafficControl")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
      </tr>
      <tr> 
        <td class="darkTan">Parking Assistance: </td>
        <td class="darkTan">
<select name="parkingAssistance" id="select4" >
            <option value="<%=rs.getString("parkingAssistance")%>" selected><%=rs.getString("parkingAssistance")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
        <td class="lightTan"> &nbsp;VIP:&nbsp; </td>
        <td class="lightTan">
<select name="vip" id="select7" >
            <option value="<%=rs.getString("vip")%>" selected><%=rs.getString("vip")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
      </tr>
      <tr> 
        <td class="lightTan">Alcohol:&nbsp; </td>
        <td class="lightTan">
<select name="alcohol" id="select5" >
            <option value="<%=rs.getString("alcohol")%>" selected><%=rs.getString("alcohol")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td>&nbsp; </td>
        <td>&nbsp;</td>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td colspan="4" class="smallTitle">Security Functions:</td>
      </tr>
      <tr> 
        <td class="lightTan">Serve Alcohol: &nbsp;</td>
        <td class="lightTan">
<select name="funcServeAlcohol" id="select8" >
            <option value="<%=rs.getString("funcServeAlcohol")%>" selected><%=rs.getString("funcServeAlcohol")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
        <td class="darkTan">Guard Valuables: &nbsp;</td>
        <td class="darkTan">
<select name="funcGuardValuables" id="select11" >
            <option value="<%=rs.getString("funcGuardValuables")%>" selected><%=rs.getString("funcGuardValuables")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
      </tr>
      <tr> 
        <td class="darkTan">Maintain Event Perimeter:&nbsp; </td>
        <td class="darkTan">
<select name="funcMaintainPerimeter" id="select9" >
            <option value="<%=rs.getString("funcMaintainPerimeter")%>" selected><%=rs.getString("funcMaintainPerimeter")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
        <td class="lightTan">Monitor &amp; Direct Traffic:&nbsp; </td>
        <td class="lightTan">
<select name="funcMonitorTraffic" id="select12" >
            <option value="<%=rs.getString("funcMonitorTraffic")%>" selected><%=rs.getString("funcMonitorTraffic")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
      </tr>
      <tr> 
        <td class="lightTan">Open Garage Gate: &nbsp;</td>
        <td class="lightTan">
<select name="funcOpenGarage" id="select10" >
            <option value="<%=rs.getString("funcOpenGarage")%>" selected><%=rs.getString("funcOpenGarage")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
        <td class="darkTan">Maintain presence at event:&nbsp; </td>
        <td class="darkTan">
<select name="funcMaintainPresence" id="select13" >
            <option value="<%=rs.getString("funcMaintainPresence")%>" selected><%=rs.getString("funcMaintainPresence")%></option>
            <option value="">---------------</option>
            <option value="Yes">Yes</option>
            <option value="No">No</option>
          </select></td>
      </tr>
      <tr> 
        <td height="22" colspan="4">&nbsp;&nbsp;</td>
      </tr>
      <tr> 
        <td colspan="4"> <div align="center"> 
            <table width="73%" border="0" align="center">
              <tr> 
                <td width="50%"><div align="center"> 
                    <input name="submitButton" type="submit" id="submitButton" value="Submit"
						onClick="return setActionAccept(document.quoteForm)">
                  </div></td>
                <td width="50%"><div align="center"> 
                    <input name="cancelButton" type="submit" id="cancelButton" value="Cancel Order"
						onClick="setActionCancel(document.quoteForm)">
                  </div></td>
              </tr>
            </table>
          </div></td>
      </tr>
    </table>
	<%System.out.println("DEBUG: SecurityModifyQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
  
  %>
  </div>
</form>
&nbsp;
<% dcon.closeDBConnection(); %>

</body>
</html>
