<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Calendar Viewing - Results</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<% 
/*---------------------------------------------------------------------------------------------
						C A L E N D A R  R E S U L T S . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is called from CalendarSelection.jsp and is used to query a mysql db
			and gather calendars requested by the user.  Once calendar information is gathered
			html tables are dynamically created to display the schedule information.  Users then
			have the option to plan a meeting after viewing the calendars through the use of form
			objects provided at the bottom of the page.
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Assumptions: none
Created:	2005-02-01
---------------------------------------------------------------------------------------------*/
%>
<!--------------------------- Javascript Section ------------------------------------>
<script language="JavaScript">
var flag = 0;
var focusFlag = 0;
var outputString = "Error! Please enter the following information to complete your request:\n";

function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}// end checkForFocus

function checkSubmission(formName) {
	if (formName.date.value == "Please make a selection"){
		outputString += "Meeting Date\n";
		flag = 1;
		checkForFocus(formName.date);
	} // end if
	if (formName.startTime.value == "Please make a selection"){
		outputString += "Meeting Time\n";
		flag = 1;
		checkForFocus(formName.time);
	} // end if
	if (formName.length.value == "Please make a selection"){
		outputString += "Meeting Length\n";
		flag = 1;
		checkForFocus(formName.length);
	} // end if
	if (formName.organizerName.value == "") {
		outputString += "Organizer Name\n";
		flag = 1;
		checkForFocus(formName.organizerName);
	} // end if
	if (formName.organizerEmail.value == "") {
		outputString += "Organizer Email\n";
		flag = 1;
		checkForFocus(formName.organizerEmail);
	} // end if
	
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "Error! Please enter the following information to complete your request:\n";
		flag = 0;
		focusFlag = 0;
		return false;
	}
	else {
		//formName.pageSubmit.value = clock();
		return true;
	}
} // end checkSubmission
</script>

<div align="center"><u><strong><font size="6" face="Verdana, Arial, Helvetica, sans-serif">Calendar 
  Search Results</font></strong></u> </div>
<p>
</p>
<%
/*--------------------------- JSP Starts Here -------------------------------------------------- 
Get the person_id and week from the request stream, query the database,
stick the result set in a 2-D array, populate HTML tables with the data
-----------------------------------------------------------------------------------------------*/
%>
<%@page import="java.sql.*"%>
<%@page import="java.util.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%  
	ResultSet rs = null;
	Vector people = new Vector(); // will hold the calendar id's we need
	Vector names = new Vector(); // will hold the name corresponding to each calendar selected
	String[][] text;
	String[] dates = new String[5];
	String[] daysOfWeek = {"Monday","Tuesday","Wednesday","Thursday","Friday"};
	String a;
	String firstDayOfWeek = request.getParameter("date");
	int baseHour = 8;
	int tableHeight = 0;
	//Integer immoveableVisited = new Integer(0);	
	// Get the calendar id's and stick them into the people Vector, also add corresponding names to name Vector
	for (int i=1; i<=9; i++) {
		String getCal = "calendar" + i;
		String cal = request.getParameter(getCal);
		if (cal != null) {
			people.add(cal);
			//names.add(getCal);
		} // end if
	} // end for
	
	// populate the dates array with the proper dates, based on firstDayOfWeek
	if (firstDayOfWeek.equals("2005-01-01")) {
		dates[0] = "2005-01-01";
		dates[1] = "2005-01-02";
		dates[2] = "2005-01-03";
		dates[3] = "2005-01-04";
		dates[4] = "2005-01-05";
	} // end if	
	if (firstDayOfWeek.equals("2005-01-08")) {
		dates[0] = "2005-01-08";
		dates[1] = "2005-01-09";
		dates[2] = "2005-01-10";
		dates[3] = "2005-01-11";
		dates[4] = "2005-01-12";
	} // end if
	if (firstDayOfWeek.equals("2005-01-15")){
		dates[0] = "2005-01-15";
		dates[1] = "2005-01-16";
		dates[2] = "2005-01-17";
		dates[3] = "2005-01-18";
		dates[4] = "2005-01-19"; 	
	} // end if
	
	System.out.println("Vector people size is:" + people.size());
	text = new String[people.size()+1][21]; // number of cast members by number of time intervals?
		// adding one to sync text row with y value when table is produced
	Vector columns = new Vector();
		columns.add("User");
		columns.add("8:00am-8:30am");
		columns.add("8:30am-9:00am");
		columns.add("9:00am-9:30am");
		columns.add("9:30am-10:00am");
		columns.add("10:00am-10:30am");
		columns.add("10:30am-11:00am");
		columns.add("11:00am-11:30am");
		columns.add("11:30am-12:00pm");
		columns.add("12:00pm-12:30pm");
		columns.add("12:30pm-1:00pm");
		columns.add("1:00pm-1:30pm");
		columns.add("1:30pm-2:00pm");
		columns.add("2:00pm-2:30pm");
		columns.add("2:30pm-3:00pm");
		columns.add("3:00pm-3:30pm");
		columns.add("3:30pm-4:00pm");
		columns.add("4:00pm-4:30pm");
		columns.add("4:30pm-5:00pm");
		columns.add("5:00pm-5:30pm");
		columns.add("5:30pm-6:00pm");

	// Setup and connect to the postgres database
    DatabaseConnectivity dcon = new DatabaseConnectivity();

  	// get the user names	
	for (int i=0; i<people.size(); i++) {
		rs = dcon.submitQuery("SELECT first, last FROM radarPerson WHERE (uniqueID = '"+ people.get(i) +"')");			
		while (rs.next()){names.add(rs.getString("first") + " " + rs.getString("last"));}
	}
  	// ------------------------------- Starting point for the large for loop ---------------------------	
	for (int d=0; d<dates.length; d++) {  
   		// reinitialize everything
		for (int s=0; s<people.size()+1; s++) {
			for (int t=0; t<21; t++) {
				text[s][t] = "open";
			} // end for t
		} // end for s			
		tableHeight = 0;		
		System.out.println("HERE IS THE BEGINNING OF THE ITERATION FOR TABLE " + d);	
		for (int p=0; p<people.size(); p++) {
	   		if (people.get(p) != null) { 
				rs = dcon.submitQuery("SELECT * FROM schedule WHERE (person_id = '"+ people.get(p) + "' AND date = '" + dates[d] + "')");	
    			while (rs.next()) {
					Time t = rs.getTime("time");
					int length = rs.getInt("length");
					String status = rs.getString("status");
					Calendar cal = Calendar.getInstance();
					cal.setTimeInMillis(t.getTime());
					int startHour = cal.get(Calendar.HOUR_OF_DAY);
					int startMinutes = cal.get(Calendar.MINUTE);
					int startPosition = (startHour - baseHour)*2;
					if (startMinutes == 30)
						startPosition++;
					int endPosition = startPosition;	
					for (int m=30; m<length; m+=30) {
						endPosition++;
					} // end for m
					for (int i=startPosition+1; i<=endPosition+1; i++) {
						int bump = p+1;
						text[bump][i] = status;
					} // end for
				} // end while
	  			tableHeight++;
	  		} // end if(people.get(i) != null)	
		} // end for

%>
<!-- dynamically create the table -->

	<% 	int height = tableHeight;
			System.out.println("array height is:" + tableHeight); //1
		int width = 20; //21%>
	<font face="Verdana, Arial, Helvetica, sans-serif"><b><%=daysOfWeek[d]%>, <%=dates[d]%></b></font>
	
	<TABLE BORDER='2' CELLPADDING=0 CELLSPACING=0 WIDTH="100%" bordercolor="#CCCCCC">
  	<%String bodyColor = "#FFFFFF"; 
  	 for(int y=0; y<=height; y++) { %>
  	<TR>
			<% for(int x=0; x<=width; x++) {
				if ((y==0)&&(x==0)) { // this is the first row of the table so print column headers %>
					<% for(int k=0; k<columns.size(); k++) { %>
						<TD WIDTH="5%" BGCOLOR=<%=bodyColor%>><%=columns.get(k).toString()%> &nbsp;
						</TD>
					<% } // end for(k)
				break;} // end if  
								
       			if(x == 0){ %>
					<TD><%=names.get(y-1)%>&nbsp;</TD>
				<%} // end if x==1		
				else { %>	
					<TD <%  a = text[y][x];
							if (a == null)
								a = "open";
							if (a.equals("moveable")) { // make body color blue
								bodyColor = "#000099";
							} // end if
							if (a.equals("immoveable")) { // make body color pink
								bodyColor = "#FF33CC"; 
							}// end if
							if (a.equals("open")) { // make body color white
								bodyColor = "#FFFFFF";
							}// end if	%>
							BGCOLOR=<%=bodyColor%>>&nbsp;</TD>
							
				<% } // end else%>
			<% } // end for(x) %>
		</TR>
	<% } // end for(y) %>
	</TABLE> <p></p>
<% } // end for k (ULTIMATE FOR LOOP %>
<%	
	session.setAttribute("people", people);
	session.setAttribute("names", names);
	//session.setAttribute("immoveableVisited", immoveableVisited);
%>
<p>&nbsp;</p><form name="planMeetingForm" onSubmit="return checkSubmission(document.planMeetingForm)"
			 action="/myapp/PlanAMeetingServlet">
			 <input type="hidden" name="immoveableVisited" value="notflagged">
			 <input type="hidden" name="moveableVisited" value="notflagged">
			 <input type="hidden" name="twoTypeConflictVisited" value="notflagged">
			 <input type="hidden" name="firstDayOfWeek" value="<%=firstDayOfWeek%>">
			 
  <table width="80%" border="0" align="center" bordercolor="#000000" bgcolor="#CCCCCC">
    <tr> 
      <td colspan="3"><div align="center"><font size="5" face="Verdana, Arial, Helvetica, sans-serif"><strong><u>Plan 
          A Meeting</u></strong></font></div></td>
    </tr>
    <tr> 
      <td height="25%" colspan="3"><div align="center"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Meeting 
          Key:</font></strong> 
          <table width="31%" border="0" align="center">
            <tr> 
              <td width="52%"><div align="left"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Moveable: 
                  </font></strong></div></td>
              <td width="48%" bgcolor = #000099>&nbsp;</td>
            </tr>
          </table>
          <table width="31%" border="0" align="center">
            <tr> 
              <td width="52%"><div align="left"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Immoveable:</font></strong></div></td>
              <td width="48%" bgcolor="FF33CC">&nbsp;</td>
            </tr>
          </table>
        </div></td>
    </tr>
    <tr> 
      <td width="23%" height="25%"> <div align="center"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Date: 
          <select name="date" id="date">
            <option value=<%=dates[0]%>><%=dates[0]%></option>
            <option value=<%=dates[1]%>><%=dates[1]%></option>
            <option value=<%=dates[2]%>><%=dates[2]%></option>
            <option value=<%=dates[3]%>><%=dates[3]%></option>
            <option value=<%=dates[4]%>><%=dates[4]%></option>
            <option value="Please make a selection" selected>Please make a selection</option>
          </select>
          </font></strong></div></td>
      <td width="27%" height="25%"> <div align="center"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Time: 
          <select name="startTime" id="startTime">
            <%=TimeFormat.getTimeOptions("08:00", "17:30", false)%>
          </select>
          </font></strong></div></td>
      <td width="25%" height="25%"> <div align="center"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Length: 
          <select name="length" id="length">
            <option value="Please make a selection" selected>Please make a selection</option>
            <option value="30">30 minutes</option>
            <option value="60">1 hour</option>
            <option value="90">1.5 hours</option>
            <option value="120">2 hours</option>
            <option value="150">2.5 hours</option>
            <option value="180">3 hours</option>
            <option value="210">3.5 hours</option>
            <option value="240">4 hours</option>
          </select>
          </font></strong></div></td>
    </tr>
    <tr> 
      <td height="25%" colspan="3"><div align="center"><strong><font face="Verdana, Arial, Helvetica, sans-serif"></font></strong></div>
        <div align="center"><strong><font face="Verdana, Arial, Helvetica, sans-serif"> 
          </font></strong> 
          <table width="63%" border="0">
            <tr bgcolor="#999999"> 
              <td width="45%" rowspan="2"> 
                <div align="center"><strong><font face="Verdana, Arial, Helvetica, sans-serif"><u>Meeting 
                  Organizer:</u></font></strong></div></td>
              <td width="55%"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Name: 
                <input name="organizerName" type="text" id="organizerName">
                </font></strong></td>
            </tr>
            <tr> 
              <td bgcolor="#999999"><strong><font face="Verdana, Arial, Helvetica, sans-serif">Email: 
                <input name="organizerEmail" type="text" id="organizerEmail">
                </font></strong></td>
            </tr>
          </table>
          <strong><font face="Verdana, Arial, Helvetica, sans-serif"> </font></strong></div>
        <div align="center"><strong></strong></div></td>
    </tr>
    <tr> 
      <td height="25%">&nbsp;</td>
      <td height="25%">&nbsp;</td>
      <td height="25%">&nbsp;</td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td><div align="center"> <strong><font face="Verdana, Arial, Helvetica, sans-serif"> 
          <input type="submit" name="Submit" value="Submit Meeting Invitation">
          </font></strong></div></td>
      <td>&nbsp;</td>
    </tr>
  </table>

  </form>
<p>&nbsp;</p>
    <% 	dcon.closeDBConnection(); %>
</body>
</html>
