<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Shared Calendar Manager - Reschuled Bumped Meeting?</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<%
/*---------------------------------------------------------------------------------------------
						M O V E A B L E C O N F I R M . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is called from PlanAMeetingServlet.java to display a page indicating
			the proposed meeting has been scheduled.  It also asks the user if he/she would like
			To reschedule the bumped moveable meeting. If user selects yes to continue, flow is passed 
			to CalendarResults.jsp with the appropriate info so that the calendars of the 
			attendees of the bumped meeting are displayed.  If no, user is directed to MoveableSubmission.jsp 
Input:		Necessary data includes information that needs to go back to the servlet to finish
			up processing: date, length, startTime, organizerName, organizerEmail, immoveableFlag,
			Vectors people, name -> all sent via the http session.
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-02-23
---------------------------------------------------------------------------------------------*/%>
<%@page import="java.util.*"%>
<%
String date = request.getParameter("date");
String length = request.getParameter("length");
String startTime = request.getParameter("startTime");
String organizerEmail = request.getParameter("organizerEmail");
String organizerName = request.getParameter("organizerName");
Integer immoveableFlag = new Integer(1);
Vector people = (Vector)session.getAttribute("people");
Vector names = (Vector)session.getAttribute("names");
String firstDayOfWeek = request.getParameter("firstDayOfWeek");

// now set the session attributes so the servlet can use them
session.setAttribute("date", date);
session.setAttribute("length", length);
session.setAttribute("startTime", startTime);
session.setAttribute("organizerEmail", organizerEmail);
session.setAttribute("organizerName", organizerName);
session.setAttribute("immoveableFlag", immoveableFlag);
session.setAttribute("people", people);
session.setAttribute("names", names);
%>
<body bgcolor="#CCFFFF">
<script language="JavaScript">
// If "Yes" button is pressed, set the form action accordingly
function submitFormYes(formName) {
	formName.action = "/myapp/PlanAMeetingServlet";
}

// if "No" button is pressed, set the form action accordingly
function submitFormNo(formName) { // the button pressed was "No"
	formName.action = "/myapp/webForms/MoveableSubmission.jsp";
}
</script>

<form action="" name="attentionForm">
  <input type="hidden" name="immoveableVisited" value="flagged">
  <input type="hidden" name="date" value="<%=firstDayOfWeek%>">
<%
	for (int i=0; i<people.size(); i++) {
		String cal = "calendar" + (String)people.get(i);
		String value = (String)people.get(i); %>
		<input type="hidden" name="<%=cal%>" value="<%=value%>">
<%	} // end for%>

  <table width="62%" border="3" align="center">
    <tr bgcolor="#999999"> 
      <td colspan="2"> 
        <div align="center"><font size="6" face="Verdana, Arial, Helvetica, sans-serif"><strong>Your 
          meeting request has been submitted.</strong> </font></div></td>
    </tr>
    <tr bgcolor="#CCCCCC"> 
      <td colspan="2"> 
        <p align="center"><font size="4" face="Verdana, Arial, Helvetica, sans-serif">You 
          will receive a receipt message momentarily from the Shared Calendar 
          Manager confirming your meeting request submission. </font></p>
        <p align="center"><font size="4" face="Verdana, Arial, Helvetica, sans-serif">The 
          parties you invited have been notified of your request. </font></p>
        <p align="center"><font size="4" face="Verdana, Arial, Helvetica, sans-serif"><strong>Would 
          you like to reschedule the bumped meeting at this time?</strong></font></p>
        </td>
    </tr>
    <tr> 
      <td width="48%" bgcolor="#CCCCCC"> 
        <div align="center"><font face="Verdana, Arial, Helvetica, sans-serif"> 
          <input name="yesButton" type="submit" id="yesButton" value="Yes" 
		  onClick="submitFormYes(document.attentionForm)">
          </font></div></td>
      <td width="52%" bordercolor="#CCCCCC" bgcolor="#CCCCCC"> 
        <div align="center"><font face="Verdana, Arial, Helvetica, sans-serif"> 
          <input name="noButton" type="submit" id="noButton" value="No"
		  onClick="submitFormNo(document.attentionForm)">
          </font></div></td>
    </tr>
  </table>
</form>
</body>
</html>
