<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Calendar Viewing - Results</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<% 
/*---------------------------------------------------------------------------------------------
						R O O M S C H E D U L E R E S U L T S . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is called from CalendarSelection.jsp and is used to query a mysql db
			and gather calendars requested by the user.  Once calendar information is gathered
			html tables are dynamically created to display the schedule information.  Users then
			have the option to plan a meeting after viewing the calendars through the use of form
			objects provided at the bottom of the page.
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Assumptions: none
Created:	2005-02-01
---------------------------------------------------------------------------------------------*/
%>
<!--------------------------- Javascript Section ------------------------------------>
<script language="JavaScript">
var flag = 0;
var focusFlag = 0;
var outputString = "Error! Please enter the following information to complete your request:\n";

function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}// end checkForFocus

function checkSubmission(formName) {
	if (formName.date.value == "Please make a selection"){
		outputString += "Meeting Date\n";
		flag = 1;
		checkForFocus(formName.date);
	} // end if
	if (formName.startTime.value == "Please make a selection"){
		outputString += "Meeting Time\n";
		flag = 1;
		checkForFocus(formName.time);
	} // end if
	if (formName.length.value == "Please make a selection"){
		outputString += "Meeting Length\n";
		flag = 1;
		checkForFocus(formName.length);
	} // end if
	if (formName.organizerName.value == "") {
		outputString += "Organizer Name\n";
		flag = 1;
		checkForFocus(formName.organizerName);
	} // end if
	if (formName.organizerEmail.value == "") {
		outputString += "Organizer Email\n";
		flag = 1;
		checkForFocus(formName.organizerEmail);
	} // end if
	
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "Error! Please enter the following information to complete your request:\n";
		flag = 0;
		focusFlag = 0;
		return false;
	}
	else {
		//formName.pageSubmit.value = clock();
		return true;
	}
} // end checkSubmission
</script>

<div align="center"><u><strong><font size="6" face="Verdana, Arial, Helvetica, sans-serif">Room Schedule Search Results</font></strong></u> </div>
<p>
</p>
<%
/*--------------------------- JSP Starts Here -------------------------------------------------- 
Get the person_id and week from the request stream, query the database,
stick the result set in a 2-D array, populate HTML tables with the data
-----------------------------------------------------------------------------------------------*/
%>
<%@page import="java.sql.*"%>
<%@page import="java.util.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>
<%  
	ResultSet rs = null;
	String[] roomID = new String[77]; // will hold the room id's we need
	String [] dayOfWeek = new String[5];
	Vector columns = new Vector();
	Vector rooms = new Vector();
			
	// Get the room id's and stick them into the room Vector
//	roomID[0] = "Auditorium";
//	roomID[1] = "1987";
//	roomID[2] = "Pake";
	
	for (int i=0; i<78; i++) {
		String param = "r" + i;
		String room = request.getParameter(param);
		if (room != null) {
			rooms.add(room);
		}
	} // end for
 	
	dayOfWeek[0] = "Monday";
	dayOfWeek[1] = "Tuesday";
	dayOfWeek[2] = "Wednesday";
	dayOfWeek[3] = "Thursday";
	dayOfWeek[4] = "Friday";
	
	columns.add("-ROOM-");
	columns.add("06:00am-06:30am");
	columns.add("06:30am-07:00am");
	columns.add("07:00am-07:30am");
	columns.add("07:30am-08:00am");
	columns.add("08:00am-08:30am");
	columns.add("08:30am-09:00am");
	columns.add("09:00am-09:30am");
	columns.add("09:30am-10:00am");
	columns.add("10:00am-10:30am");
	columns.add("10:30am-11:00am");
	columns.add("11:00am-11:30am");
	columns.add("11:30am-12:00pm");
	columns.add("12:00pm-12:30pm");
	columns.add("12:30pm-01:00pm");
	columns.add("01:00pm-01:30pm");
	columns.add("01:30pm-02:00pm");
	columns.add("02:00pm-02:30pm");
	columns.add("02:30pm-03:00pm");
	columns.add("03:00pm-03:30pm");
	columns.add("03:30pm-04:00pm");
	columns.add("04:00pm-04:30pm");
	columns.add("04:30pm-05:00pm");
	columns.add("05:00pm-05:30pm");
	columns.add("05:30pm-06:00pm");
	columns.add("06:00pm-06:30pm");
	columns.add("06:30pm-07:00pm");
	columns.add("07:00pm-07:30pm");
	columns.add("07:30pm-08:00pm");
	columns.add("08:00pm-08:30pm");
	columns.add("08:30pm-09:00pm");
	columns.add("09:00pm-09:30pm");
	columns.add("09:30pm-10:00pm");
	columns.add("10:00pm-10:30pm");
	columns.add("10:30pm-11:00pm");
	columns.add("11:00pm-11:30pm");
	columns.add("11:30pm-00:00am");
	columns.add("00:00am-00:30am");
	columns.add("00:30am-01:00am");
	columns.add("01:00am-01:30am");
	columns.add("01:30am-02:00am");
	
	// Setup and connect to the postgresql database
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	System.out.println("\n\n----------------------------------------------------\n");
  	
	// ------------------------------- Starting point for the large for loop ---------------------------	
	for (int d=0; d<5; d++) {  %>
	<font face="Verdana, Arial, Helvetica, sans-serif" size="+3"><%=dayOfWeek[d] %></font>
	<TABLE BORDER='2' CELLPADDING=0 CELLSPACING=0 WIDTH="100%" bordercolor="#CCCCCC">		
	<%	System.out.println("HERE IS THE BEGINNING OF THE ITERATION FOR TABLE " + d);	
		for (int p=0; p<(rooms.size()+1); p++) {
		//for (int p=0; p<78; p++) {
	   //		try {		
			int offset = p-1;
			if (p == 0 ) {
				 for (int l=0; l<=40; l++) { %>
					<TD WIDTH="3%" BGCOLOR="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif"><b><%=columns.get(l)%></b></font> &nbsp;
					</TD>
				<% } // end for(l)
			} //end if (p==0)
			
			
			else {
				if (roomID[offset] != "crap") { 
					try {
					String query = "SELECT * FROM RoomSchedule WHERE (room = '"+ rooms.get(offset) + "' AND dayOfWeek = '" + dayOfWeek[d] + "')";
					System.out.println("DEBUG: RoomScheduleResults.jsp\n\tHere is the query: " + query);
					rs = dcon.submitQuery(query); 	
    	 	    	rs.next();  %>
					<TR>
					<%for (int j=0; j<=40; j++) {				
						String timeslot = "t" + j;			
						if(j==0){ %>
							<TD><%=rs.getString("room")%>&nbsp;</TD>
						<%} // end if j==1		
						else { %>	
							<TD BGCOLOR=<%=rs.getString(timeslot)%>>&nbsp;</TD>
						<% } // end else%>
					<% } // end (for j) %>	
					</TR>
					<%} // end try
					catch (SQLException e) {
						System.out.println("EXCEPTION! RoomScheduleResults.jsp\n\tException follows: " + e);
					} %>
			
				<% } // end if (roomID[p])
				
			 } //end else %>
			<% } // end for(p) %>
	</TABLE> <p></p>
	<% } // end for d (ULTIMATE FOR LOOP %>

<p>&nbsp;</p>
<div align="center"><strong><font size="5" face="Verdana, Arial, Helvetica, sans-serif">Some 
  scheduled events can be bumped from their space. To place such a request, please 
  send the room, day of the week, and time range you would like to <a href="mailto:roomrequest@uc.cmu.edu">roomrequest@uc.cmu.edu</a>.</font></strong> 
</div>
<p>
    <% 	dcon.closeDBConnection(); %>
</body>
</html>
