<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>c o n f e r . n e t</title>
<link rel="stylesheet" type="text/css" href="ConferStyle.css"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						  C O N F E R M O D I F Y Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for Confer.net Services.  
			Requests for quotes are made through a single page, then those companies selected
			provide a quote.  Request info is gathered from the audioVisualRequests table and quote is calculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-04-25
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
    DatabaseConnectivity dcon = new DatabaseConnectivity();
	String dataQuery = "SELECT * FROM audioVisualRequests WHERE (uniqueID = '"+ id +"')";
	
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/AV/ConferReviewQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: ConferModifyQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
	
	//user data - get it from dataQuery 
	String eventLocation = rs.getString("eventLocation");
	String eventMonth = rs.getString("eventMonth");
	String eventDayOfMonth = rs.getString("eventDayOfMonth");
	String eventYear = rs.getString("eventYear");
%>


<script language="Javascript">
var outputString = "You did not enter the following information:\n";
var flag = 0;
var focusFlag = 0;

// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()


function checkCD(formName) {
	if ((formName.cdPlayer.value == "Yes")&&(formName.quantCDPlayer.value == 0)) {
		outputString += "Number of CD Players\n";
		flag = 1;
		checkForFocus(formName.quantCDPlayer);
	}
} // end checkCD

function checkWirelessMic(formName) {
	if ((formName.wirelessMic.value == "Yes")&&(formName.quantWirelessMic.value == 0)) {
		outputString += "Number of Wireless Microphoness\n";
		flag = 1;
		checkForFocus(formName.quantWirelessMic);
	}
} // end checkWireless

function checkLavalierMic(formName) {
	if ((formName.lavalierMic.value == "Yes")&&(formName.quantLavalierMic.value == 0)) {
		outputString += "Number of Lavalier Microphoness\n";
		flag = 1;
		checkForFocus(formName.quantLavalierMic);
	}
} // end checkWireless

function checkPodiumMic(formName) {
	if ((formName.podiumMic.value == "Yes")&&(formName.quantPodMic.value == 0)) {
		outputString += "Number of Podium Microphones\n";
		flag = 1;
		checkForFocus(formName.quantPodMic);
	}
} // end checkPodiumMic

function checkPanelMic(formName) {
	if ((formName.panelMic.value == "Yes")&&(formName.quantPanelMic.value == 0)) {
		outputString += "Number of Panel Microphones\n";
		flag = 1;
		checkForFocus(formName.quantPanelMic);
	}
} // end checkPanelMic

function checkVideoProj(formName) {
	if ((formName.videoProj.value == "Yes")&&(formName.quantVideoProj.value == 0)) {
		outputString += "Number of Video Projectors\n";
		flag = 1;
		checkForFocus(formName.quantVideoProj);
	}
} // end checkVidoeProj

function checkCompProj(formName) {
	if ((formName.compProj.value == "Yes")&&(formName.quantCompProj.value == 0)) {
		outputString += "Number of Computer Projectors\n";
		flag = 1;
		checkForFocus(formName.quantCompProj);
	}
} // end checkCompProj

function checkTVVCR(formName) {
	if ((formName.tvVCRDVD.value == "Yes")&&(formName.quantTVVCR.value == 0)) {
		outputString += "Number of TV/VCR/DVD\n";
		flag = 1;
		checkForFocus(formName.quantTVVCR);
	}
} // end checkTVVCR

function checkTV(formName) {
	if ((formName.TV.value == "Yes")&&(formName.quantTV.value == 0)) {
		outputString += "Number of Televisions\n";
		flag = 1;
		checkForFocus(formName.quantTV);
	}
} // end checkTV

function checkSlideProj(formName) {
	if ((formName.slideProj.value == "Yes")&&(formName.quantSlideProj.value == 0)) {
		outputString += "Number of Slide Projectors\n";
		flag = 1;
		checkForFocus(formName.quantSlideProj);
	}
} // end checkSlideProj

function checkOverheadProj(formName) {
	if ((formName.overheadProj.value == "Yes")&&(formName.quantOverheadProj.value == 0)) {
		outputString += "Number of Overhead Projectors\n";
		flag = 1;
		checkForFocus(formName.quantOverheadProj);
	}
} // end checkOverheadProj

function checkEasel(formName) {
	if ((formName.easel.value == "Yes")&&(formName.quantEasel.value == 0)) {
		outputString += "Number of Easels\n";
		flag = 1;
		checkForFocus(formName.quantEasel);
	}
} // end checkEasel

function checkPCLaptop(formName) {
	if ((formName.pcLaptop.value == "Yes")&&(formName.quantPCLaptop.value == 0)) {
		outputString += "Number of PC Laptops\n";
		flag = 1;
		checkForFocus(formName.quantPCLaptop);
	}
} // end checkPCLaptop

function checkAppleLaptop(formName) {
	if ((formName.appleLaptop.value == "Yes")&&(formName.quantAppleLaptop.value == 0)) {
		outputString += "Number of Apple Laptops\n";
		flag = 1;
		checkForFocus(formName.quantAppleLaptop);
	}
} // end checkAppleLaptop

function checkFlipCharts(formName) {
	if ((formName.flipCharts.value == "Yes")&&(formName.quantFlipCharts.value == 0)) {
		outputString += "Number of Flip Charts\n";
		flag = 1;
		checkForFocus(formName.quantFlipCharts);
	}
} // end checkFlipCharts

function checkScreen(formName) {
	if ((formName.screen.value == "Yes")&&(formName.quantScreen.value == 0)) {
		outputString += "Number of Screens\n";
		flag = 1;
		checkForFocus(formName.quantScreen);
	}
} // end checkScreen

function checkPhones(formName) {
	if ((formName.phones.value == "Yes")&&(formName.quantPhones.value == 0)) {
		outputString += "Number of Phoness\n";
		flag = 1;
		checkForFocus(formName.quantPhones);
	}
} // end checkPhones

function checkFax(formName) {
	if ((formName.faxMachine.value == "Yes")&&(formName.quantFax.value == 0)) {
		outputString += "Number of Fax Machines\n";
		flag = 1;
		checkForFocus(formName.quantFax);
	}
} // end checkFax

function checkPodium(formName) {
	if ((formName.podium.value == "Yes")&&(formName.quantPodium.value == 0)) {
		outputString += "Number of Podiums\n";
		flag = 1;
		checkForFocus(formName.quantPodium);
	}
} // end checkPodium

function checkLecturn(formName) {
	if ((formName.lecturn.value == "Yes")&&(formName.quantLecturn.value == 0)) {
		outputString += "Number of Lecturns\n";
		flag = 1;
		checkForFocus(formName.quantLecturn);
	}
} // end checkLecturn

function checkVideotaping(formName) {
	if ((formName.videotaping.value == "Yes")&&(formName.quantVideotaping.value == 0)) {
		outputString += "Videotaping\n";
		flag = 1;
		checkForFocus(formName.quantVideotaping);
	}
} // end checkVideotaping

function checkComputerCon(formName) {
	if ((formName.computerCon.value == "Yes")&&(formName.quantComputerCon.value == 0)) {
		outputString += "Computer/Network Connection\n";
		flag = 1;
		checkForFocus(formName.quantComputerCon);
	}
} // end checkComputerCon

function checkPodLaptopCon(formName) {
	if ((formName.podLaptopCon.value == "Yes")&&(formName.quantPodLaptopCon.value == 0)) {
		outputString += "Podium Laptop Connection\n";
		flag = 1;
		checkForFocus(formName.quantPodLaptopCon);
	}
} // end checkPodLaptopCon

function checkLaserPointer(formName) {
	if ((formName.laserPointer.value == "Yes")&&(formName.quantLaserPointer.value == 0)) {
		outputString += "Laser pointer\n";
		flag = 1;
		checkForFocus(formName.quantLaserPointer);
	}
} // end checkLaserPointer

function checkSubmission(formName) {
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == ""){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.setupComplete.value == "") {
		outputString += "Setup Complete Time\n";
		flag = 1;
		checkForFocus(formName.setupComplete);
	}
	if (formName.breakdownStart.value == ""){
		outputString += "Breakdown Start Time\n";
		flag = 1;
		checkForFocus(formName.breakdownStart);
	}
	if (formName.contactFirstName.value == ""){
		outputString += "Contact First Name\n";
		flag = 1;
		checkForFocus(formName.contactFirstName);
	}
	if (formName.contactLastName.value == ""){
		outputString += "Contact Last Name\n";
		flag = 1;
		checkForFocus(formName.contactLastName);
	}
	if (formName.contactEmail.value == "") {
		outputString += "Contact Email\n";
		flag = 1;
		checkForFocus(formName.contactEmail);
	}
	checkCD(formName);
	checkWirelessMic(formName);
	checkLavalierMic(formName);
	checkPodiumMic(formName);
	checkPanelMic(formName);
	checkVideoProj(formName);
	checkCompProj(formName);
	checkTVVCR(formName);
	checkTV(formName);
	checkSlideProj(formName);
	checkOverheadProj(formName);
	checkEasel(formName);
	checkPCLaptop(formName);
	checkAppleLaptop(formName);
	checkFlipCharts(formName);
	checkScreen(formName);
	checkPhones(formName);
	checkFax(formName);
	checkComputerCon(formName);
	checkPodLaptopCon(formName);
	checkPodium(formName);
	checkLecturn(formName);
	checkVideotaping(formName);
	checkLaserPointer(formName);
	
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "You did not enter the following information:\n";
		flag = 0;
		focusFlag = 0;
		return false
	}
	else {
		//formName.pageSubmit.value = clock();
		return true;
	}
	
} // end checkSumission

// onChange methods -> each item has it's own method called onChange to check the value of the
// select.  If value == Yes, focus is shifted to that items quantity field.  If value == No, 
// that item's quantity field is set to zero
function clickCD(formName) {
	if (formName.cdPlayer.value == "Yes" ) {
		formName.quantCDPlayer.focus();
	}
	else { // value is No
		formName.quantCDPlayer.value = 0;
	}	
} // end clickCD

function clickWireless(formName) {
	if (formName.wirelessMic.value == "Yes" ) {
		formName.quantWirelessMic.focus();
	}
	else { // value is No
		formName.quantWirelessMic.value = 0;
	}	
} // end 

function clickLavalier(formName) {
	if (formName.lavalierMic.value == "Yes" ) {
		formName.quantLavalierMic.focus();
	}
	else { // value is No
		formName.quantLavalierMic.value = 0;
	}	
} // end 

function clickPodiumMic(formName) {
	if (formName.podiumMic.value == "Yes" ) {
		formName.quantPodMic.focus();
	}
	else { // value is No
		formName.quantPodMic.value = 0;
	}	
} // end 

function clickPanel(formName) {
	if (formName.panelMic.value == "Yes" ) {
		formName.quantPanelMic.focus();
	}
	else { // value is No
		formName.quantPanelMic.value = 0;
	}	
} // end 

function clickVideo(formName) {
	if (formName.videoProj.value == "Yes" ) {
		formName.quantVideoProj.focus();
	}
	else { // value is No
		formName.quantVideoProj.value = 0;
	}	
} // end

function clickComp(formName) {
	if (formName.compProj.value == "Yes" ) {
		formName.quantCompProj.focus();
	}
	else { // value is No
		formName.quantCompProj.value = 0;
	}	
} // end

function clickTVVCR(formName) {
	if (formName.tvVCRDVD.value == "Yes" ) {
		formName.quantTVVCR.focus();
	}
	else { // value is No
		formName.quantTVVCR.value = 0;
	}	
} // end

function clickTV(formName) {
	if (formName.TV.value == "Yes" ) {
		formName.quantTV.focus();
	}
	else { // value is No
		formName.quantTV.value = 0;
	}	
} // end

function clickSlide(formName) {
	if (formName.slideProj.value == "Yes" ) {
		formName.quantSlideProj.focus();
	}
	else { // value is No
		formName.quantSlideProj.value = 0;
	}	
} // end

function clickOverhead(formName) {
	if (formName.overheadProj.value == "Yes" ) {
		formName.quantOverheadProj.focus();
	}
	else { // value is No
		formName.quantOverheadProj.value = 0;
	}	
} // end

function clickEasel(formName) {
	if (formName.easel.value == "Yes" ) {
		formName.quantEasel.focus();
	}
	else { // value is No
		formName.quantEasel.value = 0;
	}	
} // end

function clickPCLaptop(formName) {
	if (formName.pcLaptop.value == "Yes" ) {
		formName.quantPCLaptop.focus();
	}
	else { // value is No
		formName.quantPCLaptop.value = 0;
	}	
} // end

function clickAppleLaptop(formName) {
	if (formName.appleLaptop.value == "Yes" ) {
		formName.quantAppleLaptop.focus();
	}
	else { // value is No
		formName.quantAppleLaptop.value = 0;
	}	
} // end

function clickFlipCharts(formName) {
	if (formName.flipCharts.value == "Yes" ) {
		formName.quantFlipCharts.focus();
	}
	else { // value is No
		formName.quantFlipCharts.value = 0;
	}	
} // end

function clickScreen(formName) {
	if (formName.screen.value == "Yes" ) {
		formName.quantScreen.focus();
	}
	else { // value is No
		formName.quantScreen.value = 0;
	}	
} // end

function clickPhone(formName) {
	if (formName.phones.value == "Yes" ) {
		formName.quantPhones.focus();
	}
	else { // value is No
		formName.quantPhones.value = 0;
	}	
} // end

function clickFax(formName) {
	if (formName.faxMachine.value == "Yes" ) {
		formName.quantFax.focus();
	}
	else { // value is No
		formName.quantFax.value = 0;
	}	
} // end

function clickComputerCon(formName) {
	if (formName.computerCon.value == "Yes" ) {
		formName.quantComputerCon.focus();
	}
	else { // value is No
		formName.quantComputerCon.value = 0;
	}	
} // end

function clickPodLaptopCon(formName) {
	if (formName.podLaptopCon.value == "Yes" ) {
		formName.quantPodLaptopCon.focus();
	}
	else { // value is No
		formName.quantPodLaptopCon.value = 0;
	}	
} // end


function clickExternalSpeakers(formName) {
	if (formName.externalSpeakers.value == "Yes" ) {
		formName.quantExternalSpeakers.focus();
	}
	else { // value is No
		formName.quantExternalSpeakers.value = 0;
	}	
} // end

function clickPodium(formName) {
	if (formName.podium.value == "Yes" ) {
		formName.quantPodium.focus();
	}
	else { // value is No
		formName.quantPodium.value = 0;
	}	
} // end
function clickLecturn(formName) {
	if (formName.lecturn.value == "Yes" ) {
		formName.quantLecturn.focus();
	}
	else { // value is No
		formName.quantLecturn.value = 0;
	}	
} // end
function clickVideotaping(formName) {
	if (formName.videotaping.value == "Yes" ) {
		formName.quantVideotaping.focus();
	}
	else { // value is No
		formName.quantVideotaping.value = 0;
	}	
} // end

function clickLaserPointer(formName) {
	if (formName.laserPointer.value == "Yes" ) {
		formName.quantLaserPointer.focus();
	}
	else { // value is No
		formName.quantLaserPointer.value = 0;
	}	
} // end

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	if (checkSubmission(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true;
	}	
	else
		return false;
} // end setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="ConferModifyQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="quoteModification" value="yes">
<input type="hidden" name="requestType" value="audioVisual">
<input type="hidden" name="AV2" value="checked">
  <table width="55%" border="0" cellpadding="0" bgcolor="#CCCCCC">
    <tr> 
      <td height="46" colspan="4"> <table width="100%" border="2" cellpadding="0" cellspacing="0" style="border-collapse: collapse">
          <tr bordercolor="#666666" bgcolor="#666666"> 
            <td colspan="3"><font class="big">c o n f e r . n e t </font><font class="big">&nbsp;</font><font class="big">&nbsp;</font></td>
          </tr>
          <tr bordercolor="#663366"> 
            <td width="16%" bgcolor="#663366"><font>&nbsp;</font></td>
            <td width="54%" bgcolor="#663366"> <div align="right"><font class="big">a 
                u d i o / v i s u a l</font></div></td>
            <td width="30%" bgcolor="#663366"> <div align="right"><font  class="big"> 
                s e r v i c e s</font></div></td>
          </tr>
        </table></td>
    </tr>
    <tr> 
      <td height="91" colspan="4"> <table width="100%" border="0" cellpadding="1" cellspacing="0">
          <tr> 
            <td>&nbsp;</td>
          </tr>
          <tr> 
            <td><font class="medium">You can use this page to modify your audio/visual 
              request.</font> </td>
          </tr>
          <tr> 
            <td><font class="medium">When finished click confirm. Hitting cancel 
              will take you back to your original quote..</font></td>
          </tr>
          <tr> 
            <td><font class="medium">Thank you for choosing <strong>c o n f e 
              r . n e t</strong></font></td>
          </tr>
          <tr> 
            <td>&nbsp;</td>
          </tr>
        </table></td>
    </tr>
    <tr> 
      <td colspan="2"><strong>e v e n t . i n f o r m a t i o n</strong></td>
      <td colspan="2"><strong>c o n t a c t . i n f o r m a t i o n</strong></td>
    </tr>
    <tr> 
      <td width="133"><font class="small">event title:</font></td>
      <td width="134"><strong><font class="small"> 
        <input name="eventTitle" type="text" class="box1" id="eventTitle" value="<%=rs.getString("eventTitle")%>">
        </font></strong></td>
      <td width="122"><font class="small">contact first name:</font></td>
    <%	rs.close();
		rs = dcon.submitQuery(dataQuery);
		crap = rs.next();
	%>	  
	  <td width="161"><strong><font class="small"> 
        <input type="text" class="box1" name="contactFirstName" value="<%=rs.getString("contactFirstName")%>">
        </font></strong></td>
    </tr>
    <%	rs.close(); 
		rs = dcon.submitMonthQuery();
	%>
    <tr> 
      <td><font class="small">event date:</font></td>
      <td><strong><font class="small"> 
        <select name="eventMonth" class="box1" id="eventMonth">
          <option value="<%=eventMonth%>" selected><%=eventMonth%></option>
          <option value="">------</option>
		  <%String value = "none"; 
		  	while (rs.next()) {
				value = rs.getString(1);
		  %>
          <option value="<%=value%>"><%=value%></option>
          <% } // end while %>
        </select>
        <select name="eventDayOfMonth" class="box1" id="eventDayOfMonth">
          <option value="<%=eventDayOfMonth%>" selected><%=eventDayOfMonth%></option>
          <option value="">------</option>
		  <% int day = 1;
		  while (day <= 31 ) {
		  %>
          <option value="<%=day%>"><%=day%></option>
          <% day++;
		   } // end while
		   %>
        </select>
        <select name="eventYear" class="box1" id="eventYear">
          <option value="<%=eventYear%>" selected><%=eventYear%></option>
          <option value="">------</option>
		  <% int year = 2005;
		  while (year <= 2010 ) {
		  %>
          <option value="<%=year%>"><%=year%></option>
          <% year++;
		   } // end while
		   %>
        </select>
        </font></strong></td>
      <% 	rs.close();
			rs = dcon.submitQuery(dataQuery);
			crap = rs.next();
		%>
      <td><font class="small">contact last name:</font></td>
      <td><strong><font class="small"> 
        <input type="text" class="box1" name="contactLastName" value="<%=rs.getString("contactLastName")%>">
        </font></strong></td>
    </tr>
    <% 	rs.close();
		rs = dcon.submitRoomQuery();
	%>
    <tr> 
      <td><font class="small">event location:</font></td>
      <td><strong><font class="small"> 
        <select name="eventLocation" id="eventLocation" class="box1">
        	<option value="<%=eventLocation%>" selected><%=eventLocation%></option>
            <option value="">---------------</option>
            <% 	String room = new String();
		  		String building = new String();
		  		while (rs.next()) {
					room = rs.getString(1);
					building = rs.getString(2);
			%>
          	<option value="<%=room%>"><%=building%> - <%=room%></option>
            <% } // end while %>
        </select>
        </font></strong></td>
      <%	rs.close();
			rs = dcon.submitQuery(dataQuery);
			crap = rs.next();
		%>
      <td><font class="small">contact email:</font></td>
      <td><strong><font class="small"> 
        <input type="text" class="box1" name="contactEmail" value="<%=rs.getString("contactEmail")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">set-up end time:</font></td>
      <td><strong><font class="small"> 
        <select name="setupComplete" class="box1" id="setupComplete" onChange="checkSetupTimes(document.quoteForm)">
          <option value="<%=rs.getString("setupComplete")%>" selected><%=TimeFormat.format(rs.getString("setupComplete"))%></option>
          <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
        </select>
        </font></strong></td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td><font class="small">breakdown start time:</font></td>
      <td><strong><font class="small"> 
        <select name="breakdownStart" class="box1" id="breakdownStart" onChange="checkSetupTimes(document.quoteForm)">
          <option value="<%=rs.getString("breakdownStart")%>" selected><%=TimeFormat.format(rs.getString("breakdownStart"))%></option>
          <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
        </select>
        </font></strong></td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td height="18" colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><font class="medium"><strong>a u d i o</strong></font> </td>
      <td colspan="2"><font class="medium"><strong>q u a n t i t y :</strong></font></td>
    </tr>
    <tr> 
      <td ><font class="small">cd player</font></td>
      <td> <select name="cdPlayer" class="box1" id="cdPlayer" onChange="return clickCD(document.quoteForm)">
          <option value="<%=rs.getString("cdPlayer")%>" selected><%=rs.getString("cdPlayer")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantCDPlayer" value="<%String shit=rs.getString("quantCDPlayer"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">wireless microphone</font></td>
      <td><select name="wirelessMic" class="box1" id="wirelessMic" onChange="return clickWireless(document.quoteForm)">
          <option value="<%=rs.getString("wirelessMic")%>" selected><%=rs.getString("wirelessMic")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantWirelessMic" value="<%shit=rs.getString("quantWirelessMic"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">lavalier microphone</font></td>
      <td><select name="lavalierMic" class="box1" id="lavalierMic" onChange="return clickLavalier(document.quoteForm)">
          <option value="<%=rs.getString("lavalierMic")%>" selected><%=rs.getString("lavalierMic")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantLavalierMic" value="<%shit=rs.getString("quantLavalierMic"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">podium microphone</font></td>
      <td><select name="podiumMic" class="box1"id="podiumMic" onChange="return clickPodiumMic(document.quoteForm)">
          <option value="<%=rs.getString("podiumMic")%>" selected><%=rs.getString("podiumMic")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantPodMic" value="<%shit=rs.getString("quantPodMic"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">panel microphone</font></td>
      <td><select name="panelMic" class="box1" id="panelMic" onChange="return clickPanel(document.quoteForm)">
          <option value="<%=rs.getString("panelMic")%>" selected><%=rs.getString("panelMic")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantPanelMic" value="<%shit=rs.getString("quantPanelMic"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">podium laptop connection</font></td>
      <td><select name="podLaptopCon" class="box1" id="podLaptopCon" onChange="return clickPodLaptopCon(document.quoteForm)">
          <option value="<%=rs.getString("podLaptopCon")%>" selected><%=rs.getString("podLaptopCon")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantPodLaptopCon" value="<%shit=rs.getString("quantPodLaptopCon"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">external computer speakers</font></td>
      <td><select name="externalSpeakers" class="box1" id="externalSpeakers" onChange="return clickExternalSpeaker(document.quoteForm)">
          <option value="<%=rs.getString("externalSpeakers")%>" selected><%=rs.getString("externalSpeakers")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantExternalSpeakers" value="<%shit=rs.getString("quantExternalSpeakers"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td height="18" colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><font class="medium"><strong>v i s u a l </strong></font></td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td><font class="small">video projector</font></td>
      <td> <select name="videoProj" class="box1" id="videoProj" onChange="return clickVideo(document.quoteForm)">
          <option value="<%=rs.getString("videoProj")%>" selected><%=rs.getString("videoProj")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantVideoProj" value="<%shit=rs.getString("quantVideoProj"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">computer projector</font></td>
      <td><select name="compProj" class="box1" id="compProj" onChange="return clickComp(document.quoteForm)">
          <option value="<%=rs.getString("compProj")%>" selected><%=rs.getString("compProj")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantCompProj" value="<%shit=rs.getString("quantCompProj"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">tv/vcr/dvd</font></td>
      <td><select name="tvVCRDVD" class="box1" id="tvVCRDVD" onChange="return clickTVVCR(document.quoteForm)">
          <option value="<%=rs.getString("tvVCRDVD")%>" selected><%=rs.getString("tvVCRDVD")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantTVVCR" value="<%shit=rs.getString("quantTVVCR"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">tv</font></td>
      <td><select name="TV" class="box1" id="TV" onChange="return clickTV(document.quoteForm)">
          <option value="<%=rs.getString("TV")%>" selected><%=rs.getString("TV")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantTV" value="<%shit=rs.getString("quantTV"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">slide projector</font></td>
      <td><select name="slideProj" class="box1"id="slideProj" onChange="return clickSlide(document.quoteForm)">
          <option value="<%=rs.getString("slideProj")%>" selected><%=rs.getString("slideProj")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantSlideProj" value="<%shit=rs.getString("quantSlideProj"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">overhead projector</font></td>
      <td><select name="overheadProj" class="box1" id="overheadProj" onChange="return clickOverhead(document.quoteForm)">
          <option value="<%=rs.getString("overheadProj")%>" selected><%=rs.getString("overheadProj")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantOverheadProj" value="<%shit=rs.getString("quantOverheadProj"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">easel</font></td>
      <td><select name="easel" class="box1" id="easel" onChange="return clickEasel(document.quoteForm)">
          <option value="<%=rs.getString("easel")%>" selected><%=rs.getString("easel")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantEasel" value="<%shit=rs.getString("quantEasel"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">laptop - thinkpad</font></td>
      <td><select name="pcLaptop" class="box1" id="pcLaptop" onChange="return clickLaptop(document.quoteForm)">
          <option value="<%=rs.getString("pcLaptop")%>" selected><%=rs.getString("pcLaptop")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input name="quantPCLaptop" type="text" class="box1" id="quantPCLaptop" value="<%shit=rs.getString("quantPCLaptop"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">laptop - ibook</font></td>
      <td><select name="appleLaptop" class="box1" id="appleLaptop" onChange="return clickLaptop(document.quoteForm)">
          <option value="<%=rs.getString("appleLaptop")%>" selected><%=rs.getString("appleLaptop")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input name="quantAppleLaptop" type="text" class="box1" id="quantAppleLaptop" value="<%shit=rs.getString("quantAppleLaptop"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">flip charts</font></td>
      <td><select name="flipCharts" class="box1" id="flipCharts" onChange="return clickFlipCharts(document.quoteForm)">
          <option value="<%=rs.getString("flipCharts")%>" selected><%=rs.getString("flipCharts")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantFlipCharts" value="<%shit=rs.getString("quantFlipCharts"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">screen</font></td>
      <td><select name="screen" class="box1" id="screen" onChange="return clickScreen(document.quoteForm)">
          <option value="<%=rs.getString("screen")%>" selected><%=rs.getString("screen")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1"name="quantScreen" value="<%shit=rs.getString("quantScreen"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td height="18" colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><font class="medium"><strong>c o m m u i c a t i o n</strong> 
        </font></td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td><font class="small">phones</font></td>
      <td><select name="phones" class="box1" id="phones" onChange="return clickPhone(document.quoteForm)">
          <option value="<%=rs.getString("phones")%>" selected><%=rs.getString("phones")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantPhones" value="<%shit=rs.getString("quantPhones"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">fax machine</font></td>
      <td><select name="faxMachine" class="box1" id="faxMachine" onChange="return clickFax(document.quoteForm)">
          <option value="<%=rs.getString("faxMachine")%>" selected><%=rs.getString("faxMachine")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input name="quantFax" type="text" class="box1" value="<%shit=rs.getString("quantFax"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td><font class="small">network connection</font></td>
      <td><select name="computerCon" class="box1" id="computerCon" onChange="return clickComputerCon(document.quoteForm)">
          <option value="<%=rs.getString("computerCon")%>" selected><%=rs.getString("computerCon")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td colspan="2"><strong><font class="small"> 
        <input type="text" class="box1" name="quantComputerCon" value="<%shit=rs.getString("quantComputerCon"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
    </tr>
    <tr> 
      <td height="18">&nbsp;</td>
      <td height="18">&nbsp;</td>
      <td height="18">&nbsp;</td>
      <td height="18">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><font class="medium"><strong>m i s c e l l a n e o u s</strong></font></td>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td><font class="small">podium</font></td>
      <td><select name="podium" class="box1" id="podium" onChange="return clickPodium(document.quoteForm)">
          <option value="<%=rs.getString("podium")%>" selected><%=rs.getString("podium")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><strong><font class="small"> 
        <input type="text" class="box1" name="quantPodium" value="<%shit=rs.getString("quantPodium"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td><font class="small">lecturn</font></td>
      <td><select name="lecturn" class="box1" id="lecturn" onChange="return clickLecturn(document.quoteForm)">
          <option value="<%=rs.getString("lecturn")%>" selected><%=rs.getString("lecturn")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><strong><font class="small"> 
        <input type="text" class="box1" name="quantLecturn" value="<%shit=rs.getString("quantLecturn"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td><font class="small">videotaping</font></td>
      <td><select name="videotaping" class="box1" id="videotaping" onChange="return clickVideotaping(document.quoteForm)">
          <option value="<%=rs.getString("videotaping")%>" selected><%=rs.getString("videotaping")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><strong><font class="small"> 
        <input type="text" class="box1" name="quantVideotaping" value="<%shit=rs.getString("quantVideotaping"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td><font class="small">laser pointer</font></td>
      <td><select name="laserPointer" class="box1" id="laserPointer" onChange="return clickLaserPointer(document.quoteForm)">
          <option value="<%=rs.getString("laserPointer")%>" selected><%=rs.getString("laserPointer")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td><strong><font class="small"> 
        <input type="text" class="box1" name="quantLaserPointer" value="<%shit=rs.getString("quantLaserPointer"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");'>
        </font></strong></td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td height="39" colspan="2" bgcolor="#666666" >&nbsp;</td>
      <td colspan="2" bgcolor="#663366"> <table width="52%" border="0" align="right" cellpadding="0">
          <tr> 
            <td class="buttonCell"><div align="right"> 
                <input type="submit" class="box1" name="confirm" value="confirm"
			  onClick=" return setActionAccept(document.quoteForm)">
              </div></td>
            <td class="buttonCell"><div align="right"> 
                <input name="cancel" type="submit" class="box1"
			  	onClick="setActionCancel(document.quoteForm)" value="cancel">
              </div></td>
          </tr>
        </table></td>
    </tr>
  </table>
 	<% // insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
	%> 
   <% dcon.closeDBConnection(); %>
</form>
</body>
