<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Welcome to Adam's House of Flowers!</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../Floral/AdamsFloralStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad = "setFocus(document.adamsFlowersForm)">
<!-------------------------------------------------------------------------------------
					A D A M S F L O R A L . H T M 
---------------------------------------------------------------------------------------
Purpose:	This htm file is the homepage for Adam's Floral.  Users can make floral 
			requests from this page
Input:		None
Action:		When submit is clicked the form data is sent to the TestHarnessServlet
Author:		Kyle Cunningham <kcunning@cs>
--------------------------------------------------------------------------------------->
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>

<%
    ResultSet rs = null;
	DatabaseConnectivity dcon = new DatabaseConnectivity();
%>

<script language = "JavaScript">
// Event handler function for submission
var outputString = "Hey - you forgot this information:\n";
var flag = 0;
var focusFlag = 0;
var selectionMade = 0;

// get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

function setFocus(formName) {
	formName.pageLoad.value = clock();
	formName.contactFirstName.focus();
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
} // end checkForFocus()

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	if ( formName.setupComplete.value == "" ||
      formName.breakdownStart.value == "" ) {      	
  	return false;
	}
	
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

// initHiddenVars:  called in submit processing to set all hidden variable values to No.  This is done
//		to eliminate the possibility of someone clicking a checkbox, setting it's value to Yes, then unclicking and having 
//		it's submitted value as "yes" when it should be no.
function initHiddenVars(formName) {
	formName.item1.value = "No";
	formName.item2.value = "No";
	formName.item3.value = "No";
	formName.item4.value = "No";
} // end initHiddenVars

// checkSelections:  called in submit processing to determine what checkboxes have been selected.
//		If a box has been checked it's corresponding hidden variable is set to Yes.
function checkSelections(formName) {
	if (formName.item1Checkbox.checked == true) {
		formName.item1.value = "Yes";
		selectionMade = 1;
	}	
	if (formName.item2Checkbox.checked == true) {
		formName.item2.value = "Yes";
		selectionMade = 1;
	}
	if (formName.item3Checkbox.checked == true) {
		formName.item3.value = "Yes";
		selectionMade = 1;
	}
	if (formName.item4Checkbox.checked == true) {
		formName.item4.value = "Yes";
		selectionMade = 1;
	}
} // end checkSelections


function checkItem1(formName) {
	if (formName.item1Checkbox.checked == true) {
		if (formName.quantItem1.value == "") {
			outputString += "Simple Vase: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem1);
		}
		if (formName.sizeItem1.value == "Please Select One") {
			outputString += "Simple Vase: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem1);
		}
		if (formName.flowerTypeItem1.value == "") {
			outputString += "Simple Vase: Type of Flower\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem1);
		}
	}
} // end checkItem1()

function checkItem2(formName) {
	if (formName.item2Checkbox.checked == true) {
		if (formName.quantItem2.value == "") {
			outputString += "Crystal Vase: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem2);
		}
		if (formName.sizeItem2.value == "Please Select One") {
			outputString += "Crystal Vase: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem2);
		}
		if (formName.flowerTypeItem2.value == "") {
			outputString += "Crystal Vase: Type of Flower\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem2);
		}
	}
} // end checkItem2()

function checkItem3(formName) {
	if (formName.item3Checkbox.checked == true) {
		if (formName.quantItem3.value == "") {
			outputString += "Centerpiece: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem3);
		}
		if (formName.sizeItem3.value == "Please Select One") {
			outputString += "Centerpiece: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem3);
		}
		if (formName.flowerTypeItem3.value == "") {
			outputString += "Centerpiece: Type of Flower\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem3);
		}
	}
} // end checkItem3()

function checkItem4(formName) {
	if (formName.item4Checkbox.checked == true) {
		if (formName.quantItem4.value == "") {
			outputString += "Decorative Plant: Quantity\n";
			flag = 1;
			checkForFocus(formName.quantItem4);
		}
		if (formName.sizeItem4.value == "Please Select One") {
			outputString += "Decorative Plant: Size\n";
			flag = 1;
			checkForFocus(formName.sizeItem4);
		}
		if (formName.flowerTypeItem4.value == "") {
			outputString += "Decorative Plant: Type of Flower\n";
			flag = 1;
			checkForFocus(formName.flowerTypeItem4);
		}
	}
} // end checkItem4()

function checkSubmission(formName) {
	if (!checkSetupTimes(formName)) {		
		flag = 1;
		checkForFocus(formName.setupComplete);
		outputString += "Start/end time\n";
	}
	
	if (formName.eventTitle.value == ""){
		outputString += "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == "Please Select One"){
		outputString += "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	if (formName.eventMonth.value == ""){
		outputString += "Event Date - Month\n";
		flag = 1;
		checkForFocus(formName.eventMonth);
	}
	if (formName.eventDayOfMonth.value == ""){
		outputString += "Event Date - Day\n";
		flag = 1;
		checkForFocus(formName.eventDayOfMonth);
	}
	if (formName.eventYear.value == ""){
		outputString += "Event Date - Year\n";
		flag = 1;
		checkForFocus(formName.eventYear);
	}
	if (formName.setupComplete.value == "Please Select One") {
		outputString += "Setup Complete Time\n";
		flag = 1;
		checkForFocus(formName.setupComplete);
	}
	if (formName.breakdownStart.value == "Please Select One"){
		outputString += "Breakdown Start Time\n";
		flag = 1;
		checkForFocus(formName.breakdownStart);
	}
	if (formName.contactFirstName.value == ""){
		outputString += "Contact First Name\n";
		flag = 1;
		checkForFocus(formName.contactFirstName);
	}
	if (formName.contactLastName.value == ""){
		outputString += "Contact Last Name\n";
		flag = 1;
		checkForFocus(formName.contactLastName);
	}
	if (formName.contactEmail.value == "") {
		outputString += "Contact Email\n";
		flag = 1;
		checkForFocus(formName.contactEmail);
	}
	initHiddenVars(formName);
	checkSelections(formName);
	checkItem1(formName);
	checkItem2(formName);
	checkItem3(formName);
	checkItem4(formName);
	
	if (selectionMade == 0 ) {
		outputString += "You need to make a floral selection!\n";
		flag = 1;
	} 		
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "Please Enter the following:\n";
		flag = 0;
		focusFlag = 0;
		return false;
	}
	else {
		formName.pageSubmit.value = clock();
		return true;
	}
} // end checkSubmission
</script>

<div align="center"> 
  <p class="center"><img src="../Floral/flowerli.gif" width="804" height="25"></p>
  <p><font class="titleLine">Adam's House of Flowers</font></p>
  <p><img src="../Floral/flowerli.gif" width="804" height="25"></p>
  <p class="justify">Welcome 
    to our little home on the web! Adam's House of Flowers is Pittsburgh's leading 
    supplier of fresh, attractive, and innovative arrangements as well as plants 
    and other flower-related items! We have 15 years of experience behind our 
    belts and are proud of every single arrangment we create - whether it be a 
    simple vase of stunning roses or an elaborate display of tropical flowers 
    flown in from Latin America! We can accommodate all of your floral needs - 
    just see what our customers have to say about us!</p>
  <hr>
  <p class="justify"><font class="small">&quot;I had heard good things about Adam's, 
    so I thought I'd give them a try for my wedding flowers. I was more than pleased, 
    I was ecstatic with the results! The staff there is very professional and 
    easy to work with. I highly recommend!&quot;</font></p>
  <p class="justify"><font class="small">&quot;When the florist I had secured for my 
    conference turned out to be a deadbeat I found Adam's House of Flowers at 
    the very last minute. I only gave them one day to get all of the flowers together 
    for my event and they pulled it off with ease. I'll never use another florist 
    again - they are the best in the Burgh.&quot;</font></p>
  <p class="justify"><font class="small">&quot;Even though I only ordered a simple 
    dozen of Barbra Streisand roses, the staff at Adam's made me feel like I was 
    their most important customer. I'll use them from now on for all of my floral 
    needs.&quot;</font></p>
  <hr>
  <p class="justify">There you have 
    it - we take pride in what our customers have to say about us, and hope that 
    you'll give us a try! If you would like to receive a quote for your special 
    event, please fill out the form below and click &quot;submit&quot;. We'll 
    get back to you just as soon as we can. Hopefully we'll be able to accommodate 
    your every need! Thanks for stopping by!</p>
  <p class="justify">- The Staff at Adam's House of Flowers</p>
  <p class="center"><img src="../Floral/flowerli.gif" width="804" height="25"></p>
  
  <form name="adamsFlowersForm" onSubmit = "return checkSubmission(document.adamsFlowersForm)"
  action="/myapp/TestHarnessServlet">  
  <input type = "hidden" name = "formName" value="adamsFlowersForm">
  <input type = "hidden" name = "requestType" value = "floral">
  <input type = "hidden" name = "vendorID" value="floral1">
  <input type = "hidden" name = "pageLoad" value = "">
  <input type = "hidden" name = "pageSubmit" value = "">
  <input type = "hidden" name = "item1" value = "">
  <input type = "hidden" name = "item2" value = "">
  <input type = "hidden" name = "item3" value = "">
  <input type = "hidden" name = "item4" value = "">
    <p align="center"><font class="large">Submit request for a quote</font></p>
    <table width="54%" border="1">
      <tr> 
        <td colspan="2"><strong>Customer Contact Information:</strong></td>
      </tr>
      <tr> 
        <td width="48%">First: 
          <input name="contactFirstName" type="text" class="box" id="contactFirstName"></td>
        <td width="52%">Last: 
          <input name="contactLastName" type="text" class="box" id="contactLastName"></td>
      </tr>
      <tr> 
        <td height="30">Email: 
          <input name="contactEmail" type="text" class="box" id="contactEmail"></td>
        <td>&nbsp;</td>
      </tr>
      <tr> 
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr> 
        <td colspan="2"><strong>Event Information:</strong></td>
      </tr>
      <% rs = dcon.submitMonthQuery();%>
	  <tr> 
        <td>Event Date: 
          <select name="eventMonth" class="box" id="eventMonth">
          <option value="" selected>Month</option>
          <% String value = "none"; 
		  	while (rs.next()) {
				value = rs.getString(1);
		  %>
          <option value="<%=value%>"><%=value%></option>
          <% } // end while %>
        </select>
        <select name="eventDayOfMonth" class="box" id="eventDayOfMonth">
          <option value="" selected>Day</option>
          <% int day = 1;
		  while (day <= 31 ) {
		  %>
          <option value="<%=day%>"><%=day%></option>
          <% day++;
		   } // end while
		   %>
        </select>
        <select name="eventYear" class="box" id="eventYear">
          <option value="" selected>Year</option>
          <% int year = 2005;
		  while (year <= 2010 ) {
		  %>
          <option value="<%=year%>"><%=year%></option>
          <% year++;
		   } // end while
		   %>
        </select></td>
         <td>Event Title: 
          <input name="eventTitle" type="text" class="box" id="eventTitle"></td>
      </tr>
      <% 	rs.close();
	  		rs = dcon.submitRoomQuery();
		%>	
	  <tr> 
        <td colspan="2">Event Location: 
          <select name="eventLocation" class="box" id="eventLocation">
          <option value="Please Select One" selected>Please Select One</option>
          <% 	String room = new String();
		  		String building = new String();
		  		while (rs.next()) {
					room = rs.getString(1);
					building = rs.getString(2);
			%>
          <option value="<%=room%>"><%=building%> - <%=room%></option>
          <% } // end while %>
        </select></td>
      </tr>
      <% rs.close(); %>
	  <tr class="dataTable"> 
        <td>Setup Complete By: <font class="data">
		<select name="setupComplete" class="box" id="setupComplete" onChange="checkSetupTimes(document.adamsFlowersForm)">
          <%=TimeFormat.getTimeOptions("07:00", "21:00", false)%>
         </select></font></td>
        <td>Breakdown Start: 
		<select name="breakdownStart" class="box" id="breakdownStart" onChange="checkSetupTimes(document.adamsFlowersForm)">
          <%=TimeFormat.getTimeOptions("07:00", "21:00", false)%>
        </select><font class="data">&nbsp;</font></td>
      </tr>
      <tr class="dataTable">
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr> 
        <td colspan="2"><strong>Due to high customer demand we can only offer 
          the following items at this time: </strong></td>
      </tr>
      <tr> 
        <td height="231" colspan="2" valign="top"> <table width="99%">
            <tr> 
              <td width="49%"><table width="100%" border="0" cellpadding="0">
                  <tr> 
                    <td><input name="item1Checkbox" type="checkbox" class="box" > 
                      <strong>Plain Vase</strong></td>
                  </tr>
                  <tr> 
                    <td>Quantity: 
                      <input name="quantItem1" type="text" class="box" id="quantItem1"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
                  </tr>
                  <tr> 
                    <td>Size: 
                      <select name="sizeItem1" class="box" id="sizeItem1">
                        <option value="Please Select One" selected>Please Select 
                        One</option>
                        <option value="Small">Small</option>
                        <option value="Medium">Medium</option>
                        <option value="Large">Large</option>
                      </select></td>
                  </tr>
                  <tr> 
                    <td>Type of Flower: 
                      <input name="flowerTypeItem1" type="text" class="box" id="flowerTypeItem1"></td>
                  </tr>
                  <tr> 
                    <td>&nbsp;</td>
                  </tr>
                  <tr> 
                    <td><input name="item3Checkbox" type="checkbox" class="box" > 
                      <strong>Centerpiece</strong></td>
                  </tr>
                  <tr> 
                    <td>Quantity: 
                      <input name="quantItem3" type="text" class="box" id="quantItem3"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
                  </tr>
                  <tr> 
                    <td> Size: 
                      <select name="sizeItem3" class="box" id="sizeItem3">
                        <option value="Please Select One" selected>Please Select 
                        One</option>
                        <option value="Small">Small</option>
                        <option value="Medium">Medium</option>
                        <option value="Large">Large</option>
                      </select></td>
                  </tr>
                  <tr> 
                    <td>Type of Flower: 
                      <input name="flowerTypeItem3" type="text" class="box" id="flowerTypeItem3"></td>
                  </tr>
                </table></td>
              <td width="51%"><table width="100%" border="0" cellpadding="0">
                  <tr> 
                    <td><input name="item2Checkbox" type="checkbox" class="box" > 
                      <strong>Crystal Vase</strong></td>
                  </tr>
                  <tr> 
                    <td>Quantity: 
                      <input name="quantItem2" type="text" class="box" id="quantItem2"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
                  </tr>
                  <tr> 
                    <td>Size: 
                      <select name="sizeItem2" class="box" id="sizeItem2">
                        <option value="Please Select One" selected>Please Select 
                        One</option>
                        <option value="Small">Small</option>
                        <option value="Medium">Medium</option>
                        <option value="Large">Large</option>
                      </select></td>
                  </tr>
                  <tr> 
                    <td>Type of Flower: 
                      <input name="flowerTypeItem2" type="text" class="box" id="flowerTypeItem2"></td>
                  </tr>
                  <tr> 
                    <td>&nbsp;</td>
                  </tr>
                  <tr> 
                    <td><input name="item4Checkbox" type="checkbox" class="box" > 
                      <strong>Decorative Plant</strong></td>
                  </tr>
                  <tr> 
                    <td>Quantity: 
                      <input name="quantItem4" type="text" class="box" id="quantItem4"  onKeyUp='this.value=this.value.replace(/\D/g,"");'></td>
                  </tr>
                  <tr> 
                    <td height="24">Size: 
                      <select name="sizeItem4" class="box" id="sizeItem4">
                        <option value="Please Select One" selected>Please Select 
                        One</option>
                        <option value="Small">Small</option>
                        <option value="Medium">Medium</option>
                        <option value="Large">Large</option>
                      </select> </td>
                  </tr>
                  <tr> 
                    <td>Type of Flower: 
                      <input name="flowerTypeItem4" type="text" class="box" id="flowerTypeItem4"></td>
                  </tr>
                </table></td>
            </tr>
          </table></td>
      </tr>
      <tr> 
        <td colspan="2"> <div align="left"> 
            <input name="Submit" type="submit" class="box" id="Submit" value="Submit Your Request">
          </div></td>
      </tr>
    </table>
  </form>
  <p align="center">&nbsp;</p>
  <p align="left">&nbsp;</p>
  <p align="center">&nbsp;</p>
</div>
<% dcon.closeDBConnection(); %>
</body>
</html>
