<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Welcome to Adam's House of Flowers!</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="AdamsFloralStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad= "setPageLoad(document.quoteForm)">
<%
/*-------------------------------------------------------------------------------------
					A D A M S Q U O T E . J S P  
---------------------------------------------------------------------------------------
Purpose:	This jsp file displays request and quote information for Adam's Floral.  
			From this page users can accept, modify, or cancel the request. 
Input:		uniqueID
Action:		Depends on which button is clicked 
Author:		Kyle Cunningham <kcunning@cs>
Date:		05-04-2005
--------------------------------------------------------------------------------------*/%>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
    String dataQuery = "SELECT * FROM floralRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next();
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/webForms/Floral/AdamsAcceptQuote.jsp";
	String modifyURL = "/myapp/webForms/Floral/AdamsModifyQuote.jsp";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Floral/AdamsCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: AdamsQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	
%>
<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 3 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit

// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="AdamsQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="vendorID" value="floral1">

<div align="center"> 
  <p class="center"><img src="flowerli.gif" width="804" height="25"></p>
  <p class="center"><font class="titleLine">Adam's House of Flowers</font></p>
  <p class="center"><font class="large">Request for Flowers</font></p>
  <p class="center"><img src="flowerli.gif" width="804" height="25"></p>
  <p class="justify">Thanks for your floral request!  We recently received your request 
  from the CMU Planning Portal.  In just a few quick minutes you can finish up the request
  process.  If the information below is correct and you're happy with our quote price you can 
  click "Accept Quote" to finalize the quote.  If you find you need to make a modification for any
  reason simply click "Modify Quote" and you'll be taken to the appropriate page. If you find you need
  to cancel your floral request with us press "Cancel Quote".</p>
  
  <p class="justify">- The Staff at Adam's House of Flowers</p>
  <p class="center"><img src="flowerli.gif" width="804" height="25"></p>
   
  <p class="center"><font class="large">Your Floral Request:</font></p>
    
  <table class="dataTable">
    <tr> 
      <td colspan="2"><strong>Customer Contact Information:</strong></td>
    </tr>
    <tr> 
      <td width="48%">First: <font class="data"><%=rs.getString("contactFirstName")%></font></td>
      <td width="52%">Last: <font class="data"><%=rs.getString("contactLastName")%></font></td>
    </tr>
    <tr> 
      <td height="30">Email: <font class="data"><%=rs.getString("contactEmail")%></font></td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><strong>Event Information:</strong></td>
    </tr>
    <% String date = rs.getString("eventMonth") + ", " + rs.getString("eventDayOfMonth") + " " + rs.getString("eventYear"); %>
    <tr> 
      <td>Event Date: <font class="data"><%=date%></font></td>
      <td>Event Title: <font class="data"><%=rs.getString("eventTitle")%></font></td>
    </tr>
    <tr> 
      <td colspan="2">Event Location: <font class="data"><%=rs.getString("eventLocation")%></font></td>
    </tr>
    <tr> 
      <td>Setup Complete By: <font class="data"><%=TimeFormat.format(rs.getString("setupComplete"))%></font></td>
      <td>Breakdown Start: <font class="data"><%=TimeFormat.format(rs.getString("breakdownStart"))%></font></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><strong>Floral Items Requested:</strong></td>
    </tr>
    <%
	if (rs.getString("item1").equals("Yes")) {
	%>
    <tr> 
      <td colspan="2"><font class="data">Plain Vase:</font></td>
    </tr>
    <tr> 
      <td colspan="2"><table width="100%" border="0" cellpadding="0">
          <tr> 
            <td width="10%">&nbsp;</td>
            <td width="30%">Quantity: <font class="data"><%=rs.getString("quantItem1")%></font></td>
            <td width="30%">Size: <font class="data"><%=rs.getString("sizeItem1")%></font></td>
            <td width="30%">Flowers: <font class="data"><%=rs.getString("flowerTypeItem1")%></font></td>
          </tr>
        </table></td>
    </tr>
    <%
	 } // end if
	 if (rs.getString("item2").equals("Yes")) {
	%>
    <tr> 
      <td colspan="2"><font class="data">Crystal Vase:</font></td>
    </tr>
    <tr> 
      <td colspan="2"><table width="100%" border="0" cellpadding="0">
          <tr> 
            <td width="10%">&nbsp;</td>
            <td width="30%">Quantity: <font class="data"><%=rs.getString("quantItem2")%></font></td>
            <td width="30%">Size: <font class="data"><%=rs.getString("sizeItem2")%></font></td>
            <td width="30%">Flowers: <font class="data"><%=rs.getString("flowerTypeItem2")%></font></td>
          </tr>
        </table></td>
    </tr>
    <%
	 } // end if
	if (rs.getString("item3").equals("Yes")) {
	%>
    <tr> 
      <td colspan="2"><font class="data">Centerpiece:</font></td>
    </tr>
    <tr> 
      <td colspan="2"><table width="100%" border="0" cellpadding="0">
          <tr> 
            <td width="10%">&nbsp;</td>
            <td width="30%">Quantity: <font class="data"><%=rs.getString("quantItem3")%></font></td>
            <td width="30%">Size: <font class="data"><%=rs.getString("sizeItem3")%></font></td>
            <td width="30%">Flowers: <font class="data"><%=rs.getString("flowerTypeItem3")%></font></td>
          </tr>
        </table></td>
    </tr>
    <% 
	} // end if
	if (rs.getString("item4").equals("Yes")) {
	%>
    <tr> 
      <td colspan="2"><font class="data">Decorative Plant:</font></td>
    </tr>
    <tr> 
      <td colspan="2"><table width="100%" border="0" cellpadding="0">
          <tr> 
            <td width="10%">&nbsp;</td>
            <td width="30%">Quantity: <font class="data"><%=rs.getString("quantItem4")%></font></td>
            <td width="30%">Size: <font class="data"><%=rs.getString("sizeItem4")%></font></td>
            <td width="30%">Flowers: <font class="data"><%=rs.getString("flowerTypeItem4")%></font></td>
          </tr>
        </table></td>
    </tr>
    <% } // end if %>
    <tr> 
      <td colspan="2"><font class="data">Price: $ <%=rs.getString("quote")%></font> 
      </td>
    </tr>
    <tr> 
      <td colspan="2"><table width="70%" border="0" align="center" cellpadding="0">
          <tr> 
<% 
String buttonTest = rs.getString("quoteAccepted");
if (buttonTest==null || buttonTest.equals("") || buttonTest.equalsIgnoreCase("cancelled")) { //so if its not accepted, show accept button 
%>
            <td width="33%" height="24"> <div align="center"> 
                <input name="acceptButton" type="submit" class="box" id="acceptButton" 
					onclick="setActionAccept(document.quoteForm)" value="Accept Quote">
              </div></td>
<% } %>
            <td width="33%"><div align="center"> 
                <input name="modifyButton" type="submit" class="box" id="modifyButton"
				onClick="setActionModify(document.quoteForm)" value="Modify Quote">
              </div></td>
<% 
if (buttonTest!=null && !buttonTest.equals("") && !buttonTest.equalsIgnoreCase("cancelled")) { //so if it is accepted, show delete button 
%>
            <td width="33%"><div align="center"> 
                <input name="cancelButton" type="submit" class="box" id="cancelButton"
				onClick="setActionCancel(document.quoteForm)" value="Cancel Quote">
              </div></td>
<% } %>
          </tr>
        </table></td>
    </tr>
  </table>
  </form>
<%	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
%>  
<% dcon.closeDBConnection(); %>
</body>
</html>
