<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Lilli Festivale</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="LilliStyle.css" rel="stylesheet" type="text/css">
<style>
<jsp:include page="Floral/LilliStyle.css"/>
</style>	
</head>
<body onLoad= "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------
					L I L L I Q U O T E . J S P   
---------------------------------------------------------------------------------------
Purpose:	This jsp file displays Lilli Festivale floral requests and quote information.
			Users can accept, modify, or cancel their quote from this page.
Input:		uniqueID
Author:		Kyle Cunningham <kcunning@cs>
Created:	05-10-2005
---------------------------------------------------------------------------------------*/
%>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
    String dataQuery = "SELECT * FROM floralRequests WHERE (uniqueID = '"+ id +"')";
	rs = dcon.submitQuery(dataQuery);
	boolean crap = rs.next();
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/webForms/Floral/LilliAcceptQuote.jsp";
	String modifyURL = "/myapp/webForms/Floral/LilliModifyQuote.jsp";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Floral/LilliCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: LilliQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
		
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>

<div align="justify"> 
  <table width="987">
    <!--DWLayoutTable-->
    <tr>
      <td height="53"><p align="center"><font size="7" face="Georgia, Times New Roman, Times, serif">Lilli 
          Festivale & Co.</font> </p>
        <div align="center">
          <table width="80%">
            <tr> 
              <td width="8%"><img src="lilliFestivale/belaLugosi.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/candystripeAmaryllis.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/pinkHawaiianPeony.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/greenGoddess.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/shocking.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/lilacDahlia.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/blackJackGlads.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/globeThistle.jpg" width="88" height="92"></td>
              <td width="8%"><img src="lilliFestivale/eleanorRose.jpg" width="88" height="92"></td>
            </tr>
          </table>
        </div></td>
    </tr>
    <tr> 
      <td width="975" height="53"> <div class="center"><font class="titleLine">Your 
          floral request &amp; quote from Lilli Festivale &amp; Co. <br>
          </font></div></td>
    </tr>
    <tr> 
      <td height="113"><div class="center"> 
          <form name="quoteForm" action="">
            <input type="hidden" name="uniqueID" value="<%=id%>">
            <input type="hidden" name="pageLoad" value="">
            <input type="hidden" name="pageSubmit" value="">
            <input type="hidden" name="eventSource" value="LilliQuote.jsp">
            <input type="hidden" name="quoteID" value=<"">
	    <input type="hidden" name="vendorID" value="floral3">

            <table width="67%" border="1" style="border-collapse: collapse" bordercolor="#666666" align="center">
              <tr> 
                <td colspan="2"><font class="emphasis">Customer Information: </font></td>
              </tr>
              <tr> 
                <td width="47%">First Name: <font class="data"><%=rs.getString("contactFirstName")%></font></td>
                <td width="53%">Last Name: <font class="data"><%=rs.getString("contactLastName")%></font> 
                </td>
              </tr>
              <tr> 
                <td>Email: <font class="data"><%=rs.getString("contactEmail")%></font></td>
                <td>&nbsp; </td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;&nbsp;</td>
              </tr>
              <tr> 
                <td height="22" colspan="2"><font class="emphasis">Event Information:&nbsp;</font></td>
              </tr>
              <% String date = rs.getString("eventMonth") + ", " + rs.getString("eventDayOfMonth") + " " + rs.getString("eventYear"); %>
              <tr> 
                <td>Event Date: <font class="data"><%=date%></font></td>
                <td>Event Location: <font class="data"><%=rs.getString("eventLocation")%></font></td>
              </tr>
              <tr> 
                <td>Event Title: <font class="data"><%=rs.getString("eventTitle")%></font> 
                <td>&nbsp;</td>
              </tr>
              <tr> 
                <td>Setup Complete By: <font class="data"><%=TimeFormat.format(rs.getString("setupComplete"))%></font></td>
                <td>Breakdown Start: <font class="data"><%=TimeFormat.format(rs.getString("breakdownStart"))%></font></td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;&nbsp;</td>
              </tr>
              <tr> 
                <td colspan="2"><font class="emphasis">Your floral selection:</font></td>
              </tr>
              <tr> 
                <td> <table width="100%" border="0" cellpadding="0">
                    <%
				if (rs.getString("item1").equals("Yes")) {
				%>
                    <tr> 
                      <td>Classic Vase Arrangement</td>
                    </tr>
                    <tr> 
                      <td>Quant: <font class="data"><%=rs.getString("quantItem1")%></font></td>
                    </tr>
                    <tr> 
                      <td height="25">Size: <font class="data"><%=rs.getString("sizeItem1")%></font></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: <font class="data"><%=rs.getString("flowerTypeItem1")%></font></td>
                    </tr>
                    <tr> 
                      <td>&nbsp;</td>
                    </tr>
                    <%
					} // end if
					if (rs.getString("item3").equals("Yes")) {
				  %>
                    <tr> 
                      <td>Centerpiece </td>
                    </tr>
                    <tr> 
                      <td>Quant: <font class="data"><%=rs.getString("quantItem3")%></font></td>
                    </tr>
                    <tr> 
                      <td>Size: <font class="data"><%=rs.getString("sizeItem3")%></font></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: <font class="data"><%=rs.getString("flowerTypeItem3")%></font></td>
                    </tr>
                    <% } // end if %>
                  </table></td>
                <td><table width="100%" border="0" cellpadding="0">
                    <%
				  if (rs.getString("item2").equals("Yes")) {
				  %>
                    <tr> 
                      <td>Rose Bundle</td>
                    </tr>
                    <tr> 
                      <td>Quant: <font class="data"><%=rs.getString("quantItem2")%></font></td>
                    </tr>
                    <tr> 
                      <td>Size: <font class="data"><%=rs.getString("sizeItem2")%></font></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: <font class="data"><%=rs.getString("flowerTypeItem2")%></font></td>
                    </tr>
                    <tr> 
                      <td>&nbsp;</td>
                    </tr>
                    <%
				  } // end if
				  if (rs.getString("item4").equals("Yes")) {
				  %>
                    <tr> 
                      <td>Ooh La La! - Eye Catcher Arrangement</td>
                    </tr>
                    <tr> 
                      <td>Quant: <font class="data"><%=rs.getString("quantItem4")%></font></td>
                    </tr>
                    <tr> 
                      <td>Size: <font class="data"><%=rs.getString("sizeItem4")%></font></td>
                    </tr>
                    <tr> 
                      <td>Type of Flowers: <font class="data"><%=rs.getString("flowerTypeItem4")%></font></td>
                    </tr>
                    <% } // end if %>
                  </table></td>
              </tr>
              <tr> 
                <td colspan="2"><font class="emphasis">Price for your request: 
                  $ <%=rs.getString("quote")%></font></td>
              </tr>
              <tr valign="top"> 
                <td colspan="2"><table width="50%" border="0" cellpadding="0" align="center">
                    <tr class="buttonBar"> 
<% 
String buttonTest = rs.getString("quoteAccepted");
if (buttonTest==null || buttonTest.equals("") || buttonTest.equalsIgnoreCase("cancelled")) { //so if its not accepted, show accept button 
%>
                      <td><div align="center"> 
                          <input name="acceptButton" type="submit" class="inputBox" id="acceptButton" value="Confirm"
								onclick="setActionAccept(document.quoteForm)">
                        </div></td>
<% } %>
                      <td> <div align="center"> 
                          <input name="modifyButton" type="submit" class="inputBox" id="modifyButton" value="Modify"
								onclick="setActionModify(document.quoteForm)">
                        </div></td>
<% 
if (buttonTest!=null && !buttonTest.equals("") && !buttonTest.equalsIgnoreCase("cancelled")) { //so if it is accepted, show delete button 
%>
                      <td> <div align="center"> 
                          <input name="cancelOrder" type="submit" class="inputBox" id="cancelOrder" value="Cancel"
								onclick="setActionCancel(document.quoteForm)">
                        </div></td>
<% } %>
                    </tr>
                  </table></td>
              </tr>
            </table>
          </form>
        </div></td>
    </tr>
  </table>
  <%// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if
	%>
</div>
<p align="justify">&nbsp;</p>
<% dcon.closeDBConnection(); %>
</body>
</html>
