<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<link rel="stylesheet" type="text/css" href="ClassicStyle.css"/>
<title>Classic Rental Service</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						  C L A S S I C M O D I F Y Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display and modify request and quote information for the Classic Rentals  
			Rental Company.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-04-18
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%  
	// ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	Statement st = null, st2 = null;
	ResultSet rs = null;
	ResultSet descrip = null;
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	con = dcon.setupDBConnection();
    String dataQuery = "SELECT * FROM rentalRequests WHERE (uniqueID = '"+ id +"')";
	String monthQuery = "SELECT monthNum, monthName FROM month ORDER BY monthNum";//rb.getString("rentalMonthQuery");
	String roomQuery = " SELECT room, building  FROM conferenceRooms";//rb.getString("roomQuery");

	st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	st2 = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);
	rs = st.executeQuery(dataQuery);
	descrip = st2.executeQuery("SELECT * FROM rentalItemDescription where uniqueID = '1'");
	boolean crap = rs.next(); // move pointer to the actual row
	crap = descrip.next();
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/Rental/ClassicReviewQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: ClassicModifyQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
		
	String tentSize = rs.getString("tentSize");
	if (tentSize.equals("1"))
		tentSize = descrip.getString("tentSize1");
	if (tentSize.equals("2"))
		tentSize = descrip.getString("tentSize2");
	if (tentSize.equals("3"))
		tentSize = descrip.getString("tentSize3");
	if (tentSize.equals("4"))
		tentSize = descrip.getString("tentSize4");
	if (tentSize.equals("Please Select One"))
		tentSize = " - ";
	
	String tentType = rs.getString("tentType");
	if (tentType.equals("1"))
		tentType = descrip.getString("tentType1");
	if (tentType.equals("2"))
		tentType = descrip.getString("tentType2");
	if (tentType.equals("Please Select One"))
		tentType = " - ";		

	String chairType = rs.getString("chairType");
	if (chairType.equals("1"))
		chairType = descrip.getString("chairType1");
	if (chairType.equals("2"))
		chairType = descrip.getString("chairType2");
	if (chairType.equals("3"))
		chairType = descrip.getString("chairType3");
	if (chairType.equals("4"))
		chairType = descrip.getString("chairType4");
	if (chairType.equals("Please Select One"))
		chairType = " - ";
		
	String chairColor = rs.getString("chairColor");
	if (chairColor.equals("Please Select One"))
		chairColor = " - ";		

	String stagingSize = rs.getString("stagingSize");
	if (stagingSize.equals("1"))
		stagingSize = descrip.getString("staging1");
	if (stagingSize.equals("2"))
		stagingSize = descrip.getString("staging2");
	if (stagingSize.equals("3"))
		stagingSize = descrip.getString("staging3");
	if (stagingSize.equals("Please Select One"))
		stagingSize = " - ";	
		
	String cocktailTableSize = rs.getString("cocktailTableSize");
	if (cocktailTableSize.equals("1"))
		cocktailTableSize = descrip.getString("cocktailSize1");
	if (cocktailTableSize.equals("2"))
		cocktailTableSize = descrip.getString("cocktailSize2");
	if (cocktailTableSize.equals("3"))
		cocktailTableSize = descrip.getString("cocktailSize3");				
	if (cocktailTableSize.equals("Please Select One"))
		cocktailTableSize = " - ";

	String pipeSize = rs.getString("pipeDrapeLength");
	if (pipeSize.equals("1"))
		pipeSize = descrip.getString("pipeSize1");
	if (pipeSize.equals("Please Select One"))
		pipeSize = " - ";	
	
	String pipeColor = rs.getString("pipeDrapeColor");
	if (pipeColor.equals("Please Select One"))
		pipeColor = " - ";
		
	String banquetTableSize = rs.getString("banquetTableLength");
	if (banquetTableSize.equals("1"))
		banquetTableSize = descrip.getString("banquetSize1");
	if (banquetTableSize.equals("2"))
		banquetTableSize = descrip.getString("banquetSize2");
	if (banquetTableSize.equals("3"))
		banquetTableSize = descrip.getString("banquetSize3");	
	if (banquetTableSize.equals("Please Select One"))
		banquetTableSize = " - ";

	String roundTableSize = rs.getString("roundTableSize");
	if (roundTableSize.equals("1"))
		roundTableSize = descrip.getString("roundSize1");
	if (roundTableSize.equals("2"))
		roundTableSize = descrip.getString("roundSize2");	
	if (roundTableSize.equals("Please Select One"))
		roundTableSize = " - ";

	//user data - get it from dataQuery 
	String eventLocation = rs.getString("eventLocation");
	String singleDay = rs.getString("singleDay");
	String singleYear = rs.getString("singleYear");
	String multStartDay = rs.getString("multStartDay");
	String multStartYear = rs.getString("multStartYear");
	String multEndDay = rs.getString("multEndDay");
	String multEndYear = rs.getString("multEndYear");
	
	String multStartMonth = new String();
	String multEndMonth = new String();
	String singleMonth = new String();
	int multStartMonthInt = 0;
	int multEndMonthInt =0;
	int singleMonthInt = 0;
	if (rs.getString("singleMonth").equalsIgnoreCase("null") || rs.getString("singleMonth").equals("")) {
		multStartMonthInt = Integer.valueOf(rs.getString("multStartMonth")).intValue();
		multEndMonthInt = Integer.valueOf(rs.getString("multEndMonth")).intValue();
		multStartMonth = getMonthName(multStartMonthInt);
		multEndMonth = getMonthName(multEndMonthInt);
	}
	else { // it was a single rental day	
		singleMonthInt = Integer.valueOf(rs.getString("singleMonth")).intValue();
		singleMonth = getMonthName(singleMonthInt);
	}
%>	
	
<%!	public String getMonthName(int monthNumber) {
	  switch (monthNumber) {
		case 1: return "January";
		case 2: return "Februrary";
		case 3: {return "March";}
		case 4: {return "April";}
		case 5: {return "May";}
		case 6: {return "June";}
		case 7: {return "July";}
		case 8: {return "August";}
		case 9: {return "September";}
		case 10: {return "October";}
		case 11: {return "November";}
		case 12: {return "December";}
	  }
  	return "";
  };  	
			
%>			

	
<script language="Javascript">
var outputString = "Wait! We need the following information:\n";
var flag = 0;
var focusFlag = 0;
var selectionFlag = 0;
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// input formName.<fieldName> 
function checkForFocus(formVariable) {
	if (focusFlag != 1) {
		focusFlag = 1;
		formVariable.focus();
	}
}

// checkSetupTimes() - this function makes sure the user isn't requesting impossible time combinations
var timeErrorString = "ERROR! End time cannot fall before Start time!  Please modify\n";
function checkSetupTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	startHour = formName.setupComplete.value.substring(0,2);
	endHour = formName.breakdownStart.value.substring(0,2);
	startMinutes = formName.setupComplete.value.substring(3,5);
	endMinutes = formName.breakdownStart.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.setupComplete.value == formName.breakdownStart.value) {
		alert("Start and End times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

function checkMultipleRentalDates (formName) {
if (formName.rentalType.value == "multipleDays") {
	if (formName.multStartMonth.value < formName.multEndMonth.value) {
		if (formName.multStartYear.value < formName.multEndYear.value) {
			return true;
		}
	}
	else if (formName.multStartMonth.value == formName.multEndMonth.value) {
		if (formName.multStartDay.value < formName.multEndDay.value) {
			if (formName.multStartYear.value <= formName.multEndYear.value) {
				return true;
			}
		}
	}
	else {
		alert("The combination of multiple start & end dates is not valid.  Please modify and resubmit.");
		return false;
	}				
}
} // end checkMultipleRentalDates

function checkSingleDayRental(formName) {
	// rentalType is the button group, [0] is the Single Day Rental Button
	if ((formName.rentalType.value == "singleDay")&&(formName.singleMonth.value == 0)) {
		outputString += "Single Day Rental - Month\n";
		flag = 1;
		checkForFocus(formName.singleMonth);
	}
	if ((formName.rentalType.value == "singleDay")&&(formName.singleDay.value == "")) {
		outputString += "Single Day Rental - Day\n";
		flag = 1;
		checkForFocus(formName.singleDay);
	}
	if ((formName.rentalType.value == "singleDay")&&(formName.singleYear.value == "")) {
		outputString += "Single Day Rental - Year\n";
		flag = 1;
		checkForFocus(formName.singleYear);
	}
	
} // end checkSingleDayRental

function checkMultipleDayRental(formName) {
	// rentalType is the button group, [1] is the Multiple Day Rental Button
	if ((formName.rentalType.value == "multipleDays")&&(formName.multStartMonth.value == 0)) {
		outputString += "Multiple Day Rental - Start Month\n";
		flag = 1;
		checkForFocus(formName.multStartMonth);
	}
	if ((formName.rentalType.value == "multipleDays")&&(formName.multStartDay.value == "")) {
		outputString += "Multiple Day Rental - Start Day\n";
		flag = 1;
		checkForFocus(formName.multStartDay);
	}
	if ((formName.rentalType.value == "multipleDays")&&(formName.multStartYear.value == "")) {
		outputString += "Multiple Day Rental - Start Year\n";
		flag = 1;
		checkForFocus(formName.multStartYear);
	}
	if ((formName.rentalType.value == "multipleDays")&&(formName.multEndMonth.value == 0)) {
		outputString += "Multiple Day Rental - End Month\n";
		flag = 1;
		checkForFocus(formName.multEndMonth);
	}
	if ((formName.rentalType.value == "multipleDays")&&(formName.multEndDay.value == "")) {
		outputString += "Multiple Day Rental - End Day\n";
		flag = 1;
		checkForFocus(formName.multEndDay);
	}
	if ((formName.rentalType.value == "multipleDays")&&(formName.multEndYear.value == "")) {
		outputString += "Multiple Day Rental - End Year\n";
		flag = 1;
		checkForFocus(formName.multEndYear);
	}
} // end checkMultipleDayRental
function checkTent(formName) {
	if (formName.tent.value == "Yes") {
		if (formName.tentSize.value == "Please Select One") { 
			outputString += "Tent Size\n";
			flag = 1;
			checkForFocus(formName.tentSize);
		}
		if (formName.tentType.value == "Please Select One") { 
			outputString += "Tent Type\n";
			flag = 1;
			checkForFocus(formName.tentType);
		}
		if ((formName.tentQuantity.value == "0")||(formName.tentQuantity.value == "")) { 
			outputString += "Tent Quantity\n";
			flag = 1;
			checkForFocus(formName.tentQuantity);
		}
	}	
} // end checkTent

function checkChairs(formName) {
	if (formName.chairs.value == "Yes") {
		if ((formName.chairQuantity.value == "0")||(formName.chairQuantity.value == "")) {
			outputString += "Number of Chairs\n";
			flag = 1;
			checkForFocus(formName.chairQuantity);
		}
		if (formName.chairType.value == "Please Select One") {
			outputString += "Chair Type\n";
			flag = 1;
			checkForFocus(formName.chairType);
		}
		if (formName.chairColor.value == "Please Select One") {
			outputString += "Chair Color\n";
			flag = 1;
			checkForFocus(formName.chairColor);
		}
	}
} // end checkChairs

function checkStaging(formName) {
	if (formName.staging.value == "Yes") {
		if (formName.stagingSize.value == "Please Select One") {
			outputString += "Staging Size\n";
			flag = 1;
			checkForFocus(formName.stagingSize);
		}
		if ((formName.stagingQuantity.value == "0")||(formName.stagingQuantity.value == "")) {
			outputString += "Staging Quantity\n";
			flag = 1;
			checkForFocus(formName.stagingQuantity);
		}
	}
} // end checkStaging

function checkCocktailTables(formName) {
	if (formName.cocktailTables.value == "Yes"){
		if (formName.cocktailTableSize.value == "Please Select One") {
			outputString += "Cocktail Table Size\n";
			flag = 1;
			checkForFocus(formName.cocktailTables);
		}
		if ((formName.cocktailTableQuantity.value == "0")||(formName.cocktailTableQuantity.value == "")) {
			outputString += "Number of Cocktail Tables\n";
			flag = 1;
			checkForFocus(formName.cocktailTableQuantity);
		}
	}
} // end checkCocktailTables

function checkPipeDrape(formName) {
	if (formName.pipeDrape.value == "Yes"){
		if (formName.pipeDrapeColor.value == "Please Select One") {
			outputString += "Pipe/Drape Color\n";
			flag = 1;
			checkForFocus(formName.pipeDrapeColor);
		}
		if (formName.pipeDrapeLength.value == "Please Select One") {
			outputString += "Pipe/Drape Length\n";
			flag = 1;
			checkForFocus(formName.pipeDrapeLength);
		}
		if ((formName.pipeDrapeQuantity.value == "0")||(formName.pipeDrapeQuantity.value == ""))	 {
			outputString += "Pipe/Drape Quantity\n";
			flag = 1;
			checkForFocus(formName.pipeDrapeQuantity);
		}
	}
} // end checkPipeDrape

function checkBanquetTables(formName) {
	if (formName.banquetTables.value == "Yes"){
		if (formName.banquetTableLength.value == "Please Select One") {
			outputString += "Banquet Table Size\n";
			flag = 1;
			checkForFocus(formName.banquetTables)
		}
		if ((formName.banquetTableQuantity.value == "0")||(formName.banquetTableQuantity.value == "")) {
			outputString += "Number of Banquet Tables\n";
			flag = 1;
			checkForFocus(formName.banquetTableQuantity);
		}
	}
} // end checkBanquetTables

function checkRoundTables(formName) {
	if (formName.roundTables.value == "Yes"){
		if (formName.roundTableSize.value == "Please Select One") {
			outputString += "Round Table Size\n";
			flag = 1;
			checkForFocus(formName.roundTables);
		}
		if ((formName.roundTableQuantity.value == "0")||(formName.roundTableQuantity.value == "")) {
			outputString += "Number of Round Tables\n";
			flag = 1;
			checkForFocus(formName.roundTableQuantity);
		}
	}
} // end checkRoundTables

function checkPrivacyScreens(formName) {
	if (formName.privacyScreens.value == "Yes") {
		if ((formName.privacyScreensQuantity.value == "0")||(formName.privacyScreensQuantity.value == "")) {
			outputString += "Number of Privacy Screens\n";
			flag = 1;
			checkForFocus(formName.privacyScreens);
		}
	}
} // end checkPrivacyScreens

function checkCoatRack(formName) {
	if (formName.coatRack.value == "Yes") {
		if ((formName.coatRackQuantity.value == "0")||(formName.coatRackQuantity.value == "")) {
			outputString += "Number of Coat Racks\n";
			flag = 1;
			checkForFocus(formName.coatRack);
		}	
	}
} // end checkCoatRack

function checkSubmission(formName) {
	if (checkMultipleRentalDates(formName) == false) {
		return false;
	}	
	else {
	if (formName.eventTitle.value == ""){
		outputString = outputString + "Event Title\n";
		flag = 1;
		checkForFocus(formName.eventTitle);
	}
	if (formName.eventLocation.value == ""){
		outputString = outputString + "Event Location\n";
		flag = 1;
		checkForFocus(formName.eventLocation);
	}
	checkSingleDayRental(formName);
	checkMultipleDayRental(formName);
	if (formName.contactFirstName.value == ""){
		outputString = outputString + "Contact First Name\n";
		flag = 1;
		checkForFocus(formName.contactFirstName);
	}
	if (formName.contactLastName.value == ""){
		outputString = outputString + "Contact Last Name\n";
		flag = 1;
		checkForFocus(formName.contactLastName);
	}
	if (formName.contactEmail.value == "") {
		outputString = outputString + "Contact Email\n";
		flag = 1;
		checkForFocus(formName.contactEmail);
	}
	if (formName.setupComplete.value == "") {
		outputString = outputString + "Setup Complete Time\n";
		flag = 1;
		checkForFocus(formName.setupComplete);
	}
	if (formName.breakdownStart.value == "") {
		outputString = outputString + "Breakdown Start Time\n";
		flag = 1;
		checkForFocus(formName.breakdownStart);
	}
	checkTent(formName);
	checkChairs(formName);
	checkStaging(formName);
	checkCocktailTables(formName);
	checkPipeDrape(formName);
	checkBanquetTables(formName);
	checkRoundTables(formName);
	checkPrivacyScreens(formName);
	checkCoatRack(formName);
	if (formName.rentalType.value == "multipleDay") {
		checkMultipleRentalDates(formName);
	}
	// check flag to see if anything was wrong, if so send alert
	if (flag == 1) {
		alert(outputString);
		outputString = "You did not enter the following required information:\n";
		flag = 0;
		focusFlag = 0;
		return false;
	}
	else {
		formName.pageSubmit.value = clock();
		return true;
	}
	} // debug
} // end checkSubmission

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

/// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	if (checkSubmission(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true;
	}	
	else
		return false;
} // end setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>

<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="ClassicModifyQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<input type="hidden" name="quoteModification" value="yes">
<input type="hidden" name="requestType" value="rentals">
<input type="hidden" name="rental3" value="checked">
  <h1>&nbsp;</h1>
  <table width="86%" align="center">
    <tr bgcolor="#FFFFCC"> 
      <td height="261" colspan="4"> <h1 align="center">.Classic Rentals.</h1>
        <h2 align="center"> Modify Your Quote</h2>
        <p align="justify">Use this form to modify your rental request. When finished 
          click "submit". If you decide you do not wish to make any changes at 
          this time click "cancel" and you'll be returned to your detailed quote 
          page.</p></td>
    </tr>
    <tr bgcolor="#99CCFF"> 
      <td colspan="4"> <h3>Event &amp; Contact Information:</h3></td>
    </tr>
    <tr> 
      <td width="18%">Event Title:</td>
      <td width="26%"><strong> 
        <input type="text" name="eventTitle" value="<%=rs.getString("eventTitle")%>">
        </strong></td>
      <% rs.close();
	  	 rs = st.executeQuery(dataQuery);
		 crap = rs.next();
	  %>	 	
	  <td width="18%">First Name:</td>
      <td width="38%"><strong> 
        <input type="text" name="contactFirstName" value="<%=rs.getString("contactFirstName")%>">
        </strong></td>
    </tr>
    <% 	rs.close();
		rs = st.executeQuery(roomQuery);
	%>
    <tr> 
      <td>Event Location:</td>
      <td><strong> 
        <select name="eventLocation" id="eventLocation" class="box">
        	<option value="<%=eventLocation%>" selected><%=eventLocation%></option>
        	<option value="">---------------</option>
        	<% 	String room = new String();
				String building = new String();
				while (rs.next()) {
					room = rs.getString(1);
					building = rs.getString(2);
			%>
        	<option value="<%=room%>"><%=building%> - <%=room%></option>
        	<% } // end while %>
        </select>
        </strong></td>
      <td>Last Name:</td>
      <% rs.close();
	 	rs = st.executeQuery(dataQuery);
		crap = rs.next();
	%>
      <td><strong> 
        <input type="text" name="contactLastName" value="<%=rs.getString("contactLastName")%>">
        </strong></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Email:</td>
      <td><strong> 
        <input type="text" name="contactEmail" value="<%=rs.getString("contactEmail")%>">
        </strong></td>
    </tr>
    <tr bgcolor="#99CCFF"> 
      <td colspan="4"><h3>Rental Information:</h3></td>
    </tr>
    <tr style="{display:none}"> 
      <td>Rental Type:</td>
      <td colspan="3"> <select name="rentalType" id="rentalType" >
          <option value="<%=rs.getString("rentalType")%>"><%=rs.getString("rentalType")%></option>
          <option value="">---------------</option>
          <option value="singleDay">Single Day</option>
          <option value="multipleDays">Multiple Day</option>
        </select></td>
    </tr>
    <% 	rs.close();
		rs = st.executeQuery(monthQuery);
	%>
    <tr> 
      <td>Rental Date:</td>
      <td colspan="3"> 
        <select name="singleMonth" id="singleMonth">
          <option value="<%=singleMonthInt%>" selected><%=singleMonth%></option>
          <option value="">------</option>
		  <%int monthNum; 
		  	String value = "none"; 
		  	while (rs.next()) {
				monthNum = rs.getInt(1);
				value = rs.getString(2);
		  %>
          <option value="<%=monthNum%>"><%=value%></option>
          <% } // end while %>
        </select>
        <select name="singleDay" id="singleDay">
          <option value="<%=singleDay%>" selected><%=singleDay%></option>
          <option value="">------</option>
		  <% int day = 1;
		  				while (day <= 31 ) {
		  			%>
          <option value="<%=day%>"><%=day%></option>
          <% day++;
		   			} // end while
		   			%>
        </select>
        <select name="singleYear" id="singleYear">
          <option value="<%=singleYear%>" selected><%=singleYear%></option>
          <option value="">------</option>
		  <% int year = 2005;
		  			while (year <= 2010 ) {
		  			%>
          <option value="<%=year%>"><%=year%></option>
          <% year++;
		   			} // end while
		   			%>
        </select></td>
    </tr>
     <%	rs.close();
		rs = st.executeQuery(dataQuery);
		crap = rs.next();
	%>
	<tr style="{display:none}"> 
      <td>Number of Days [multiple day]:</td>
      <td colspan="3"><input type="text" name="numberOfDays" value="<%=rs.getString("numberOfDays")%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' ></td>
    </tr>
    <%	rs.close();
		rs = st.executeQuery(monthQuery);
	%>
	<tr style="{display:none}"> 
      <td>Rental Start Date:</td>
      <td colspan="3">
       <select name="multStartMonth" class="selectInput" id="multStartMonth" >
          <option value="<%=multStartMonthInt%>" selected><%=multStartMonth%></option>
          <option value="">------</option>
		  <%rs.beforeFirst(); 
		    monthNum = 0; 
		  	value = "none"; 
		  	while (rs.next()) {
				monthNum = rs.getInt(1);
				value = rs.getString(2);
		  %>
          <option value="<%=monthNum%>"><%=value%></option>
          <% } // end while %>
        </select>
        <select name="multStartDay" class="inputCell" id="multStartDay">
          <option value="<%=multStartDay%>" selected><%=multStartDay%></option>
          <option value="">------</option>
		  <% day = 1;
		  while (day <= 31 ) {
		  %>
          <option value="<%=day%>"><%=day%></option>
          <% day++;
		   } // end while
		   %>
        </select>
        <select name="multStartYear" class="inputCell" id="multStartYear">
          <option value="<%=multStartYear%>" selected><%=multStartYear%></option>
          <option value="">------</option>
		  <% year = 2005;
		  while (year <= 2010 ) {
		  %>
          <option value="<%=year%>"><%=year%></option>
          <% year++;
		   } // end while
		   %>
        </select>
        </td>
    </tr>
    <tr style="{display:none}"> 
      <td>Rental End Date:</td>
      <td colspan="3"> 
        <select name="multEndMonth" class="selectInput" id="multEndMonth">
          <option value="<%=multEndMonthInt%>" selected><%=multEndMonth%></option>
          <option value="">------</option>
		  <%rs.beforeFirst(); 
		  	monthNum = 0; 
		  	value = "none"; 
		  	while (rs.next()) {
				monthNum = rs.getInt(1);
				value = rs.getString(2);
		  %>
          <option value="<%=monthNum%>"><%=value%></option>
          <% } // end while %>
        </select>
        <select name="multEndDay" class="inputCell" id="multEndDay">
          <option value="<%=multEndDay%>" selected><%=multEndDay%></option>
          <option value="">------</option>
		  <% day = 1;
		  while (day <= 31 ) {
		  %>
          <option value="<%=day%>"><%=day%></option>
          <% day++;
		   } // end while
		   %>
        </select>
        <select name="multEndYear" class="inputCell" id="multEndYear">
          <option value="<%=multEndYear%>" selected><%=multEndYear%></option>
          <option value="">------</option>
		  <% year = 2005;
		  while (year <= 2010 ) {
		  %>
          <option value="<%=year%>"><%=year%></option>
          <% year++;
		   } // end while
		   %>
        </select>
        </td>
    </tr>
    <% rs.close();
	 	rs = st.executeQuery(dataQuery);
		crap = rs.next();
	%>
	<tr>
      <td>Complete By:</td>
      <td colspan="3">
	  <select name="setupComplete" id="setupComplete" onChange="checkSetupTimes(document.quoteForm)">
                  <option value="<%=rs.getString("setupComplete")%>" selected><%=TimeFormat.format(rs.getString("setupComplete"))%></option>
                  <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
                 </select></td>
    </tr>
    <tr>
      <td>Breakdown Start:</td>
      <td colspan="3">
	  <select name="breakdownStart" id="breakdownStart" onChange="checkSetupTimes(document.quoteForm)">
                  <option value="<%=rs.getString("breakdownStart")%>" selected><%=TimeFormat.format(rs.getString("breakdownStart"))%></option>
                  <%=TimeFormat.getTimeOptions("07:00", "21:00", true)%>
                </select></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td>Tent:</td>
      <td><strong> 
        <select name="tent" id="tent" >
          <option value="<%=rs.getString("tent")%>" selected><%=rs.getString("tent")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select>
        </strong></td>
      <td>Tent Size:</td>
      <td><strong><strong> 
        <select name="tentSize" id="tentSize" >
          <option value="<%=rs.getString("tentSize")%>" selected><%=tentSize%></option>
          <option value="">---------------</option>
          <option value="1"><%=descrip.getString("tentSize1")%></option>
          <option value="2"><%=descrip.getString("tentSize2")%></option>
          <option value="3"><%=descrip.getString("tentSize3")%></option>
          <option value="4"><%=descrip.getString("tentSize4")%></option>
        </select>
        </strong></strong></td>
    </tr>
    <tr> 
      <td colspan="2" rowspan="2">&nbsp;</td>
      <td>Tent Type:</td>
      <td><select name="tentType" id="tentType" >
          <option value="<%=rs.getString("tentType")%>" selected><%=tentType%></option>
          <option value="">---------------</option>
          <option value="1"><%=descrip.getString("tentType1")%></option>
          <option value="2"><%=descrip.getString("tentType2")%></option>
        </select></td>
    </tr>
    <tr> 
      <td>Tent Quantity:</td>
      <td><strong> 
        <input type="text" name="tentQuantity" value="<%String shit=rs.getString("tentQuantity"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' >
        </strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td>Chairs:</td>
      <td><select name="chairs" id="chairs">
          <option value="<%=rs.getString("chairs")%>" selected><%=rs.getString("chairs")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td>Chair Type:</td>
      <td><select name="chairType" id="chairType" >
          <option value="<%=rs.getString("chairType")%>" selected><%=chairType%></option>
          <option value="">---------------</option>
          <option value="1"><%=descrip.getString("chairType1")%></option>
          <option value="2"><%=descrip.getString("chairType2")%></option>
          <option value="3"><%=descrip.getString("chairType3")%></option>
          <option value="4"><%=descrip.getString("chairType4")%></option>
        </select></td>
    </tr>
    <tr> 
      <td colspan="2" rowspan="2">&nbsp;</td>
      <td>Chair Color:</td>
      <td><select name="chairColor" id="chairColor" >
          <option value="<%=rs.getString("chairColor")%>" selected><%=rs.getString("chairColor")%></option>
          <option value="">---------------</option>
          <option value="White">White</option>
          <option value="Black">Black</option>
        </select></td>
    </tr>
    <tr> 
      <td>Chair Quantity:</td>
      <td><strong> 
        <input type="text" name="chairQuantity" value="<%shit=rs.getString("chairQuantity"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' >
        </strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td>Staging:</td>
      <td><select name="staging" id="staging" >
          <option value="<%=rs.getString("staging")%>" selected><%=rs.getString("staging")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td>Staging Size:</td>
      <td><select name="stagingSize" id="stagingSize" >
          <option value="<%=rs.getString("stagingSize")%>" selected><%=stagingSize%></option>
          <option value="">---------------</option>
          <option value="1"><%=descrip.getString("staging1")%></option>
          <option value="2"><%=descrip.getString("staging2")%></option>
          <option value="3"><%=descrip.getString("staging3")%></option>
        </select></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Staging Quantity:</td>
      <td><input name="stagingQuantity" type="text" id="stagingQuantity" value ="<%shit=rs.getString("stagingQuantity"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' ></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td>Cocktail Tables:</td>
      <td><select name="cocktailTables" id="cocktailTables" >
          <option value="<%=rs.getString("cocktailTables")%>" selected><%=rs.getString("cocktailTables")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td>Cocktail Table Size:</td>
      <td><select name="cocktailTableSize" id="cocktailTableSize" >
          <option value="<%=rs.getString("cocktailTableSize")%>" selected><%=cocktailTableSize%></option>
          <option value="">---------------</option>
          <option value="1"><%=descrip.getString("cocktailSize1")%></option>
          <option value="2"><%=descrip.getString("cocktailSize2")%></option>
          <option value="3"><%=descrip.getString("cocktailSize3")%></option>
        </select></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Cocktail Table Quantity:</td>
      <td><input name="cocktailTableQuantity" type="text" id="cocktailTableQuantity" value="<%shit=rs.getString("cocktailTableQuantity"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' ></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td>Pipe Drape</td>
      <td><select name="pipeDrape" id="pipeDrape" >
          <option value="<%=rs.getString("pipeDrape")%>" selected><%=rs.getString("pipeDrape")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td>Pipe Drape Color:</td>
      <td><strong> 
        <select name="pipeDrapeColor" id="pipeDrapeColor">
          <option value="<%=rs.getString("pipeDrapeColor")%>" selected><%=rs.getString("pipeDrapeColor")%></option>
          <option value="">---------------</option>
		  <option value="Tan">Tan</option>
          <option value="White">White</option>
          <option value="Black">Black</option>
          <option value="Navy Blue">Navy Blue</option>
          <option value="Maroon">Maroon</option>
        </select>
        </strong></td>
    </tr>
    <tr> 
      <td colspan="2" rowspan="2"><strong>&nbsp;</strong></td>
      <td>Pipe Drape Length:</td>
      <td><select name="pipeDrapeLength" id="pipeDrapeLength" >
          <option value="<%=rs.getString("pipeDrapeLength")%>" selected><%=pipeSize%></option>
          <option value="">---------------</option>
          <option value="1"><%=descrip.getString("pipeSize1")%></option>
        </select></td>
    </tr>
    <tr> 
      <td>Pipe Drape Quantity:</td>
      <td><input name="pipeDrapeQuantity" type="text" id="pipeDrapeQuantity" value="<%shit=rs.getString("pipeDrapeQuantity"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' ></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td>Banquet Tables:</td>
      <td><select name="banquetTables" id="banquetTables" >
          <option value="<%=rs.getString("banquetTables")%>" selected><%=rs.getString("banquetTables")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td>Banquet Table Length:</td>
      <td><select name="banquetTableLength" id="banquetTableLength" >
          <option value="<%=rs.getString("banquetTableLength")%>" selected><%=banquetTableSize%></option>
          <option value="">---------------</option>
          <option value="1"><%=descrip.getString("banquetSize1")%></option>
          <option value="2"><%=descrip.getString("banquetSize2")%></option>
          <option value="3"><%=descrip.getString("banquetSize3")%></option>
        </select></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Banquet Table Quantity:</td>
      <td><input name="banquetTableQuantity" type="text" id="banquetTableQuantity" value="<%shit=rs.getString("banquetTableQuantity"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' ></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td>Round Tables:</td>
      <td><select name="roundTables" id="roundTables" >
          <option value="<%=rs.getString("roundTables")%>" selected><%=rs.getString("roundTables")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td>Round Table Size:</td>
      <td><select name="roundTableSize" id="roundTableSize" >
          <option value="<%=rs.getString("roundTableSize")%>" selected><%=roundTableSize%></option>
          <option value="">---------------</option>
          <option value="1"><%=descrip.getString("roundSize1")%></option>
          <option value="2"><%=descrip.getString("roundSize2")%></option>
        </select></td>
    </tr>
    <tr> 
      <td colspan="2">&nbsp;</td>
      <td>Round Table Quantity:</td>
      <td><input name="roundTableQuantity" type="text" id="roundTableQuantity" value="<%shit=rs.getString("roundTableQuantity"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' ></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td>Privacy Screens:</td>
      <td><select name="privacyScreens" id="privacyScreens" >
          <option value="<%=rs.getString("privacyScreens")%>" selected><%=rs.getString("privacyScreens")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td>Privacy Screen Quantity:</td>
      <td><input name="privacyScreensQuantity" type="text" id="privacyScreensQuantity" value="<%shit=rs.getString("privacyScreensQuantity"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' ></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr> 
      <td>Coat Rack:</td>
      <td><select name="coatRack" id="coatRack" >
          <option value="<%=rs.getString("coatRack")%>" selected><%=rs.getString("coatRack")%></option>
          <option value="">---------------</option>
          <option value="Yes">Yes</option>
          <option value="No">No</option>
        </select></td>
      <td>Coat Rack Quantity:</td>
      <td><strong><font size="-1" face="Courier New, Courier, mono"> 
        <input name="coatRackQuantity" type="text" id="coatRackQuantity" value="<%shit=rs.getString("coatRackQuantity"); if (rs.wasNull()) shit="0"; out.print(shit);%>"  onKeyUp='this.value=this.value.replace(/\D/g,"");' >
        </font></strong></td>
    </tr>
    <tr bgcolor="#FFFFCC"> 
      <td colspan="4">&nbsp;</td>
    </tr>
    <tr bgcolor="#CCCC99"> 
      <td colspan="4"> <table width="72%" align="center">
          <tr> 
            <td width="35%"><div align="center"> 
                <input name="acceptButton" type="submit" id="acceptButton" value="Submit"
					onClick = "return setActionAccept(document.quoteForm)">
              </div></td>
            <td width="35%"><div align="center"> 
                <input name="cancelButton" type="submit" id="cancelButton" value="Cancel"
		   					onClick="setActionCancel(document.quoteForm)">
              </div></td>
          </tr>
        </table></td>
    </tr>
  </table>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
</form>
<% int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	rs.close();
	con.close();
%>
</body>
</html>
