<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Shared Calendar Selection</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="RoomRequestStyle.css" rel="stylesheet" type="text/css">

</head>
<body>
<% 
/*----------------------------------------------------------------------------------
				R O O M  S E L E C T I O N . J S P
------------------------------------------------------------------------------------
Purpose:	Users view this page to select room schedules for viewing.  When
			submit is pressed the request is sent to RoomScheduleResults for processing
			and calendar display.  
Author:		Kyle A Cunningham <kcunning@cs>
Assumptions:	None
Created:	2005-07-20
----------------------------------------------------------------------------------*/
%>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>
<%
    ResultSet rs = null;

    DatabaseConnectivity dcon = new DatabaseConnectivity();
    // get the user names - participant is person_id = 1 their calendar is names.get(0)	
    String query = rb.getString("roomRequestQuery");
    rs = dcon.submitQuery(query);

%>



<!--------------------------------------------------------------------------
	J A V A S C R I P T   S E C T I O N
---------------------------------------------------------------------------> 
<script language="JavaScript">
var checkBoxFlag = 0, errorFlag = 0;
var errorString = "Your request requires the following information:\n";
var timeErrorString = "End time cannot fall before Start time!\n";

<!--------------------------------------------------------------------------
//	checkSelection(formName)
//	Purpose: Called onChange of quickSelect, allows a user to jump to a 
//			 specific building 
//--------------------------------------------------------------------------> 
function checkSelection(formName) {
	if (formName.quickSelect.value == "flagstaff") {
		formName.Allegheny.focus();
	}
	if (formName.quickSelect.value == "mehrabian") {
		formName.Mehrabian1001.focus();
	}
	if (formName.quickSelect.value == "stever") {
		formName.CostaAuditorium.focus();
	}
	if (formName.quickSelect.value == "uc") {
		formName.Caffee.focus();
	}
} // end quickSelect

function checkMeetingTimes(formName) {
	var startHour = 0, endHour = 0, startMinutes = 0, endMinutes = 0;
	var startTime = formName.startTime.value;
	var endTime = formName.endTime.value;
	if (startTime.length == 4) {
		startHour = "0" + startTime.substring(0,1);
		startMinutes = startTime.substring(2,4);
	}	
	else {
		startHour = startTime.substring(0,2);
		startMinutes = startTime.substring(3,5);
	}
	if (endTime.length == 4) {
		endHour = "0" + endTime.substring(0,1);
		endMinutes = endTime.substring(2,4);
	}	
	else {
		endHour = endTime.substring(0,2);
		endtMinutes = endTime.substring(3,5);
	}	
		
	// check for arrival hour occuring before pickup hour
	if (endHour < startHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((endHour == startHour)&&(endMinutes < startMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (startTime == endTime) {
		alert("Start and End times cannot be identical.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()


/*----------------------------------------------------------------
checkSubmission(formName)
Purpose: 	called onSubmit to check user-input fields
Input:		document.formName
Output:		returns true or false
----------------------------------------------------------------*/
function checkSubmission(formName) {
	if (formName.startTime.value == ""){
		errorString += "Start Time\n";
		errorFlag = 1;
	} // if startTime
	
	if (formName.endTime.value == "") {
		errorString += "End Time\n";
		errorFlag = 1;
	} // if endTime
	
	var bool = checkMeetingTimes(formName);
		
	if (errorFlag == 1) {
		alert(errorString);
		errorString = "Please make a selection for the following fields:\n";
		errorFlag = 0;
		return false;
	}
	if (bool == false)
		return false;
	else 
		return true;
} // end checkSubmission


</script>
<!------ E N D   J A V S C R I P T -------------------------------------->

<form action="/myapp/webForms/RoomRequest/RoomRequestResults.jsp" name="selectionForm">
  <p>&nbsp;</p>
  <table width="376" class="tableTan">
    <tr> 
      <td colspan="2" class="title"><div class="divLineBlack">Room Schedule Selection</div></td>
    </tr>
    <tr> 
      <td colspan="2"> <div class="divLine"></div>
        <p>Use the checkboxes below to choose which room schedules you would like 
          to view. <br>
          <br>
          When your selections are complete, click the &quot;Submit&quot; button. 
        </p></td>
    </tr>
    <% rb = ResourceBundle.getBundle("properties/conferenceDays"); %>
    
		<tr> 
      <td width="118" class="jumpDiv">Select a day: </td>
      <td width="262" class="jumpDiv">
<select name="requestDate" id="requestDate" onChange = "return checkDateSelection(document.selectionForm.requestDate)">
          <option value="<%=rb.getString("day1")%>" selected><%=rb.getString("day1")%></option>
          <% 	int i = 2;
	    // while (i<18)	
			while (i < 5) { 
				String day = "day" + i;  %>
          <option value="<%=rb.getString(day)%>"><%=rb.getString(day)%></option>
          <% i++; 
			} // end while %>
        </select></td>
    </tr>
    <tr> 
      <td class="jumpDiv">Time range: </td>
      <td class="jumpDiv">
<select name="startTime" id="select">
          <option value="" selected>Start Time</option>
          <option value="">----------</option>
          <% i = 1;
	    	while (i < 29) { 
				String t = "t" + i;  %>
          <option value="<%=rb.getString(t)%>"><%=rb.getString(t)%></option>
          <% //i = i +2;
				i++; 
			} // end while %>
        </select></td>
    </tr>
    <tr> 
      <td >&nbsp; </td>
      <td width="262" class="jumpDiv">
<select name="endTime" id="select4" onChange="checkMeetingTimes(document.selectionForm)">
          <option value="" selected>End Time</option>
          <option value="">----------</option>
          <% i = 1;
	    	while (i < 29) { 
				String t = "t" + i;  %>
          <option value="<%=rb.getString(t)%>"><%=rb.getString(t)%></option>
          <% //i = i +2;
				i++; 
			} // end while %>
        </select></td>
    </tr>
    <tr> 
      <td class="jumpDiv">Jump to a building: </td>
      <td class="jumpDiv">
<select name="quickSelect" id="select5" onChange = "return checkSelection(document.selectionForm)">
          <option value="flagstaff" selected>Flagstaff</option>
          <option value="mehrabian">Mehrabian</option>
          <option value="stever">Stever</option>
          <option value="uc">University Center</option>
        </select></td>
    </tr>
    <% 
		String building = new String("foo");
		String roomName = new String("foo");
		String roomID = new String("foo");
		String altRoomID = new String("foo");
		String temp = new String("foo");
		
		while (rs.next()) {
			building = rs.getString(1);		//building
			roomName = rs.getString(2);		//room
			roomID = rs.getString(3);		//cmradarID
			
			//if (building.equals("Mehrabian")) {altRoomID = "Mehrabian" + roomID;}
			if (!building.equals(temp)) {  %>
    <tr> 
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2" class="divLineBlack"><font class="smallTitle"><%=building%></font> 
        <a href="#" target="_top">up</a> </td>
    </tr>
    <tr> 
      <td colspan="2"><div class="divLine"></div></td>
    </tr>
    <tr> 
      <td colspan="2"><input type="checkbox" class="checkbox" name="<%=roomID%>" value="<%=roomID%>" id="<%=roomID%>"> 
        <%=roomName%></td>
    </tr>
    <%	temp = building; 
			} // end if
			else {  %>
    <tr> 
      <td colspan="2"><input type="checkbox" class="checkbox" name="<%=roomID%>" value="<%=roomID%>" id="<%=roomID%>"> 
        <%=roomName%></td>
    </tr>
    <% } // end else 
		} // end while	%>
    <tr> 
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><div class="jumpDiv" align="center"> 
          <input name="submit" type="submit" id="submit" value="Submit Request"
		  		onClick = "return checkSubmission(document.selectionForm)">
        </div></td>
    </tr>
<% dcon.closeDBConnection(); %>
  </table>








  </form>
</body>
</html>
