<html>
<head>
<title>CMU Security Quote</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../RadarTestPages/RadarStyle.css" rel="stylesheet" type="text/css">
</head>
<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 S E C U R I T Y A C C E P T Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file called when a user presses "accept" on the Security quote page. 
			This page displays a message to the user indicating the quote has been finalized. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-16
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>

<%	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
		
	String submitURL = "/myapp/QuoteAcceptedServlet";
	String cancelURL = "/myapp/QuoteCancelServlet"; //"/myapp/webForms/Security/SecurityCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	String quoteID = request.getParameter("quoteID");
	
	System.out.println("DEBUG: SecurityAcceptQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
		
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionSubmit(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit

</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>


<div align="center">
  <form name= "quoteForm" action="">
  <input type="hidden" name="uniqueID" value="<%=id%>">
	<input type="hidden" name="pageLoad" value="">
	<input type="hidden" name="pageSubmit" value="">
	<input type="hidden" name="eventSource" value="SecurityAcceptQuote.jsp">
	<input type="hidden" name="quoteID" value="">
	<input type="hidden" name="vendorID" value="security">
    <table width="73%" border="0" align="center" bgcolor="#FFFFFF">
      <!--DWLayoutTable-->
      <tr> 
        <td class="titleCell"> <div class="title"> Security Request: Accept Quote</div></td>
      </tr>
      <tr>
        <td class="smallTitle">Finalize Your Quote</td>
      </tr>
      <tr> 
        <td>Clicking accept will finalize your security request in our system. 
          A confirmation email detailing your request and quoted price will be 
          sent to the email address provided. <br> <br>
          To view your security request you can click on the link provided in 
          the confirmation message. </td>
      </tr>
      <tr> 
        <td height="22" class="lightTan"> 
          <table width="69%" align="center">
            <tr> 
              <td><div align="center"> 
                  <input name="acceptButton" type="submit" id="acceptButton" value="Accept"
				  onClick="setActionSubmit(document.quoteForm)">
                </div></td>
              <td><div align="center"> 
                  <input name="cancelButton" type="submit" id="cancelButton" value="Cancel Order"
				  onClick="setActionCancel(document.quoteForm)">
                </div></td>
            </tr>
          </table></td>
      </tr>
    </table>
    &nbsp;
	<% int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	%>
</form>

<% dcon.closeDBConnection(); %>

</div>
</body>
</html>

