<html>
<head>
<title>CMU Security Quote</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../RadarTestPages/RadarStyle.css" rel="stylesheet" type="text/css">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 S E C U R I T Y T E S T. J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the CMU Security
			Service.  Requests for quotes are made through the CMUPlanningPortal.  Security is a CMU
			"monopoly" so there's only one quote to deal with here 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-16
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>
<%	
	ResultSet rs = null;
	String id = request.getParameter("uniqueID");
	
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	rs = dcon.submitQuery("SELECT * FROM securityRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	
	String quoteID = rs.getString("quoteID");
	String modifyURL = "/myapp/webForms/Security/SecurityModifyQuote.jsp";
	String cancelURL = "/myapp/webForms/Security/SecurityCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	System.out.println("DEBUG: SecurityReviewQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != null) {
		int temp = dcon.submitInsertQuery("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if	
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>
<div align="center">
  <form name= "quoteForm" action="">
  <input type="hidden" name="uniqueID" value="<%=id%>">
  <input type="hidden" name="pageLoad" value="">
  <input type="hidden" name="pageSubmit" value="">
  <input type="hidden" name="eventSource" value="SecurityReviewQuote.jsp">
  <input type="hidden" name="quoteID" value=<"">
    
  <table width="73%" border="0" align="center" bgcolor="#FFFFFF">
    <!--DWLayoutTable-->
    <tr> 
      <td colspan="4" class="titleCell"><div class="title">Vendor Request: Security </p> 
        </div></td>
    </tr>
    <tr> 
      <td colspan="4"> <p class="smallTitle">Event Information</p></td>
    </tr>
    <tr> 
      <td width="163">Event Title: </td>
      <td width="191" class="data"><%= rs.getString("eventTitle")%></td>
      <td colspan="2"> </td>
    </tr>
    <tr> 
      <td>Event Location: </td>
      <td class="data"><b><%= rs.getString("eventLocation")%></b></td>
      <td colspan="2"> </td>
    </tr>
    <% String date = rs.getString("eventMonth") + ", " + rs.getString("eventDayOfMonth") + " " + rs.getString("eventYear"); %>
    <tr> 
      <td>Event Date: </td>
      <td class="data"><%=date%></td>
      <td colspan="2"></td>
    </tr>
    <tr> 
      <td>Start Time:</td>
      <td class="data"><%=TimeFormat.format(rs.getString("startTime"))%></td>
      <td>End Time: </td>
      <td class="data"><%=TimeFormat.format(rs.getString("endTime"))%></td>
    </tr>
    <tr> 
      <td><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td class="data"><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td class="data"><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr> 
      <td height="22" colspan="4" class="smallTitle">Contact Information</td>
    </tr>
    <tr> 
      <td height="22">First Name: </td>
      <td height="22" class="data"><b><%= rs.getString("contactFirstName")%></b></td>
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr> 
      <td height="22">Last Name: </td>
      <td height="22" class="data"><b><%= rs.getString("contactLastName")%></b></td>
      <td colspan="2"><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr> 
      <td height="22">Email: </td>
      <td height="22" class="data"><%= rs.getString("contactEmail")%></td>
      <td colspan="2"><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr> 
      <td height="22" colspan="2"><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td colspan="2"><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr> 
      <td height="22" colspan="4" class="smallTitle">Security Needs Requested:</td>
    </tr>
    <tr> 
      <td height="22">Number of security staff: </td>
      <td height="22" class="data"><b><%= rs.getString("numberSecurityStaff")%></b></td>
      <td height="22"><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td height="22"><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr> 
      <td height="22">Type of security clothing: </td>
      <td height="22" class="data"><b><%= rs.getString("securityClothing")%></b></td>
      <td height="22"><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td height="22"><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr> 
      <td height="22" class="lightTan">Crowd Control: </td>
      <td height="22" class="lightTan"><strong><%= rs.getString("crowdControl")%></strong></td>
      <td class="darkTan">Traffic Control:</td>
      <td class="darkTan"><strong><%= rs.getString("trafficControl")%></strong></td>
    </tr>
    <tr> 
      <td height="21" class="darkTan">Parking Assistance: </td>
      <td height="21" class="darkTan"><strong><%= rs.getString("parkingAssistance")%></strong></td>
      <td class="lightTan">VIP:</td>
      <td class="lightTan"><strong><%= rs.getString("vip")%></strong></td>
    </tr>
    <tr> 
      <td height="22" class="lightTan">Alcohol: </td>
      <td height="22" class="lightTan"><strong><%= rs.getString("alcohol")%></strong></td>
      <td><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr> 
      <td height="22"><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td height="22"><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td><!--DWLayoutEmptyCell-->&nbsp;</td>
      <td><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr> 
      <td height="22" colspan="4" class="smallTitle">Security Functions Requested: 
      </td>
    </tr>
    <tr> 
      <td height="22" class="lightTan">Serve Alcohol: </td>
      <td height="22" class="lightTan"><strong><%= rs.getString("funcServeAlcohol")%></strong></td>
      <td class="darkTan">Guard Valuables: </td>
      <td class="darkTan"><strong><%= rs.getString("funcGuardValuables")%></strong></td>
    </tr>
    <tr> 
      <td height="22" class="darkTan">Maintain Event Perimeter: </td>
      <td height="22" class="darkTan"><strong><%= rs.getString("funcMaintainPerimeter")%></strong></td>
      <td class="lightTan">Monitor &amp; Direct Traffic: </td>
      <td class="lightTan"><strong><%= rs.getString("funcMonitorTraffic")%></strong></td>
    </tr>
    <tr> 
      <td height="22" class="lightTan">Open Garage Gate: </td>
      <td height="22" class="lightTan"><strong><%= rs.getString("funcOpenGarage")%></strong></td>
      <td width="132" class="darkTan">Maintain presence at event: </td>
      <td width="226" class="darkTan"><strong><%= rs.getString("funcMaintainPresence")%></strong></td>
    </tr>
    <tr> 
      <td height="22" colspan="4"><!--DWLayoutEmptyCell-->&nbsp;</td>
    </tr>
    <tr> 
      <td height="22" colspan="4" class="smallTitle">Quoted Price: <b>$<%=rs.getString("calculatedQuote")%></b></td>
    </tr>
    <tr> 
      <td height="22" colspan="4" class="lightTan">Please take a moment to review 
        your selections and then choose one of the options below to continue.</td>
    </tr>
    <tr> 
      <td height="22" colspan="4"><table width="100%" class="lightTan">
          <tr> 
            <td> <div align="center"> 
                <input name="modifyQuote" type="submit" id="modifyQuote" value="Modify"
					onClick="setActionModify(document.quoteForm)">
              </div></td>
            <td> <div align="center"> 
                <input name="cancelQuote" type="submit" id="cancelQuote" value="Cancel Quote"
				  	onClick="setActionCancel(document.quoteForm)">
              </div></td>
          </tr>
        </table></td>
    </tr>
  </table>
</form>

<% dcon.closeDBConnection(); %>

</body>
</html>
