<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Shared Calendar Selection</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body bgcolor="#CCFFFF">
<% 
/*----------------------------------------------------------------------------------
				C A L E N D E R S E L E C T I O N . J S P
------------------------------------------------------------------------------------
Purpose:	CalendarSelection.jsp is the front page to the Shared Calendar Manager.
			Users view this page to select those calendars they wish to view.  When
			submit is pressed the request is sent to CalendarResult.jsp for processing
			and calendar display.  
			
			Currently this jsp selects all entries in the RadarPerson table and includes 
			then in the viewing.  The number of calendars available for selection needs to 
			be static.
Author:		Kyle A Cunningham <kcunning@cs>
Assumptions:	The user's personal calendar must be id = 1 in the schedule table.
Created:	2005-02-01
----------------------------------------------------------------------------------*/
%>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>
<%
    Vector names = new Vector(); // will hold the name corresponding to each calendar 
    ResultSet rs = null;
    int tableSize = 0;

    DatabaseConnectivity dcon = new DatabaseConnectivity();
    // get the user names - participant is person_id = 1 their calendar is names.get(0)	
    rs = dcon.submitQuery("SELECT * FROM radarPerson WHERE uniqueID > 0");
    while (rs.next()){
	    names.add(rs.getString("first") + " "+ rs.getString("last"));
    }	
//	for (int i=0; i<people.size(); i++) {
//		rs = st.executeQuery("SELECT first, last FROM radarPerson WHERE (id = '"+ people.get(i) +"')");			
//		while (rs.next()){names.add(rs.getString("first") + " " + rs.getString("last"));}
//	}

%>

<script language="JavaScript">
var checkBoxFlag = 0, errorFlag = 0;
var errorString = "Your request requires the following information:\n";

function checkDate(formName) {
	if (formName.date.value == "Please Make a Selection") {
		errorString += "Calendar Date\n";
		errorFlag = 1;
	} // end if
} // end setcheckBoxFlag()

function checkEntry(formName) {
	// check to make sure all necessary data is there
	checkBoxFlag = 0;
	checkDate(formName);
	if (formName.calendar2.checked == true) 
		checkBoxFlag = 1;
	if (formName.calendar3.checked == true) 
		checkBoxFlag = 1;
	if (formName.calendar4.checked == true)
		checkBoxFlag = 1;
	if (formName.calendar5.checked == true)
		checkBoxFlag = 1;
	if (formName.calendar6.checked == true)
		checkBoxFlag = 1;
	if (formName.calendar7.checked == true)
		checkBoxFlag = 1;
	if (formName.calendar8.checked == true)
		checkBoxFlag = 1;
	if (formName.calendar9.checked == true)
		checkBoxFlag = 1;
	
	if (checkBoxFlag == 0) {
		// no calendars were selected for viewing, alert user
		errorString += "Calendar(s) to view\n";
		errorFlag = 1;
	}
	if (errorFlag == 1) {
		alert(errorString);
		errorString = "Your request requires the following information:\n";	
		errorFlag = 0;
		return false
	}
	else {return true}
} // end checkEntry



</script>

<form action="/myapp/webForms/CalendarResults.jsp" 
	name="selectionForm" onSubmit="return checkEntry(document.selectionForm)">
	<input type="hidden" name="calendar1" value="1">
  <p>&nbsp;</p>
  <table width="62%" border="3" align="center" bgcolor="#FFFFFF">
    <tr> 
      <td height="68" colspan="2"> <div align="center"> 
          <p><strong><font size="6" face="Verdana, Arial, Helvetica, sans-serif"><u>Shared 
            Calendar Selection</u> </font></strong></p>
        </div></td>
    </tr>
    <tr> 
      <td height="93" colspan="2"> <p><font size="4" face="Verdana, Arial, Helvetica, sans-serif">Use 
          the checkboxes below to choose which personal calendars you would like 
          to</font><font size="4" face="Verdana, Arial, Helvetica, sans-serif"> 
          view. When your selections are complete, click the &quot;Submit&quot; 
          button. Your personal calendar will automatically appear along with 
          those you select here. </font></p></td>
    </tr>
    <tr> 
      <td height="52" colspan="2"><font face="Arial, Helvetica, sans-serif">Choose 
        a date: 
        <select name="date" size="1" id="date">
          <option value="Please Make a Selection" selected>Please Make a Selection</option>
          <option value="2005-01-01">Week One</option>
          <option value="2005-01-08">Week Two</option>
          <option value="2005-01-15">Week Three</option>
        </select>
        </font></td>
    </tr>
    <tr> 
      <td><font size="4" face="Arial, Helvetica, sans-serif"><u>Administrative 
        Assistants </u></font></td>
      <td><font size="4" face="Arial, Helvetica, sans-serif"><u>Vendor Group 1</u></font></td>
    </tr>
    <tr> 
      <td width="50%"> <div align="left"> <font face="Arial, Helvetica, sans-serif"> 
          <input name="calendar2" type="checkbox" id="calendar2" value="2">
          <%=(String)names.get(1)%></font></div></td>
      <td width="50%"> <div align="left"> <font face="Arial, Helvetica, sans-serif"> 
          <input name="calendar4" type="checkbox" id="calendar4" value="4">
          <%=(String)names.get(3)%></font></div></td>
    </tr>
    <tr> 
      <td> <div align="left"> <font face="Arial, Helvetica, sans-serif"> 
          <input name="calendar3" type="checkbox" id="calendar3" value="3">
          <%=(String)names.get(2)%></font></div></td>
      <td> <div align="left"> <font face="Arial, Helvetica, sans-serif"> 
          <input name="calendar5" type="checkbox" id="calendar5" value="5">
          <%=(String)names.get(4)%></font></div></td>
    </tr>
    <tr>
      <td><font size="4" face="Arial, Helvetica, sans-serif"><u>Vendor Group 2</u></font></td>
      <td><font size="4" face="Arial, Helvetica, sans-serif"><u>Vendor Group 3</u></font></td>
    </tr>
    <tr> 
      <td> <div align="left"> <font face="Arial, Helvetica, sans-serif"> 
          <input name="calendar6" type="checkbox" id="calendar6" value="6">
          <%=(String)names.get(5)%></font></div></td>
      <td> <div align="left"> <font face="Arial, Helvetica, sans-serif"> 
          <input name="calendar8" type="checkbox" id="calendar8" value="8">
          <%=(String)names.get(7)%></font></div></td>
    </tr>
    <tr> 
      <td> <div align="left"> <font face="Arial, Helvetica, sans-serif"> 
          <input name="calendar7" type="checkbox" id="calendar7" value="7">
          <%=(String)names.get(6)%></font></div></td>
      <td> <div align="left"> <font face="Arial, Helvetica, sans-serif"> 
          <input name="calendar9" type="checkbox" id="calendar9" value="9">
          <%=(String)names.get(8)%></font></div></td>
    </tr>
    <tr> 
      <td><font face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
      <td><font face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
    </tr>
    <tr> 
      <td><font face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
      <td><font face="Verdana, Arial, Helvetica, sans-serif">&nbsp;</font></td>
    </tr>
    <tr> 
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr> 
      <td colspan="2"><div align="center"> 
          <input name="submit" type="submit" id="submit" value="Submit Request">
        </div></td>
    </tr>
  </table>








</form>

    <% 	dcon.closeDBConnection(); %>

</body>
</html>
