<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>A1 Limo Service - Finalize your Quote.</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 A 1 L I M O A C C E P T Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file called when a user presses "accept" on the A1 Limo quote page. 
			This page displays a message to the user indicating the quote has been finalized.  
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-08
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.DatabaseConnectivity"%>

<%
	DatabaseConnectivity dcon = new DatabaseConnectivity();

	/*
	ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	Statement st = null;
	ResultSet rs = null;
	*/
	String id = request.getParameter("uniqueID");
	
	/*
	Class.forName("com.mysql.jdbc.Driver").newInstance(); 
	con = DriverManager.getConnection(rb.getString("databaseName"), rb.getString("databaseUser"), rb.getString("databasePass")); 
  st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	*/
	
	String submitURL = "/myapp/QuoteAcceptedServlet";
	String cancelURL = "/myapp/webForms/Towncar/A1LimoCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	String quoteID = request.getParameter("quoteID");
	
	/*
	System.out.println("DEBUG: A1LimoQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");	
	*/
	dcon.setupLogUpdate(eventSource, pageLoad, pageSubmit, quoteID);
	
	dcon.closeDBConnection();
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionSubmit(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit

</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>

<p>&nbsp;</p>
  
<table width="48%" border="0">
  <tr> 
    <td><p><font size="5" face="Arial, Helvetica, sans-serif"><u>A1 Limo Service 
        - Quote for Towncar Service</u></font> </p></td>
  </tr>
  <tr> 
    <td>&nbsp;</td>
  </tr>
  <tr> 
    <td><font size="4" face="Arial, Helvetica, sans-serif">By clicking submit 
      you agree to our quoted price for the towncar service requested. Upon submittal 
      of this page, your order will be finalized in our system and a confirmation 
      email will be sent to the email address provided. </font></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr> 
    <td height="45"> 
	<form name="quoteForm" action="">
	<input type="hidden" name="uniqueID" value="<%=id%>">
	<input type="hidden" name="pageLoad" value="">
	<input type="hidden" name="pageSubmit" value="">
	<input type="hidden" name="eventSource" value="A1LimoAcceptQuote.jsp">
	<input type="hidden" name="quoteID" value="">
	<input type="hidden" name="vendorID" value="towncar1">
        <table width="55%" border="0">
          <tr> 
            <td bgcolor="#009900">
<div align="center">
                <input name="acceptButton" type="submit" id="acceptButton" value="Submit My Order" 
						onClick="setActionSubmit(document.quoteForm)">
              </div></td>
            <td bgcolor="#FF0000">
<div align="center">
                <input name="cancelButton" type="submit" id="cancelButton" value="Cancel My Order" 
						onClick="setActionCancel(document.quoteForm)">
              </div></td>
          </tr>
        </table>
      </form>
      <p><font size="4" face="Arial, Helvetica, sans-serif">Thank you for choosing A1 Limo 
        Service!</font></p>
      <p>&nbsp;</p></td>
  </tr>
</table>
<p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
</body>
</html>
