<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>A1 Limo Service - Ride with the best!</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 A 1 L I M O Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the A1 Limo 
			Service.  Requests for quotes are made through a single page, then those companies selected
			provide a quote.  Request info is gathered from the towncar table and quote is calculated. 
Input:		Request ID to be looked up/quoted
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-01
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>

<%
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	/*
	ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	Statement st = null;
	ResultSet rs = null;
	*/
	String id = request.getParameter("uniqueID");
	
	/*
	Class.forName("com.mysql.jdbc.Driver").newInstance(); 
	con = DriverManager.getConnection(rb.getString("databaseName"), rb.getString("databaseUser"), rb.getString("databasePass")); 
    st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	rs = st.executeQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	*/
	String dataQuery = "SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')";
	ResultSet rs = dcon.submitQuery(dataQuery);
rs.next();
	
	String quoteID = rs.getString("quoteID");
	String submitURL = "/myapp/webForms/Towncar/A1LimoAcceptQuote.jsp";
	String modifyURL = "/myapp/webForms/Towncar/A1LimoModifyQuote.jsp";
	String cancelURL = "/myapp/webForms/Towncar/A1LimoCancelQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	
	/*
	System.out.println("DEBUG: A1LimoQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	// we only want data coming from pages other than the servlet, so check for eventSource = null
	if (eventSource != "null") {
		int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	} // end if	
	*/
	dcon.setupLogUpdate(eventSource, pageLoad, pageSubmit, quoteID);
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// The following 2 functions set the forms action variable accordingly...
// This function is called when "modify" is pressed
function setActionModify(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=modifyURL%>";
} // end setActionModify

// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionAccept(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=submitURL%>";
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>


<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="A1LimoQuote.jsp">
<input type="hidden" name="quoteID" value=<"">
<p><font size="5" face="Arial, Helvetica, sans-serif"><u>A1 Limo Service - Quote 
  for Towncar Service</u></font> </p>
  
<table width="43%" border="0">
  <tr> 
    <td colspan="2"><font face="Arial, Helvetica, sans-serif"><strong>Please check 
      all information below for accuracy. If you would like to modify your request 
      press &quot;Modify&quot;. If you would like to cancel this quote press &quot;Cancel&quot;. 
      Thank you for choosing A1 Limo Service.</strong> </font></td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>
  <tr> 
    <td width="35%"><font size="2" face="Arial, Helvetica, sans-serif">Event Title:</font></td>
    <td width="65%"><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("eventTitle")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Event Date:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("eventDate")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Event Location:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("eventLocation")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">First Name:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("contactFirstName")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Last Name:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("contactLastName")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Phone:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("contactPhone")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Email:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("contactEmail")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Passenger First Name:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("passengerFirstName")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Passenger Last Name:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("passengerLastName")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Pick-up Information:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("pickupStreet")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("pickupCity")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("pickupState")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("pickupPhone")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Drop-off Information:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("dropoffStreet")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("dropoffCity")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("dropoffState")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("dropoffPhone")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Pick-up Time:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=TimeFormat.format(rs.getString("pickupTime"))%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Arrival Time:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=TimeFormat.format(rs.getString("arrivalTime"))%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Airport Pickup:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("airportPickup")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Airline:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("airline")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Flight Number:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("flightNumber")%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Arrival Time:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=TimeFormat.format(rs.getString("flightArrivalTime"))%></font></strong></td>
  </tr>
  <tr> 
    <td><font size="2" face="Arial, Helvetica, sans-serif">Departing City:</font></td>
    <td><strong><font size="2" face="Arial, Helvetica, sans-serif"><%=rs.getString("flightDepartureCity")%></font></strong></td>
  </tr>
  <tr> 
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr> 
    <td><strong><font face="Arial, Helvetica, sans-serif">Quoted Cost: </font></strong></td>
    <td><strong><font face="Arial, Helvetica, sans-serif">$<%=rs.getInt("quote1")%></font></strong></td>
  </tr>
  <tr> 
    <td colspan="2">&nbsp;</td>
  </tr>
  <tr> 
    <td colspan="2"><table width="97%" border="0">
        <tr> 
           <td width="17%"><input name="acceptButton" type="submit" id="acceptButton" value="Accept"
		   					onClick="setActionAccept(document.quoteForm)"></td>
           <td width="16%"><input name="modifyButton" type="submit" id="modifyButton" value="Modify"
		   					onClick="setActionModify(document.quoteForm)"></td>
           <td width="67%"><input name="cancelButton" type="submit" id="cancelButton" value="Cancel"
		   					onClick="setActionCancel(document.quoteForm)"></td>
        </tr>
      </table></td>
  </tr>
</table>
  <p>&nbsp;</p>
  <p>&nbsp;</p>
  <p>&nbsp; </p>
</form>
</body>
</html>

<%dcon.closeDBConnection();%>