<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Ride in style with Premier Limo Services!</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body onLoad = "setPageLoad(document.quoteForm)">
<%
/*---------------------------------------------------------------------------------------------
						 P R E M I E R M O D I F Y Q U O T E . J S P 
-----------------------------------------------------------------------------------------------						
Purpose:	This jsp file is used to display request and quote information for the Premier Limo 
			Service.  Users can modify their request through this page.  Submitting takes them back to the
			servlet for processing/quote recalculation.  Cancel takes user back to original quote page. 
Input:		Request ID to be looked up/quoted (retrieved from request.getParameter)
Author:		Kyle A Cunningham <kcunning@cs.cmu.edu>
Created:	2005-03-08
---------------------------------------------------------------------------------------------*/ %>
<%@page import="java.util.*"%>
<%@page import="java.sql.*"%>
<%@page import="edu.cmu.radar.vendor.*"%>

<%
	DatabaseConnectivity dcon = new DatabaseConnectivity();
	/*
	ResourceBundle rb = ResourceBundle.getBundle("properties/vendorDB");
	Connection con = null;
	Statement st = null;
	ResultSet rs = null;
	*/
	String id = request.getParameter("uniqueID");
	String quoteID = request.getParameter("quoteID");
	/*
	Class.forName("com.mysql.jdbc.Driver").newInstance(); 
	con = DriverManager.getConnection(rb.getString("databaseName"), rb.getString("databaseUser"), rb.getString("databasePass")); 
    st = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY); 
	rs = st.executeQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	boolean crap = rs.next(); // move pointer to the actual row
	*/
	ResultSet rs = dcon.submitQuery("SELECT * FROM towncarRequests WHERE (uniqueID = '"+ id +"')");
	rs.next();
	
	String submitURL = "/myapp/TestHarnessServlet";
	String cancelURL = "/myapp/webForms/Towncar/PremierQuote.jsp";
	String pageLoad = request.getParameter("pageLoad");
	String pageSubmit = request.getParameter("pageSubmit");
	String eventSource = request.getParameter("eventSource");
	/*
	System.out.println("DEBUG: A1LimoQuote.jsp\n\tpageLoad: " + pageLoad + "\n\tpageSubmit: " + pageSubmit + 
		"\n\teventSource: " + eventSource + "\n\tquoteID: " + quoteID);
	// insert the eventSource (previous page visited), pageLoad, and pageSubmit values into log table
	int temp = st.executeUpdate("INSERT INTO log (eventSource, pageLoaded, pageSubmitted, description) VALUES ('" + eventSource + "','" + 
						pageLoad + "','" + pageSubmit + "','" + quoteID + "')");
	*/
	dcon.setupLogUpdate(eventSource, pageLoad, pageSubmit, quoteID);
%>

<script language="Javascript">
// setPageLoad: this method is called on <body> onLoad and sets the pageLoaded value by
// 				calling the clock() function
function setPageLoad(formName) {
	formName.pageLoad.value = clock();
} // end setPageLoaded

// setPageSubmit: this method is called when any submit button is pressed to set the pageSubmit value.
// 				This is done by calling the clock() function
function setPageSubmit(formName) {
	formName.pageSubmit.value = clock();
} // end setPageLoaded

// setQuoteID: this method is called when any submit button is pressed to set the quoteID value.
function setQuoteID(formName) {
	formName.quoteID.value = "<%=quoteID%>";
}

// clock: get the Date() object and identify the hours, mins, secs
function clock() {
	temp = new Date();
	hours = temp.getHours();
	mins = temp.getMinutes();
	secs = temp.getSeconds();
	if (mins <= 9) {mins = "0" + mins; }
	if (secs <= 9) {secs = "0" + secs; }
	return (hours + ":" + mins + ":" + secs);
}

// called onChange for the <select> airportPickup menu
function checkAirportPickup(formName) {
	if (formName.airportPickup.value == "No") {
		formName.airline.value = " ";
		formName.flightNumber.value = " ";
		formName.flightArrivalTime.value = " ";
		formName.flightDepartureCity.value = " ";
	} // end if
	if (formName.airportPickup.value == "Yes") {
		formName.airline.value = "<%=rs.getString("airline")%>";
		formName.flightNumber.value = "<%=rs.getString("flightNumber")%>";
		formName.flightArrivalTime.value = "<%=rs.getString("flightArrivalTime")%>";
		formName.flightDepartureCity.value = "<%=rs.getString("flightDepartureCity")%>";
	} // end if
} // end checkAirportPickup

// checkArrivalTime() - this function makes sure the user isn't requesting an impossible pickup and arrival
//						combination
var timeErrorString = "ERROR! Drop-off time cannot fall before pick-up time!  Please modify and resubmit.\n";
function checkArrivalTime(formName) {
	var arrivalHour = 0, pickupHour = 0, arrivalMinutes = 0, pickupMinutes = 0;
	arrivalHour = formName.arrivalTime.value.substring(0,2);
	pickupHour = formName.pickupTime.value.substring(0,2);
	arrivalMinutes = formName.arrivalTime.value.substring(3,5);
	pickupMinutes = formName.pickupTime.value.substring(3,5);	
	
	// check for arrival hour occuring before pickup hour
	if (arrivalHour < pickupHour) {
		alert(timeErrorString);
		return false;
	} 
	// check for arrival hour and pickup hour the same but pickup minutes greater
	else if ((arrivalHour == pickupHour)&&(arrivalMinutes < pickupMinutes)) {
		alert(timeErrorString);
		return false;
	}
	// check for identical arrival and pickup times
	else if (formName.arrivalTime.value == formName.pickupTime.value) {
		alert("Pick-up and Arrival times cannot be identical.  Please modify and resubmit.\n");
		return false;
	}
	else {return true}// end if
} // end checkArriavlTime()

// The following 2 functions set the forms action variable accordingly...
// This function is called when "cancel" is pressed
function setActionCancel(formName) {
	setPageSubmit(formName);
	setQuoteID(formName);
	formName.action = "<%=cancelURL%>";
} // end setActionCancel

// this function is called when "submit" is pressed.
function setActionSubmit(formName) {
	if (checkArrivalTime(formName)) {
		setPageSubmit(formName);
		setQuoteID(formName);
		formName.action = "<%=submitURL%>";
		return true
	}
	else {return false}
} // sne setActionSubmit
</script>
<% //------------------------------------------ end Javascript Section --------------------------------------- %>

<form name="quoteForm" action="">
<input type="hidden" name="uniqueID" value="<%=id%>">
<input type="hidden" name="quoteModification" value="yes">
<input type="hidden" name="requestType" value="towncar">
<input type="hidden" name="towncarService3" value="checked">
<input type="hidden" name="pageLoad" value="">
<input type="hidden" name="pageSubmit" value="">
<input type="hidden" name="eventSource" value="PremierModifyQuote.jsp">
<input type="hidden" name="quoteID" value="">
  <table width="73%" border="0" align="center">
    <tr>
      <td bgcolor="#CCCCCC"> 
        <div align="center"><font size="5" face="Georgia, Times New Roman, Times, serif"><strong><font size="6">Ride 
          in style with Premier Limo Services</font></strong></font><font size="6">. 
          </font></div></td>
    </tr>
  </table>
  <p align="center"><font size="4" face="Georgia, Times New Roman, Times, serif">Modify 
    your current quote for limousine service</font><font size="4">:</font></p>
  <table width="73%" border="10" align="center" bordercolor="#996666">
    <tr> 
      <td width="23%" bgcolor="#FFCC00"><font size="2" face="Georgia, Times New Roman, Times, serif">Event 
        Title:</font></td>
      <td width="25%" bgcolor="#FFCC00"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="eventTitle" type="text" id="eventTitle" value= "<%=rs.getString("eventTitle")%>">
        </font></strong></td>
      <td width="22%" bgcolor="#CC9900"><font size="2" face="Georgia, Times New Roman, Times, serif">Passenger 
        First Name:</font></td>
      <td width="30%" bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="passengerFirstName" type="text" id="passengerFirstName" value="<%=rs.getString("passengerFirstName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC00"><font size="2" face="Georgia, Times New Roman, Times, serif">Event 
        Date:</font></td>
      <td bgcolor="#FFCC00"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="eventDate" type="text" id="eventDate" value="<%=rs.getString("eventDate")%>">
        </font></strong></td>
      <td bgcolor="#CC9900"><font size="2" face="Georgia, Times New Roman, Times, serif">Passenger 
        Last Name:</font></td>
      <td bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="passengerLastName" type="text" id="passengerLastName" value="<%=rs.getString("passengerLastName")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC00"><font size="2" face="Georgia, Times New Roman, Times, serif">Event 
        Location:</font></td>
      <td bgcolor="#FFCC00"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="eventLocation" type="text" id="eventLocation" value="<%=rs.getString("eventLocation")%>">
        </font></strong></td>
      <td bgcolor="#CC9900"><font size="2" face="Georgia, Times New Roman, Times, serif">Pick-up 
        Information:</font></td>
      <td bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="pickupStreet" type="text" id="pickupStreet" value="<%=rs.getString("pickupStreet")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC00"><font size="2" face="Georgia, Times New Roman, Times, serif">First 
        Name:</font></td>
      <td bgcolor="#FFCC00"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="contactFirstName" type="text" id="contactFirstName" value="<%=rs.getString("contactFirstName")%>">
        </font></strong></td>
      <td rowspan="3" bgcolor="#CC9900"><font size="2" face="Georgia, Times New Roman, Times, serif">&nbsp;</font><font size="2" face="Georgia, Times New Roman, Times, serif">&nbsp;</font><font size="2" face="Georgia, Times New Roman, Times, serif">&nbsp;</font></td>
      <td bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="pickupCity" type="text" id="pickupCity" value="<%=rs.getString("pickupCity")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC00"><font size="2" face="Georgia, Times New Roman, Times, serif">Last 
        Name:</font></td>
      <td bgcolor="#FFCC00"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="contactLastName" type="text" id="contactLastName" value="<%=rs.getString("contactLastName")%>">
        </font></strong></td>
      <td bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="pickupState" type="text" id="pickupState" value="<%=rs.getString("pickupState")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC00"><font size="2" face="Georgia, Times New Roman, Times, serif">Phone:</font></td>
      <td bgcolor="#FFCC00"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="contactPhone" type="text" id="contactPhone" value="<%=rs.getString("contactPhone")%>">
        </font></strong></td>
      <td bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="pickupPhone" type="text" id="pickupPhone" value="<%=rs.getString("pickupPhone")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td bgcolor="#FFCC00"><font size="2" face="Georgia, Times New Roman, Times, serif">Email:</font></td>
      <td bgcolor="#FFCC00"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="contactEmail" type="text" id="contactEmail" value="<%=rs.getString("contactEmail")%>">
        </font></strong></td>
      <td bgcolor="#CC9900"><font size="2" face="Georgia, Times New Roman, Times, serif">Drop-off 
        Information:</font></td>
      <td bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="dropoffStreet" type="text" id="dropoffStreet" value="<%=rs.getString("dropoffStreet")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td colspan="2" rowspan="3" bgcolor="#FFCC00"><font face="Georgia, Times New Roman, Times, serif">&nbsp;</font><font face="Georgia, Times New Roman, Times, serif">&nbsp;</font><font face="Georgia, Times New Roman, Times, serif">&nbsp;</font></td>
      <td rowspan="3" bgcolor="#CC9900"><font size="2" face="Georgia, Times New Roman, Times, serif">&nbsp;</font><font size="2" face="Georgia, Times New Roman, Times, serif">&nbsp;</font><font size="2" face="Georgia, Times New Roman, Times, serif">&nbsp;</font></td>
      <td bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="dropoffCity" type="text" id="dropoffCity" value="<%=rs.getString("dropoffCity")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="dropoffState" type="text" id="dropoffState" value="<%=rs.getString("dropoffState")%>">
        </font></strong></td>
    </tr>
    <tr> 
      <td bgcolor="#CC9900"><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="dropoffPhone" type="text" id="dropoffPhone" value="<%=rs.getString("dropoffPhone")%>">
        </font></strong></td>
    </tr>
    <tr bgcolor="#CC3333"> 
      <td><font size="2" face="Georgia, Times New Roman, Times, serif">Pick-up 
        Time:</font></td>
      <td><div align="left"><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
          <select name="pickupTime" id="pickupTime">
            <option value="<%=rs.getString("pickupTime")%>" selected><%=TimeFormat.format(rs.getString("pickupTime"))%></option>
            <%=TimeFormat.getTimeOptions("08:00", "23:30", true)%>
          </select>
          </font></strong></div></td>
      <td><font size="2" face="Georgia, Times New Roman, Times, serif">Arrival 
        Time:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <select name="arrivalTime" id="arrivalTime">
        <option value="<%=rs.getString("arrivalTime")%>" selected><%=TimeFormat.format(rs.getString("arrivalTime"))%></option>
            <%=TimeFormat.getTimeOptions("08:00", "23:30", true)%>
		</select>
        </font></strong></td>
    </tr>
    <tr bgcolor="#999900"> 
      <td><font size="2" face="Georgia, Times New Roman, Times, serif">Airport 
        Pickup:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif"> 
        <select name="airportPickup" id="airportPickup" onChange="return(checkAirportPickup(document.quoteForm))">
        <option value="<%=rs.getString("airportPickup")%>" selected><%=rs.getString("airportPickup")%></option>
            <option value="">---------------</option>
			<option value="Yes">Yes</option>
			<option value="No">No</option>
		</select>
        </font></strong></td>
      <td colspan="2"><font face="Georgia, Times New Roman, Times, serif">&nbsp;</font></td>
    </tr>
    <tr bgcolor="#999900"> 
      <td><font size="2" face="Georgia, Times New Roman, Times, serif">Airline:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="airline" type="text" id="airline" value="<%=rs.getString("airline")%>">
        </font></strong></td>
      <td><font size="2" face="Georgia, Times New Roman, Times, serif">Arrival 
        Time:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="flightArrivalTime" type="text" id="flightArrivalTime" value="<%=TimeFormat.format(rs.getString("flightArrivalTime"))%>">
        </font></strong></td>
    </tr>
    <tr bgcolor="#999900"> 
      <td><font size="2" face="Georgia, Times New Roman, Times, serif">Flight 
        Number:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="flightNumber" type="text" id="flightNumber" value="<%=rs.getString("flightNumber")%>">
        </font></strong></td>
      <td><font size="2" face="Georgia, Times New Roman, Times, serif">Departing 
        City:</font></td>
      <td><strong><font size="2" face="Arial, Helvetica, sans-serif">
        <input name="flightDepartureCity" type="text" id="flightDepartureCity" value="<%=rs.getString("flightDepartureCity")%>">
        </font></strong></td>
    </tr>
    <tr bordercolor="#996666" bgcolor="#FFFF00"> 
      <td colspan="4"><font face="Georgia, Times New Roman, Times, serif">&nbsp;</font></td>
    </tr>
    <tr> 
      <td colspan="4"><table width="57%" border="0" align="center">
          <tr> 
            <td width="20%" bgcolor="#66CC99"> <div align="center"><font face="Georgia, Times New Roman, Times, serif"> 
                <input name="submitButton" type="submit" id="submitButton" value="Submit" onClick="setActionSubmit(document.quoteForm)">
                </font></div></td>
            <td width="20%" bgcolor="#CC0033"> <div align="center"> <font face="Georgia, Times New Roman, Times, serif"> 
                <input name="cancelButton" type="submit" id="cancelButton" value="Cancel" onClick="setActionCancel(document.quoteForm)">
                </font></div></td>
          </tr>
        </table></td>
    </tr>
  </table>
  <p>&nbsp;</p>
  <table width="73%" border="0" align="center">
    <tr> 
      <td height="38" bgcolor="#CCCCCC"> 
        <div align="center"></div></td>
    </tr>
  </table>
  <p>&nbsp;</p>

  <p>&nbsp;</p>
  <p>&nbsp; </p>
</form>

</body>
</html>

<%dcon.closeDBConnection();%>